<?php
require_once(dirname(__FILE__).'/include/constants.php');
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database, $form, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

//$pagetitle = $session->isAdmin() ? "Администрирование :: Состояние системы" : "Состояние офиса";
$pagetitle = "SIP номера";
$addheadcode = <<<EOS
<script type="text/javascript" src="js/jquery/flexigrid.js" charset="UTF-8"></script>
<link href="styles/jquery/flexigrid.css" rel="stylesheet" type="text/css" media="screen"/>


<link rel="stylesheet" href="js/jquery11/jquery-ui.css">
<script src="js/jquery11/jquery-1.10.2.js"></script>
<script src="js/jquery11/jquery-ui.js"></script>

<script type="text/javascript" src="js/jquery/flexigrid.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/acc_sip_user_full.js" charset="UTF-8"></script>

<link href="js/DataTables-1.10.3/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/DataTables-1.10.3/media/js/jquery.dataTables.js" charset="UTF-8"></script>

EOS;

//print(GetHTMLHeader($pagetitle, $session->logged_in ? 'numbers_ext.php' : null));
//print(GetHTMLHeader($pagetitle, null, $addheadcode));
//print(GetPageTop());

//$current_page_name = basename($_SERVER['PHP_SELF']); 
//print(GetHTMLHeader($pagetitle, null, $addheadcode, '', '', $current_page_name));

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Настройки :: Черный и белый списки";

print(GetHTMLHeader($pagetitle, null, $addheadcode, $preheadcode));
print(GetPageTop());

?>


<!-- div><?php print(GetVOHeadMenu()); ?></div>
<div style="clear:both;">
<table class="pagecontent">
<tr>
<td class="content" -->

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">



<?php

//echo var_dump($session);
//echo var_dump($session->ofmainparams);
//echo $session->ofmainparams['of_number_prefix'].$session->ofnumber;
//echo var_dump($session->userright);
//var_dump($session->acc_name);


if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	print(GetPageContentTitle($pagetitle));

	
?>

	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: -2px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color: #666;display:block;">
			Управление SIP-аккаунтами . 
			Если значок статуса зеленый, то аккаунт зарегистрирован - может принимать и совершать звонки.
			Если синий, то регистрация отсутствует или аккаунт не используется.
			Красный свидетельствует о том, что аккаунт заблокирован.
		</span>
	</div>



<div style="width:650px;">
<table id="sip_list" class="display" width="400px" cellspacing="0">
        <thead>
            <tr>
                <th width="80px">Статус</th>
                <th>SIP-счет</th>
                <th>Логин</th>
                <th>Тип</th>
                <th>Хост</th>
                <th>Порт</th>
                <th>NAT</th>
                <th nowrap width="60px">&nbsp;</th>
            </tr>
        </thead>
</table>
</div>

<div id="tableInfo"></div>	

<div>
	<!-- input id="btn_sip_add" type="button" class="sysbtn" value="Добавить"  -->
	<input id="btn_sip_add" type="button" class="inputbt" value="Добавить" >
</div>







<div id="frm_sip_account" title="SIP счет">
<input id="txt_sip_id" type="hidden" value="">
<input id="txt_sip_template_id" type="hidden" value="<?php echo SIP_DEFAULT_TEMPLATE_ID; ?>">
<input id="txt_sip_range_first" type="hidden" value="<?php echo SIP_RANGE_FIRST; ?>">
<input id="txt_sip_range_last" type="hidden" value="<?php echo SIP_RANGE_LAST; ?>">
<!-- table>
<tr>
<td width="160px"><div class="syslabel">SIP-счет</div></td>
<td colspan="2"><div><input id="txt_sip_name" type="text" class="systext" value="" readonly></div></td>
</tr>
<tr>
<td><div class="syslabel">Пароль</div></td>
<td><div><input id="txt_sip_secret" class="systext" style="width:180px;" value="" readonly></div></td>
<td style="vertical-align:top;"><div><input id="btn_create_pass" type="button" class="inputbt" value="Новый"></div></td>
</tr>
</table>
<input id="txt_sip_id" type="hidden" value="" -->

<table>
<tr>
<td width="80px"><div class="syslabel">name</div></td>
<td width="120px"><div><input id="txt_sip_name" type="text" class="intext inputmw110" style="background:#ffffaa" value=""></div></td>
<td><!-- div style="float:left;">
<span id="btn_create_name" class="ui-state-default ui-corner-all" title="Свободный номер" style="margin:0px;width:18px; position:relative; cursor:pointer; float: left;">
<span class="ui-icon ui-icon-arrowrefresh-1-e" style="margin:0;float:left;"></span></span>
</div -->
<div id="sipaccount_exists" style="color:red"></div></td>
</tr>
<tr>
<td><div class="syslabel">username</div></td>
<td colspan="2"><div><input id="txt_sip_username" type="text" class="intext inputmw110" value=""></div></td>
</tr>
<tr>
<td><div class="syslabel">secret</div></td>
<td><div><input id="txt_sip_secret" type="text" class="intext inputmw110" style="background:#ffffaa" value=""></div></td>
<td width="100%" style="vertical-align:top;">
<span id="btn_create_pass" class="ui-state-default ui-corner-all" title="Новый пароль" style="margin:4px;width:18px; position:relative; cursor:pointer; float: left;">
<span class="ui-icon ui-icon-arrowrefresh-1-e" style="margin:0;float:left;"></span></span>
</td>
</tr>

<tr><td colspan=3>&nbsp;</td></tr>

</table>

<table>

<tr>
<td><div id="lbl_sip_template" class="syslabel">template</div></td>
<td colspan="2"><div>
	<select id="txt_sip_template" type="text" class="intext inputmw110" style="width: 300px;" value="" onchange="get_template_param()">
	</select>
</div></td>
</tr>


<tr>
<td><div class="syslabel">context</div></td>
<td colspan="2"><div><input id="txt_sip_context" type="text" class="intext inputmw110" value=""></div></td>
</tr>
<tr>
<td><div class="syslabel">type</div></td>
<td colspan="2"><div>
	<select id="txt_sip_type" type="text" class="intext inputmw110" value="">
	<option value="friend">friend</option>
	<option value="user">user</option>
	<option value="peer">peer</option>
	</select>
</div></td>
</tr>
<tr>
<td><div class="syslabel">host</div></td>
<td colspan="2">
	<div>
	<select id="txt_sip_host" style="width: 300px;" onchange="$('input[id=txt_sip_realhost]').val($('option:selected',this).text());">
	<option onclick="$(this).parent().change()" value="empty"></option>
	<option onclick="$(this).parent().change()" value="dynamic">dynamic</option>
	</select>
	<input id="txt_sip_realhost" style="margin-left: -303px; width: 280px; height: 1.2em; border: 0;" class="intext" />	
	</div>
</td>
</tr>
<tr>
<td><div class="syslabel">port</div></td>
<td colspan="2"><div><input id="txt_sip_port" type="text" class="intext inputmw110" value=""></div></td>
</tr>
<tr>
<td><div class="syslabel">nat</div></td>
<td colspan="2"><div>
	<select id="txt_sip_nat" type="text" class="intext inputmw110" value="">
	<option value="yes">yes</option>
	<option value="no">no</option>
	</select>
</div></td>
</tr>
<tr>
<td><div class="syslabel">comment</div></td>
<td colspan="2"><div><input id="txt_sip_comment" type="text" class="intext" style="width:100%" value=""></div></td>
</tr>

<tr>
<td><div class="syslabel">in-out</div></td>
<td colspan="2"><div>
	<select id="txt_sip_innersip" type="text" class="intext inputmw110" value="">
	<option value="1">внутренний</option>
	<option value="0">внешний</option>
	</select>
</div></td>
</tr>

</table>

<table style="width:100%;">
<tr>
<td width="10%">
<li class="ui-state-default ui-corner-all" title="дополнительные параметры" style="margin:10px;width:16px; position:relative; cursor:pointer; float: left;  list-style:none;"
onclick="getMoreParam()">
<span id="moreparam_button" class="ui-icon ui-icon-plus" style="margin:0;"></span></li>
</td>
<td><hr noshade color="#ddd" size="1px" /></td>
</tr>

<tr><td colspan=2>
<div id="moreparam_div" style="overflow-y:scroll;display:none;height:208px;border:solid 1px #ddd">
<table id="moreparam_tab">

<tr><td>accountcode</td><td><div><input id="txt_sip_accountcode" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>disallow</td><td><div><input id="txt_sip_disallow" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>allow</td><td><div><input id="txt_sip_allow" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>allowoverlap</td><td><div><input id="txt_sip_allowoverlap" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>allowsubscribe</td><td><div><input id="txt_sip_allowsubscribe" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>allowtransfer</td><td><div><input id="txt_sip_allowtransfer" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>amaflags</td><td><div><input id="txt_sip_amaflags" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>autoframing</td><td><div><input id="txt_sip_autoframing" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>auth</td><td><div><input id="txt_sip_auth" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>buggymwi</td><td><div><input id="txt_sip_buggymwi" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>callgroup</td><td><div><input id="txt_sip_callgroup" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>callerid</td><td><div><input id="txt_sip_callerid" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>cid_number</td><td><div><input id="txt_sip_cid_number" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>fullname</td><td><div><input id="txt_sip_fullname" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>calllimit</td><td><div><input id="txt_sip_calllimit" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>callingpres</td><td><div><input id="txt_sip_callingpres" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>canreinvite</td><td><div><input id="txt_sip_canreinvite" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>defaultip</td><td><div><input id="txt_sip_defaultip" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>dtmfmode</td><td><div><input id="txt_sip_dtmfmode" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>fromuser</td><td><div><input id="txt_sip_fromuser" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>fromdomain</td><td><div><input id="txt_sip_fromdomain" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>fullcontact</td><td><div><input id="txt_sip_fullcontact" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>g726nonstandard</td><td><div><input id="txt_sip_g726nonstandard" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>insecure</td><td><div><input id="txt_sip_insecure" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>ipaddr</td><td><div><input id="txt_sip_ipaddr" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>language</td><td><div><input id="txt_sip_language" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>lastms</td><td><div><input id="txt_sip_lastms" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>mailbox</td><td><div><input id="txt_sip_mailbox" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>maxcallbitrate</td><td><div><input id="txt_sip_maxcallbitrate" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>mohsuggest</td><td><div><input id="txt_sip_mohsuggest" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>md5secret</td><td><div><input id="txt_sip_md5secret" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>musiconhold</td><td><div><input id="txt_sip_musiconhold" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>outboundproxy</td><td><div><input id="txt_sip_outboundproxy" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>deny</td><td><div><input id="txt_sip_deny" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>permit</td><td><div><input id="txt_sip_permit" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>pickupgroup</td><td><div><input id="txt_sip_pickupgroup" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>progressinband</td><td><div><input id="txt_sip_progressinband" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>promiscredir</td><td><div><input id="txt_sip_promiscredir" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>qualify</td><td><div><input id="txt_sip_qualify" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>regexten</td><td><div><input id="txt_sip_regexten" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>regseconds</td><td><div><input id="txt_sip_regseconds" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>rfc2833compensate</td><td><div><input id="txt_sip_rfc2833compensate" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>rtptimeout</td><td><div><input id="txt_sip_rtptimeout" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>rtpholdtimeout</td><td><div><input id="txt_sip_rtpholdtimeout" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>sendrpid</td><td><div><input id="txt_sip_sendrpid" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>setvar</td><td><div><input id="txt_sip_setvar" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>subscribecontext</td><td><div><input id="txt_sip_subscribecontext" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>subscribemwi</td><td><div><input id="txt_sip_subscribemwi" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>t38pt_udptl</td><td><div><input id="txt_sip_t38pt_udptl" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>trustrpid</td><td><div><input id="txt_sip_trustrpid" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>useclientcode</td><td><div><input id="txt_sip_useclientcode" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>usereqphone</td><td><div><input id="txt_sip_usereqphone" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>videosupport</td><td><div><input id="txt_sip_videosupport" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>vmexten</td><td><div><input id="txt_sip_vmexten" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>busylevel</td><td><div><input id="txt_sip_busylevel" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>callcounter</td><td><div><input id="txt_sip_callcounter" type="text" class="intext inputm220" value=""></div></td></tr>
<tr><td>transport</td><td><div><input id="txt_sip_transport" type="text" class="intext inputm220" value=""></div></td></tr>


</table>
</div>
</td></tr>


</table>

</div>



<?php	
	
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->


<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>



<!-- html preparing -->
<?php

// баланс лицевого счета
function getBalanceHTML(){
	global $database_tar, $session;
	$res = $database_tar->getOfficeAccountInfo();
	$balance = $res[0]['summ'];
	$balance_cur = $res[0]['currencyname'];
	//var_dump($res);
	
$html = <<<EOS
<div style="clear:both; height:0;"></div>
<div class="syslabel" style="width:220px;">Баланс</div>
<div><input id="txt_balance" type="text" class="systext" value="$balance" style="width:220px;" readonly="readonly"></div>
<div class="syslabel">Валюта: $balance_cur</div>
EOS;

	return $html;
}

?>