<?php
require_once(dirname(__FILE__).'/include/constants.php');
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database, $form, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = "Пользователи";
$addheadcode = <<<EOS
<link rel="stylesheet" href="js/jquery11/jquery-ui.css">
<script src="js/jquery11/jquery-1.10.2.js"></script>
<script src="js/jquery11/jquery-ui.js"></script>

<script type="text/javascript" src="js/acc_users.js" charset="UTF-8"></script>

<link href="js/DataTables-1.10.3/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/DataTables-1.10.3/media/js/jquery.dataTables.js" charset="UTF-8"></script>

<link rel="stylesheet" href="./styles/w.css">

EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;

print(GetHTMLHeader($pagetitle, null, $addheadcode, $preheadcode));
print(GetPageTop());
?>


<!-- div><?php print(GetVOHeadMenu()); ?></div>
<div style="clear:both;">
<table class="pagecontent">
<tr>
<td class="content" -->

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">



<?php

if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	print(GetPageContentTitle($pagetitle));

?>

	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: -2px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color: #666;display:block;">
			Реестр пользователей виртуального офиса. Определяются основные параметры пользователя: логин, пароль, роль.
			Для задач, где необходима обратная связь, например, самостоятельная смена или восстановление пароля, фиксируется адрес электронной почты.
		</span>
	</div>



<div style="width:650px;">
<table id="res_dataset" class="display" width="400px" cellspacing="0">
        <thead>
            <tr>
                <th width="120px">Имя</th>
                <th width="140px">Роль</th>
                <th>e-mail</th>
                <th nowrap width="40px">&nbsp;</th>
            </tr>
        </thead>
</table>
</div>

<div id="tableInfo"></div>	

<div>
	<input id="btn_row_add" type="button" class="inputbt" value="Добавить" >
</div>







<div id="frm_dialog" title="SIP счет">
<input id="txt_user_id" type="hidden" value="">

<table>
<tr>
<td><div class="syslabel">Имя</div></td>
<td colspan="2"><div><input id="txt_user_name" type="text" class="intext inputmw110" value=""></div></td>
</tr>
<tr>
<td><div class="syslabel">Роль</div></td>
<td colspan="2">
	<select id="txt_role_name" type="text" class="intext inputmw220" value="">
	<!-- option value="friend">friend</option -->
	</select>
</td>
</tr>
<tr>
<td><div class="syslabel">e-mail</div></td>
<td colspan="2"><div><input id="txt_user_mail" type="text" class="intext inputmw110" value=""></div></td>
</tr>
<td><div class="syslabel">Пароль</div></td>
<td colspan="2"><div><input id="txt_user_password" type="password" class="intext inputmw110" value=""></div></td>
</tr>
<td><div class="syslabel">Подтвердите пароль</div></td>
<td colspan="2"><div><input id="txt_user_password_repeat" type="password" class="intext inputmw110" value=""></div></td>
</tr>

</table>
</div>
</td></tr>


</table>

</div>



<?php	
	
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->


<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>