<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');
require_once(dirname(__FILE__).'/include/database_tar.php');

global $session, $database, $database_dynmenu, $form, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Администрирование :: Офисы";

$preheadcode = <<<EOS
<script language="JavaScript" type="text/JavaScript" src="js/adm_offices.js"></script>
<!--[if IE]>
	<script type="text/javascript" src="js/jquery/jquery.bgiframe.js"></script>
<![endif]-->
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {
});
</script>
EOS;

print(GetHTMLHeader($pagetitle, null, $preheadcode));
print(GetPageTop());

//print(doMessageMonitoring());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in && $session->isAdmin()) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}
	
	print(GetPageContentTitle($pagetitle));
	//? >
	/*
	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32px" height="32px" style="margin: 6px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color: #666;display:block;">
			На этой странице настраиваются офисы системы.
			Для каждого офиса настраиваются параметры и пользователи.
		</span>
	</div>
	*/
	//< ?php
	$officelist = $database->getOfficeList();

	if (isset($session->edit_offices_show_id)) {
		$office_selected = $session->edit_offices_show_id === false ? false : intval($session->edit_offices_show_id);
		if ($office_selected < 0)
			$office_selected = null;
	} else
		$office_selected = null;
	function seld($item) {
		global $office_selected/*, $logger*/;
		return ($item['of_id'] == $office_selected);
	}
	if ($office_selected === null &&
		count($officelist) > 0 &&
		count(array_filter($officelist, 'seld')) == 0)
		$office_selected = $officelist[0]['of_id'];

	$logger->log("Showing office with id=".print_r($office_selected, true));

	$gen_officeuser_id = 0;
	$gen_office_id = 0;
	$script = "";

	echo GetJavaScriptCodeBlock($database->getOfficeList_htmlcode_ex($officelist));
	//$userrolelist = $database->getUserRoleList();
	//$userrolelist = $database->getOfficeRoleList($session->ofid);
	$userrolelist = $database->getOfficeRoleList($office_selected);
	echo GetJavaScriptCodeBlock($database->getUserRoleList_htmlcode_ex($userrolelist));

	$officerolelist = $database->getUserRoleList();
	//var_dump($officerolelist);
	//var_dump($database->getOfficeRoleList_htmlcode_ex($officerolelist));
	echo GetJavaScriptCodeBlock($database->getOfficeRoleList_htmlcode_ex($officerolelist));

	?>
	<form name="frmmain" id="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
	<input type="hidden" name="sub_edit_offices" id="sub_edit_offices" value="save">
	<input type="hidden" name="hidChangedUserIDHolder" id="hidChangedUserIDHolder" value="">
	<input type="hidden" name="hidChangedOfficeIDHolder" id="hidChangedOfficeIDHolder" value="">

	<input type="hidden" name="hidOfficeNumberCounterHolder" id="hidOfficeNumberCounterHolder" value=0>
	<input type="hidden" name="hidOfficeRoleCounterHolder" id="hidOfficeRoleCounterHolder" value=0>

	<div id="toolbarlike" class="toolbarlike">
		<span class="smb" style="color: #fff;">Выбор офиса</span>
		<select class="inputww" style="width:300px;" name="officeselector" id="officeselector"
			onkeypress="officesShowOffice(this);" onkeyup="officesShowOffice(this);" onchange="officesShowOffice(this);">
			<?php echo $database->getOfficeList_htmlcode($officelist, $office_selected) ?>
		</select>
		<span class="smb" style="color:#fff;margin-left:10px;">Поиск по телефону</span>
		<input class="inputww" style="width:90px;" name="officesearch" id="officesearch"
			onkeypress="return HandleOfficeSearchControlKeyPress(this, event)" value="<?php echo $form->value("officesearch") ?>">
		<a class="imglinkb" style="color:#fff;" onclick="officesSearchOffice()" title="Найти офис по номеру телефона">
			<img class="imglink" style="vertical-align:middle" src="images/icon_search.gif" width="16" height="16" alt="Найти офис по номеру телефона">
		</a>
	</div>
	<div id="toolbarsep" style="margin-top:20px;display:none;">
	</div>

	<?php
	if ($office_selected) {
	?>
		<?php
		$of = array_shift(array_filter($officelist, 'seld'));
		$ofbox = $database_tar->getOfficeBox($of['of_number']);
		$ofaccount = $database_tar->getOfficeUserInfo_Tar($of['of_number']);
		
		//var_dump($ofbox);
		
		$script .= sprintf("officesCreateOffice(\"%s\");",
			addslashes(htmlspecialchars($of['of_describer'])));
		$script .= sprintf("officesCreateOption('of_number', 'editex', '%s', " .
			"'Телефонный номер офиса');",
			$of['of_number']);
		$script .= sprintf("officesCreateOption('of_number_prefix', 'editex', '%s', " .
			"'Префикс к номеру офиса <span class=\"blue\">(используется для формирования АОН, когда не транслируется АОН входящего)</span>');",
			$of['of_number_prefix']);

			
		//office numbers
		$script .= sprintf("createRowNumberHeader();");
		
		$numbers = $database->getOfficeNumbers($office_selected);
		//echo var_dump($numbers);
		foreach ($numbers as $number) {
			//$gen_officeuser_id = max($gen_officeuser_id, $user['user_id']);

			$script .= sprintf("createRowOfficeNumber(%d, %d, '%s', '%s', %d, '%s');",
								$number['of_number_id'],
								$number['of_id'],
								addslashes(htmlspecialchars($number['of_number'])),
								addslashes(htmlspecialchars($number['of_number_prefix'])),
								$number['of_default_num'],
								'view');
		}

		//office roles
		$script .= sprintf("createRowRoleHeader();");
		$office_roles = $database->getOfficeRoleList($office_selected);
		//echo var_dump($office_roles);
		foreach ($office_roles as $row) {
			$script .= sprintf("createRowOfficeRole(%d, '%s', '%s');",
								$row['role_id'],
								addslashes(htmlspecialchars($row['role_name'])),
								'view');
		}



		//echo "<input type=\"hidden\" name=\"last_number_id\" id=\"last_number_id\">";
			
			
		
			
			
			
			
			
			
		//menu
		$menus = $database_dynmenu->getMenuList();
		$ofmenu = $of['of_menu_id'];
		function officemenuexists($item) {
			global $ofmenu;
			return ($item['menu_id'] == $ofmenu);
		}
		if (!is_numeric($ofmenu) || count(array_filter($menus, 'officemenuexists')) == 0)
			$ofmenu = -1;

		$script .= sprintf("officesCreateOption('of_menu', 'select', %d, " .
			"'Сценарий работы офиса', '%s');",
			$ofmenu, addslashes(htmlspecialchars($database_dynmenu->getMenuListAsOfficeOption($menus))));

		//$script .= sprintf("createRowNumberHeader();");

		//$script .= sprintf("officesCreateOption('of_autoanswer', 'checkbox', '%s', 'Не отвечать на вызов');", $of[of_autoanswer]);
		$script .= sprintf("officesCreateOption('of_autoanswer', 'checkbox', %d, 'Не отвечать на вызов');", $of[of_autoanswer]);

		if(isset($ofbox[0][freesize])) { $freesize = "'Ящик, Гб (свободно ".$ofbox[0][freesize].")'"; } else { $freesize = "'Ящик, Гб '"; }
		$script .= sprintf("officesCreateOption('maxsize', 'editbox', '%s', $freesize);", $ofbox[0][maxsize]);
		$script .= sprintf("officesCreateOption('boxloop', 'checkbox', %d, 'Циклическая перезапись ящика');", $ofbox[0][boxloop]);
		$script .= sprintf("officesCreateOption('sipcount', 'editbox', '%s', 'Максимальное кол-во SIP счетов');", $ofaccount[0][sipcount]);

		
		//users
		$users = $database->getUsersByOfficeID($office_selected);
		foreach ($users as $user) {
			$gen_officeuser_id = max($gen_officeuser_id, $user['user_id']);
			$script .= sprintf("officesCreateUser(%d, '%s', %d, '%s');",
								$user['user_id'],
								addslashes(htmlspecialchars($user['user_name'])),
								$user['user_role'],
								addslashes(htmlspecialchars($user['user_mail']))
								);
		}

		echo "<input type=\"hidden\" name=\"last_office_id\" id=\"last_office_id\" value=\"$gen_office_id\">";
		echo "<input type=\"hidden\" name=\"last_db_officeuser_id\" id=\"last_db_officeuser_id\" value=\"$gen_officeuser_id\">";
		echo "<input type=\"hidden\" name=\"last_officeuser_id\" id=\"last_officeuser_id\" value=\"$gen_officeuser_id\">";
	} else {
	}
	?>
	<!-- <div class="spacer"></div>
	<input class="inputbt" type="submit" name="btsubmit_main" id="btsubmit_main" value="Сохранить изменения"> -->

	<?php
	if (strlen($form->error("officesearch")) > 0) {
	?>
		<div class="enote sm" style="margin:10px 0 0 20px;"><?php echo $form->error("officesearch"); ?></div>
	<?php
	}
	?>

	<div class="spacer"></div>
	<div id="officecreate_btn" style="float:left;padding:2px;">
		<a class="linkbtn" style="margin:0 16px 0 16px;" href="#"
			title="Создать новый офис"
			onClick="officesShowOfficeCreate(1, true);return false;">Создать новый офис</a>
	</div>
	<div id="officecreate" style="clear:both;width:415px;padding:10px;display:none;background-color:#eee;">
		<table class="nb" cellspacing="4" cellpadding="0">
		<tr>
			<td>Телефонный номер офиса<em>*</em></td>
			<td><input class="inputm" type="text" name="officecreate_number" id="officecreate_number"
				maxlength="32" onkeypress="return HandleOfficeCreateControlKeyPress(this, event)"
				value="<?php echo $form->value("officecreate_number") ?>"></td>
		</tr>
		<tr>
			<td>Описание офиса</td>
			<td><input class="inputm240" type="text" name="officecreate_name" id="officecreate_name"
				maxlength="100" onkeypress="return HandleOfficeCreateControlKeyPress(this, event)"
				value="<?php echo $form->value("officecreate_name") ?>"></td>
		</tr>
		<tr <?php if (!$office_selected) echo 'style="display:none;"'; ?> >
			<td colspan="2">
				<label for="officecreate_clone" style="cursor:pointer;">
					<input style="float:left;" type="checkbox" name="officecreate_clone" id="officecreate_clone" onchange=""/>
					<span style="float:left;margin-top:2px;">Создать полную копию выбранного выше офиса</span>
				</label>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="right">
				<input class="inputbt" type="button" name="btsubmit_officecreate" value="Создать" onClick="officesCreateOffice_Blank()">
			</td>
		</tr>
		</table>
		<div class="enote sm"><?php echo $form->error("officecreate"); ?></div>
	</div>

	<?php
	if (strlen($form->error("officecreate")) > 0) {
	?>
		<script type="text/javascript" language="javascript">
		<!--
			officesShowOfficeCreate(1, true);
		//-->
		</script>
	<?php
	}
	?>


	</form>
	<?php
	echo GetJavaScriptCodeBlock("gen_office_id=$gen_office_id");
	echo GetJavaScriptCodeBlock("gen_officeuser_id=$gen_officeuser_id");
	echo GetJavaScriptCodeBlock($script);

	if (
		isset($session->edit_offices_show_id) &&
		($session->edit_offices_show_id === false || $session->edit_offices_show_id === null)
		)
		unset($session->edit_offices_show_id);
	unset($session->edit_offices);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>


