<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');

global $session, $database, $form, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = "Администрирование :: Администраторы системы";

print(GetHTMLHeader($pagetitle, null, '<script language="JavaScript" type="text/JavaScript" src="js/adm_users.js"></script>'));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in && $session->isAdmin()) {
if (($session->logged_in)&&($session->checkUserRight('adm_users.php','A'))) {
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}

	print(GetPageContentTitle($pagetitle));
?>
	<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
	<input type="hidden" name="sub_edit_admusers" value="1">
	<input type="hidden" name="hidChangedUserIDHolder" id="hidChangedUserIDHolder" value="">

	<table class="nb" style="border-bottom:1px solid #ccc;" id="tb_admusers" cellspacing="0">
	<tr>
	<td width="200px" class="infoTableHeader">Имя (используется при авторизации)</td>
	<td width="80px" class="infoTableHeader">Пароль</td>
	<td width="80px" class="infoTableHeader">Подтверждение</td>
	<td width="16px" class="infoTableHeader">&nbsp;</td>
	</tr>
	</table>
	<?php
	$gen_admuser_id = 0;
	$script = "";
	$users = $database->getUsersByOfficeID(null);
	foreach ($users as $user) {
		$gen_admuser_id = max($gen_admuser_id, $user['user_id']);
		$script .= sprintf("admuserCreate(%d, '%s');",
							$user['user_id'],
							addslashes(htmlspecialchars($user['user_name'])));
	}
	?>
	<a class="imglinkbsm" onclick="admuserCreate()" title="Добавить администратора">
		<img class="imglink" style="vertical-align:middle" src="images/icon_add.gif" width="14px" height="13px" alt="Добавить администратора">
		&nbsp;Добавить администратора</a>
	<?php
	if (strlen($form->error("admuseredit")) > 0) {
	?>
		<div class="enote sm" style="margin:10px 0 0 20px;"><?php echo $form->error("admuseredit"); ?></div>
	<?php
	}
	?>

	<input type="hidden" name="last_db_admuser_id" id="last_db_admuser_id" value="<?php echo $gen_admuser_id ?>">
	<input type="hidden" name="last_admuser_id" id="last_admuser_id" value="<?php echo $gen_admuser_id ?>">
	<div class="spacer"></div>
	<input class="inputbt" type="submit" id="btsubmit_main" name="btsubmit_main" value="Сохранить изменения">
	</form>

	<?php
	echo GetJavaScriptCodeBlock("gen_admuser_id = $gen_admuser_id");
	echo GetJavaScriptCodeBlock($script);

	unset($session->edit_admusers);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>
