<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');

$pagetitle = "Восстановление пароля";

$addheadcode = <<<EOS
<script type="text/javascript" src="js/jquery/jquery-1.11.0.min.js"></script>
EOS;

print(GetHTMLHeader($pagetitle, null, $addheadcode));
?>

<div class="full_block" id="header_block"><?php print(GetPageTop()); ?></div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php print(GetPageContentTitle("Восстановление пароля")); ?>
<div id="main_block" style="width:98%;"  align="center">

<?php 
	//printf(GetVOForgotPassForm());
	
	if(isset($_REQUEST['prec'])) { 
		header("Location: ".VO_HOST."/request/request_service.php?request_service_name=doPasswordActive&pass=".$_REQUEST['prec']);
	}
	else {
		
?>


	<form name="mainform" action="forgotpass.php" method="post" onSubmit="return disableForm(this);">

	
	<div class="enter_block">
	<table id="login_block" style="width:220px;">
	<tr>
	<td colspan=2 class="infoLineParamNB blue">Новый пароль будет сгенерирован и отправлен на ваш электронный адрес<br><br><td>
	</tr>
	<tr>
		<td class="infoLineParamNB blue" style="width:40px;">Укажите ваш e-mail</td>
		<td align="right"><input type="text" class="inputm" name="user_mail" id="user_mail" value="" style="width:300px;"></td>
	</tr>

	<tr>
		<td align="right" colspan=2 style="padding-top:10px;"><input type="button" class="inputbt" onclick="doSubmit();" value="Получить пароль"></td>
	</tr>
	<tr>
		<td colspan=2><div class="err_mess" id='err_mess'></div></td>
	</tr>
	</table>
	</div>
	

	</form>

<?php 
}
?>


</div>

</td>
</tr>
</table>


<script type="text/javascript">

function doSubmit(){
	var user_mail = $('input[name=user_mail]').val();
	if(user_mail == '') {
		$('div[id=err_mess]').html('Необходимо указать адрес электронной почты!');
		return;
	}
	
	$.ajax({
		type: 'POST',
		async: false,
		url: './request/request_service.php',
		timeout: 10000,
		data: ({
			request_service_name: 'doPasswordRecovery',
			user_mail: user_mail
		}),
		dataType: 'json',
		success: function (data) {
			if(data.ok == 'error') {
				$('div[id=err_mess]').html(data.err);
				return false;
			} else {
				$('div[id=err_mess]').html('Новый пароль отправлен на указанный адрес электронной почты. Для его активации необходимо перейти по ссылке, содержащейся в письме.');
			}

			
		},
		error: function (data) {alert('ошибка восстановления пароля');}
	});

	
}

</script>

