<?php

define("CHANGELOG_LEVEL_BASE", 1000);


define("CHANGELOG_LEVEL_MENUS", CHANGELOG_LEVEL_BASE + 1);

define("CL_MENUS_MENUBLANK", 	CHANGELOG_LEVEL_MENUS +  0);
define("CL_MENUS_MENUCLONE", 	CHANGELOG_LEVEL_MENUS +  1);
define("CL_MENUS_MENUCHANGE", 	CHANGELOG_LEVEL_MENUS +  2);
define("CL_MENUS_MENUDELETE", 	CHANGELOG_LEVEL_MENUS +  3);

define("CL_MENUS_ITEMNEW", 		CHANGELOG_LEVEL_MENUS +  4);
define("CL_MENUS_ITEMCHANGE", 	CHANGELOG_LEVEL_MENUS +  5);
define("CL_MENUS_ITEMSETSTART", CHANGELOG_LEVEL_MENUS +  6);
define("CL_MENUS_ITEMDELETE", 	CHANGELOG_LEVEL_MENUS +  7);

define("CL_MENUS_CONNNEW", 		CHANGELOG_LEVEL_MENUS +  8);
define("CL_MENUS_CONNCHANGE", 	CHANGELOG_LEVEL_MENUS +  9);
define("CL_MENUS_CONNDELETE", 	CHANGELOG_LEVEL_MENUS + 10);

define("CL_MENUS_MENUINSERT", 	CHANGELOG_LEVEL_MENUS + 11);
define("CL_MENUS_MENURENAME", 	CHANGELOG_LEVEL_MENUS + 12);

define("CHANGELOG_LEVEL_OFFICE", 2*CHANGELOG_LEVEL_BASE + 1);

define("CL_OF_DAYGROUP_NEW",	CHANGELOG_LEVEL_OFFICE +  0);
define("CL_OF_DAYGROUP_CHANGE",	CHANGELOG_LEVEL_OFFICE +  1);
define("CL_OF_DAYGROUP_DELETE",	CHANGELOG_LEVEL_OFFICE +  2);

define("CL_OF_INTNUMBER_NEW",	CHANGELOG_LEVEL_OFFICE +  3);
define("CL_OF_INTNUMBER_CHANGE",CHANGELOG_LEVEL_OFFICE +  4);
define("CL_OF_INTNUMBER_DELETE",CHANGELOG_LEVEL_OFFICE +  5);

define("CL_OF_EXTNUMBER_NEW",	CHANGELOG_LEVEL_OFFICE +  6);
define("CL_OF_EXTNUMBER_CHANGE",CHANGELOG_LEVEL_OFFICE +  7);
define("CL_OF_EXTNUMBER_DELETE",CHANGELOG_LEVEL_OFFICE +  8);

define("CL_OF_MENU_ASSIGN",     CHANGELOG_LEVEL_OFFICE +  9);

define("CL_OF_FILE_UPLOAD",     CHANGELOG_LEVEL_OFFICE +  10);
define("CL_OF_FILE_DELETEFS",   CHANGELOG_LEVEL_OFFICE +  11);
define("CL_OF_FILE_DELETETAR",  CHANGELOG_LEVEL_OFFICE +  12);

define("CL_OF_DIALS_NEW",       CHANGELOG_LEVEL_OFFICE +  13);
define("CL_OF_DIALS_CHANGE",    CHANGELOG_LEVEL_OFFICE +  14);
define("CL_OF_DIALS_DELETE",    CHANGELOG_LEVEL_OFFICE +  15);


define("CHANGELOG_LEVEL_UAC", 3*CHANGELOG_LEVEL_BASE + 1);

define("CL_OF_UAC_LOGIN",	    CHANGELOG_LEVEL_UAC +  0);
define("CL_OF_UAC_LOGOUT",	    CHANGELOG_LEVEL_UAC +  1);
define("CL_OF_UAC_LOGIN_FAIL",	CHANGELOG_LEVEL_UAC +  2);

$GLOBALS['_CL_changelog_level_description'] = array(
	CL_MENUS_MENUBLANK => 'Сценарий : Новый',
	CL_MENUS_MENUCLONE => 'Сценарий : Клон',
	CL_MENUS_MENUCHANGE => 'Сценарий : Изменение',
	CL_MENUS_MENUDELETE => 'Сценарий : Удаление',

	CL_MENUS_ITEMNEW => 'Элемент : Новый',
	CL_MENUS_ITEMCHANGE => 'Элемент : Изменение',
	CL_MENUS_ITEMSETSTART => 'Элемент : Cтарт',
	CL_MENUS_ITEMDELETE => 'Элемент : Удаление',

	CL_MENUS_CONNNEW => 'Переход : Новый',
	CL_MENUS_CONNCHANGE => 'Переход : Изменение',
	CL_MENUS_CONNDELETE => 'Переход : Удаление',

	CL_OF_DAYGROUP_NEW => 'Группа дней : Новый',
	CL_OF_DAYGROUP_CHANGE => 'Группа дней : Изменение',
	CL_OF_DAYGROUP_DELETE => 'Группа дней : Удаление',

	CL_OF_INTNUMBER_NEW => 'Внутренний номер : Новый',
	CL_OF_INTNUMBER_CHANGE => 'Внутренний номер : Изменение',
	CL_OF_INTNUMBER_DELETE => 'Внутренний номер : Удаление',

	CL_OF_EXTNUMBER_NEW => 'Внешний номер : Новый',
	CL_OF_EXTNUMBER_CHANGE => 'Внешний номер : Изменение',
	CL_OF_EXTNUMBER_DELETE => 'Внешний номер : Удаление',

	CL_OF_MENU_ASSIGN => 'Сценарий работы : Присвоение',

	CL_OF_FILE_UPLOAD => 'Файл : Загрузка',
	CL_OF_FILE_DELETEFS => 'Файл : Удаление из хранилища',
	CL_OF_FILE_DELETETAR => 'Файл : Удаление из биллинга',

	CL_OF_DIALS_NEW => 'Список дозвона : Новый',
	CL_OF_DIALS_CHANGE => 'Список дозвона : Изменение',
	CL_OF_DIALS_DELETE => 'Список дозвона : Удаление',

	CL_OF_UAC_LOGIN => 'Пользователь : Вход',
	CL_OF_UAC_LOGOUT => 'Пользователь : Выход',
	CL_OF_UAC_LOGIN_FAIL => 'Пользователь : Неуспешный вход'
);

function ChangelogLevelToText($level) {
	if (isset($GLOBALS['_CL_changelog_level_description'][$level]))
		return $GLOBALS['_CL_changelog_level_description'][$level];
	else
		return $level;
}

?>
