<?php

define("TMS_STATUS_READY_FOR_DIAL", 0);
define("TMS_STATUS_WAIT_FOR_DIAL", 1);
define("TMS_STATUS_DIALING", 2);
define("TMS_STATUS_DIAL_PAUSE", 3);
define("TMS_STATUS_TECH_BLOCK", 4);
define("TMS_STATUS_COMPLETE", 100);
define("TMS_STATUS_STOP_DIAL_LIMIT", 101);
define("TMS_STATUS_STOP_BLOCKING", 102);

$GLOBALS['_TM_task_status_description'] = array(
	TMS_STATUS_READY_FOR_DIAL => 'Ожидание начала выполнения',
	TMS_STATUS_WAIT_FOR_DIAL => 'Ожидание набора номера',
	TMS_STATUS_DIALING => 'Набор номера',
	TMS_STATUS_DIAL_PAUSE => 'Пауза перед очередной попыткой набора номера',
	TMS_STATUS_TECH_BLOCK => 'Системная ошибка при дозвоне',
	TMS_STATUS_COMPLETE => 'Дозвон успешно завершен',
	TMS_STATUS_STOP_DIAL_LIMIT => 'Достигнут лимит попыток дозвона',
	TMS_STATUS_STOP_BLOCKING => 'Задача отмечена администратором как завершенная'
);

function tm_task_status_str($status) {
	if (isset($GLOBALS['_TM_task_status_description'][$status]))
		return $GLOBALS['_TM_task_status_description'][$status];
	elseif (is_numeric($status))
		return "Неизвестное состояние ($status)";
    else
	    return '';
}

define("TMD_STATUS_ANSWER", 0);
define("TMD_STATUS_AUTH_FAIL", -7);
define("TMD_STATUS_NO_EVENT", -1);
define("TMD_STATUS_NO_LINE", -2);
define("TMD_STATUS_SERV_FAIL", -8);
define("TMD_STATUS_SYS_TERM", -3);

$GLOBALS['_TM_dial_status_description'] = array(
	TMD_STATUS_ANSWER => 'Вызываемая сторона ответила',
	TMD_STATUS_AUTH_FAIL => 'Ошибка авторизации по указанным параметрам',
	TMD_STATUS_NO_EVENT => 'no event',
	TMD_STATUS_NO_LINE => 'Нет свободных линий для дозвона',
	TMD_STATUS_SERV_FAIL => 'Ошибка создания услуги',
	TMD_STATUS_SYS_TERM => 'Вызов прерван системой'
);

function tm_dial_status_str($status) {
	if (isset($GLOBALS['_TM_dial_status_description'][$status]))
		return $GLOBALS['_TM_dial_status_description'][$status];
	elseif (is_numeric($status))
		return "Неизвестное состояние ($status)";
    else
	    return '';
}

?>
