
// таблица sip счетов ------------------------------------------------------------
$(document).ready( function () {

    oDataTable1 = $('#sip_list').dataTable( {
		processing: true,
		serverSide: false,
		
		scrollY: 400,
		paging: false,
		lengthChange: false,
		searching: false,
		info: true,
		sort: true,
		
		draw: 1,
		length: 100,
		start: 0,
		//filter: true,
		
		language: {
			//info: "стр. _PAGE_/_PAGES_ записи _START_-_END_/_TOTAL_"
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'user_sipaccount_def',
				first: 10,
				skip: 0
			})
		},

		columns: [
		{ data: "0" },
		{ data: "1" },
		{ data: "2" },
		{ data: "3" },
		{ data: "4" },
		{ data: "5" },
		{ data: "6" }
		]
    } );

} );


// форма параметров sip счета -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_sip_add]').click(function(){
			frm_sip_account_default();
			frm_open_sip_dialog('add');
	});
	

	$('span[id=btn_create_pass]').click(function(){
		var numpass = frm_sip_account_password();
		$('input[id=txt_sip_secret]').val(numpass[0]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
	});

	/*$('select[id=txt_sip_host]').change(function(){
		var hostval = $('select[id=txt_sip_host]').val();
		if(hostval == 'dynamic'){
			$('input[id=txt_sip_realhost]').css('display','none');
			$('input[id=txt_sip_realhost]').val('');
		} else {
			$('input[id=txt_sip_realhost]').css('display','');
			$('input[id=txt_sip_realhost]').focus();
		}
	});

	$('input[id=txt_sip_name]').keyup(function(e){
        var key = e.charCode || e.keyCode || 0;
		var sipname = $('input[id=txt_sip_name]').val();
		$('input[id=txt_sip_username]').val(sipname);
    });*/
	
	/*$('input[id=txt_sip_name]').keydown(function(e){ 
		var allowchar = [48,49,50,51,52,53,54,55,56,57, 27,37,39,35,36,46,8];
		if(allowchar.indexOf(e.which) < 0){ return false; }
	} );*/

	$('input[id=txt_sip_name]').keyup(function(e){ 
		sipaccount = $('input[id=txt_sip_name]').val();
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_exists',
			sipaccount: sipaccount
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			if(data.sipaccount == 1) { 
				$('div[id=sipaccount_exists]').html('номер занят');
			} else {
				$('div[id=sipaccount_exists]').html('');
			}
		}
		});
	} );

	
	$('input[id=txt_sip_secret]').keypress(function (e) {
		if(e.ctrlKey) { if(e.which != 99) return false; }
		else return false;
	});

//$('#moreparam_tab tr>td:first-child').css('text-align','right').css('padding-right','10px');
$('td:eq(0)','#moreparam_tab tr').css('text-align','right').css('padding-right','10px');

	
});

$(function() {
	$( "#frm_sip_account" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:560,
		title: "SIP счет",
		buttons:{ "OK":function(){frm_sip_account_save();} ,"Отмена":function(){frm_close_sip_dialog();} },
		resizable:false
	});
	$( "#frm_sip_account" ).attr('mode',''); 
});	

// открыть форму добавления сип-счета ( mode = 'add' | 'edt' )
function frm_open_sip_dialog(mode){
	$("#frm_sip_account").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_sip_account").dialog('option', 'title', 'Создание шаблона SIP счета'); 
		var numpass = frm_sip_account_password();
		$('input[id=txt_sip_name]').val('');
		$('input[id=txt_sip_secret]').val(numpass[0]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
	}
	if( mode == 'edt') { $("#frm_sip_account").dialog('option', 'title', 'Редактирование шаблона SIP счета'); 
		//$("input[id=txt_sip_secret]").attr('type','password');
		//$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('disable');
	}
	$('div[id=sipaccount_exists]').html('');
	$("#frm_sip_account").dialog('open');
}
// закрыть форму добавления сип-счета
function frm_close_sip_dialog(){
	$("#frm_sip_account").dialog('close');
	frm_sip_account_clear();
}
// обнуление параметров формы добавления сип-счета
function frm_sip_account_clear(){
	//$('div[id=frm_sip_account] input').val('');
	$('div[id=frm_sip_account] input[id]:not([id=btn_create_pass])').val('');
}


// сохранение параметров сип-счета
function frm_sip_account_save(){

//	NAME = $('input[id=txt_sip_name]').val();
	DEFNAME = $('input[id=txt_sip_defname]').val();
//	USERNAME = $('input[id=txt_sip_username]').val();
//	SECRET = $('input[id=txt_sip_secret]').val();
	CONTEXT = $('input[id=txt_sip_context]').val();
	PTYPE = $('select[id=txt_sip_type]').val();
	HOST = $('input[id=txt_sip_realhost]').val();
	PORT = $('input[id=txt_sip_port]').val();
	NAT = $('select[id=txt_sip_nat]').val();
	COMMENT = $('input[id=txt_sip_comment]').val();
	
//	sip_id = $('input[id=txt_sip_id]').val();
	def_id = $('input[id=txt_sip_id]').val();
	//alert(def_id);

	accountcode = $('input[id=txt_sip_accountcode]').val();
	disallow = $('input[id=txt_sip_disallow]').val();
	allow = $('input[id=txt_sip_allow]').val();
	allowoverlap = $('input[id=txt_sip_allowoverlap]').val();
	allowsubscribe = $('input[id=txt_sip_allowsubscribe]').val();
	allowtransfer = $('input[id=txt_sip_allowtransfer]').val();
	amaflags = $('input[id=txt_sip_amaflags]').val();
	autoframing = $('input[id=txt_sip_autoframing]').val();
	auth = $('input[id=txt_sip_auth]').val();
	buggymwi = $('input[id=txt_sip_buggymwi]').val();
	callgroup = $('input[id=txt_sip_callgroup]').val();
	callerid = $('input[id=txt_sip_callerid]').val();
	cid_number = $('input[id=txt_sip_cid_number]').val();
	fullname = $('input[id=txt_sip_fullname]').val();
	calllimit = $('input[id=txt_sip_calllimit]').val();
	callingpres = $('input[id=txt_sip_callingpres]').val();
	canreinvite = $('input[id=txt_sip_canreinvite]').val();
	defaultip = $('input[id=txt_sip_defaultip]').val();
	dtmfmode = $('input[id=txt_sip_dtmfmode]').val();
	fromuser = $('input[id=txt_sip_fromuser]').val();
	fromdomain = $('input[id=txt_sip_fromdomain]').val();
	fullcontact = $('input[id=txt_sip_fullcontact]').val();
	g726nonstandard = $('input[id=txt_sip_g726nonstandard]').val();
	insecure = $('input[id=txt_sip_insecure]').val();
	ipaddr = $('input[id=txt_sip_ipaddr]').val();
	language = $('input[id=txt_sip_language]').val();
	lastms = $('input[id=txt_sip_lastms]').val();
	mailbox = $('input[id=txt_sip_mailbox]').val();
	maxcallbitrate = $('input[id=txt_sip_maxcallbitrate]').val();
	mohsuggest = $('input[id=txt_sip_mohsuggest]').val();
	md5secret = $('input[id=txt_sip_md5secret]').val();
	musiconhold = $('input[id=txt_sip_musiconhold]').val();
	outboundproxy = $('input[id=txt_sip_outboundproxy]').val();
	deny = $('input[id=txt_sip_deny]').val();
	permit = $('input[id=txt_sip_permit]').val();
	pickupgroup = $('input[id=txt_sip_pickupgroup]').val();
	progressinband = $('input[id=txt_sip_progressinband]').val();
	promiscredir = $('input[id=txt_sip_promiscredir]').val();
	qualify = $('input[id=txt_sip_qualify]').val();
	regexten = $('input[id=txt_sip_regexten]').val();
	regseconds = $('input[id=txt_sip_regseconds]').val();
	rfc2833compensate = $('input[id=txt_sip_rfc2833compensate]').val();
	rtptimeout = $('input[id=txt_sip_rtptimeout]').val();
	rtpholdtimeout = $('input[id=txt_sip_rtpholdtimeout]').val();
	sendrpid = $('input[id=txt_sip_sendrpid]').val();
	setvar = $('input[id=txt_sip_setvar]').val();
	subscribecontext = $('input[id=txt_sip_subscribecontext]').val();
	subscribemwi = $('input[id=txt_sip_subscribemwi]').val();
	t38pt_udptl = $('input[id=txt_sip_t38pt_udptl]').val();
	trustrpid = $('input[id=txt_sip_trustrpid]').val();
	useclientcode = $('input[id=txt_sip_useclientcode]').val();
	usereqphone = $('input[id=txt_sip_usereqphone]').val();
	videosupport = $('input[id=txt_sip_videosupport]').val();
	vmexten = $('input[id=txt_sip_vmexten]').val();
	busylevel = $('input[id=txt_sip_busylevel]').val();
	callcounter = $('input[id=txt_sip_callcounter]').val();
	transport = $('input[id=txt_sip_transport]').val();
	
	var save_mode = $("#frm_sip_account").attr('mode');
	
	// добавление нового сип-счета
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_add_def',
			DEFNAME: DEFNAME,
			//NAME: NAME,
			//USERNAME: USERNAME,
			//SECRET: SECRET,
			CONTEXT: CONTEXT,
			PTYPE: PTYPE,
			HOST: HOST,
			PORT: PORT,
			NAT: NAT,
			COMMENT: COMMENT,
	accountcode: accountcode,
	disallow: disallow,
	allow: allow,
	allowoverlap: allowoverlap,
	allowsubscribe: allowsubscribe,
	allowtransfer: allowtransfer,
	amaflags: amaflags,
	autoframing: autoframing,
	auth: auth,
	buggymwi: buggymwi,
	callgroup: callgroup,
	callerid: callerid,
	cid_number: cid_number,
	fullname: fullname,
	calllimit: calllimit,
	callingpres: callingpres,
	canreinvite: canreinvite,
	defaultip: defaultip,
	dtmfmode: dtmfmode,
	fromuser: fromuser,
	fromdomain: fromdomain,
	fullcontact: fullcontact,
	g726nonstandard: g726nonstandard,
	insecure: insecure,
	ipaddr: ipaddr,
	language: language,
	lastms: lastms,
	mailbox: mailbox,
	maxcallbitrate: maxcallbitrate,
	mohsuggest: mohsuggest,
	md5secret: md5secret,
	musiconhold: musiconhold,
	outboundproxy: outboundproxy,
	deny: deny,
	permit: permit,
	pickupgroup: pickupgroup,
	progressinband: progressinband,
	promiscredir: promiscredir,
	qualify: qualify,
	regexten: regexten,
	regseconds: regseconds,
	rfc2833compensate: rfc2833compensate,
	rtptimeout: rtptimeout,
	rtpholdtimeout: rtpholdtimeout,
	sendrpid: sendrpid,
	setvar: setvar,
	subscribecontext: subscribecontext,
	subscribemwi: subscribemwi,
	t38pt_udptl: t38pt_udptl,
	trustrpid: trustrpid,
	useclientcode: useclientcode,
	usereqphone: usereqphone,
	videosupport: videosupport,
	vmexten: vmexten,
	busylevel: busylevel,
	callcounter: callcounter,
	transport: transport
			
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip account is not created');
		}
		
		});
	}
	// редактирование сип-счета
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_edt_def',
			DEF_ID: def_id,
			DEFNAME: DEFNAME,
			//NAME: NAME,
			//USERNAME: USERNAME,
			//SECRET: SECRET,
			CONTEXT: CONTEXT,
			PTYPE: PTYPE,
			HOST: HOST,
			PORT: PORT,
			NAT: NAT,
			COMMENT: COMMENT,
	accountcode: accountcode,
	disallow: disallow,
	allow: allow,
	allowoverlap: allowoverlap,
	allowsubscribe: allowsubscribe,
	allowtransfer: allowtransfer,
	amaflags: amaflags,
	autoframing: autoframing,
	auth: auth,
	buggymwi: buggymwi,
	callgroup: callgroup,
	callerid: callerid,
	cid_number: cid_number,
	fullname: fullname,
	calllimit: calllimit,
	callingpres: callingpres,
	canreinvite: canreinvite,
	defaultip: defaultip,
	dtmfmode: dtmfmode,
	fromuser: fromuser,
	fromdomain: fromdomain,
	fullcontact: fullcontact,
	g726nonstandard: g726nonstandard,
	insecure: insecure,
	ipaddr: ipaddr,
	language: language,
	lastms: lastms,
	mailbox: mailbox,
	maxcallbitrate: maxcallbitrate,
	mohsuggest: mohsuggest,
	md5secret: md5secret,
	musiconhold: musiconhold,
	outboundproxy: outboundproxy,
	deny: deny,
	permit: permit,
	pickupgroup: pickupgroup,
	progressinband: progressinband,
	promiscredir: promiscredir,
	qualify: qualify,
	regexten: regexten,
	regseconds: regseconds,
	rfc2833compensate: rfc2833compensate,
	rtptimeout: rtptimeout,
	rtpholdtimeout: rtpholdtimeout,
	sendrpid: sendrpid,
	setvar: setvar,
	subscribecontext: subscribecontext,
	subscribemwi: subscribemwi,
	t38pt_udptl: t38pt_udptl,
	trustrpid: trustrpid,
	useclientcode: useclientcode,
	usereqphone: usereqphone,
	videosupport: videosupport,
	vmexten: vmexten,
	busylevel: busylevel,
	callcounter: callcounter,
	transport: transport

	}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: edit sip account');
		}
		
		});
	}
	
}

// удаление сип-счета
function frm_sip_account_del(def_id){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_del_def',
			def_id: def_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip isn\'t deleted');
		}
		
	});
}

// параметры редактируемого сип-счета, разделитель "|" 
// названия и порядок параметров - файл process.php, процедура proc_user_sipaccount() 
function frm_sip_account_edt(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	var offset = 2;
	$('input[id=txt_sip_defname]').val(sip_param[1]);
	//$('input[id=txt_sip_username]').val(sip_param[3]);
	//$('input[id=txt_sip_secret]').val(sip_param[4]);
	//$('input[id=txt_sip_secret]').val(numpass[1]);
	$('input[id=txt_sip_context]').val(sip_param[5]);
	
//	$("select[id=txt_sip_type]>option[value='"+sip_param[8]+"']").attr("selected", "selected");
	$('select[id=txt_sip_type]').val(sip_param[8]).change();
	$('input[id=txt_sip_realhost]').val(sip_param[6]);
	$('input[id=txt_sip_port]').val(sip_param[7]);
//	$("select[id=txt_sip_nat]>option[value='"+sip_param[9]+"']").attr("selected", "selected");
	$('select[id=txt_sip_nat]').val(sip_param[9]).change();
	$('input[id=txt_sip_comment]').val(sip_param[11-offset]);

	$('input[id=txt_sip_id]').val(sip_param[0]);
	
	$('input[id=txt_sip_accountcode]').val(sip_param[12-offset]);
	$('input[id=txt_sip_disallow]').val(sip_param[13-offset]);
	$('input[id=txt_sip_allow]').val(sip_param[14-offset]);
	$('input[id=txt_sip_allowoverlap]').val(sip_param[15-offset]);
	$('input[id=txt_sip_allowsubscribe]').val(sip_param[16-offset]);
	$('input[id=txt_sip_allowtransfer]').val(sip_param[17-offset]);
	$('input[id=txt_sip_amaflags]').val(sip_param[18-offset]);
	$('input[id=txt_sip_autoframing]').val(sip_param[19-offset]);
	$('input[id=txt_sip_auth]').val(sip_param[20-offset]);
	$('input[id=txt_sip_buggymwi]').val(sip_param[21-offset]);
	$('input[id=txt_sip_callgroup]').val(sip_param[22-offset]);
	$('input[id=txt_sip_callerid]').val(sip_param[23-offset]);
	$('input[id=txt_sip_cid_number]').val(sip_param[24-offset]);
	$('input[id=txt_sip_fullname]').val(sip_param[25-offset]);
	$('input[id=txt_sip_calllimit]').val(sip_param[26-offset]);
	$('input[id=txt_sip_callingpres]').val(sip_param[27-offset]);
	$('input[id=txt_sip_canreinvite]').val(sip_param[28-offset]);
	$('input[id=txt_sip_defaultip]').val(sip_param[29-offset]);
	$('input[id=txt_sip_dtmfmode]').val(sip_param[30-offset]);
	$('input[id=txt_sip_fromuser]').val(sip_param[31-offset]);
	$('input[id=txt_sip_fromdomain]').val(sip_param[32-offset]);
	$('input[id=txt_sip_fullcontact]').val(sip_param[33-offset]);
	$('input[id=txt_sip_g726nonstandard]').val(sip_param[34-offset]);
	$('input[id=txt_sip_insecure]').val(sip_param[35-offset]);
	$('input[id=txt_sip_ipaddr]').val(sip_param[36-offset]);
	$('input[id=txt_sip_language]').val(sip_param[37-offset]);
	$('input[id=txt_sip_lastms]').val(sip_param[38-offset]);
	$('input[id=txt_sip_mailbox]').val(sip_param[39-offset]);
	$('input[id=txt_sip_maxcallbitrate]').val(sip_param[40-offset]);
	$('input[id=txt_sip_mohsuggest]').val(sip_param[41-offset]);
	$('input[id=txt_sip_md5secret]').val(sip_param[42-offset]);
	$('input[id=txt_sip_musiconhold]').val(sip_param[43-offset]);
	$('input[id=txt_sip_outboundproxy]').val(sip_param[44-offset]);
	$('input[id=txt_sip_deny]').val(sip_param[45-offset]);
	$('input[id=txt_sip_permit]').val(sip_param[46-offset]);
	$('input[id=txt_sip_pickupgroup]').val(sip_param[47-offset]);
	$('input[id=txt_sip_progressinband]').val(sip_param[48-offset]);
	$('input[id=txt_sip_promiscredir]').val(sip_param[49-offset]);
	$('input[id=txt_sip_qualify]').val(sip_param[50-offset]);
	$('input[id=txt_sip_regexten]').val(sip_param[51-offset]);
	$('input[id=txt_sip_regseconds]').val(sip_param[52-offset]);
	$('input[id=txt_sip_rfc2833compensate]').val(sip_param[53-offset]);
	$('input[id=txt_sip_rtptimeout]').val(sip_param[54-offset]);
	$('input[id=txt_sip_rtpholdtimeout]').val(sip_param[55-offset]);
	$('input[id=txt_sip_sendrpid]').val(sip_param[56-offset]);
	$('input[id=txt_sip_setvar]').val(sip_param[57-offset]);
	$('input[id=txt_sip_subscribecontext]').val(sip_param[58-offset]);
	$('input[id=txt_sip_subscribemwi]').val(sip_param[59-offset]);
	$('input[id=txt_sip_t38pt_udptl]').val(sip_param[60-offset]);
	$('input[id=txt_sip_trustrpid]').val(sip_param[61-offset]);
	$('input[id=txt_sip_useclientcode]').val(sip_param[62-offset]);
	$('input[id=txt_sip_usereqphone]').val(sip_param[63-offset]);
	$('input[id=txt_sip_videosupport]').val(sip_param[64-offset]);
	$('input[id=txt_sip_vmexten]').val(sip_param[65-offset]);
	$('input[id=txt_sip_busylevel]').val(sip_param[66-offset]);
	$('input[id=txt_sip_callcounter]').val(sip_param[67-offset]);
	$('input[id=txt_sip_transport]').val(sip_param[68-offset]);
	

	frm_open_sip_dialog('edt');
}

// определение свободного номера для нового сип-счета
function frm_sip_account_freenumber(){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_freenumber'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.freenumber;
			numpass[1] = data.userpass;
		}
	});
	return numpass;
}

// формирование нового пароля сип-счета
function frm_sip_account_password(){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_password'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.userpass;
		}
	});
	return numpass;
}

// активация/деактивация sip счета
function frm_sip_account_act(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	var SIP_ID = sip_param[2];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_act',
			SIP_ID: SIP_ID
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		}
	});
}

// проверка ограничения на максимальное кол-во сип счетов
function check_sipcount(){
	var sipcount_key = 0;
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'check_sipcount'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			sipcount_key = data.sipcount;
		}
	});
	return sipcount_key;
}


// активный пункт меню странички
$(document).ready( function () {
	$('.widget_nav_menu li a, .widget_nav_menu a').each(function () {
		var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		var result = location.match(link);   // результат возвращает объект если совпадение найдено и null при обратном
		if(result != null) { $(this).addClass("widget_nav_menu_active"); }
	});
});


// параметры сип-счета по-умолчанию
function frm_sip_account_default(){
	$('input[id=txt_sip_defname]').val();
//	$('input[id=txt_sip_name]').val();
//	$('input[id=txt_sip_username]').val();
//	$('input[id=txt_sip_secret]').val();
	$('input[id=txt_sip_context]').val();
	$('select[id=txt_sip_type]').val();
	$('input[id=txt_sip_realhost]').val();
	$('input[id=txt_sip_port]').val();
	$('select[id=txt_sip_nat]').val();
	$('input[id=txt_sip_comment]').val();
	$('input[id=txt_sip_id]').val();
	$('input[id=txt_sip_accountcode]').val();
	$('input[id=txt_sip_disallow]').val('all');
	$('input[id=txt_sip_allow]').val('g729;ilbc;gsm;ulaw;alaw');
	$('input[id=txt_sip_allowoverlap]').val('yes');
	$('input[id=txt_sip_allowsubscribe]').val('yes');
	$('input[id=txt_sip_allowtransfer]').val();
	$('input[id=txt_sip_amaflags]').val();
	$('input[id=txt_sip_autoframing]').val();
	$('input[id=txt_sip_auth]').val();
	$('input[id=txt_sip_buggymwi]').val('no');
	$('input[id=txt_sip_callgroup]').val();
	$('input[id=txt_sip_callerid]').val();
	$('input[id=txt_sip_cid_number]').val();
	$('input[id=txt_sip_fullname]').val();
	$('input[id=txt_sip_calllimit]').val(0);
	$('input[id=txt_sip_callingpres]').val();
	$('input[id=txt_sip_canreinvite]').val('yes');
	$('input[id=txt_sip_defaultip]').val();
	$('input[id=txt_sip_dtmfmode]').val();
	$('input[id=txt_sip_fromuser]').val();
	$('input[id=txt_sip_fromdomain]').val();
	$('input[id=txt_sip_fullcontact]').val();
	$('input[id=txt_sip_g726nonstandard]').val('no');
	$('input[id=txt_sip_insecure]').val();
	$('input[id=txt_sip_ipaddr]').val();
	$('input[id=txt_sip_language]').val();
	$('input[id=txt_sip_lastms]').val();
	$('input[id=txt_sip_mailbox]').val();
	$('input[id=txt_sip_maxcallbitrate]').val(384);
	$('input[id=txt_sip_mohsuggest]').val();
	$('input[id=txt_sip_md5secret]').val();
	$('input[id=txt_sip_musiconhold]').val();
	$('input[id=txt_sip_outboundproxy]').val();
	$('input[id=txt_sip_deny]').val();
	$('input[id=txt_sip_permit]').val();
	$('input[id=txt_sip_pickupgroup]').val();
	$('input[id=txt_sip_progressinband]').val('no');
	$('input[id=txt_sip_promiscredir]').val('no');
	$('input[id=txt_sip_qualify]').val();
	$('input[id=txt_sip_regexten]').val();
	$('input[id=txt_sip_regseconds]').val(0);
	$('input[id=txt_sip_rfc2833compensate]').val('no');
	$('input[id=txt_sip_rtptimeout]').val();
	$('input[id=txt_sip_rtpholdtimeout]').val();
	$('input[id=txt_sip_sendrpid]').val('yes');
	$('input[id=txt_sip_setvar]').val();
	$('input[id=txt_sip_subscribecontext]').val();
	$('input[id=txt_sip_subscribemwi]').val();
	$('input[id=txt_sip_t38pt_udptl]').val();
	$('input[id=txt_sip_trustrpid]').val('no');
	$('input[id=txt_sip_useclientcode]').val('no');
	$('input[id=txt_sip_usereqphone]').val('no');
	$('input[id=txt_sip_videosupport]').val('yes');
	$('input[id=txt_sip_vmexten]').val();
	$('input[id=txt_sip_busylevel]').val();
	$('input[id=txt_sip_callcounter]').val();
	$('input[id=txt_sip_transport]').val();
}
