var gen_admuser_id = 0;

function admuserCreate(id, name) {
	var dofocus = false;
	var pwd = "<unchanged>";
	if (id == null || (id < 0)) {
		id = ++gen_admuser_id;
		name = '';
		pwd = "";

		var tmp = document.getElementById("last_admuser_id");
		tmp.value = gen_admuser_id;

		dofocus = true;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_admusers");
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;

	//create table row
	var tr = document.createElement("tr");
	tr.id = 'admuser';

	var td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"user_name_"+id+"\" " +
		"id=\"user_name_"+id+"\" " +
		"onkeypress='admuserShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='admuserShowSaveControls();return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';admuserChange("+id+")\" " +
		"value=\""+name+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"password\" class=\"inputm\" style=\"width:100%;\" " +
		"name=\"user_pass_"+id+"\" " +
		"id=\"user_pass_"+id+"\" " +
		"onkeypress='admuserShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='admuserShowSaveControls();return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';admuserChange("+id+")\" " +
		"value=\""+pwd+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"password\" class=\"inputm\" style=\"width:100%;\" " +
		"name=\"user_pass2_"+id+"\" " +
		"id=\"user_pass2_"+id+"\" " +
		"onkeypress='admuserShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='admuserShowSaveControls();return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';admuserChange("+id+")\" " +
		"value=\""+pwd+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16px\" height=\"16px\" alt=\"Удалить запись\" title=\"Удалить запись\" " +
				"onclick=\"admuserDelete("+id+")\">\n";
	tr.appendChild(td);

	//tbody.appendChild(tr);
	tbody.insertBefore(tr, tbody.lastChild);

	//service calls
	if (dofocus) {
		admuserChange(id);

		tbody = document.getElementById("user_name_"+id);
		if (tbody.scrollWidth)
			tbody.focus();
	}

	return true;
}

function admuserShowSaveControls() {
	//show 'save changes' controls
	var obj = document.getElementById("savings");
	if (obj)
		obj.style.display = "";

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function admuserChange(id) {
	var obj_holder = document.getElementById("hidChangedUserIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	simulateDeletion(document.getElementById("user_name_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("user_pass_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("user_pass2_"+Math.abs(id)), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	admuserShowSaveControls();

	return true;
}

function admuserDelete(id) {
	admuserChange(-id);

	return true;
}
