var gen_dials_id = 0;
var gen_id = 0;
var om = 0;
var numberlist = new Array();
var graphlists = new Array();

var flat_mode = getCookie('flat_mode_dials', 0);

function setFlatMode(bFlat) {
	if (bFlat != undefined)
		flat_mode = bFlat == 1 ? 1 : 0;
	dialsShowDialList(document.getElementById('diallistselector'));
	document.getElementById('toolbarsep').style.display = flat_mode == 1 ? '' : 'none';
	setCookie('flat_mode_dials', flat_mode);
}

function toggleTableRow(senderid, rowid, livetoggle) {
	var row = document.getElementById(rowid);
	if (row) {
		if (livetoggle)
			row.style.display = row.style.display == 'none' ? '' : 'none';
		else {
			var cookVal = getCookie(rowid + '_on');
			row.style.display = cookVal == '1' ? '' : 'none';
		}

		var sender = document.getElementById(senderid);
		if (sender) {
			sender.title = row.style.display == 'none' ? 'Развернуть' : 'Свернуть';
			sender.innerHTML = row.style.display == 'none' ? 'Развернуть' : 'Свернуть';
		}
		sender = document.getElementById(senderid + '_img');
		if (sender) {
			sender.title = row.style.display == 'none' ? 'Развернуть' : 'Свернуть';
			sender.alt = row.style.display == 'none' ? 'Развернуть' : 'Свернуть';
			sender.src = row.style.display == 'none' ? 'images/icon_arrowright.gif' : 'images/icon_arrowdown.gif';
		}

		if (row.style.display == 'none')
			deleteCookie(rowid + '_on');
		else
			setCookie(rowid + '_on', row.style.display == 'none' ? '0' : '1');
	}
}

function getOptionsForSelectControl_DialsOption(op_data, op_selectedvalue) {
	var res = "";
	var slctd = false;
	var	arrData = op_data.split(',');

	var i = 0;
	while (i < arrData.length) {
		var opt = arrData[i].split('|');
		res += "<option value='" + opt[0] + "'";
		if (!slctd && (opt[0] == op_selectedvalue)) {
			res += " selected";
			slctd = true;
		}
		res += ">" + opt[1] + "</option>";

		i++;
	}

	return res;
}

function dialsDeleteDialList(dials_id) {
	dialsDialListChange(-dials_id);

	obj = document.getElementById("dialslist_cont_" + dials_id);
	if (obj)
		obj.style.display = 'none';

	var obj = document.getElementById("dials_name_" + dials_id);
	if (obj)
		obj.value = '';

	setCookie('last_dials', -1);
	dialsPopulateSelector();
	dialsShowDialList();

	return true;
}

function dialsCreateDialList(dials_id, dials_name) {
	var dofocus = false;
	if (!dials_id || (dials_id < 0)) {
		dials_id = ++gen_dials_id;
		dials_name = "Новый список";

		dofocus = true;
	}

	//get insertion point
	var ipoint = document.getElementById("last_dials_id");
	ipoint.value = gen_dials_id;

	//create table
	var table = document.createElement("table");
	table.id = "tb_dialslist_" + dials_id;
	//table.cellPadding = 0;
	table.cellSpacing = 0;
	table.className = "nb";
	//table.width = "560px";
	table.style.align = "center";
	table.style.marginLeft = "auto";
	table.style.marginRight = "auto";
	var tbody = document.createElement("tbody");

	//Название списка
	var tr = document.createElement("tr");
	tr.className = "th";

	var td = document.createElement("td");
	td.colSpan = "4";
	td.style.verticalAlign = "middle";
	//td.width = "740px";
	td.innerHTML =
				"Название списка&nbsp;&nbsp;&nbsp;&nbsp;<input class=\"inputww\" type=\"text\" " +
				"name=\"dials_name_"+dials_id+"\" " +
				"id=\"dials_name_"+dials_id+"\" " +
				"maxlength=\"150\" " +
				"value=\""+dials_name+"\" " +
				"onkeypress='dialsShowSaveControls("+dials_id+");dialsUpdateSelector("+dials_id+");return onEditControlKeyPress(this, event);' " +
				"onkeyup='dialsShowSaveControls("+dials_id+");dialsUpdateSelector("+dials_id+");return onEditControlKeyUp(this, event);' " +
				"onchange='dialsDialListChange("+dials_id+")'>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.style.verticalAlign = "middle";
	td.innerHTML =
		"<img class=\"imglink\" src=\"images/del2.png\" width=\"16\" height=\"16\" alt=\"Удалить список\" title=\"Удалить список\" " +
		"onclick=\"dialsDeleteDialList("+dials_id+")\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//Options holder caption
	tr = document.createElement("tr");
	tr.className = "th";
	td = document.createElement("td");
	td.colSpan = "3";
	td.innerHTML = "Параметры" +
				"<a class=\"imglink\" style=\"margin-left:10px;padding-right:4px;text-decoration:underline;\" " +
				"id=\"tb_dialslist_options_holder_toggle_"+dials_id+"\" " +
				"onclick=\"javascript:toggleTableRow('tb_dialslist_options_holder_toggle_"+dials_id+"', 'tb_dialslist_options_holder_"+dials_id+"', true)\" " +
				"title=\"Развернуть\">Развернуть</a>" +
				"<img class=\"imglink\" style=\"vertical-align:middle;\" " +
				"id=\"tb_dialslist_options_holder_toggle_"+dials_id+"_img\" " +
				"onclick=\"javascript:toggleTableRow('tb_dialslist_options_holder_toggle_"+dials_id+"', 'tb_dialslist_options_holder_"+dials_id+"', true)\" " +
				"src=\"images/icon_arrowright.gif\" width=\"7\" height=\"7\" alt=\"Развернуть\" title=\"Развернуть\">";
	tr.appendChild(td);
	td = document.createElement("td");
	td.colSpan = "2";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);
	tbody.appendChild(tr);

	//Options holder
	tr = document.createElement("tr");
	tr.id = 'tb_dialslist_options_holder_'+dials_id;

	td = document.createElement("td");
	td.colSpan = "5";
	td.innerHTML = "<table align=\"center\" style=\"width:540px;\" class=\"nb\" id=\"tb_dialslist_options_"+dials_id+"\"></table>";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//create table numbers row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "32px";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "150px";
	td.innerHTML = "Внешний номер";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "50px";
	td.innerHTML = "Линий";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "312px";
	td.innerHTML = "График";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "16px";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//create buttons row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.colSpan = "3";
	td.height = "24px";
	td.align = "left";
	td.innerHTML =
		"<a class=\"imglinkbsm\" onclick=\"dialsCreate(-1, "+dials_id+", -1, -1, -1);\" title=\"Добавить внешний номер в список дозвона\"><img class=\"imglink\" style=\"vertical-align:middle;\" src=\"images/icon_add.gif\" width=\"14px\" height=\"13px\" alt=\"Добавить внешний номер\">&nbsp;Добавить внешний номер</a>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.colSpan = "2";
	td.align = "right";
	td.innerHTML =
		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;\" type=\"submit\" id=\"savings"+dials_id+"\" name=\"btsubmit\" value=\"Сохранить изменения\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	table.appendChild(tbody);

	//create box
	var div = document.createElement("div");
	div.id = "dialslist_cont_" + dials_id;
	div.className = "groupbox";
	div.style.display = 'none';
	div.appendChild(table);

	ipoint.parentNode.insertBefore(div, ipoint);

	//service calls
	toggleTableRow('tb_dialslist_options_holder_toggle_' + dials_id, 'tb_dialslist_options_holder_' + dials_id, false);

	if (dofocus) {
		dialsCreateDialListOption(dials_id, 'dial_mode', 'select', 0, 'Метод обзвона номеров', '0|По порядку,1|Одновременно по всем номерам');
		dialsCreateDialListOption(dials_id, 'wait_answer_pause', 'edit', 30, 'Время ожидания ответа, в секундах');
		dialsCreateDialListOption(dials_id, 'redial_pause', 'edit', 5, 'Пауза перед очередной попыткой прозвонить список, в секундах');
		dialsCreateDialListOption(dials_id, 'redial_count', 'edit', 2, 'Количество попыток прозвонить список');

		dialsCreateDialListOption(dials_id, 'wait_answer_phrase', 'editex', '1~712', 'Мелодия на ожидание ответа (вместо &quot;гудков&quot;)', '', true);
		dialsCreateDialListOption(dials_id, 'wait_redial_phrase', 'editex', '', 'Мелодия на время паузы в попытках прозвонить список', '', true);

		dialsCreateDialListOption(dials_id, 'say_aon', 'checkbox', 0, 'Проговаривать АОН после ответа абонента');
		dialsCreateDialListOption(dials_id, 'translate_real_aon', 'checkbox', 0, 'Автоматический определитель номера');
		dialsCreateDialListOption(dials_id, 'do_recording', 'checkbox', 0, 'Запись разговора');
		dialsCreateDialListOption(dials_id, 'call_is_owner', 'checkbox', 0, 'Владельцем соединения является тот, кто дозванивается');

		dialsCreateDialListOption(dials_id, 'can_redirect', 'checkbox', 1, 'Перевод вызова');
		dialsCreateDialListOption(dials_id, 'can_conference', 'checkbox', 1, 'Конференц-связь');
		dialsCreateDialListOption(dials_id, 'wait_conn_phrase', 'editex', '', 'Мелодия на удержание вызова', '', true);
		dialsCreateDialListOption(dials_id, 'ready_2_dial_phrase', 'editex', '', 'Фраза на готовность системы к переводу вызова', '', true);

		dialsCreateDialListOption(dials_id, 'dtmf_retranslate', 'checkbox', 0, 'Ретранслировать DTMF в соединении');
		dialsCreateDialListOption(dials_id, 'new_dial_symbols', 'edit', '##', 'DTMF для перевода вызова');
		dialsCreateDialListOption(dials_id, 'dial_ret_symbols', 'edit', '*', 'DTMF для возврата к вызову при неответе/добавление в конференцию');
		dialsCreateDialListOption(dials_id, 'conn_ret_symbols', 'edit', '#', 'DTMF для возврата к переводимому вызову и обратно');
		dialsCreateDialListOption(dials_id, 'ivr_ret_symbols', 'edit', '0', 'DTMF для перевода на факс во время разговора');

		dialsDialListChange(dials_id);
		dialsCreate(-1, dials_id, -1, -1, -1);

		dialsPopulateSelector(false, dials_id);

		table = document.getElementById("dials_name_"+dials_id);
		if (table.scrollWidth)
			table.focus();
	}

	return true;
}

function dialsShowSaveControls(dials_id) {
	//show 'save changes' controls
	obj = document.getElementById("savings" + dials_id);
	if (obj)
		obj.style.display = "";

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function dialsDialListChange(dials_id) {
	var obj_holder = document.getElementById("hidChangedIDHolderEx");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == dials_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		/*if (arrEC[i] == -id+"_"+dials_id) {
			arrEC.splice(i, 1);
			break;
		}*/
		i++;
	}

	arrEC.push(dials_id);
	obj_holder.value = arrEC.join(",");
	
	dialsShowSaveControls(dials_id);
	dialsUpdateSelector();

	return true;
}

function dialsCreate(id, dials_id, number_id, dials_position, graph_id, countlines) {
	var dofocus = false;
	if (!id || (id < 0)) {
		id = ++gen_id;
		number_id = -1;
		dials_position = -1;
		graph_id = -1;
		countlines = 1;

		var tmp = document.getElementById("last_id");
		tmp.value = gen_id;

		dofocus = true;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_dialslist_" + dials_id);
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");
	tr.id = 'dial';

	var td = document.createElement("td");
	td.id = 'dialpos';
	td.innerHTML =
				"<input type=\"hidden\" " +
				"name=\"dials_position_"+id+"_"+dials_id+"\" " +
				"id=\"dials_position_"+id+"_"+dials_id+"\" " +
				"value=\""+dials_position+"\">" +
				"<img class=\"imglink\" src=\"images/moveup.gif\" width=\"16px\" height=\"16px\" alt=\"Переместить номер выше по списку\" title=\"Переместить номер выше по списку\" " +
				"onclick=\"dialsMove(this, "+id+","+dials_id+", 1)\">" +
				"<img class=\"imglink\" src=\"images/movedn.gif\" width=\"16px\" height=\"16px\" alt=\"Переместить номер ниже по списку\" title=\"Переместить номер ниже по списку\" " +
				"onclick=\"dialsMove(this, "+id+","+dials_id+", -1)\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<select class=\"inputm\" style=\"width:100%;\" " +
				"name=\"number_id_"+id+"_"+dials_id+"\" " +
				"id=\"number_id_"+id+"_"+dials_id+"\" " +
				"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"this.style.backgroundColor='#FAF0F0';dialsChange("+id+","+dials_id+")\">" +
				getOptionsForSelectControl(numberlist, number_id) +
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"countlines_"+id+"_"+dials_id+"\" " +
		"id=\"countlines_"+id+"_"+dials_id+"\" " +
		"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
		"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';dialsChange("+id+","+dials_id+")\" " +
		"value=\""+countlines+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<select class=\"inputw\" style=\"width:100%;\" " +
				"name=\"graph_id_"+id+"_"+dials_id+"\" " +
				"id=\"graph_id_"+id+"_"+dials_id+"\" " +
				"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"this.style.backgroundColor='#FAF0F0';dialsChange("+id+","+dials_id+")\">" +
				getOptionsForSelectControl(graphlists, graph_id) +
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16\" height=\"16\" alt=\"Удалить запись\" title=\"Удалить запись\" " +
				"onclick=\"dialsDelete("+id+","+dials_id+")\">";
	tr.appendChild(td);

	//tbody.appendChild(tr);
	tbody.insertBefore(tr, tbody.lastChild);

	//service calls
	if (dofocus) {
		dialsChange(id, dials_id);
		dialsMove(tr, id, dials_id, 0);

		tbody = document.getElementById("number_id_"+id+"_"+dials_id);
		if (tbody.scrollWidth)
			tbody.focus();
	}

	return true;
}

function dialsCreateDialListOption(dials_id, op_name, op_type, op_value, op_info, op_data_select, op_show_synth_selector) {
	if (!dials_id || (dials_id < 0))
		return false;

/*	var vis = !(om && /^(?:call_is_owner|ready_2_dial_phrase|say_aon|can_redirect|can_conference|new_dial_symbols|dial_ret_symbols|conn_ret_symbols|ivr_ret_symbols)$/.test(op_name));
	if (!vis)
		return false;
	var ena = !(om && /^(?:new_dial_symbols|dial_ret_symbols|conn_ret_symbols|ivr_ret_symbols)$/.test(op_name)) ? '' : ' disabled ';*/
	var ena = '';

	//get insertion point
	var aTable = document.getElementById("tb_dialslist_options_" + dials_id);
	var tbody = aTable.getElementsByTagName('tbody')[0];
	if (!tbody) {
		tbody = document.createElement("tbody");
		aTable.appendChild(tbody);
	}

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.className = "infoLineValueSingle";
	td.style.borderBottomStyle = "none";
	td.width = "360px";
	if (ena == '')
		td.innerHTML = op_info;
	else
		td.innerHTML = "<span class='gray'>"+op_info+"</span>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoLineValueSingle";
	td.style.borderBottomStyle = "none";
	var names = "name=\"dialslistoption_"+op_name+"_"+dials_id+"\" " +
				"id=\"dialslistoption_"+op_name+"_"+dials_id+"\" " +
				ena;
	if (op_type == 'checkbox') {
		var sChecked = "";
		if (op_value > 0)
			sChecked = " checked";
		td.innerHTML =
					"<input type=\"checkbox\" " +
					names +
					"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
					"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
					//"onclick=\"this.style.backgroundColor='#FAF0F0';dialsDialListChange("+dials_id+")\" " +
					"onclick=\"dialsDialListChange("+dials_id+")\" " +
					"value=\"1\""+sChecked+">";
	} else
	if (op_type == 'select') {
		td.innerHTML =
					"<select class=\"input240\" " +
					names +
					"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
					"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
					"onchange=\"this.style.backgroundColor='#FAF0F0';dialsDialListChange("+dials_id+")\">" +
					getOptionsForSelectControl_DialsOption(op_data_select, op_value) +
					"</select>";
	} else {  //(op_type == 'edit')
		var styleName = 'inputm';
		if (op_type == 'editex')
			styleName = op_show_synth_selector ? 'inputm220' : 'inputm240';
		td.innerHTML =
					"<input class=\""+styleName+"\" type=\"text\" " +
					names +
					"maxlength=\"250\" " +
					"value=\""+op_value+"\" " +
					"onkeypress='dialsShowSaveControls("+dials_id+");return onEditControlKeyPress(this, event)' " +
					"onkeyup='dialsShowSaveControls("+dials_id+");return onEditControlKeyUp(this, event)' " +
					"onchange=\"dialsDialListChange("+dials_id+")\">";
		if (op_show_synth_selector)
			td.innerHTML += ena=='' ?
				"<img class=\"imglink\" style=\"float:right;margin-top:0;\" " +
				"src=\"images/icon_open.gif\" width=\"16\" height=\"16\" " +
				"alt=\"Выбрать из списка звуковых файлов\" title=\"Выбрать из списка звуковых файлов\" " +
				"onclick=\"showSynthControlEdit('"+op_info+"', 'dialslistoption_"+op_name+"_"+dials_id+"')\">" :
				"<img style=\"float:right;margin-top:0;\" " +
				"src=\"images/icon_open0.gif\" width=\"16px\" height=\"16px\">";
	}
	tr.appendChild(td);

	tbody.appendChild(tr);

	return true;
}

function dialsChange(id, dials_id) {
	var obj_holder = document.getElementById("hidChangedIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	simulateDeletion(document.getElementById("number_id_"+Math.abs(id)+"_"+dials_id), id >= 0);
	simulateDeletion(document.getElementById("dials_position_"+Math.abs(id)+"_"+dials_id), id >= 0);
	simulateDeletion(document.getElementById("graph_id_"+Math.abs(id)+"_"+dials_id), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id+"_"+dials_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id+"_"+dials_id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id+"_"+dials_id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	dialsShowSaveControls(dials_id);

	dialsDialListChange(dials_id);

	return true;
}

function dialsDelete(id, dials_id) {
	dialsChange(-id, dials_id);

	return true;
}

function dialsMove(sender, id, dials_id, up) {
	var row;
	if (sender.id == 'dial')
		row = sender;
	else
		row = sender.parentNode.parentNode;

	if (up == 1 && row.previousSibling && row.previousSibling.id == 'dial')
		row.parentNode.insertBefore(row, row.previousSibling);
	if (up == -1 && row.nextSibling && row.nextSibling.id == 'dial')
		row.parentNode.insertBefore(row.nextSibling, row);

	dialsChange(id, dials_id);

	//update dials_position_i_j
	var rownum = 0;
	var dialpos;

	row = row.parentNode.firstChild	;
	while (row && row.id != 'dial')
		row = row.nextSibling;

	while (row && row.id == 'dial') {
		dialpos = row.getElementsByTagName('td');

		for (var i = 0; i < dialpos.length; i++) {
			if (dialpos[i].id == 'dialpos') {
				dialpos = dialpos[i].getElementsByTagName('input')[0];
				dialpos.value = ++rownum;
				break;
			}
		}

		row = row.nextSibling;
	}

	return true;
}

function dialsPopulateSelector(init, forcedid) {
	var selector = document.getElementById("diallistselector");
	selector.length = 0;

	if (init)
		var did = getCookie('last_dials', -1);

	var coll = getElementsByClassName(document, 'groupbox');
	for (var i=0; i<coll.length; i++) {
		var listID = new String(coll[i].id);
		listID = listID.split('_');
		listID = listID[listID.length - 1];

		//create option
		if (document.getElementById("dials_name_" + listID).value != "") {
			var opt = document.createElement('option');
			opt.text = document.getElementById("dials_name_" + listID).value;
			opt.value = listID;
			//opt.className = 'fancyselectoption';
			if (init && listID == did || listID == forcedid)
				opt.selected = true;

			try {
				selector.add(opt, null); // standards compliant; doesn't work in IE
			} catch(ex) {
				selector.add(opt); // IE only
			}
		}
	}

	if (forcedid) {
		setCookie('last_dials', forcedid);
		dialsShowDialList();
	}

	return true;
}

function dialsUpdateSelector(forcedid) {
	var selector = document.getElementById("diallistselector");

	if (forcedid) {
		for (var i=0; i<selector.length; i++)
			if (selector.options[i].value == forcedid) {
				selector.options[i].text = document.getElementById("dials_name_" + forcedid).value;
				break;
			}
	} else {
		for (var i=0; i<selector.length; i++)
			if (document.getElementById("dials_name_" + selector.options[i].value))
				selector.options[i].text = document.getElementById("dials_name_" + selector.options[i].value).value;
	}

	return true;
}

function dialsShowDialList(sender) {
	var coll = getElementsByClassName(document, 'groupbox');

	for (var i=0; i<coll.length; i++)
		coll[i].style.display = flat_mode == 1 ? '' : 'none';

	var did;
	if (sender) {
		did = sender.value;
	} else {
		did = getCookie('last_dials', -1);
		if (did == -1)
			did = document.getElementById('diallistselector').value;
	}

	//alert(did + ": " + sender);
	var lst = document.getElementById('dialslist_cont_' + did);
	if (lst && document.getElementById("dials_name_" + did).value != "") {
		lst.style.display = '';
		setCookie('last_dials', did);
		if (flat_mode == 1) {
			scrollIntoView(document.getElementById("dialslist_cont_"+did));
			document.getElementById("dials_name_" + did).focus();
			//document.getElementById('toolbarlike').width = document.getElementById("dialslist_cont_"+did).width + 100 + 'px';
		}
	} else
		setCookie('last_dials', -1);

	return true;
}
