var gen_graph_id = 0;
var gen_id = 0;
var daygrouplist = new Array();

function graphsCreateGraphList(graph_id, graph_name) {
	var dofocus = false;
	if (!graph_id || (graph_id < 0)) {
		graph_id = ++gen_graph_id;
		graph_name = "Круглосуточно";

		dofocus = true;
	}

	//get insertion point
	var ipoint = document.getElementById("last_graph_id");
	ipoint.value = gen_graph_id;

	//create table
	var table = document.createElement("table");
	table.id = "tb_graphlist_" + graph_id;
	//table.cellPadding = 0;
	table.cellSpacing = 0;
	table.className = "nb";
	table.style.align = "center";
	table.style.marginLeft = "auto";
	table.style.marginRight = "auto";
	var tbody = document.createElement("tbody");

	//name
	var tr = document.createElement("tr");
	tr.className = "th";

	var td = document.createElement("td");
	td.colSpan = "3";
	td.style.verticalAlign = "middle";
	td.innerHTML =
				"Название&nbsp;&nbsp;&nbsp;&nbsp;<input class=\"inputww\" type=\"text\" " +
				"name=\"graph_name_"+graph_id+"\" " +
				"id=\"graph_name_"+graph_id+"\" " +
				"maxlength=\"100\" " +
				"value=\""+graph_name+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsGraphListChange("+graph_id+")\">";
	if (!dofocus)
		td.innerHTML += "<span style=\"padding-left:20px;\">Идентификатор:&nbsp;</span>"+graph_id;
	tr.appendChild(td);

	td = document.createElement("td");
	td.style.verticalAlign = "middle";
	td.innerHTML = "<img class=\"imglink\" src=\"images/del2.png\" width=\"16px\" height=\"16px\" alt=\"Удалить график\" title=\"Удалить график\" " +
					"onclick=\"graphsDeleteGraphList("+graph_id+")\">";
	tr.appendChild(td);


	tbody.appendChild(tr);

	//create table numbers row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "300px";
	td.innerHTML = "Дни";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "110px";
	td.innerHTML = "Время ОТ";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "110px";
	td.innerHTML = "Время ДО";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "16px";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//create buttons row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.height = "24px";
	td.align = "left";
	td.innerHTML =
		"<a class=\"imglinkbsm\" onclick=\"graphsCreate(-1, "+graph_id+", -1, -1, -1);\" title=\"Добавить временной интервал в график\"><img class=\"imglink\" style=\"vertical-align:middle;\" src=\"images/icon_add.gif\" width=\"14px\" height=\"13px\" alt=\"Добавить временной интервал\">&nbsp;Добавить интервал</a>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.colSpan = "3";
	td.align = "right";
	td.innerHTML =
		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;\" type=\"submit\" id=\"savings"+graph_id+"\" name=\"btsubmit\" value=\"Сохранить изменения\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	table.appendChild(tbody);

	//create box
	var div = document.createElement("div");
	div.id = "graph_cont_" + graph_id;
	div.className = "groupbox";
	div.appendChild(table);

	ipoint.parentNode.insertBefore(div, ipoint);

	//service calls
	if (dofocus) {
		graphsGraphListChange(graph_id);
		graphsCreate(-1, graph_id, -1, -1, -1);

		tbody = document.getElementById("graph_name_"+graph_id);
		scrollIntoView(tbody);
		if (tbody.scrollWidth)
			tbody.focus();

		//table = document.getElementById("daygroup_id_"+graph_id);
		//table.focus();
	}

	return true;
}

function graphShowSaveControls(graph_id) {
	//show 'save changes' controls
	var obj = document.getElementById("savings" + graph_id);
	if (obj)
		obj.style.display = "";

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function graphsDeleteGraphList(graph_id) {
	graphsGraphListChange(-graph_id);

	var obj = document.getElementById("graph_cont_" + graph_id);
	if (obj)
		obj.style.display = 'none';

	obj = document.getElementById("graph_name_" + graph_id);
	if (obj)
		obj.value = '';

	return true;
}

function graphsGraphListChange(graph_id) {
	var obj_holder = document.getElementById("hidChangedIDHolderEx");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == graph_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		/*if (arrEC[i] == -id+"_"+graph_id) {
			arrEC.splice(i, 1);
			break;
		}*/
		i++;
	}

	arrEC.push(graph_id);
	obj_holder.value = arrEC.join(",");

	graphShowSaveControls(graph_id);

	return true;
}

function graphsCreate(id, graph_id, daygroup_id, start_time, end_time) {
	var dofocus = false;
	if (!id || (id < 0)) {
		id = ++gen_id;
		daygroup_id = -1;
		start_time = -1;
		end_time = 2400;

		var tmp = document.getElementById("last_id");
		tmp.value = gen_id;

		dofocus = true;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_graphlist_" + graph_id);
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
				"<select class=\"inputww\" style=\"width:100%;\" " +
				"name=\"daygroup_id_"+id+"_"+graph_id+"\" " +
				"id=\"daygroup_id_"+id+"_"+graph_id+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"this.style.backgroundColor='#FAF0F0';graphsChange("+id+","+graph_id+")\">" +
				getOptionsForSelectControl(daygrouplist, daygroup_id) +
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				/*"<input class=\"inputmn\" type=\"text\" " +
				"name=\"start_time_"+id+"_"+graph_id+"\" " +
				"id=\"start_time_"+id+"_"+graph_id+"\" " +
				"maxlength=\"30\" " +
				"value=\""+start_time+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +*/

				"<select class=\"inputn\" style=\"width:48%;\" " +
				"name=\"start_time_h_"+id+"_"+graph_id+"\" " +
				"id=\"start_time_h_"+id+"_"+graph_id+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +
				getOptionsForSelectControl_Hours(parseInt(start_time/100)) +
				"</select>:"+

				"<select class=\"inputn\" style=\"width:48%;\" " +
				"name=\"start_time_m_"+id+"_"+graph_id+"\" " +
				"id=\"start_time_m_"+id+"_"+graph_id+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +
				getOptionsForSelectControl_Minutes(start_time%100) +
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				/*"<input class=\"inputmn\" type=\"text\" " +
				"name=\"end_time_"+id+"_"+graph_id+"\" " +
				"id=\"end_time_"+id+"_"+graph_id+"\" " +
				"maxlength=\"30\" " +
				"value=\""+end_time+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +*/

				"<select class=\"inputn\" style=\"width:48%;\" " +
				"name=\"end_time_h_"+id+"_"+graph_id+"\" " +
				"id=\"end_time_h_"+id+"_"+graph_id+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +
				getOptionsForSelectControl_Hours(parseInt(end_time/100)) +
				"</select>:"+

				"<select class=\"inputn\" style=\"width:48%;\" " +
				"name=\"end_time_m_"+id+"_"+graph_id+"\" " +
				"id=\"end_time_m_"+id+"_"+graph_id+"\" " +
				"onkeypress='graphShowSaveControls("+graph_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='graphShowSaveControls("+graph_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"graphsChange("+id+","+graph_id+")\">" +
				getOptionsForSelectControl_Minutes(end_time%100) +
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16px\" height=\"16px\" alt=\"Удалить запись\" title=\"Удалить запись\" " +
				"onclick=\"graphsDelete("+id+","+graph_id+")\">";
	tr.appendChild(td);

	//tbody.appendChild(tr);
	tbody.insertBefore(tr, tbody.lastChild);

	//service calls
	if (dofocus) {
		graphsChange(id, graph_id);

		tbody = document.getElementById("daygroup_id_"+id+"_"+graph_id);
		if (tbody.scrollWidth)
			tbody.focus();
	}

	return true;
}

function graphsChange(id, graph_id) {
	var obj_holder = document.getElementById("hidChangedIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	simulateDeletion(document.getElementById("daygroup_id_"+Math.abs(id)+"_"+graph_id), id >= 0);
	//simulateDeletion(document.getElementById("start_time_"+Math.abs(id)+"_"+graph_id), id >= 0);
	//simulateDeletion(document.getElementById("end_time_"+Math.abs(id)+"_"+graph_id), id >= 0);
	simulateDeletion(document.getElementById("start_time_h_"+Math.abs(id)+"_"+graph_id), id >= 0);
	simulateDeletion(document.getElementById("start_time_m_"+Math.abs(id)+"_"+graph_id), id >= 0);
	simulateDeletion(document.getElementById("end_time_h_"+Math.abs(id)+"_"+graph_id), id >= 0);
	simulateDeletion(document.getElementById("end_time_m_"+Math.abs(id)+"_"+graph_id), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id+"_"+graph_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id+"_"+graph_id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id+"_"+graph_id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	graphShowSaveControls(graph_id);

	return true;
}

function graphsDelete(id, graph_id) {
	graphsChange(-id, graph_id);

	return true;
}
