var diallists = [];

function intnumberCreate(id, int_number, dials, ignore_graph, int_number_about) {
	var dofocus = false;
	if (!id || (id < 0)) {
		id = ++gen_number_id;
		int_number = "";
		ignore_graph = 0;
		dials = 0;
		int_number_about = "";

		dofocus = true;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_int_numbers");
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
				"<input class=\"inputmw\" type=\"text\" style=\"width:99%;\" " +
				"name=\"int_number_"+id+"\" " +
				"id=\"int_number_"+id+"\" " +
				"maxlength=\"30\" " +
				"value=\""+int_number+"\" " +
				"onkeypress='intnumberShowSaveControls("+id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='intnumberShowSaveControls("+id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"intnumberChange("+id+")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<select class=\"inputww\" style=\"width:100%;\" " +
				"name=\"dials_"+id+"\" " +
				"id=\"dials_"+id+"\" " +
				"onkeypress='intnumberShowSaveControls("+id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='intnumberShowSaveControls("+id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"this.style.backgroundColor='#FAF0F0';intnumberChange("+id+")\">" +
				getDialsOptionsForSelectControl(dials)+
				"</select>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<input type=\"hidden\" " +
				"name=\"ignore_graph_"+id+"\" " +
				"id=\"ignore_graph_"+id+"\" " +
				"value=\""+ignore_graph+"\">" +
				"<input class=\"inputww\" type=\"text\" style=\"width:100%;\" " +
				"name=\"int_number_about_"+id+"\" " +
				"id=\"int_number_about_"+id+"\" " +
				"maxlength=\"64\" " +
				"value=\""+int_number_about+"\" " +
				"onkeypress='intnumberShowSaveControls("+id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='intnumberShowSaveControls("+id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"intnumberChange("+id+")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src='images/del.gif' width=\"16\" height=\"16\" alt=\"Удалить запись\" title=\"Удалить запись\" " +
				"onclick=\"intnumberDelete("+id+")\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//service calls
	if (dofocus) {
		intnumberChange(id);

		tbody = document.getElementById("int_number_"+id);
		tbody.focus();
	}

	return true;
}

function intnumberShowSaveControls(id) {
	//show 'save changes' controls
	/*obj = document.getElementById("savings" + id);
	if (obj)
		obj.style.display = "";*/

	var obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function intnumberChange(id) {
	var obj_holder = document.getElementById("hidChangedNumberIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	simulateDeletion(document.getElementById("int_number_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("dials_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("ignore_graph_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("int_number_about_"+Math.abs(id)), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	//alert("id="+id +"\n"+ "hid="+obj_holder.value);

	intnumberShowSaveControls(id);

	return true;
}

function intnumberDelete(id) {
	intnumberChange(-id);

	return true;
}

function getDialsOptionsForSelectControl(dials_id) {
	var res = "";
	var slctd = false;
	for (var i in diallists) {
		res += "<option value='" + diallists[i] + "'";
		if (!slctd && ((diallists[i] == dials_id) || (dials_id < 0))) {
			res += " selected";
			slctd = true;
		}
		res += ">" + i + "</option>";
		//alert('key is: ' + i + ', value is: ' + int_nums[i]);
	}

	return res;
}

