var gen_daygroup_id = 0;
var gen_id = 0;
var daygrouplist = new Array();

var weekdays = new Array(
		"Понедельник",
		"Вторник",
		"Среда",
		"Четверг",
		"Пятница",
		"Суббота",
		"Воскресенье"
		);

function pbx_daygroupsCheckWeekDay(daygroup_id, day_id) {
	var cb = document.getElementById("weekday_" + daygroup_id + "_" + day_id);
	if (cb)
		cb.checked = true;

	return true;
}

function pbx_daygroupsDeleteDayGroup(daygroup_id) {
	pbx_daygroupsDayGroupChange(-daygroup_id);

	obj = document.getElementById("daygroup_cont_" + daygroup_id);
	if (obj)
		obj.style.display = 'none';

	var obj = document.getElementById("daygroup_name_" + daygroup_id);
	if (obj)
		obj.value = '';

	daygroupsCheckControls();

	return true;
}

function pbx_daygroupsCreateDayGroup(daygroup_id, daygroup_name) {
	var dofocus = false;
	if (!daygroup_id || (daygroup_id < 0)) {
		daygroup_id = ++gen_daygroup_id;
		daygroup_name = "Все дни";

		dofocus = true;
	}

	//get insertion point
	var ipoint = document.getElementById("last_daygroup_id");
	ipoint.value = gen_daygroup_id;

	//create table
	var table = document.createElement("table");
	table.id = "tb_daygroup_" + daygroup_id;
	//table.cellPadding = 0;
	table.cellSpacing = 0;
	table.className = "nb";
	table.style.align = "center";
	table.style.marginLeft = "auto";
	table.style.marginRight = "auto";
	var tbody = document.createElement("tbody");

	//Название
	var tr = document.createElement("tr");
	tr.className = "th";
	var td = document.createElement("td");
	td.colSpan = "2";
	td.style.verticalAlign = "middle";
	td.innerHTML =
			"Название&nbsp;&nbsp;&nbsp;&nbsp;<input class=\"inputwww\" type=\"text\" " +
					"name=\"daygroup_name_" + daygroup_id + "\" " +
					"id=\"daygroup_name_" + daygroup_id + "\" " +
					"maxlength=\"100\" " +
					"value=\"" + daygroup_name + "\" " +
					"onkeypress='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyPress(this, event)' " +
					"onkeyup='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyUp(this, event)' " +
					"onchange=\"pbx_daygroupsDayGroupChange(" + daygroup_id + ")\">";
	tr.appendChild(td);
	td = document.createElement("td");
	td.style.verticalAlign = "middle";
	td.innerHTML =
			"<img class=\"imglink\" src=\"images/del2.png\" width=\"16\" height=\"16\" alt=\"Удалить группу дней\" title=\"Удалить группу дней\" " +
					"onclick=\"pbx_daygroupsDeleteDayGroup(" + daygroup_id + ")\">";
	tr.appendChild(td);
	tbody.appendChild(tr);

	//Weekdays title
	tr = document.createElement("tr");
	tr.className = "th";
	td = document.createElement("td");
	td.colSpan = "3";
	td.innerHTML = "<br>Дни недели";
	tr.appendChild(td);
	tbody.appendChild(tr);

	//Weekdays content
	tr = document.createElement("tr");
	tr.className = "th";
	td = document.createElement("td");
	td.colSpan = "3";
	var s = "";
	var cbname = "";
	for (var i = 0; i < weekdays.length; i++) {
		cbname = "weekday_" + daygroup_id + "_" + i;
		s = s +
				"<input style='' type='checkbox' name=\"" + cbname + "\" id=\"" + cbname + "\" onchange=\"pbx_daygroupsDayGroupChange(" + daygroup_id + ")\">" +
				"<a class='imglink' style='vertical-align:top;' title=\"" + weekdays[i] + "\" onClick=\"pbx_daygroupsShowSaveControls(" + daygroup_id + ");ToggleCheckBox('" + cbname + "')\">" + weekdays[i] + "</a>&nbsp;";
		//if (i == 4)
		//s = s + "<br>";
	}
	td.innerHTML = s;
	tr.appendChild(td);
	tbody.appendChild(tr);

	//Hollydays title
	tr = document.createElement("tr");
	tr.className = "th";
	td = document.createElement("td");
	td.colSpan = "3";
	td.innerHTML = "<br>Праздники, особые дни";
	tr.appendChild(td);
	tbody.appendChild(tr);

	//create table numbers row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "160px";
	td.innerHTML = "Дата";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.width = "380px";
	td.innerHTML = "Название";
	tr.appendChild(td);

	td = document.createElement("td");
	td.className = "infoTableHeader";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//create buttons row
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.height = "24px";
	td.align = "left";
	td.innerHTML =
			"<a class=\"imglinkbsm\" onclick=\"daygroupsCreate(-1, " + daygroup_id + ", -1, -1);\" title=\"Добавить праздник в группу дней\"><img class=\"imglink\" style=\"vertical-align:middle;\" src=\"images/icon_add.gif\" width=\"14px\" height=\"13px\" alt=\"Добавить праздник\">&nbsp;Добавить праздник</a>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.colSpan = "2";
	td.align = "right";
	td.innerHTML =
			"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;\" type=\"submit\" id=\"savings" + daygroup_id + "\" name=\"btsubmit\" value=\"Сохранить изменения\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	table.appendChild(tbody);

	//create box
	var div = document.createElement("div");
	div.id = "daygroup_cont_" + daygroup_id;
	div.className = "groupbox";
	div.appendChild(table);

	ipoint.parentNode.insertBefore(div, ipoint);

	//service calls
	if (dofocus) {
		pbx_daygroupsDayGroupChange(daygroup_id);
		for (var day_id = 0; day_id < weekdays.length; day_id++)
			ToggleCheckBox("weekday_" + daygroup_id + "_" + day_id);
			//daygroupsCheckWeekDay(daygroup_id, day_id);

		//daygroupsCreate(-1, daygroup_id, -1, -1);

		tbody = document.getElementById("daygroup_name_" + daygroup_id);
		scrollIntoView(tbody);
		if (tbody.scrollWidth)
			tbody.focus();

		//table = document.getElementById("hollyday_"+daygroup_id);
		//table.focus();
	}

	daygroupsCheckControls();

	return true;
}

function pbx_daygroupsShowSaveControls(daygroup_id) {
	//show 'save changes' controls
	obj = document.getElementById("savings" + daygroup_id);
	if (obj)
		obj.style.display = "";

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function pbx_daygroupsDayGroupChange(daygroup_id) {
	var obj_holder = document.getElementById("hidChangedIDHolderEx");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == daygroup_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		/*if (arrEC[i] == -id+"_"+daygroup_id) {
		 arrEC.splice(i, 1);
		 break;
		 }*/
		i++;
	}

	arrEC.push(daygroup_id);
	obj_holder.value = arrEC.join(",");

	pbx_daygroupsShowSaveControls(daygroup_id);

	return true;
}

function pbx_daygroupsCreate(id, daygroup_id, hollyday, hollyday_name) {
	var dofocus = false;
	if (!id || (id < 0)) {
		id = ++gen_id;
		//hollyday = "31.12.2010";
		var d_date = new Date();
		hollyday = (d_date.getDate() < 10 ? '0' : '') + d_date.getDate() + "."
				+ (d_date.getMonth() < 9 ? '0' : '') + (d_date.getMonth() + 1) + "."
				+ d_date.getFullYear();
		hollyday_name = "Название праздника";

		var tmp = document.getElementById("last_id");
		tmp.value = gen_id;

		dofocus = true;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_daygroup_" + daygroup_id);
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
			"<input class=\"inputm\" style=\"width:85%;\" type=\"text\" " +
					"name=\"hollyday_" + id + "_" + daygroup_id + "\" " +
					"id=\"hollyday_" + id + "_" + daygroup_id + "\" " +
					"maxlength=\"30\" " +
					"value=\"" + hollyday + "\" " +
					//"onblur='f_tcalHideAll()' " +
					"onkeypress='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyPress(this, event)' " +
					"onkeyup='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyUp(this, event)' " +
					"onchange=\"daygroupsChange(" + id + "," + daygroup_id + ")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
			"<input class=\"inputww\" style=\"width:100%;\" type=\"text\" " +
					"name=\"hollyday_name_" + id + "_" + daygroup_id + "\" " +
					"id=\"hollyday_name_" + id + "_" + daygroup_id + "\" " +
					"maxlength=\"30\" " +
					"value=\"" + hollyday_name + "\" " +
					"onkeypress='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyPress(this, event)' " +
					"onkeyup='pbx_daygroupsShowSaveControls(" + daygroup_id + ");return onEditControlKeyUp(this, event)' " +
					"onchange=\"daygroupsChange(" + id + "," + daygroup_id + ")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
			"<img class='imglink' src='images/del.gif' width='16' height='16' alt='Удалить запись' title='Удалить запись' " +
					"onclick='daygroupsDelete(" + id + "," + daygroup_id + ")'>";
	tr.appendChild(td);

	//tbody.appendChild(tr);
	tbody.insertBefore(tr, tbody.lastChild);

	daygroupsCreateCalendarControl(id, daygroup_id);
	//service calls
	if (dofocus) {
		daygroupsChange(id, daygroup_id);

		tbody = document.getElementById("hollyday_" + id + "_" + daygroup_id);
		if (tbody.scrollWidth)
			tbody.focus();
		return id;
	}

	return true;
}

function pbx_daygroupsCreateCalendarControl(id, daygroup_id) {
	/*new tcal({
		'id': 'cal_hollyday_' + id + '_' + daygroup_id,
		'controlname': 'hollyday_' + id + '_' + daygroup_id
	});*/
	$('#hollyday_' + id + '_' + daygroup_id).datepick({
		renderer:$.extend({}, $.datepick.themeRollerRenderer),

		pickerClass:'picker_tweaks',
		showTrigger:'#calendar_picker',
		onDate:function (date) {
			return {title:(date.getTime() == $.datepick.today().getTime() ?
				'Выбрать сегодняшний день' : $.datepick.formatDate('Выбрать d MM yyyy (DD)', date))};
		},
		showAnim:'fadeIn', showSpeed:'fast',
		showOnFocus:false,
		//defaultDate: '-1m',
		selectDefaultDate:true,
		//showOtherMonths: true, selectOtherMonths: true,
		yearRange:'c-5:c+5'
	});

	return true;
}

function pbx_daygroupsChange(id, daygroup_id) {
	var obj_holder = document.getElementById("hidChangedIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	simulateDeletion(document.getElementById("hollyday_" + Math.abs(id) + "_" + daygroup_id), id >= 0);
	simulateDeletion(document.getElementById("hollyday_name_" + Math.abs(id) + "_" + daygroup_id), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id + "_" + daygroup_id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id + "_" + daygroup_id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id + "_" + daygroup_id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	pbx_daygroupsShowSaveControls(daygroup_id);

	return true;
}

function pbx_daygroupsDelete(id, daygroup_id) {
	daygroupsChange(-id, daygroup_id);

	return true;
}

function pbx_daygroupsCheckControls() {
	if ($(".groupbox:visible").length < 4)
		$("#btCreateTop").hide();
	else
		$("#btCreateTop").show();

	return true;
}
