$(document).ready( function () {
	accessgroup_Refresh();
} );

// Группы доступа просмотр
function accessgroup_Refresh(){
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_accessgroup_list'
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		$.each(data.data, function (key,row) {

			$("#ul_accessgroup").append( '<li onclick="get_accessgroup_data(this)" value="'+row[1]+'"><span style="width:160px;display:inline-block;padding-left:4px">'+row[0]+
//			'</span><span class="ui-icon ui-icon-pencil" style="display:inline-block;cursor:pointer;" onclick="frm_open_accessgroup_dialog(\'edt\','+row[1]+')">'+
			'</span><span class="ui-icon ui-icon-pencil" style="display:inline-block;cursor:pointer;" onclick="frm_accessgroup_edt('+row[2]+')">'+
			'</span><span class="ui-icon ui-icon-close" style="display:inline-block;cursor:pointer;" onclick="accessgroup_del('+row[1]+',\''+row[0]+'\')"></span></li>' );
					
		});
		$("#ul_accessgroup").append( '<li onclick="frm_open_accessgroup_dialog(\'add\')"><span style="width:160px;display:inline-block;padding-left:4px">Новая группа ... </span></li>' );


		$("ul.vlist li:first").addClass("active").show();
		sip_accessgroup_Refresh($("#ul_accessgroup li:first").val());
		user_accessgroup_Refresh($("#ul_accessgroup li:first").val());
	}
	});
}


// группа пользователей - получение,добавление,редактирование,удаление
function get_accessgroup_data(obj){
	$(obj).siblings().removeClass('active');
	$(obj).addClass('active');
	
	//var tab = $('#tab_sip_accessgroup').dataTable();
	//if(tab){ tab.api().destroy(); }
	sip_accessgroup_Refresh(obj.value);
	user_accessgroup_Refresh(obj.value)
	$('input[id=txt_accessgroup_id]').val(obj.value);
}
function accessgroup_del(id,name){
	if (confirm('Удалить группу - '+name+'?')) {
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_accessgroup_del',
			accessgroup_id: id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			$("#ul_accessgroup").empty();
			accessgroup_Refresh();
		},
		error:function(){
			alert('error: router isn\'t deleted');
		}
		});
	}
}
function accessgroup_edt(id){
	if (confirm('H группу - '+name+'?')) {
		alert();
	}
}
function accessgroup_add(){
	alert();
}

// SIP-аккаунты группы просмотр
function sip_accessgroup_Refresh(group_id){
		
	var NumberTable = $('#tab_sip_accessgroup').dataTable();
	if(NumberTable){ NumberTable.api().destroy(); }

    oDataTable1 = $('#tab_sip_accessgroup').dataTable( {
		processing: false,
		serverSide: false,
		autoWidth: false,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		//draw: 1,
		sort: true,
		length: 100,
		start: 0,
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_sip_accessgroup',
				first: 10,
				skip: 0,
				group_id: group_id
			})
		},

		/*columns: [
		{ data: "0", "bSortable":false },
		{ data: "1", "bVisible":false}
		],*/
		
		"order": [],
		columns: [
		{ data:"0"},
		{ data: "1", "bVisible":false}
		],
		
		//"aaSorting": [],
	
		
    } );

	oDataTable1.css('font-size', "11px");
}

// Пользователи группы просмотр
function user_accessgroup_Refresh(group_id){
		
	var NumberTable = $('#tab_user_accessgroup').dataTable();
	if(NumberTable){ NumberTable.api().destroy(); }

    oDataTable1 = $('#tab_user_accessgroup').dataTable( {
		processing: false,
		serverSide: false,
		//scrollY: 300,
		autoWidth: false,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		sort: true,
		//draw: 1,
		length: 100,
		start: 0,
		language: {
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_user_accessgroup',
				first: 10,
				skip: 0,
				group_id: group_id
			})
		},

		"order": [],
		columns: [
//		{ data: "0", "bSortable":false },
		{ data: "0"},
		{ data: "1", "bVisible":false}
		]

    } );

	oDataTable1.css('font-size', "11px");
}




$(function() {
	$( "#frm_accessgroup" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:150,
		title: "Группа",
		buttons:{ "OK":function(){frm_accessgroup_save();} ,"Отмена":function(){frm_close_accessgroup_dialog();} },
		resizable:false
	});
	$( "#frm_accessgroup" ).attr('mode',''); 
});	
// открытие диалога - группа
function frm_open_accessgroup_dialog(mode){

	$("#frm_accessgroup").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_accessgroup").dialog('option', 'title', 'Добавление новой группы'); 
		$('input[id=txt_accessgroup_name]').val('');
		//$('button:eq(1)',$('#frm_accessgroup').dialog.buttons).button('enable');
	}
	if( mode == 'edt') { $("#frm_accessgroup").dialog('option', 'title', 'Редактирование группы'); 
		//$('button:eq(1)',$('#frm_accessgroup').dialog.buttons).button('disable');
	}
	$("#frm_accessgroup").dialog('open');
}
// закрытие диалога - группа
function frm_close_accessgroup_dialog(){
	$("#frm_accessgroup").dialog('close');
	frm_accessgroup_clear();
}
// обнуление параметров диалога - группа
function frm_accessgroup_clear(){
	$('div[id=frm_accessgroup] input[id]:not([id=btn_create_pass])').val('');
}


// сохранение группы
function frm_accessgroup_save(){

	//var router_name = $('input[id=txt_router_name]').val();
	//var router_id = $('input[id=txt_router_id]').val();
	//CH_SEGMENTID = $("#txt_channel_segment option:selected").val();
	accessgroup_name = $('input[id=txt_accessgroup_name]').val();
	accessgroup_id = $('input[id=txt_accessgroup_id]').val();
	
	var save_mode = $("#frm_accessgroup").attr('mode');
	
	// добавление
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_accessgroup_add',
			accessgroup_name: accessgroup_name
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_accessgroup_dialog();
			//var tab = $('#router_list').dataTable();
			//tab.api().ajax.reload();
			$("#ul_accessgroup").empty();
			accessgroup_Refresh();
		},
		error:function(){
			alert('error: router is not created');
		}
		
		});
	}
	// редактирование
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_accessgroup_edt',
			accessgroup_name: accessgroup_name,
			accessgroup_id: accessgroup_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_accessgroup_dialog();
			//var tab = $('#router_list').dataTable();
			//tab.api().ajax.reload();
			$("#ul_accessgroup").empty();
			accessgroup_Refresh();
		},
		error:function(){
			alert('error: edit router');
		}
		
		});
	}
	
}

// редактирование таблицы маршрутизации
function frm_accessgroup_edt(varr){
	var param = varr.split("|");
	//alert(varr);

	$('input[id=txt_accessgroup_name]').val(param[0]);
	$('input[id=txt_accessgroup_id]').val(param[1]);
	//$("#txt_channel_segment :contains('"+param[1]+"')").attr("selected", "selected");
	frm_open_accessgroup_dialog('edt');
}





$(function() {
	$( "#frm_sip_accessgroup" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:650,
		title: "Формирование списка",
		buttons:{ "OK":function(){frm_sip_accessgroup_save();} ,"Отмена":function(){frm_close_sip_dialog();} },
		resizable:false
	});
	//$( "#frm_sip_accessgroup" ).attr('mode',''); 
	$( "#frm_user_accessgroup" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:650,
		title: "Формирование списка",
		buttons:{ "OK":function(){frm_user_accessgroup_save();} ,"Отмена":function(){frm_close_user_dialog();} },
		resizable:false
	});
});	
// открытие диалога - группа
function frm_open_sip_dialog(mode){
	var accessid = $('#ul_accessgroup li.active').val();
	SIPTable_Refresh(accessid);
	$("#frm_sip_accessgroup").dialog('open');
}
// закрытие диалога - группа
function frm_close_sip_dialog(){
	$("#frm_sip_accessgroup").dialog('close');
	frm_accessgroup_clear();
}
// обнуление параметров диалога - группа
function frm_sip_clear(){
	$('div[id=frm_sip_accessgroup] input[id]:not([id=btn_create_pass])').val('');
}
// открытие диалога - пользователи
function frm_open_user_dialog(mode){
	var accessid = $('#ul_accessgroup li.active').val();
	USERTable_Refresh(accessid);
	$("#frm_user_accessgroup").dialog('open');
}
// закрытие диалога - пользователи
function frm_close_user_dialog(){
	$("#frm_user_accessgroup").dialog('close');
	frm_accessgroup_clear();
}
// обнуление параметров диалога - пользователи
function frm_user_clear(){
	$('div[id=frm_user_accessgroup] input[id]:not([id=btn_create_pass])').val('');
}






function SIPTable_Refresh(id){

	var tab = $('#sip_list').dataTable();
	if(tab){ tab.api().destroy(); }
			
//	accessgroup_id = $('input[id=txt_accessgroup_id]').val();

    oTab = $('#sip_list').dataTable( {
		processing: false,
		serverSide: false,
		scrollY: 500,
		autoWidth: true,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		sort: true,
		//draw: 1,
		length: 100,
		start: 0,
		language: {
			info: ''
		},

		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_sip_accessgroup_table',
				first: 10,
				skip: 0,
				accessgroup_id: id
			})
		},
		columns: [
		{ data: "0"},
		{ data: "1", "bSortable":false},
		{ data: "2", "bVisible":false}
		]
		
} );

	oTab.css('font-size', "11px");
	
}

function USERTable_Refresh(id){

	var tab = $('#user_list').dataTable();
	if(tab){ tab.api().destroy(); }
			
    oTab = $('#user_list').dataTable( {
		processing: false,
		serverSide: false,
		scrollY: 500,
		autoWidth: true,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		sort: true,
		//draw: 1,
		length: 100,
		start: 0,
		language: {
			info: ''
		},

		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_user_accessgroup_table',
				first: 10,
				skip: 0,
				accessgroup_id: id
			})
		},
		columns: [
		{ data: "0"},
		{ data: "1", "bSortable":false}
		//,{ data: "2", "bVisible":false}
		]
		
} );

	oTab.css('font-size', "11px");
	
}



// выбрать все sip-аккаунты
function doAll_SIP_AccountCheck(obj){
	var tab = $('#sip_list').DataTable();
	if(obj==1){
		tab.column(1).data().$('input[type=checkbox]').prop("checked",true);
		tab.column(1).data().$('input[type=checkbox]').val(1);
	} else {
		tab.column(1).data().$('input[type=checkbox]').prop("checked",false);
		tab.column(1).data().$('input[type=checkbox]').val(0);
	}
}
// выбрать всех пользователей
function doAll_User_AccountCheck(obj){
	var tab = $('#user_list').DataTable();
	if(obj==1){
		tab.column(1).data().$('input[type=checkbox]').prop("checked",true);
		tab.column(1).data().$('input[type=checkbox]').val(1);
	} else {
		tab.column(1).data().$('input[type=checkbox]').prop("checked",false);
		tab.column(1).data().$('input[type=checkbox]').val(0);
	}
}


// сохранение sip-аккаунтов группы
function frm_sip_accessgroup_save(){

	var txt_sip_list = '';
	var oTab = $('#sip_list').DataTable();
	oTab.column(1).data().$('input[type="checkbox"]')
    .each(function(e){
        if(this.checked){ 
			var $row = $(this).closest('tr');
			if(txt_sip_list==''){txt_sip_list = oTab.cell($row,2).data();} 
			else {txt_sip_list = txt_sip_list+'|'+oTab.cell($row,2).data();}
		}
	});
	
	txt_accessgroup_id = $('ul[id=ul_accessgroup] li[class=active]').val();
	
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_sip_accessgroup_add',
			txt_accessgroup_id: txt_accessgroup_id,
			txt_sip_list: txt_sip_list
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			sip_accessgroup_Refresh(txt_accessgroup_id);
		},
		error:function(){
			alert('error: sip is not added');
		}
		
		});
	
}

// сохранение sip-аккаунтов группы
function frm_user_accessgroup_save(){

	var txt_user_list = '';
	var oTab = $('#user_list').DataTable();
	oTab.column(1).data().$('input[type="checkbox"]')
    .each(function(e){
        if(this.checked){ 
			var $row = $(this).closest('tr');
			if(txt_user_list==''){txt_user_list = oTab.cell($row,0).data();} 
			else {txt_user_list = txt_user_list+'|'+oTab.cell($row,0).data();}
		}
	});
	
	txt_accessgroup_id = $('ul[id=ul_accessgroup] li[class=active]').val();
	
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_user_accessgroup_add',
			txt_accessgroup_id: txt_accessgroup_id,
			txt_user_list: txt_user_list
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_user_dialog();
			user_accessgroup_Refresh(txt_accessgroup_id);
		},
		error:function(){
			alert('error: user is not added');
		}
		
		});
	
}
