
// таблица маршрутизации ------------------------------------------------------------
$(document).ready( function () {

    oDataTable1 = $('#router_list').dataTable( {
		processing: true,
		serverSide: false,
		
		scrollY: 150,
		paging: false,
		lengthChange: false,
		searching: false,
		info: true,
		sort: true,
		
		draw: 1,
		length: 100,
		start: 0,
		//filter: true,
		
		language: {
			//info: "стр. _PAGE_/_PAGES_ записи _START_-_END_/_TOTAL_"
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_router_table',
				first: 10,
				skip: 0
			})
		},

		columns: [
		{ data: "0", "font-size":"10px" },
		{ data: "2", "bSortable": false },
		{ data: "1", "bVisible":false  }
		]

    } );

	// временные графики
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_graph_list'
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		$.each(data.data, function (key,row) {
			$("#txt_graph").append( $('<option value="'+row[1]+'">'+row[0]+'</option>'));
		});
	}
	});

	// сервисы
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_menu_list'
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		$.each(data.data, function (key,row) {
			$("#select_menu_list").append( $('<option value="'+row[0]+'">'+row[1]+'</option>'));
		});
	}
	});
	
	
} );


// форма параметров таблицы маршрутизации -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_router_add]').click(function(){
		frm_open_router_dialog('add');
	});
});

$(function() {
	$( "#frm_router" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:150,
		title: "Таблица маршрутизации",
		buttons:{ "OK":function(){frm_router_save();} ,"Отмена":function(){frm_close_router_dialog();} },
		resizable:false
	});
	$( "#frm_router" ).attr('mode',''); 
});	

// открытие формы таблицы маршрутизации ( mode = 'add' | 'edt' )
function frm_open_router_dialog(mode){
	$("#frm_router").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_router").dialog('option', 'title', 'Добавление новой таблицы маршрутизации'); 
		$('input[id=txt_router_name]').val('');
		//$('button:eq(1)',$('#frm_router').dialog.buttons).button('enable');
	}
	if( mode == 'edt') { $("#frm_router").dialog('option', 'title', 'Редактирование таблицы маршрутизации'); 
		//$('button:eq(1)',$('#frm_router').dialog.buttons).button('disable');
	}
	$("#frm_router").dialog('open');
}
// закрыть форму добавления рекламного
function frm_close_router_dialog(){
	$("#frm_router").dialog('close');
	frm_router_clear();
}
// обнуление параметров формы добавления рекламного канала
function frm_router_clear(){
	$('div[id=frm_router] input[id]:not([id=btn_create_pass])').val('');
}


// сохранение параметров таблицы маршрутизации
function frm_router_save(){

	var router_name = $('input[id=txt_router_name]').val();
	var router_id = $('input[id=txt_router_id]').val();
	//CH_SEGMENTID = $("#txt_channel_segment option:selected").val();
	
	var save_mode = $("#frm_router").attr('mode');
	
	// добавление таблицы маршрутизации
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_router_add',
			router_name: router_name
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_router_dialog();
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: router is not created');
		}
		
		});
	}
	// редактирование таблицы маршрутизации
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_router_edt',
			router_name: router_name,
			router_id: router_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_router_dialog();
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: edit router');
		}
		
		});
	}
	
}

// удаление таблицы маршрутизации
function frm_router_del(router_id){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_router_del',
			router_id: router_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: router isn\'t deleted');
		}
		
	});
}

// редактирование таблицы маршрутизации
function frm_router_edt(varr){
	var param = varr.split("|");
	//alert(varr);

	$('input[id=txt_router_name]').val(param[0]);
	$('input[id=txt_router_id]').val(param[1]);
	//$("#txt_channel_segment :contains('"+param[1]+"')").attr("selected", "selected");
	frm_open_router_dialog('edt');
}




// активный пункт меню странички
$(document).ready( function () {
	$('.widget_nav_menu li a, .widget_nav_menu a').each(function () {
		var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		var result = location.match(link);   // результат возвращает объект если совпадение найдено и null при обратном
		if(result != null) { $(this).addClass("widget_nav_menu_active"); }
	});
});

// активный раздел
/*$(document).ready( function () {
	$('.top_menu ul li a').each(function () {
		//var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		if(link.indexOf('acc_main.php') + 1)
		$(this).addClass("top_menu_active");
	});
});*/


// выбор таблицы маршрутизации
$(document).ready(function() {
    var table = $('#router_list').DataTable();
 
    $('#router_list').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        }
        else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');

			var router_id = table.row( this ).data()[1];		
			$('input[id=txt_router_id]').val(router_id);
			//var router_id = $(this.cells[0]).find('input').attr('id');
			//alert($('input[id=txt_router_id]').val());

			var tab = $('#path_list').dataTable();
			//NumberTable.api().clear();
			//NumberTable.api().ajax.data[0]['router_id'] = router_id;
			//NumberTable.api().ajax.reload();
			if(tab){ tab.api().destroy(); }
			PathTable_Refresh(router_id);
		}
    } );
    // $('#button').click( function () {
    //    table.row('.selected').remove().draw( false );
    //} );
} );	



//*********************************************************************************************************
// маршруты 
//*********************************************************************************************************
$(document).ready( function () {

	PathTable_Refresh();
	PeerTable_Refresh();

    $('#path_list').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        }
        else {
            oDataTable2.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
		}
    } );
	
} );

function PathTable_Refresh(router_id){

//	var NumberTable = $('#path_list').dataTable();
//	if(NumberTable){ NumberTable.api().destroy(); }
			
    oDataTable2 = $('#path_list').dataTable( {
		processing: false,
		serverSide: false,
		scrollY: 300,
		autoWidth: false,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		sort: true,
		//draw: 1,
		length: 100,
		start: 0,
		language: {
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_routerpath_table',
				first: 10,
				skip: 0,
				router_id: router_id //$('input[id=txt_router_id]').val()
			})
		},
		columns: [
		{ data: "0", "bSortable":false },
		{ data: "1", "bSortable":false },
		{ data: "2", "bSortable":false },
		{ data: "3", "bSortable":false },
		{ data: "4", "bSortable":false },
		{ data: "5", "bSortable":false },
		
		{ data: "6", "bVisible":false },
		{ data: "7", "bVisible":false },
		{ data: "8", "bVisible":false },
		{ data: "9", "bVisible":false },
		
		{ data: "10", "bSortable":false },

		{ data: "11", "bVisible":false },
		{ data: "12", "bVisible":false },
		{ data: "13", "bVisible":false },
		{ data: "14", "bVisible":false },
		{ data: "15", "bVisible":false },
		{ data: "16", "bVisible":false },
		{ data: "17", "bVisible":false }
		]

} );

	oDataTable2.css('font-size', "11px");
	
}

//-----------



// форма параметров маршрута -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_path_add]').click(function(){
		var tab = $('#peer_list').dataTable();
		if(tab){ tab.api().destroy(); }
		PeerTable_Refresh();
		$('select[id=select_out_type]').val(1);
		$('select[id=select_dialmode]').val(1);
		$('#tr_menu_list').css( 'display', 'none' );
        $('#router_list_wrap').css( 'display', '' );
		frm_open_path_dialog('add');
	});
});

$(function() {
	$( "#frm_path" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:500,
		height:820,
		title: "Маршрут",
		buttons:{ "OK":function(){frm_path_save();} ,"Отмена":function(){frm_close_path_dialog();} },
		resizable:false
	});
	$( "#frm_path" ).attr('mode',''); 
});	

// открыть форму добавления маршрута ( mode = 'add' | 'edt' )
function frm_open_path_dialog(mode){
	$("#frm_path").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_path").dialog('option', 'title', 'Добавление нового маршрута'); 
		//$('input[id=txt_channel_number]').val('');
		//$('input[id=txt_number_start]').val('');
		//$('input[id=txt_number_stop]').val('');
		//$('button:eq(1)',$('#frm_path').dialog.buttons).button('enable');
	}
	if( mode == 'edt') { $("#frm_path").dialog('option', 'title', 'Редактирование маршрута'); 
		//$('button:eq(1)',$('#frm_path').dialog.buttons).button('disable');
	}
	$("#frm_path").dialog('open');

	$('input[id=allcheck_flag]').prop("checked",false);
	$('input[id=allcheck_flag]').val(0);

}
// закрыть форму добавления маршрута
function frm_close_path_dialog(){
	//$('select[id=txt_channel_number]').show();
	//$('input[id=txt_channel_number_read]').hide();
	$("#frm_path").dialog('close');
	frm_router_clear();
}
// обнуление параметров формы добавления маршрута
function frm_router_clear(){
	var txt_path_id = $('input[id=txt_path_id]').val();
//	$('div[id=frm_path] input[id]').val('');
	$('div[id=frm_path] input[type=text]').val('');
	$('input[id=txt_path_id]').val(txt_path_id);
}


/*$(document).ready( function () {
	$('#txt_number_start').datepick({ dateFormat: 'dd.mm.yyyy' , renderer: $.datepick.themeRollerRenderer});
	$('#txt_number_stop').datepick({ dateFormat: 'dd.mm.yyyy' , renderer: $.datepick.themeRollerRenderer});
} );*/

// сохранение параметров маршрута
function frm_path_save(){

	//var table = $('#router_list').DataTable();
	//var txt_router_id = table.row( table.$('tr.selected') ).data()[1];		
	//alert(txt_router_id);
	//alert();
	//var table = $('#path_list').DataTable();
	//var txt_path_id = table.row( table.$('tr.selected') ).data()[5];		
	//alert(txt_router_id);

	var txt_peer = '';
	var oDataTable3 = $('#peer_list').DataTable();
	oDataTable3.column(1).data().$('input[type="checkbox"]')
    .each(function(e){
        if(this.checked){ 
			var $row = $(this).closest('tr');
			if(txt_peer==''){txt_peer = oDataTable3.cell($row,2).data();} 
			else {txt_peer = txt_peer+'|'+oDataTable3.cell($row,2).data();}
		}
	});
	
	txt_number = $('input[id=txt_number]').val();
	txt_number_out = $('input[id=txt_number_out]').val();
	txt_aon = $('input[id=txt_aon]').val();
	txt_aon_out = $('input[id=txt_aon_out]').val();
	txt_graph = $('select[id=txt_graph]').val(); //$("#txt_graph option:selected").html();
	txt_path_id = $('input[id=txt_path_id]').val();
	txt_router_id = $('input[id=txt_router_id]').val();
	//alert(txt_number+'   '+txt_number_out+'   '+txt_aon+'   '+txt_aon_out+'   '+txt_graph);

	select_dialmode = $('select[id=select_dialmode]').val();
	txt_answer_pause = $('input[id=txt_answer_pause]').val();
	txt_redial_pause = $('input[id=txt_redial_pause]').val();
	txt_redial_count = $('input[id=txt_redial_count]').val();
	txt_recording = $('input[id=txt_recording]').val();
	select_out_type = $('select[id=select_out_type]').val();
	select_menu_list = $('select[id=select_menu_list]').val();

	
	var save_mode = $("#frm_path").attr('mode');
	
	// добавление нового маршрута
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_routerpath_add',
			txt_number: txt_number,
			txt_number_out: txt_number_out,
			txt_aon: txt_aon,
			txt_aon_out: txt_aon_out,
			txt_graph: txt_graph,
			txt_router_id: txt_router_id,
			txt_peer: txt_peer,
			select_dialmode: select_dialmode,
			txt_answer_pause: txt_answer_pause,
			txt_redial_pause: txt_redial_pause,
			txt_redial_count: txt_redial_count,
			txt_recording: txt_recording,
			select_out_type: select_out_type,
			select_menu_list: select_menu_list
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_path_dialog();
			var tab = $('#path_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: path is not added');
		}
		
		});
	}
	// редактирование маршрута
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_routerpath_edt',
			txt_number: txt_number,
			txt_number_out: txt_number_out,
			txt_aon: txt_aon,
			txt_aon_out: txt_aon_out,
			txt_graph: txt_graph,
			txt_path_id: txt_path_id,
			txt_router_id: txt_router_id,
			txt_peer: txt_peer,
			select_dialmode: select_dialmode,
			txt_answer_pause: txt_answer_pause,
			txt_redial_pause: txt_redial_pause,
			txt_redial_count: txt_redial_count,
			txt_recording: txt_recording,
			select_out_type: select_out_type,
			select_menu_list: select_menu_list
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_path_dialog();
			var tab = $('#path_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: edit path');
		}
		
		});
	}
	
}

// удаление маршрута
function frm_path_del(path_id){

	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_routerpath_del',
			txt_path_id: path_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			//var ChannelNumberTab = $('#path_list').dataTable();
			//ChannelNumberTab.api().ajax.reload();
			//var channelrow = $('#router_list').DataTable().row('.selected').data();
			//var router_id = channelrow[4];
			var tab = $('#path_list').dataTable();
			tab.api().ajax.reload();
			//if(tab){ tab.api().destroy(); }
			//PathTable_Refresh(router_id);
		},
		error:function(){
			alert('error: path isn\'t deleted');
		}
		
	});
	
	
}

// редактирование маршрута
function frm_path_edt(varr){
	var param = varr.split("@@");
	//alert(varr);
	$('input[id=txt_number]').val(param[0]);
	$('input[id=txt_number_out]').val(param[1]);
	$('input[id=txt_aon]').val(param[2]);
	$('input[id=txt_aon_out]').val(param[3]);
	$('select[id=txt_graph]').val(param[7]);
	$('input[id=txt_path_id]').val(param[5]);

	
	$('select[id=select_dialmode]').val(param[9]);
	$('input[id=txt_answer_pause]').val(param[10]);
	$('input[id=txt_redial_pause]').val(param[11]);
	$('input[id=txt_redial_count]').val(param[12]);
	$('input[id=txt_recording]').val(param[13]);
	
	$('select[id=select_out_type]').val(param[15]);
	$('select[id=select_menu_list]').val(param[14]);
	
	
	var tab = $('#peer_list').dataTable();
	if(tab){ tab.api().destroy(); }
	PeerTable_Refresh($('input[id=txt_path_id]').val());

	var obj = $('select[id=select_out_type]');
	obj.value = obj.val();
	get_output_list( obj );	
	
	frm_open_path_dialog('edt');

}


// просмотр параметров маршрута
$(function() {
	$( "#frm_routerview" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:300,
		title: "Параметры маршрута",
		buttons:{ "OK":function(){$("#frm_routerview").dialog('close');} },
		resizable:false
	});
});	
// просмотр маршрута
function frm_path_view(varr){
	$("div[id=sip_account_view]").html("");
	var param = varr.split("@@");
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_routerpath_view',
		txt_path_id: param[5]
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var sipaccount = '';
		$.each(data.data, function (key,row) {
			if(sipaccount!='') sipaccount = sipaccount + ', ';
			sipaccount = sipaccount + row[0];
		});
		$("div[id=sip_account_view]").html(sipaccount);
	},
	error:function(){
		alert('error: view');
	}
	});
	
	$("#frm_routerview").dialog('open');
}



function do_move_path_down(path_id){
	//alert(path_id);
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_routerpath_movedown',
		path_id: path_id
	}),
	dataType: 'json',
	async: false,
	timeout: 10000,
	success: function(data) {
		var tab = $('#path_list').dataTable();
		tab.api().ajax.reload();
	},
	error:function(){
		alert('error: path list refresh');
	}
	});
}

function do_move_path_up(path_id){
	//alert(path_id);
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_routerpath_moveup',
		path_id: path_id
	}),
	dataType: 'json',
	async: false,
	timeout: 10000,
	success: function(data) {
		var tab = $('#path_list').dataTable();
		tab.api().ajax.reload();
	},
	error:function(){
		alert('error: path list refresh');
	}
	});
}

// тестирование номера и аон ------------------------------------------------------------------------
$(document).ready( function () {
	$('input[id=btn_number_test]').click(function(){
		doNumberTest('add');
	});
	$('input[id=btn_aon_test]').click(function(){
		doAONTest('add');
	});
});

function doNumberTest(){

	txt_number = $('input[id=txt_number]').val();
	txt_test_number = $('input[id=txt_test_number]').val();
	txt_number_out = $('input[id=txt_number_out]').val();
	
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_pathnumber_test',
		txt_number: txt_number,
		txt_test_number: txt_test_number
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var numblock = '';
		$.each(data.data, function (key,row) {
			if(numblock!='') numblock = numblock + ', ';
			numblock = numblock + row[0];
		});
		if(numblock=='') numblock = 'номер не совпадает с шаблоном';
		$("#txt_test_number_block").val(numblock);
	},
	error:function(){
		alert('error: validation');
	}
	});

	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_numbertranslate_test',
		txt_number: txt_number,
		txt_test_number: txt_test_number,
		txt_number_out: txt_number_out
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var numblock = '';
		numblock = data.data[0];
		//if(numblock=='') numblock = 'номер не совпадает с шаблоном';
		$("#txt_test_number_out").val(numblock);
	},
	error:function(){
		alert('error: validation');
	}
	});

	
}

function doAONTest(){

	txt_number = $('input[id=txt_aon]').val();
	txt_test_number = $('input[id=txt_test_aon]').val();
	txt_number_out = $('input[id=txt_aon_out]').val();

	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_pathnumber_test',
		txt_number: txt_number,
		txt_test_number: txt_test_number
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var numblock = '';
		$.each(data.data, function (key,row) {
			if(numblock!='') numblock = numblock + ', ';
			numblock = numblock + row[0];
		});
		if(numblock=='') numblock = 'номер не совпадает с шаблоном';
		$("#txt_test_aon_block").val(numblock);
	},
	error:function(){
		alert('error: validation');
	}
	});

	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_numbertranslate_test',
		txt_number: txt_number,
		txt_test_number: txt_test_number,
		txt_number_out: txt_number_out
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var numblock = '';
		numblock = data.data[0];
		//if(numblock=='') numblock = 'номер не совпадает с шаблоном';
		$("#txt_test_aon_out").val(numblock);
	},
	error:function(){
		alert('error: validation');
	}
	});

}


//*********************************************************************************************************
// пиры 
//*********************************************************************************************************

function PeerTable_Refresh(path_id){

//	var tab = $('#peer_list').dataTable();
//	if(tab){ tab.api().destroy(); }
			
//	$('#peer_list').wrap('<div id="router_list_wrap" style="display:"/>');
	$('#peer_list').wrap('<div id="router_list_wrap"/>');

    oDataTable3 = $('#peer_list').dataTable( {
		processing: false,
		serverSide: false,
		scrollY: 300,
		autoWidth: true,
		paging: false,
		lengthChange: false,
		searching: false,
		info: false,
		sort: true,
		//draw: 1,
		length: 100,
		start: 0,
		language: {
			info: ''
		},

		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_pathpeer_table',
				first: 10,
				skip: 0,
				path_id: path_id
			})
		},
		columns: [
		{ data: "0"},
		{ data: "1", "bSortable":false },
		{ data: "2", "bVisible":false },
		{ data: "3", "bVisible":false }
		]

} );

	oDataTable3.css('font-size', "11px");
	
}



// выбрать все
function doAllAccountCheck(obj){
	var tab = $('#peer_list').DataTable();
	if(obj==1){
		tab.column(1).data().$('input[type=checkbox]').prop("checked",true);
		tab.column(1).data().$('input[type=checkbox]').val(1);
	} else {
		tab.column(1).data().$('input[type=checkbox]').prop("checked",false);
		tab.column(1).data().$('input[type=checkbox]').val(0);
	}
}
	


$(document).ready( function () {
	/*var tab = $('#router_list').DataTable();

var $row = $('#router_list').DataTable().row().eq(1);//third row
var $cell = $row.find("td").eq(1);//second cell
$cell.trigger('click');*/

//var $row = $("#router_list tr").eq(1);//third row
//var $cell = $row.find("td").eq(0);//second cell

//then trigger a click
//$row.trigger('click');


	//$('row:eq(1)',$('#router_list').DataTable().rows ).trigger('click');

	//var tab = $('#router_list').DataTable();
	//tab.row(1).data().trigger('click');
	
});

/*
$(function() {
	//$('#router_list-id').select("1");
	//var tab = $('#router_list').DataTable();
	//tab.row(1).trigger('click');
	var $row = $("#router_list tr").eq(2);
	$row.click();
	alert($row);
	//alert(tab.row(0));
});	
*/

// просмотр сип-аккаунтов, к которым привязана таблица маршрутизации
$(function() {
	$( "#frm_sipview" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:300,
		title: "Параметры таблицы",
		buttons:{ "OK":function(){$("#frm_sipview").dialog('close');} },
		resizable:false
	});
});	
// просмотр sip-аккаунтов привязанных к таблице
function frm_sip_view(varr){
	$("div[id=table_sip_view]").html("");
	var param = varr.split("|");
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_table_sip_view',
		txt_tab_id: param[1]
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		var sipaccount = '';
		$.each(data.data, function (key,row) {
			if(sipaccount!='') sipaccount = sipaccount + ', ';
			sipaccount = sipaccount + row[0];
		});
		$("div[id=table_sip_view]").html(sipaccount);
	},
	error:function(){
		alert('error: view');
	}
	});
	$("#frm_sipview").dialog('open');

}

$(document).ready( function () {
	$("#numfield_inside").css('display','none');
	$("#aonfield_inside").css('display','none');
	$("#paramfield_inside").css('display','none');

    $('#tr_menu_list').css( 'display', 'none' );
})
/*function numtest_slide(obj){
	if($("#numfield_inside").css('display')=='none'){
		$("#numfield_inside").slideDown(200);
		//$(obj).closest('fieldset').animate({backgroundColor: "#ffffff", color: "#ffffff"}, 'slow');
		$("#numfield").animate({backgroundColor: "#ffff80"}, 'slow');
		$(obj).html('тест номера <<');
		$("#numfield").css('backgroundImage',"url('../images/duoline.gif')");
	} else {
		$("#numfield_inside").slideUp(50);
		//$("#numfield").animate({backgroundColor: "#fafafa"}, 'slow');
		$(obj).html('тест номера >>');
		//$("#numfield").css('backgroundImage','');
	}
}*/

function fieldset_slide(obj_legend){
	var obj_fieldset = $(obj_legend).closest('fieldset');
	var obj_inside = $(obj_legend).siblings('div');
	var obj_name = $(obj_legend).html();
	if($(obj_inside).css('display')=='none'){
		$(obj_inside).slideDown(50);
		$(obj_legend).html( obj_name.replace('&gt;&gt;','&lt;&lt;') );
		$(obj_fieldset).toggleClass('sysfield_up');
		$(obj_fieldset).toggleClass('sysfield_down');
	} else {
		$(obj_inside).slideUp(50);
		$(obj_legend).html( obj_name.replace('&lt;&lt;','&gt;&gt;') );
		$(obj_fieldset).toggleClass('sysfield_down');
		$(obj_fieldset).toggleClass('sysfield_up');
	}
}

function get_output_list(obj){
	if(obj.value==1) { 
		//var tab = $('#peer_list').dataTable();
		//if(tab){ tab.api().destroy(); }
		//PeerTable_Refresh($('input[id=txt_path_id]').val());
		$('#tr_menu_list').css( 'display', 'none' );
        $('#router_list_wrap').css( 'display', 'block' );
	}
	else  { 
        $('#router_list_wrap').css( 'display', 'none' );
		$('#tr_menu_list').css( 'display', '' );
	}
}

