<?php
require_once(dirname(__FILE__).'/include/constants.php');
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database, $form, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}


if (!empty($session->ofid) && $session->checkUserRight('office_page','A') ) {
	$pagetitle = "Состояние офиса";
} else {
	$pagetitle = "Состояние системы";
}
//$pagetitle = $session->isAdmin() ? "Администрирование :: Состояние системы" : "Состояние офиса";

$addheadcode = <<<EOS
<script type="text/javascript" src="js/jquery/flexigrid.js" charset="UTF-8"></script>
<link href="styles/jquery/flexigrid.css" rel="stylesheet" type="text/css" media="screen"/>
<script language="JavaScript" type="text/JavaScript" src="js/main.js"></script>
EOS;

//print(GetHTMLHeader($pagetitle, $session->logged_in ? 'numbers_ext.php' : null));
print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php

//echo var_dump($session);
//echo $session->cehost;

if ($session->logged_in) {
	print(GetPageContentTitle($pagetitle));
	
//	echo $session->hashed_password;

//	var_dump($session->userright);

//	if (!$session->isAdmin()) {
//	if (!$session->ofid && !empty($session->ofid) && $session->checkUserRight('office_page','A') ) {
//	if (!empty($session->ofid)) {
	if (!empty($session->ofid) && $session->checkUserRight('office_page','A') ) {
//echo('1');
	//var_dump($session->userright);
	$num = DB_TAR_DEBUG ? DB_TAR_DEBUG_NUMBER : DB_TAR_FEDERAL_PREFIX . $session->ofnumber;
	//var_dump($num);
		$ai = $database_tar->getAccountInfo($num);
		if ($ai) {
	?>
			<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
			<input type="hidden" name="sub_edit_info" id="sub_edit_info" value="1">

			<table class="nb" cellspacing="0" style="width:400px">
				<tr>
					<td class="infoLineParam blue">Телефонный номер офиса</td>
					<td class="infoLineValue"><?php echo $session->ofnumber ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue">Описание офиса</td>
					<td class="infoLineValue"><?php echo $session->ofinfo ?></td>
				</tr>
				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
				<tr>
					<td class="infoLineParam blue">Авторизованный пользователь</td>
					<td class="infoLineValue"><?php echo $session->username ?>
						<a class="imglink" id="chpass_ref" style="margin-left:60px;border-bottom: 1px dashed #3164ca;" title="Изменить пароль" onclick="showCtrls(this, 'userpwd');">Изменить пароль</a>
					</td>
				</tr>


				<tr id="userpwd" style="display:none;">
				<td colspan=2>
				<table style="border:1px dashed #ddd; width:100%; padding: 10px;">
					<tr>
					<td class="infoLineParam blue">e-mail</td>
					<td>
						<input type="text" class="inputm" style="width:97%;"
						name="user_mail"
						id="user_mail"
						onkeypress='return onEditControlKeyPress(this, event)'
						onkeyup='return onEditControlKeyUp(this, event)'
						onchange="this.style.backgroundColor='#FAF0F0'"
						value=<?php echo $session->user_mail ?>
						/>
					</td>
					</tr>					<tr>
					<td class="infoLineParam blue">Пароль и подтверждение</td>
					<td class="infoLineValue">
						<input type="password" class="inputm" style="width:100px;"
						name="user_pass"
						id="user_pass"
						onkeypress='return onEditControlKeyPress(this, event)'
						onkeyup='return onEditControlKeyUp(this, event)'
						onchange="this.style.backgroundColor='#FAF0F0'"
						value="&lt;unchanged&gt;"
						/>
						<input type="password" class="inputm" style="width:100px;"
						name="user_pass2"
						id="user_pass2"
						onkeypress='return onEditControlKeyPress(this, event)'
						onkeyup='return onEditControlKeyUp(this, event)'
						onchange="this.style.backgroundColor='#FAF0F0'"
						value="&lt;unchanged&gt;"
						/>
						<input class="inputbt" type="button" name="btsubmit2" id="btsubmit2" value="OK" title="Изменить пароль"
							onClick="document.getElementById('sub_edit_info').value='save';disableForms();document.forms['frmmain'].submit();">
						<input class="inputbt" type="button" name="btsubmit3" id="btsubmit3" value="Отменить" title="Отменить изменение пароля"
							onClick="var obj=document.getElementById('chpass_ref'); showCtrls(obj, 'userpwd');">
					</td>
					</tr>

				</table>
				</td>	
				</tr>



				<tr>
					<td class="infoLineParam blue">Статус пользователя</td>
					<td class="infoLineValue"><span style="color:<?php echo ($session->isDemo()) ? 'red' : 'black' ?>;"><?php echo $session->userinfo['user_role_name']; ?></span></td>
				</tr>

<!--
				<tr id="userpwd" style="display:none;">
					<td class="infoLineParam blue">Пароль и подтверждение</td>
					<td class="infoLineValue">
						<input type="password" class="inputm" style="width:80px;"
						name="user_pass"
						id="user_pass"
						onkeypress='return onEditControlKeyPress(this, event)'
						onkeyup='return onEditControlKeyUp(this, event)'
						onchange="this.style.backgroundColor='#FAF0F0'"
						value="&lt;unchanged&gt;"
						/>
						<input type="password" class="inputm" style="width:80px;"
						name="user_pass2"
						id="user_pass2"
						onkeypress='return onEditControlKeyPress(this, event)'
						onkeyup='return onEditControlKeyUp(this, event)'
						onchange="this.style.backgroundColor='#FAF0F0'"
						value="&lt;unchanged&gt;"
						/>
						<input class="inputbt" type="button" name="btsubmit2" id="btsubmit2" value="OK" title="Изменить пароль"
							onClick="document.getElementById('sub_edit_info').value='save';disableForms();document.forms['frmmain'].submit();">
					</td>
				</tr>
-->


				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
				<tr>
					<td class="infoLineParam blue">Дата создания</td>
					<td class="infoLineValue"><?php echo $ai['createdate'] ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue">ФИО</td>
					<td class="infoLineValue"><?php echo $ai['fio']; ?></td>
				</tr>
				<tr>
					<td class="infoLineParam blue">Число одновременных подключений</td>
					<td class="infoLineValue"><?php echo (!$ai['maxconnections']) ? 'Безлимитный' : $ai['maxconnections'] ?></td>
				</tr>
				<?php if ($session->checkUserRight('office_balance','A')) { ?>
				<tr>
					<td class="infoLineParam blue">Баланс</td>
					<td class="infoLineValue"><span style="font-weight:bold;color:<?php echo ($ai['summ'] <= 0) ? 'red' : 'green' ?>;"><?php echo format_money((round($ai['summ']*100))/100); ?></span>&nbsp;(единица: <?php echo $ai['currencyname']; ?>)</td>
				</tr>
				<?php } ?>
				<tr>
					<td class="infoLineParam blue"><a class="downlink" href="mb.php">Файловое хранилище</a></td>
					<td class="infoLineValue">
						<span style="font-weight:bold;color:<?php $mb = $database_tar->getMB($session->ofnumber); echo (empty($mb) || $mb['freesize'] <= 0) ? 'red':'green' ?>;">
							<?php echo 'Свободно '
							. get_percents($mb['freesize'], $mb['maxsize']) . '% ('
							. format_bytes($mb['freesize'] * FILESERVER_AUDIO_BYTE_SIZE)
							. '  из  '
							. format_bytes($mb['maxsize'] * FILESERVER_AUDIO_BYTE_SIZE)
							. ')';
							?></span>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
				</tr>
			</table>

			<?php
			if (strlen($form->error("useredit")) > 0) {
			?>
				<div class="enote sm" style="margin:10px 0 0 20px;"><?php echo $form->error("useredit"); ?></div>
			<?php
			}
			?>
			<div class="spacer"></div>
			<div class="spacer"></div>
			<table id="activecalls" style="display:none"></table>
			<div class="spacer"></div>
			<div class="stattotals" id="activecallstotals"></div>
			<div class="spacer"></div>
			<a title="Обновить страницу" onclick="disableForms();this.onclick='';window.location.href=window.location.pathname;">
				<img class="imglink" style="margin-bottom:8px;" src="images/btn_refresh.gif" width="83" height="23" alt="Обновить">
			</a>
			</form>
		<?php
		} else {
		?>
			<div class="textquote" style="width:400px;padding:10px;margin:10px;" align="left">
				<span class="sm" style="color: #666;"><img src="images/icon_error_big.gif" width="32" height="32" style="margin: -10px 10px -8px 0;" align="left" alt="">Ошибка получения информации о состоянии офиса!</span>
			</div>
		<?php
		}
	} else {  //Admin mode
//echo('2');
		$stats = $database->getSystemStats();
		?>
		<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
		<input type="hidden" name="sub_edit_info" id="sub_edit_info" value="1">

		<table class="nb" cellspacing="0" style="width:400px">
			<tr>
				<td class="infoLineParam blue">Авторизованный пользователь</td>
				<td class="infoLineValue"><?php echo $session->username ?></td>
			</tr>
			<tr>
				<td class="infoLineParam blue">Статус пользователя</td>
				<td class="infoLineValue"><span style="color:<?php echo ($session->isDemo() || $session->isAdmin()) ? 'red' : 'black' ?>;"><?php echo $session->userinfo['user_role_name']; ?></span></td>
			</tr>
			<tr>
				<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
			</tr>
			<tr>
				<td class="infoLineParam blue">Офисов зарегистрировано</td>
				<td class="infoLineValue"><?php echo $stats[0]['count'] ?></td>
			</tr>
			<tr>
				<td class="infoLineParam blue">Пользователей зарегистрировано</td>
				<td class="infoLineValue"><?php echo $stats[1]['count'] ?></td>
			</tr>
			<tr>
				<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
			</tr>
			<tr>
				<td class="infoLineParam blue"><a class="downlink" href="adm_mb.php">Системное файловое хранилище</a></td>
				<td class="infoLineValue">
						<span style="font-weight:bold;color:<?php $mb = $database_tar->getMB(DB_TAR_MB_SYSTEMBOXCOMMONID); echo (empty($mb) || $mb['freesize'] <= 0) ? 'red':'green' ?>;">
							<?php echo 'Свободно '
							. get_percents($mb['freesize'], $mb['maxsize']) . '% ('
							. format_bytes($mb['freesize'] * FILESERVER_AUDIO_BYTE_SIZE)
							. '  из  '
							. format_bytes($mb['maxsize'] * FILESERVER_AUDIO_BYTE_SIZE)
							. ')';
							?></span>
				</td>
			</tr>
			<tr>
				<td colspan="2" class="infoLineParamNB blue">&nbsp;</td>
			</tr>
		</table>

		<?php
		if (strlen($form->error("useredit")) > 0) {
		?>
			<div class="enote sm" style="margin:10px 0 0 20px;"><?php echo $form->error("useredit"); ?></div>
		<?php
		}
		?>
		<div class="spacer"></div>
		<a title="Обновить страницу" onclick="disableForms();this.onclick='';window.location.href=window.location.pathname;">
			<img class="imglink" style="margin-bottom:8px;" src="images/btn_refresh.gif" width="83" height="23" alt="Обновить">
		</a>
		</form>
		<?php
	}
	unset($session->edit_info);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>


</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td class="footleft" style="text-align:left;width:50%;">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr>
	<td class="infoLineValueNB" style="text-align:left;width:50%;font-size: 10px;">
	<?php print($session->user_browser); ?>
	</td>
	<td class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td>
</tr>

</table>
</div>
<?php
	//echo 'audio path: '.AUDIO_CONVERT_TOOLS_PATH;
print(GetHTMLFooter());
?>

<!-- BEGIN JIVOSITE CODE {literal} -->
<script type='text/javascript'>
/*
(function(){ var widget_id = 'xHXSUFimF8';
var s = document.createElement('script'); 
s.type = 'text/javascript'; 
s.async = true; 
s.src = '//code.jivosite.com/script/widget/'+widget_id; 
var ss = document.getElementsByTagName('script')[0]; 
ss.parentNode.insertBefore(s, ss);})();
*/
</script>
<!-- {/literal} END JIVOSITE CODE -->

