<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$addheadcode = <<<EOS
<link href="styles/jquery/themes/smoothness/jquery-ui-1.8.6.custom.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript" src="js/jquery/jquery-ui-1.8.6.custom.min.js"></script>
<script type="text/javascript" src="js/jquery/jquery.blockUI.js"></script>
<script type="text/javascript" src="js/jquery/jquery.download.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/flexigrid.js" charset="UTF-8"></script>
<link href="styles/jquery/flexigrid.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/superfish.css" rel="stylesheet" media="screen">
<script type="text/javascript" src="js/jquery/superfish.js"></script>
<script type="text/javascript" src="js/jquery/supersubs.js"></script>
<script type="text/javascript" src="js/jquery/date.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/date_ru_utf8.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick.pack.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick.ext.pack.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick-ru.js" charset="UTF-8"></script>
<link href="styles/jquery/jquery.datepick.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/themes/flick/jquery-ui-1.8.12.custom.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/ui-flick.datepick.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/audio-player.js"></script>
<script type="text/javascript">
	AudioPlayer.setup("player.swf", {
		width: 366,
		autostart: "no",
		animation: "no",
		remaining: "yes",
		noinfo: "no",
		buffer: 10,
		initialvolume: 35,
		transparentpagebg: "yes",
		left: "000000",
		lefticon: "FFFFFF"
	});
</script>
<script type="text/javascript" src="js/mb.js"></script>
<script type="text/javascript" src="js/stats_common.js"></script>
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = ($session->isAdmin() ? 'Администрирование :: ' : '') . 'Файлы';

print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<div class="hidden">
	<img id="calendar_picker" src="images/calendar.gif" alt="" title="Выбрать дату" class="imglink trigger">
</div>

<?php
//if ($session->logged_in) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	print(GetPageContentTitle($pagetitle));
	$session->initStatFilters(DB_TAR_SERVICETYPE_MB, true);

	$mb_messagetypes = $database_tar->getMBMessageTypes();
	$mb_code = 'var mb_messagetypes=new Array();';
	foreach ($mb_messagetypes as $row)
		$mb_code .= "mb_messagetypes['{$row['messagetypeid']}']='".addslashes(htmlspecialchars($row['messagetypename']))."';";
	print(GetJavaScriptCodeBlock($mb_code));
?>
	<div class="groupboxfilters">
		<table class="statlist_filters">
			<tr>
				<td class="infoLineParam blue" style="width:120px;">Дата</td>
				<td class="infoLineValue" style="width:100px;">
					<span style="margin-right:4px;">с</span>
					<input class="datefield inputmw" style="width:90px;" type="text" id="sf_startdate" data-rangectrl="sf_range"
					       value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_startdate']; ?>"
					/>
					<span style="margin-left:4px;">по</span>
					<input class="datefield inputmw" style="width:90px;" type="text" id="sf_enddate" data-rangectrl="sf_range"
					       value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_enddate']; ?>"
					/>
				</td>
				<td class="infoLineValue">
					<input type="hidden" id="sf_range" class="rangefield" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_range']; ?>"/>
					<a class="datectrl first" rel="w,sf_startdate,sf_enddate" title="За неделю">неделя</a>
					<a class="datectrl" rel="m,sf_startdate,sf_enddate" title="За месяц">месяц</a>
					<a class="datectrl" rel="2m,sf_startdate,sf_enddate" title="За два месяца">2 месяца</a>
					<a class="datectrl" rel="05y,sf_startdate,sf_enddate" title="За полгода">полгода</a>
					<a class="datectrl" rel="y,sf_startdate,sf_enddate" title="За год">год</a>
				</td>
			</tr>
			<?php /*<tr>
				<td class="infoLineParam blue">Длительность</td>
				<td class="infoLineValue">
					от
					<input class="inputmw" style="width:40px;" type="text" id="sf_startvol"
					       value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_startvol']; ?>"
					/>
					<span style="margin-left:4px;">до</span>
					<input class="inputmw" style="width:40px;" type="text" id="sf_endvol"
					       value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_endvol']; ?>"
					/>
					минут
				</td>
				<td class="infoLineValue">
					<a class="volctrl first" rel="1,sf_startvol,sf_endvol" title="Файлы длительностью меньше минуты">меньше минуты</a>
					<a class="volctrl" rel="2,sf_startvol,sf_endvol" title="Файлы длительностью от минуты до пяти минут">1-5 минут</a>
					<a class="volctrl" rel="3,sf_startvol,sf_endvol" title="Файлы длительностью больше пяти минут">больше 5 минут</a>
				</td>
			</tr>*/ ?>
			<tr>
				<td class="infoLineParam blue">Источник</td>
				<td class="infoLineValue" colspan="2">
					<input class="inputmw" style="width:150px;" type="text" id="sf_numbera"
					       value="<?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_numbera']; ?>"
					/>
				 </td>
			 </tr>
			 <?php
			 //ToDo: Read messagetypes from database
			 /*<tr>
				 <td class="infoLineParam blue">Типы вызовов</td>
				 <td class="infoLineValue" colspan="2">
					 <input type="checkbox" id="sf_calltype100" onchange="" <?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_calltype100'] == '1' ? 'checked' : '' ?>/>
					 <label for="sf_calltype100" class="imglink noundertext" title="">Пропущенные вызовы</label> &nbsp;
					 <input type="checkbox" id="sf_calltype101" onchange="" <?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_calltype101'] == '1' ? 'checked' : '' ?>/>
					 <label for="sf_calltype101" class="imglink noundertext" title="">Успешные вызовы</label> &nbsp;
					 <input type="checkbox" id="sf_calltype301" onchange="" <?php echo $session->filters[DB_TAR_SERVICETYPE_MB]['sf_calltype301'] == '1' ? 'checked' : '' ?>/>
					 <label for="sf_calltype301" class="imglink noundertext" title="">Входящие вызовы</label> &nbsp;
				 </td>
			 </tr> */ ?>
		</table>
	</div>
	<div class="spacer"></div>
	<ul class="sf-menu">
		<li>
			<img id="bt_filters_apply" class="imglink" style="margin-right:4px;" src="images/btn_refresh.gif" title="Применить фильтры и обновить данные" alt="" width="83" height="23">
		</li>
		<li>
			<img id="bt_mblist_del" class="imglink" style="margin-right:4px;" src="images/btn_delete.gif" title="Применить фильтры и удалить файлы" alt="" width="83" height="23">
		</li>
		<li>
			<img id="bt_mblist_save" class="imglink" style="margin-right:4px;" src="images/btn_save.gif" title="Сохранить данные" alt="" width="84" height="23">
			<ul>
				<li>
					<a id="bt_mblist_save_tar" title="в формате tar" class="bt_stat_saveas" rel="astext"> в формате tar </a>
				</li>
				<li>
					<a id="bt_mblist_save_zip" title="в формате zip" class="bt_stat_saveas" rel="aspdf"> в формате zip </a>
				</li>
			</ul>
			<input id="sf_format" type="hidden" value='tar'>
		</li>
	</ul>
	<div id="voiceplayer"></div>
	<div class="spacer"></div>
	<table id="mblist" style="display:none"></table>
	<div class="spacer"></div>
	<div class="stattotals" id="stattotals"></div>
<?php
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>


<!-- -->
<div id="frm_wait_load_fromfileserver">
<table>
<tr>
<td>Идет подготовка данных ... <br>&nbsp;</td>
</tr>
<tr>
<td><img src="./images/pbari2.gif"></div></td>
</tr>
</table>
</div>


</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print(GetHTMLFooter());
?>
