<?php
/*
 * Created on 07.11.2008
 *
 */
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $database_dynmenu;

$jsonres = Array();
$jsonres['identifier'] = 'id';
$jsonres['label'] = 'description';

$jsonresErr = $jsonres;
$jsonresErr['items'] = array('id' => '', 'description' => 'Внутренняя ошибка!');

function getConditionProcessorsJSON() {
	global $jsonres;

	//ToDo: editable list of condition processors in DB
	$jsonres['items'] = array(
		array('id' => 'SQL_CONDITION', 'description' => 'SQL-процессор'),
		array('id' => 'SQL_CONDITION_1', 'description' => 'SQL-процессор 1'),
		array('id' => 'SQL_CONDITION_2', 'description' => 'SQL-процессор 2'),
		array('id' => 'SQL_CONDITION_3', 'description' => 'SQL-процессор 3'),
		array('id' => 'SQL_CONDITION_4', 'description' => 'SQL-процессор 4'),
		array('id' => 'PHP_CONDITION', 'description' => 'PHP-процессор'),
		array('id' => 'HTTP_CONDITION', 'description' => 'HTTP-процессор'),
        array('id' => 'HTTP_CONDITION_1', 'description' => 'HTTP-процессор 1')
	);
	return json_encode_safe($jsonres);
}

if ($database_dynmenu->db_ok) {
	header("Content-Type: text/plain");
	$json = getConditionProcessorsJSON();
	//$logger->log("getConditionProcessorsJSON:\n".print_r($json, true));
	if ($json)
		echo $json;
	else
		echo json_encode_safe($jsonresErr);
} else {
	echo json_encode_safe($jsonresErr);
}
?>
