<?php
/*
 * Created on 14.10.2008
 *
 */
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database_dynmenu, $logger;

$jsonres = Array();
$jsonres['identifier'] = 'item_id';
$jsonres['label'] = 'item_name';

$jsonresErr = $jsonres;
$jsonresErr['items'] = array('item_id' => '-1', 'item_name' => 'Внутренняя ошибка!');

function getItemNamesJSON($menuid) {
	global $database_dynmenu, $logger, $jsonres;

	$q = "select * from menu_get_item_names($menuid)";
	$result = $database_dynmenu->getQueryResultAsArray($q);
	if (PEAR::isError($result)) {
		$logger->log("getItemNamesJSON:ERR=". getPEARErrorInfo($result));
		return null;
	} else {
		$jsonres['items'] = $result;
		return json_encode_safe($jsonres);
	}
}

header("Content-Type: text/plain");
if ($database_dynmenu->db_ok) {
	//$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : (isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1);
	if (isset($_REQUEST['ivr_edit']))
		$menuid = isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1;
	else
		$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : -1;
	$json = getItemNamesJSON($menuid);
	//$logger->log("getItemNamesJSON($menuid):\n".print_r($json, true));
	if ($json)
		echo $json;
	else
		echo json_encode_safe($jsonresErr);
} else {
	echo json_encode_safe($jsonresErr);
}
?>
