<?php
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $database_dynmenu, $logger;

$jsonres = Array();
$jsonres['identifier'] = 'id';
$jsonres['label'] = 'description';
$jsonres['items'] = array();

$jsonresErr = $jsonres;
$jsonresErr['items'] = array('id' => '-1', 'description' => 'Внутренняя ошибка!');

function getItemTypesJSON() {
	global $database_dynmenu, $jsonres, $logger;

	//$q = 'select id, id||\': \'||description as description from tb_menu_service_types order by id';
	$q = 'select id, description as description from tb_menu_service_types order by id';
	$result = $database_dynmenu->getQueryResultAsArray($q);
	if (PEAR::isError($result)) {
		$logger->log("getItemTypesJSON:ERR=". getPEARErrorInfo($result));
		return null;
	} else {
		$jsonres['items'] = $result;
		return json_encode_safe($jsonres);
	}
}

if ($database_dynmenu->db_ok) {
	header("Content-Type: text/plain");
	$json = getItemTypesJSON();
	//$logger->log("getItemTypesJSON:\n".print_r($json, true));
	if ($json)
		echo $json;
	else
		echo json_encode_safe($jsonresErr);
} else {
	echo json_encode_safe($jsonresErr);
}
?>
