<?php
/*
 * Created on 20.11.2008
 *
 */
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');
require_once(dirname(__FILE__).'/include/fileserver.php');

global $session, $database_dynmenu;

$jsonresErr = Array('error' => 'Внутренняя ошибка!');
$jsonresErr['identifier'] = 'id';
$jsonresErr['label'] = 'description';
$jsonresErr['items'] = array();

function getSynthsList($menuid) {
	global $database_dynmenu, /*$jsonres,*/ $logger;

	$q = "select * from menu_get_synthez_list($menuid)";
	$result = $database_dynmenu->getQueryResultAsArray($q);
	if (PEAR::isError($result)) {
		$logger->log("getSynthsList:ERR=". getPEARErrorInfo($result));
		return null;
	} else {
		//$logger->log("getSynthsList:OK".print_r($result, true));
		//$jsonres['items'] = $result;
		//return json_encode_safe($jsonres);
		return $result;
	}
}

header("Content-Type: text/plain");
if ($database_dynmenu->db_ok) {
	if (!isset($_POST['synth_operation']))
		$mode = 'list';
	else
		$mode = $_POST['synth_operation']; //edit/del...

	switch ($mode) {
		case 'list':
			//$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : (isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1);
			if (isset($_REQUEST['ivr_edit']))
				$menuid = isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1;
			else
				$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : -1;
			$json = getSynthsList($menuid);
			if (is_array($json)) {
				$jsonres = Array();
				$jsonres['identifier'] = 'id';
				$jsonres['label'] = 'description';
				$jsonres['ok'] = true;
				$jsonres['items'] = $json;
				//$logger->log('Synthz list:' . print_r(json_encode_safe($jsonres), true));
				echo json_encode_safe($jsonres);
			}
			break;
		case 'del':
			global $fileserver_control, $database_dynmenu, $database_tar;

			$fileid = $_POST['synth_id'];
			$jsonres = Array('synth_id' => $fileid);
			//$jsonres['error'] = 'Операция удаления синтезаторов временно не поддерживается.';

			//delete from menu
			//$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : (isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1);
			if (isset($_REQUEST['ivr_edit']))
				$menuid = isset($_COOKIE['office_menuid']) ? intval($_COOKIE['office_menuid']) : -1;
			else
				$menuid = ($session->logged_in && is_numeric($session->ofmenuid)) ? intval($session->ofmenuid) : -1;
			$res = $database_dynmenu->deleteSynth($fileid, 1, $menuid);
			$jsonres['ok'] = 'Синтезатор успешно удален из системы.';

			//TODO: delete synthz from FS
			//$res = $fileserver_control->DeleteFile($fileid);
			//if ($res != FS_ERROR_OK)
				//$jsonres['error'] = 'Ошибка удаления синтезатора. Внутренняя ошибка FS: ' . $fileserver_control->ErrorDescription($res);
			//if (!isset($_REQUEST['ivr_edit']) && $session->logged_in)
				//$res = $database_tar->deleteMBMessage($fileid);

			//$logger->log('Synthz del:' . print_r(json_encode_safe($jsonres), true));
			echo json_encode_safe($jsonres);
			break;
		default:
			echo json_encode_safe($jsonresErr);
	}
} else {
	echo json_encode_safe($jsonresErr);
}
?>
