<?php
require_once(dirname(__FILE__).'/include/constants.php');
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database, $form, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;


$addheadcode = <<<EOS

<link rel="stylesheet" href="js/jquery11/jquery-ui.css">
<script src="js/jquery11/jquery-1.10.2.js"></script>
<script src="js/jquery11/jquery-ui.js"></script>

<script type="text/javascript" src="js/pbx_sip_route.js" charset="UTF-8"></script>

<link href="js/DataTables-1.10.3/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/DataTables-1.10.3/media/js/jquery.dataTables.js" charset="UTF-8"></script>

<script type="text/javascript" src="js/jquery/datepick/jquery.plugin.js"></script> 
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.js"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.ext.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.lang.js"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick-ru.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery/datepick/jquery.datepick.css"> 
<link rel="stylesheet" type="text/css" href="js/jquery/datepick/ui-flick.datepick.css"> 


EOS;

print(GetHTMLHeader($pagetitle, null, $addheadcode, $preheadcode));
print(GetPageTop());

?>


<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">


<?php

//echo var_dump($session);
//echo var_dump($session->ofmainparams);
//echo $session->ofmainparams['of_number_prefix'].$session->ofnumber;
//echo var_dump($session->userright);
//var_dump($session->acc_name);


if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}
	print(GetPageContentTitle($pagetitle));

	
?>

	<!-- div class="textquoteinfo" align="left">
		<img class="textquoteinfo_icon" src="images/icon_info_big.gif" align="left" alt="">
		<span class="sm">
			Настройка таблиц маршрутизации.<br>&nbsp;
			
		</span>
	</div -->



<!------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------>

<div style="width:720px;margin-top:30px;padding:4px;border:solid 1px #ccc;border-radius:6px;">

<div style="width:100%;border-radius:6px;opacity: 0.7;">
<table style="width:100%;"><tr>
<td><span class="syslabel">Маршрутизатор</span></td>
<td style="text-align:right;">
<!-- input id="btn_router_add" type="button" class="sysbutton" value="Добавить" -->
</td>
</tr></table>
</div>

<div style="width:100%;">
<table id="router_list" class="display" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th width="120px">SIP-аккаунт</th>
                <th>Таблица маршрутизации</th>
                <th nowrap width="20px">&nbsp;</th>
                <th style="display:none;">ID сип-аккаунта</th>
                <th style="display:none;">ID таблицы маршрутизации</th>
            </tr>
        </thead>
</table>
</div>

</div>


<!------------------------------------------------------------------------------------------------------------------>
<div id="tableInfo"></div>	

<div id="frm_router" title="Маршрут">
<table width="100%">
<tr>
<td width="80px"><div class="syslabel">Таблица маршрутизации</div></td>
<td colspan="2"><div>
<select id="txt_router" type="text" class="systext" style="width:100%" value="" onchange="get_template_param()">
</select>
</div></td>
</tr>
</table>
<input id="txt_sip_id" type="hidden">
</div>

<!------------------------------------------------------------------------------------------------------------------>

<?php
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td>  <!-- content -->

</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->






<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>


<?php
print(GetHTMLFooter());
?>