<?php
/*
$dir_include = str_replace('request','include',dirname(__FILE__));
require_once($dir_include.'/session.php');
require_once($dir_include.'/constants.php');
require_once($dir_include.'/database.php');
*/

require_once('../include/session.php');
require_once('../include/constants.php');
require_once('../include/database.php');


if($_REQUEST['request_service_name']=='doChatFullMonitoring'){
	doChatFullMonitoring();
}
elseif($_REQUEST['request_service_name']=='doPasswordRecovery'){
	doPasswordRecovery();
}
elseif($_REQUEST['request_service_name']=='doPasswordActive'){
	doPasswordActive($_REQUEST['pass']);
}

function doChatFullMonitoring(){
global $database,$session,$logger;

//$userid = $_POST['user_id'];
$userid = $session->userid;
$client_id = $_REQUEST['client_id'];
$chat_text = (isset($_REQUEST['chat_text']))?$_REQUEST['chat_text']:'';

$q = <<<EOS
select
case when D.user_id is not null and D.user_id=C.user_to_id then 1 else 0 end as responded,
U.user_name,
D.mess_count,
C.mess_time,

substring(C.user_mess from 1 for 10) as user_mess, 
C.mess_id,
U.user_id
from
tb_user_chat C inner join
(select max(mess_id) as mess_id, count(*) as mess_count,
case when user_to_id is null then user_from_id else user_to_id end as user_id
from tb_user_chat group by user_id) as D
on C.mess_id=D.mess_id
inner join tb_office_users U on D.user_id=U.user_id 
where U.user_id<>$userid 
order by C.mess_id desc 
EOS;

$ares = $database->getQueryResultAsArray($q);

// client details
$q = <<<EOS
select 
C.mess_id,
C.mess_time,
C.user_from_id,
C.user_to_id,
C.user_mess, 
case when U.user_name is not null then upper(U.user_name) else '' end as user_name 
from 
(select first 20 
mess_id,
mess_time,
user_from_id,
user_to_id,
user_mess 
from tb_user_chat 
where user_from_id=$client_id or user_to_id=$client_id ) as C 
left join tb_office_users U on C.user_from_id=U.user_id and C.user_from_id<>$client_id
order by mess_id desc 
EOS;

$cres = $database->getQueryResultAsArray($q);






$res = '<table width="100%" class="chatmonitor">';
	$res .= '<tr class="messheader">';
	$res .= '<td>тип</td>';
	$res .= '<td>дата сообщения</td>';
	$res .= '<td>пользователь</td>';
	$res .= '<td>кол-во</td>';
	$res .= '<td>сообщение</td>';
	$res .= '</tr>';
foreach($ares as $row){
	//$res .= '<tr><td>'.$row['mess_time'].'</td></tr><tr><td>'.$row['user_mess'].'</td></tr>';
	$rowtype = ($row['responded']==0)?'wait_answer':'responded';

	$res .= '<tr class="message" onclick="doDetailShow('.$row['user_id'].');">';
	$res .= '<td class="'.$rowtype.'"></td>';
	$res .= '<td width="120px">'.$row['mess_time'].'</td>';
	$res .= '<td width="120px">'.$row['user_name'].'</td>';
	$res .= '<td width="30px">'.$row['mess_count'].'</td>';
	$res .= '<td>'.$row['user_mess'].'</td>';
	$res .= '</tr>';
//	$res .= '<tr id=detail_'.$row['user_id'].' style="display:inline;" ><td colspan="10">';
//	$res .= '<table><tr><td>wefwfwefwefweergergergergergergergergergegergergrgeg</td></tr></table>';
//	$res .= '</td></tr>';
//	$res .= '<tr><td colspan=5><div id=detail_'.$row['user_id'].' style="display:none;">dvsvsdvsdv</div></td></tr>';
	//$res .= '<tr><td colspan=5><div id=detail_'.$row['user_id'].' style='.((empty($client_id)||($row['user_id']!=$client_id))?'"display:none;"':'""').'>'.$client_id.'</div></td></tr>';

	
	if(!empty($client_id)||($row['user_id']==$client_id)){	
	$client_res = '<table width="100%" class="chattable" style="border:solid 1px #ccc;">';
	$client_res .= '<tr><td>';
	$client_res .= '<table style="width:100%"><tr><td><textarea rows="4" cols="50" id="chat_text" style="width:100%;">'.$chat_text.'</textarea></td></tr>';
	$client_res .= '<tr><td align="right"><input type="button" class="inputbt" onclick="doSendToClient('.$client_id.');" value="Отправить"/></td></tr></table>';
	$client_res .= '</td></tr>';
	foreach($cres as $crow){
		$client_res .= '<tr><td><table class="messtable" style="width:100%;" >';
		$client_res .= '<tr><td class="messheader">'.$crow['mess_time'].'</td>';
		$client_res .= '<td class="messheader" align="right">'.$crow['user_name'].'</td></tr>';
		$client_res .= '<tr><td class="messbody" colspan=2>'.$crow['user_mess'].'</td></tr>';
		$client_res .= '</table></td></tr>';
	}
	$client_res .= '</table>';
	}

	$res .= '<tr><td colspan=5><div id=detail_'.$row['user_id'].' style='.((empty($client_id)||($row['user_id']!=$client_id))?'"display:none;"':'""').'>'.$client_res.'</div></td></tr>';
	
}
$res .= '</table>';

echo $res;
}


// User Password Recovery
function doPasswordRecovery(){
	global $database;
	
	$user_mail = $_REQUEST['user_mail'];

	$q = "select count(*) as cnt from tb_office_users where user_mail='".$user_mail."';";
	$result = $database->getQueryResultAsArray($q);
	
	
	if(!$result || ($result[0]['cnt']<=0) ){
		$err['mail'] = "* Неизвестный адрес электронной почты, пароль не восстановлен";
	} else {
		// password generation
		$charray = array_merge(range('a','z'),range('A','Z'),range('1','9'));
		$pass = '';
		for($i='0'; $i<8; $i++) $pass .= $charray[array_rand($charray)];
		
		$token_str = generateRandStr(128);
		$token_sha1 = generateUserPass_sha1($token_str);
		$token_md5 = generateUserPass_md5($token_str);
		$token = $token_sha1.$token_md5;
		// password recovery
		$q = "update tb_office_users set recovery_password='$pass', recovery_token='$token' where user_mail='$user_mail';";
		$result = $database->connection->query($q);
		if(!$result) { $err['gen'] = "* Ошибка генерации пароля"; }
	}
	
	if(count($err)>0) {
		$err_mess = '';
		foreach ( $err as $key => $value ) $err_mess = $err_mess.$value.'<br>';
		$jsonres = array('ok' => 'error', 'err' => $err_mess );
		echo json_encode($jsonres);
		exit();
	}

	$message = '
	<html>
		<head>
			<title>Birthday Reminders for August</title>
		</head>
		<body>
			Вы воспользовались сервисом восстановления пароля. <br>Новый пароль: '.$pass.' <br>Для активации нового пароля нажмите 
			<a href="'.VO_HOST.'/forgotpass.php?prec='.$token_str.'"> на эту ссылку</a>
			
		</body>
	</html>'; 
	
	//$message = 'Вы воспользовались сервисом восстановления пароля. Новый пароль: '.$pass.'\r\n Для активации нового пароля перейдите по ссылке';
	$message = mb_convert_encoding($message,'KOI8-R','UTF-8');
	$headers  = "Content-type: text/html; charset=KOI8-R \r\n";
	$headers .= "From: ".EMAIL_FROM_ADDR."\n";
	$result = mail ( $user_mail, 'Password Recovery', $message, $headers);

	//$jsonres = array('ok' => true,'cnt' => $result[0]['cnt'], 'pass' => $pass );
	if($result) {
		$jsonres = array('ok' => true);
	} else {
		$jsonres = array('ok' => 'error', 'err' => '* Ошибка отправки почтового сообщения');
	}

	echo json_encode($jsonres);
}


// Password activation ---------------------------------------------------------------------------------------
function doPasswordActive($pass){
	global $database;
	$token_str = $pass;
	$token_sha1 = generateUserPass_sha1($token_str);
	$token_md5 = generateUserPass_md5($token_str);
	$token = $token_sha1.$token_md5;
	$q = "select count(*) as cnt from tb_office_users where recovery_token='$token';";
	$result = $database->getQueryResultAsArray($q);
	if($result[0]['cnt']<=0){
		$mess = 'Ошибка активации пароля.'.$token;
	} else {
		$q = "update tb_office_users set user_password=recovery_password, activation_time=CURRENT_TIME where recovery_token='$token';";
		$result = $database->connection->query($q);
		if($result) {
			$mess = 'Новый пароль активирован.';
		} else {
			$mess = 'Ошибка активации пароля.';
		}
	}
$mess = <<<EOS
<!DOCTYPE html>
<html lang="ru">
<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">
</head>
<body>
<div>$mess</div>
EOS;
	printf($mess);
	header("Refresh:1; URL=".VO_HOST_IDX);
}

	// случайный генератор строки -----------------------------------------------------------
	function generateUserPass_sha1($str) {
		return sha1($str);
	}
	function generateUserPass_md5($str) {
		return md5($str);
	}
	function generateRandStr($length) {
		$randstr = "";
		for ($i=0; $i<$length; $i++) {
			$randnum = mt_rand(0,61);
			if($randnum < 10){
				$randstr .= chr($randnum+48);
			} else if ($randnum < 36) {
				$randstr .= chr($randnum+55);
			} else{
				$randstr .= chr($randnum+61);
			}
		}
		return $randstr;
	}

	
?>