<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');

global $session, $database, $database_dynmenu, $form, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Права доступа :: Группы функций";

$preheadcode = <<<EOS
<script language="JavaScript" type="text/JavaScript" src="js/right_group.js"></script>
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {});
</script>
EOS;

print(GetHTMLHeader($pagetitle, null, $preheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in && $session->isAdmin()) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}

	print(GetPageContentTitle($pagetitle));

	$script = "";

	?>
	<form name="frmmain" id="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
	<input type="hidden" name="sub_edit_rightgroup" id="sub_edit_rightgroup" value="save">
	<input type="hidden" name="hidGroupCounterHolder" id="hidGroupCounterHolder" value=0>
	
	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: 6px 10px -8px 0; padding-bottom:1px;" align="left" alt="">
		<span class="sm" style="color: #666;display:block;">
			На этой странице формируется список групп, предназначенных для смыслового объединения функций
			системы. Список групп участвует в построении основного меню системы. <br>Menu - отмеченные названия
			групп не отображаются в системном меню.
		</span>
	</div>

	
	<?php
	if ($group_selected>=0) {
		$script .= sprintf("createRowGroupHeader(\"%s\");","actions");

		$res = $database->getUserActionGroup();
		foreach ($res as $row) {
//			$gen_row_id = max($gen_row_id, $row['actgroup_id']);
			$script .= sprintf("createRowGroup(%d, '%s', '%d', '%d', '%s');",
								$row['actgroup_id'],
								addslashes(htmlspecialchars($row['actgroup_name'])),
								$row['actgroup_ord'],
								$row['actgroup_visible'],
								'view'
								);
		}
		echo "<input type=\"hidden\" name=\"lastaction_id\" id=\"lastaction_id\">";
	} 
	?>

	<div class="spacer"></div>

	</form>
	<?php
	
	echo GetJavaScriptCodeBlock($script);

/*	
	if (
		isset($session->groupactions_show_id) &&
		($session->groupactions_show_id === false || $session->groupactions_show_id === null)
		)
		unset($session->groupactions_show_id);
	unset($session->edit_offices);
*/	
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>

