<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
//require_once(dirname(__FILE__).'/stats_table.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
//require_once(dirname(__FILE__).'/include/functions.php');
require_once(dirname(__FILE__).'/rpt_name_owner_table.php');


global $session, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

if ($session->logged_in && isset($_REQUEST['exp'])) {

	$f_fio = urldecode($_REQUEST['fio_filter']);
	$f_address = urldecode($_REQUEST['address_filter']);
	$f_docum = urldecode($_REQUEST['docum_filter']);
	$arr = array( f_fio => $f_fio, f_address => $f_address, f_docum => $f_docum );

	if ($_REQUEST['exp'] == 'astext') {
		echo iconv('utf-8', 'cp1251', 'ФИО/Наименование: '.$f_fio.chr(13).chr(10) );
		echo iconv('utf-8', 'cp1251', 'Адрес: '.$f_address.chr(13).chr(10) );
		echo iconv('utf-8', 'cp1251', 'Документ/ИНН: '.$f_docum.chr(13).chr(10) );
		//$report = $database_tar->get_stats(DB_TAR_SERVICETYPE_ALLTYPES, 1, MAX_STATISTICS_ROWS, null, null, null, null, $cnt, $tvol, $tpay);
		$report = $database_tar->get_name_owner( $arr );
		GenerateOwnerTableAsText('owner', $report);
		exit(0);
	}

	if (in_array($_REQUEST['exp'], array('aspdf', 'aspdfmail', 'astxtmail'))) {
		//$report = $database_tar->get_stats(DB_TAR_SERVICETYPE_ALLTYPES, 1, MAX_STATISTICS_ROWS, null, null, null, null, $cnt, $tvol, $tpay);
		//GenerateStatsTableAsPDF('stats', $report, in_array($_REQUEST['exp'], array('aspdfmail', 'astxtmail')));
		$report = $database_tar->get_name_owner( $arr );
		GenerateOwnerTableAsPDF('owner', $report, in_array($_REQUEST['exp'], array('aspdfmail', 'astxtmail')));
		exit(0);
	}

	if (in_array($_REQUEST['exp'], array('asxls', 'asxlsmail'))) {
		//$report = $database_tar->get_stats(DB_TAR_SERVICETYPE_ALLTYPES, 1, MAX_STATISTICS_ROWS, null, null, null, null, $cnt, $tvol, $tpay);
		//GenerateStatsTableAsXLS('stats', $report, $_REQUEST['exp'] == 'asxlsmail');
		$report = $database_tar->get_name_owner( $arr );
		GenerateOwnerTableAsXLS('owner', $report, $_REQUEST['exp'] == 'asxlsmail');
		exit(0);
	}
}


$addheadcode = <<<EOS

<link rel="stylesheet" href="js/jquery11/jquery-ui.css">
<script src="js/jquery11/jquery-1.10.2.js"></script>
<script src="js/jquery11/jquery-ui.js"></script>
<link href="js/DataTables-1.10.3/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/DataTables-1.10.3/media/js/jquery.dataTables.js" charset="UTF-8"></script>

<script type="text/javascript" src="js/jquery/jquery.download.js" charset="UTF-8"></script>

<link href="styles/jquery/superfish.css" rel="stylesheet" media="screen">
<script type="text/javascript" src="js/rpt_name_owner.js"></script>
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;

print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());

if (!($session->logged_in && $session->checkUserRight($current_page_name,'A'))) { 
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
	die(); 
}




?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<div class="hidden">
	<img id="calendar_picker" src="images/calendar.gif" alt="" title="Выбрать дату" class="imglink trigger">
</div>

<?php
if ($session->logged_in) {
	print(GetPageContentTitle($pagetitle));
?>
	<div class="textquoteinfo" style="width:630px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: -2px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color: #666;display:block;">
			Поиск абонента по по основным реквизитам: фамилия имя отчество, адрес, документ. <br>
			Маскировочные символы "_" - означает один символ, "%" - означает ноль и более символов.
		</span>
	</div>
	<div class="groupboxfilters">
		<table class="statlist_filters">
			<tr>
				<td class="infoLineParam blue" style="width:120px;">ФИО/Наименование</td>
				<td class="infoLineValue" colspan="2">
					<input class="inputmw" style="width:400px;" type="text" id="f_fio" value="" />
				</td>
			</tr>
			<tr>
				<td class="infoLineParam blue" style="width:120px;">Адрес</td>
				<td class="infoLineValue" colspan="2">
					<input class="inputmw" style="width:400px;" type="text" id="f_address" value="" />
				</td>
			</tr>
			<tr>
				<td class="infoLineParam blue" style="width:120px;">Документ/ИНН</td>
				<td class="infoLineValue" colspan="2">
					<input class="inputmw" style="width:400px;" type="text" id="f_docum" value="" />
				</td>
			</tr>
		</table>
	</div>
	<div>

	<ul class="sf-menu">
		<li>
			<img id="bt_filters_apply" class="imglink" style="margin-right:4px;" src="images/btn_refresh.gif" title="Применить фильтры и обновить данные" alt="" width="83" height="23" onclick="do_user_search();"/>
		</li>
		<li>
			<img class="imglink" style="margin-right:4px;" src="images/btn_save.gif" title="Сохранить статистику в определенном формате" alt="Сохранить статистику в определенном формате" width="88px" height="23px">
			<ul>
				<li>
					<a title="Сохранить в простом текстовом формате" class="bt_stat_saveas" rel="astext" nowrap> <img src="images/icon_file_txt.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В текстовом формате </a>
				</li>
				<!-- li>
					<a title="Сохранить в формате PDF" class="bt_stat_saveas" rel="aspdf"> <img src="images/icon_file_pdf.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В формате PDF </a>
				</li -->
				<li>
					<a title="Сохранить в формате Microsoft Excel (XLS)" class="bt_stat_saveas" rel="asxls"> <img src="images/icon_file_xls.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В формате Microsoft Excel (XLS) </a>
				</li>
			</ul>
		</li>
	</ul>

	
	</div>
	
<div style="width:620px;">
<table id="restable" class="display" width="400px" cellspacing="0">
        <thead>
            <tr>
                <th width="80px">Номер ЛС</th>
                <th>Клиент</th>
                <th nowrap width="20px">&nbsp;</th>
            </tr>
        </thead>
</table>
</div>	


<div id="frm_detail" title="Карточка абонента">
<table>
<tr>
<td width="160px"><div class="syslabel">Номер ЛС</div></td>
<td colspan="2"><div id="txt_account" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<tr>
<td width="160px"><div class="syslabel">ФИО/Наименование:</div></td>
<td colspan="2"><div id="txt_name" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"  valign="top"><div class="syslabel">Номера телефонов:</div></td>
<td colspan="2"><div id="txt_phone" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Адрес:</div></td>
<td colspan="2"><div id="txt_address" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Дата договора:</div></td>
<td colspan="2"><div id="txt_treaty_date" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Статус:</div></td>
<td colspan="2"><div id="txt_status" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Дата изменения статуса:</div></td>
<td colspan="2"><div id="txt_status_time" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Документ/ИНН:</div></td>
<td colspan="2"><div id="txt_docum" type="text" class="syslabel" value="" readonly></div></td>
</tr>
</table>
</div>



<?php
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print(GetHTMLFooter());
?>
