<?php
require_once(dirname(__FILE__).'/include/constants.php');
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/stats_table.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/include/functions.php');

global $session, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$addheadcode = <<<EOS
<link href="styles/jquery/themes/smoothness/jquery-ui-1.8.6.custom.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript" src="js/jquery/jquery-ui-1.8.6.custom.min.js"></script>
<script type="text/javascript" src="js/jquery/jquery.blockUI.js"></script>
<script type="text/javascript" src="js/jquery/jquery.download.js"></script>
<script type="text/javascript" src="js/jquery/flexigrid.js" charset="UTF-8"></script>
<link href="styles/jquery/flexigrid.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/superfish.css" rel="stylesheet" media="screen">
<script type="text/javascript" src="js/jquery/superfish.js"></script>
<script type="text/javascript" src="js/jquery/supersubs.js"></script>
<script type="text/javascript" src="js/jquery/date.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/date_ru_utf8.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick.pack.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick.ext.pack.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/jquery.datepick-ru.js" charset="UTF-8"></script>
<link href="styles/jquery/jquery.datepick.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/themes/flick/jquery-ui-1.8.12.custom.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/jquery/ui-flick.datepick.css" rel="stylesheet" type="text/css" media="screen"/>
<link href="styles/tabs.css" rel="stylesheet" type="text/css" media="screen">
<script type="text/javascript" src="js/jquery/jquery.iframer.js"></script>
<script type="text/javascript" src="js/jquery/jquery.filestyle.js"></script>
<script type="text/javascript" src="js/tabs.js"></script>
<script type="text/javascript" src="js/stats_fax.js"></script>
<script type="text/javascript" src="js/stats_common.js"></script>
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Почта :: факсимильные сообщения";

print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<div class="hidden">
	<img id="calendar_picker" src="images/calendar.gif" alt="" title="Выбрать дату" class="imglink trigger">
</div>

<?php
//if ($session->logged_in) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	print(GetPageContentTitle($pagetitle));
	$session->initStatFilters(DB_TAR_SERVICETYPE_FAX, true);
	$session->initStatFilters(DB_TAR_SERVICETYPE_FAX_SENT, true);
?>
	<div class="tabs" id="tabs-faxmail" style="width:720px;">
		<div class="tab-content">
			<h1 class="tab" title="Полученные">Полученные</h1>
			<div class="groupboxfilters">
				<table class="statlist_filters">
					<tr>
						<td class="infoLineParam blue" style="width:120px;">Дата</td>
						<td class="infoLineValue" style="width:100px;">
							<span style="margin-right:4px;">с</span>
							<input class="datefield inputmw" style="width:90px;" type="text" id="sf_startdate-fax" data-rangectrl="sf_range-fax" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_startdate']; ?>" />
							<span style="margin-left:4px;">по</span>
							<input class="datefield inputmw" style="width:90px;" type="text" id="sf_enddate-fax" data-rangectrl="sf_range-fax" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_enddate']; ?>" />
						</td>
						<td class="infoLineValue">
							<input type="hidden" id="sf_range-fax" class="rangefield" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_range']; ?>" /> <a class="datectrl first" rel="w,sf_startdate-fax,sf_enddate-fax" title="За неделю">неделя</a> <a class="datectrl" rel="m,sf_startdate-fax,sf_enddate-fax" title="За месяц">месяц</a>
							<a class="datectrl" rel="2m,sf_startdate-fax,sf_enddate-fax" title="За два месяца">2 месяца</a> <a class="datectrl" rel="05y,sf_startdate-fax,sf_enddate-fax" title="За полгода">полгода</a> <a class="datectrl" rel="y,sf_startdate-fax,sf_enddate-fax" title="За год">год</a>
						</td>
					</tr>
<!--					<tr>-->
<!--						<td class="infoLineParam blue">Длительность</td>-->
<!--						<td class="infoLineValue">-->
<!--							от <input class="inputmw" style="width:40px;" type="text" id="sf_startvol-fax" value="--><?php //echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_startvol']; ?><!--" /> <span style="margin-left:4px;">до</span> <input class="inputmw" style="width:40px;" type="text" id="sf_endvol-fax" value="--><?php //echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_endvol']; ?><!--" /> минут-->
<!--						</td>-->
<!--						<td class="infoLineValue">-->
<!--							<a class="volctrl first" rel="1,sf_startvol,sf_endvol" title="Звонки длительностью меньше минуты">меньше минуты</a> <a class="volctrl" rel="2,sf_startvol,sf_endvol" title="Звонки длительностью от минуты до пяти минут">1-5 минут</a>-->
<!--							<a class="volctrl" rel="3,sf_startvol,sf_endvol" title="Звонки длительностью больше пяти минут">больше 5 минут</a>-->
<!--						</td>-->
<!--					</tr>-->
					<tr>
						<td class="infoLineParam blue">Номер отправителя</td>
						<td class="infoLineValue" colspan="2">
							<input class="inputmw" style="width:150px;" type="text" id="sf_numbera-fax" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX]['sf_numbera']; ?>" />
						</td>
					</tr>
				</table>
			</div>
			<div class="spacer"></div>
			<ul class="sf-menu">
				<li>
					<img id="bt_filters_apply-fax" class="imglink" style="margin-right:4px;" src="images/btn_refresh.gif" title="Применить фильтры и обновить данные" alt="" width="83" height="23">
				</li>
			</ul>
			<div class="spacer"></div>
			<table id="statfaxrcvd" style="display:none"></table>
		</div>
		<div class="tab-content">
			<h1 class="tab" title="Отправленные">Отправленные</h1>

			<div class="groupboxfilters">
				<table class="statlist_filters">
					<tr>
						<td class="infoLineParam blue" style="width:120px;">Дата</td>
						<td class="infoLineValue" style="width:100px;">
							<span style="margin-right:4px;">с</span>
							<input class="datefield inputmw" style="width:90px;" type="text" id="sf_startdate-faxsent" data-rangectrl="sf_range-faxsent" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_startdate']; ?>" />
							<span style="margin-left:4px;">по</span>
							<input class="datefield inputmw" style="width:90px;" type="text" id="sf_enddate-faxsent" data-rangectrl="sf_range-faxsent" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_enddate']; ?>" />
						</td>
						<td class="infoLineValue">
							<input type="hidden" id="sf_range-faxsent" class="rangefield" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_range']; ?>" /> <a class="datectrl first" rel="w,sf_startdate-faxsent,sf_enddate-faxsent" title="За неделю">неделя</a> <a class="datectrl" rel="m,sf_startdate-faxsent,sf_enddate-faxsent" title="За месяц">месяц</a>
							<a class="datectrl" rel="2m,sf_startdate-faxsent,sf_enddate-faxsent" title="За два месяца">2 месяца</a> <a class="datectrl" rel="05y,sf_startdate-faxsent,sf_enddate-faxsent" title="За полгода">полгода</a> <a class="datectrl" rel="y,sf_startdate-faxsent,sf_enddate-faxsent" title="За год">год</a>
						</td>
					</tr>
<!--					<tr>-->
<!--						<td class="infoLineParam blue">Длительность</td>-->
<!--						<td class="infoLineValue">-->
<!--							от <input class="inputmw" style="width:40px;" type="text" id="sf_startvol-faxsent" value="--><?php //echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_startvol']; ?><!--" /> <span style="margin-left:4px;">до</span> <input class="inputmw" style="width:40px;" type="text" id="sf_endvol-faxsent" value="--><?php //echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_endvol']; ?><!--" /> минут-->
<!--						</td>-->
<!--						<td class="infoLineValue">-->
<!--							<a class="volctrl first" rel="1,sf_startvol,sf_endvol" title="Звонки длительностью меньше минуты">меньше минуты</a> <a class="volctrl" rel="2,sf_startvol,sf_endvol" title="Звонки длительностью от минуты до пяти минут">1-5 минут</a>-->
<!--							<a class="volctrl" rel="3,sf_startvol,sf_endvol" title="Звонки длительностью больше пяти минут">больше 5 минут</a>-->
<!--						</td>-->
<!--					</tr>-->
					<tr>
						<td class="infoLineParam blue">Номер получателя</td>
						<td class="infoLineValue" colspan="2">
							<input class="inputmw" style="width:150px;" type="text" id="sf_numberb-faxsent" value="<?php echo $session->filters[DB_TAR_SERVICETYPE_FAX_SENT]['sf_numberb']; ?>" />
						</td>
					</tr>
				</table>
			</div>
			<div class="spacer"></div>
			<ul class="sf-menu">
				<li>
					<img id="bt_filters_apply-faxsent" class="imglink" style="margin-right:4px;" src="images/btn_refresh.gif" title="Применить фильтры и обновить данные" alt="" width="83" height="23">
				</li>
			</ul>
			<div class="spacer"></div>
			<table id="statfaxsent" style="display:none"></table>
		</div>
		<div class="tab-content">
			<h1 class="tab" title="Отправить сообщение">Отправить сообщение</h1>
			<div id="synthz_upload_selector">
				<form id="frm_send_fax" enctype="multipart/form-data" action="fs_putfile.php" method="post">
					<input type="hidden" name="uploadtype" value="fax">
					<input type="hidden" name="rawres" value="1">
					<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo MAX_FILE_SIZE_UPLOAD_FAX ?>">
					<label for="synthz_add_file">Выберите для отправки файл в графическом формате (рекомендуется PDF, TIFF или JPEG)</label>
					<input type="file" name="synthz_add_file" id="synthz_add_file">
					<label for="synthz_add_file_description">Телефонный номер получателя</label>
					<input type="text" name="synthz_add_file_description" id="synthz_add_file_description">
					<label for="fax_send_disa">Цифры донабора после дозвона до получателя (если необходимо)
						<br /><span class="blue">Для задания паузы в 1 секунду можно использовать точку, например: ..222.11.34</span>
					</label>
					<input type="text" name="fax_send_disa" id="fax_send_disa">
				</form>
				<input type="image" class="button" id="bt_synthz_upload" value="Отправить" src="images/btsend.gif" />
			</div>
			<div id="synthz_upload_progress" style="display:none;">
				<img src="images/pbari2.gif" alt="" width="208" height="13">
			</div>
			<div id="synthz_upload_results" style="display:none;">
				<label>Результат:&nbsp;</label>
				<span id="synthz_upload_result_msg"></span>
			</div>

			<div class="spacer"></div>
			<table id="qfax" style="display:none"></table>
			<div class="spacer"></div>
		</div>
	</div>
	<div class="spacer"></div>
	<script type="text/javascript">
	<!--
		BuildTabs('tabs-faxmail');
		ActivateTab('tabs-faxmail', getCookie('tabs-faxmail' + '_activetab', '0'));
		$(function(){
			$('#tb_stats_faxrcvd:hidden').show();
			$('#tb_stats_faxsent:hidden').show();
		});
	//-->
	</script>
<?php
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>
