<?php

require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/constants.php');

//---------------------------------------------------------------------------------------------------------------------

function GetVOMenu() {
global $session;

$debugnotice = !DB_TAR_DEBUG ? '' : '<div id="debugnotice">ВКЛЮЧЕН ОТЛАДОЧНЫЙ РЕЖИМ</div>';
$demonotice = !$session->isDemo() ? '' : '<div id="demonotice">ВКЛЮЧЕН ДЕМО РЕЖИМ</div>';

if ($session->logged_in) {
	$logoutlinks = !$session->logged_in ? '' :
			'<div class="menuitemsep">&nbsp;</div>' .
			'<div class="menuitem"><a href="process.php" title="Завершить сеанс работы с системой">Выход</a></div>';
			
	$manuallinks = (empty($session->user_manual_path))?'':
		'<a href="'.$session->user_manual_path.'" target="_blank" title="Скачать инструкцию пользователя">
		<img id="manuallink" src="images/icon_pdf2.gif">
		</a>';


	$menugroup='';
	$menulist='';
//	echo var_dump($session->action_access);
//	echo var_dump($session->userright);
	foreach($session->userright as $key => $row)
	{
		if(($row['key1']|$row['key2'])==1){
			if($menugroup!=$row['actgroup_name']){
				$menugroup=($row['actgroup_visible']==1)?'':$row['actgroup_name'];
				$menulist.="<br><div class='lg blue' style='margin-left:-10px'>".$menugroup."</div>";
			}
			if($row['act_visible']!=1){
				$menulist=$menulist."<div class='menuitem'><a href='".$row['action']."' title='".$row['act_hint']."'>".$row['act_name']."</a></div>";
			}
		}
	} 

	$menu = <<<EOS
<div id="menu">
	$menulist
	$logoutlinks
	$manuallinks
</div>
EOS;

} else {
	$curl = basename($_SERVER['SCRIPT_NAME']);
	//$curl = $_SERVER['REQUEST_URI'];//.'/main.php';
	//$curl = selfURL_host();
	
	$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="$curl" title="Авторизация в системе">Авторизация</a></div>
</div>
EOS;
}

$menu .= <<<EOS
<br>
$demonotice
<br>
$debugnotice
EOS;

return $menu;
}



//---------------------------------------------------------------------------------------------------------------------



function GetVOMenu_1() {
global $session;

$debugnotice = !DB_TAR_DEBUG ? '' : '<div id="debugnotice">ВКЛЮЧЕН ОТЛАДОЧНЫЙ РЕЖИМ</div>';
$demonotice = !$session->isDemo() ? '' : '<div id="demonotice">ВКЛЮЧЕН ДЕМО РЕЖИМ</div>';

if ($session->logged_in) {
	$logoutlinks = !$session->logged_in ? '' :
			'<div class="menuitemsep">&nbsp;</div>' .
			'<div class="menuitem"><a href="process.php" title="Завершить сеанс работы с системой">Выход</a></div>';
	$menulinks = !$session->isAnyAdmin() ? '' :
			'<div class="menuitem"><a href="menus.php" title="Настройка сценария работы офиса">Сценарий работы</a></div>';
	$ownerlinks = !$session->isAnyAdmin() ? '' :
			'<div class="menuitemsep">&nbsp;</div>' .
			'<div class="menuitem"><a href="changelog.php" title="Просмотр истории изменений настроек офиса">История изменений</a></div>';

	$manfile = '';
	if ($session->isOwner() && MANUALFILE_OWNER)
		$manfile = MANUALFILE_OWNER;
	elseif ($session->isLocalAdmin() && MANUALFILE_LOCALADMIN)
		$manfile = MANUALFILE_LOCALADMIN;
	elseif ($session->isAdmin() && MANUALFILE_ADMIN)
		$manfile = MANUALFILE_ADMIN;
	if ($manfile) {
		$manpath = realpath(dirname(__FILE__)).'/';
		if (!is_readable($manpath.$manfile) || filesize($manpath.$manfile) == 0)
			$manfile = '';
	}
	$manuallinks = $manfile == '' ? '' :
		'<a href="'.$manfile.'" target="_blank" title="Скачать инструкцию пользователя">
		<img id="manuallink" src="images/icon_pdf2.gif">
		</a>';

	if ($session->isAdmin())
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="main.php" title="Текущее состояние системы">Состояние системы</a></div>
	<br>
	<div class="menuitem"><a href="adm_users.php" title="Настройка списков Администраторов системы">Администраторы</a></div>
	<div class="menuitem"><a href="adm_offices.php" title="Настройка офисов системы">Офисы</a></div>
	<div class="menuitem"><a href="adm_menuedit.php" title="Настройка сценариев работы офисов">Сценарии работы</a></div>
	<br>
	<div class="menuitem"><a href="adm_mb.php" title="Управление системным файловым хранилищем">Файлы</a></div>
	$logoutlinks
	$manuallinks
</div>
EOS;
	elseif ($session->isFaxManager())
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="main.php" title="Текущее состояние системы">Состояние системы</a></div>
	<br>
	<div class="menuitem"><a href="stats_fax.php" title="Просмотр факсимильной почты">Факс сообщения</a></div>
	$logoutlinks
	$manuallinks
</div>
EOS;
	elseif ($session->isFaxManagerEx())
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="main.php" title="Текущее состояние системы">Состояние системы</a></div>
	<br>
	<div class="menuitem"><a href="stats_fax.php" title="Просмотр факсимильной почты">Факс сообщения</a></div>
	<br>
	<div class="menuitem"><a href="stats.php" title="Просмотр статистики работы офиса">Статистика</a></div>
	$logoutlinks
	$manuallinks
</div>
EOS;
	else
		$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="main.php" title="Текущее состояние офиса">Состояние офиса</a></div>
	<br>
	<div class="lg blue" style="margin-left:-10px">Настройки номеров</div>
	<div class="menuitem" id="midigit1"><a href="daygroups.php" title="Настройка групп дней">Группы дней</a></div>
	<div class="menuitem" id="midigit2"><a href="graphs.php" title="Настройка временных графиков">Временные графики</a></div>
	<div class="menuitem" id="midigit3"><a href="numbers_ext.php" title="Настройка внешних номеров офиса">Внешние номера</a></div>
	<div class="menuitem" id="midigit4"><a href="dials.php" title="Настройка списков дозвона">Списки дозвона</a></div>
	<div class="menuitem" id="midigit5"><a href="numbers_int.php" title="Настройка внутренних номеров офиса">Внутренние номера</a></div>
	<br>
	<div class="lg blue" style="margin-left:-10px">Настройки прочие</div>
	$menulinks
	<div class="menuitem"><a href="synths.php" title="Настройка списка звуковых файлов системы">Звуковые файлы</a></div>
	<div class="menuitem"><a href="setup.php" title="Настройка оповещений">Оповещения</a></div>
	<div class="menuitem"><a href="numbers_bw.php" title="Настройка черного и белого списков абонентов">Черный и белый списки</a></div>
	<br>
	<div class="lg blue" style="margin-left:-10px">Почта</div>
	<div class="menuitem"><a href="stats_voice.php" title="Прослушивание голосовой почты">Голосовые сообщения</a></div>
	<div class="menuitem"><a href="stats_fax.php" title="Просмотр факсимильной почты">Факс сообщения</a></div>
	<br>
	<div class="menuitem"><a href="mb.php" title="Управление файловым хранилищем офиса">Файлы</a></div>
	<br>
	<div class="menuitem"><a href="stats.php" title="Просмотр статистики работы офиса">Статистика</a></div>
	$ownerlinks
	$logoutlinks
	$manuallinks
</div>
EOS;
} else {
	$curl = basename($_SERVER['SCRIPT_NAME']);
	$menu = <<<EOS
<div id="menu">
	<div class="menuitem"><a href="$curl" title="Авторизация в системе">Авторизация</a></div>
</div>
EOS;
}

$menu .= <<<EOS
<br>
$demonotice
<br>
$debugnotice
EOS;

//ToDo: remove the following debug lines
/*
if ($session->logged_in) {
	$menu .= "<br><br><div class=\"sm\">" .
			"Номер телефона офиса:<br><b>$session->username</b><br>" .
			"Внутренний id офиса:<br><b>$session->ofid</b><br>" .
			"Описание офиса:<br><b>$session->ofinfo</b><br>" .
			//"Идентификатор web-сессии:<br><b>$tmp</b><br>" .
			"Время последнего действия:<br><b>".date('d.m.Y H:i', $session->time)."</b>" .
			"</div>";
}
*/
return $menu;
}

function GetVOHeadMenu() {
	global $session;

	$menu = "";
	if ($session->logged_in) {
		if ($session->ofnumber)
			$menu = "<span class=\"navl\">&nbsp;Офис $session->ofnumber ($session->ofinfo), пользователь $session->username ({$session->userinfo['user_role_name']})</span>" .
					"<span class=\"navr\">&nbsp;<a href=\"process.php\" title=\"Завершить сеанс работы с системой\">Выход</a></span>";
		else {
			//$adm = $session->isAdmin() ? "<span style=\"color:red;\">Режим администрирования системы</span> (пользователь $session->username)" : '';
			$adm = "<span style=\"color:red;\">Режим администрирования системы</span>, пользователь $session->username ({$session->userinfo['user_role_name']})";

			$menu = "<span class=\"navl\">&nbsp;$adm</span>" .
					"<span class=\"navr\">&nbsp;<a href=\"process.php\" title=\"Завершить сеанс работы с системой\">Выход</a></span>";
		}
	}

	return $menu;
}

function GetVOLoginForm() {
global $form, $session;

$s1 = COOKIE_NAME_WEBID;//session_name();
$s2 = $session->userwebid;//session_id();
$st = time();

$remember_checked = (($form->value("remember") != '') || ($form->value("number") != '')) ?
	'checked' : '';

$lf = <<<EOS
<script type="text/javascript" language="javascript">
<!--
function reloadPic(picname) {
	var obj = document.getElementById(picname);
	if (obj) {
		var now = new Date();
		obj.src = "imgverex2.php?$s1=$s2" + "&t=" + now.getTime();
		return true;
	}
	return false;
}
//-->
</script>
<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
<input type="hidden" name="sublogin" value="1">
<div align="center">
<table border="0" cellspacing="4" cellpadding="0">
<tr>
	<td class="infoLineParamNB blue">Номер телефона</td>
	<td class="infoLineValueNB"><input class="inputm" type="text" name="number" maxlength="32" value="{$form->value("number")}"></td>
	<td class="infoLineValueNB">{$form->error("number")}</td>
</tr>
<tr>
	<td class="infoLineParamNB blue">Имя пользователя</td>
	<td class="infoLineValueNB"><input class="inputm" type="text" name="user" maxlength="256" value="{$form->value("user")}"></td>
	<td class="infoLineValueNB">{$form->error("user")}</td>
</tr>
<tr>
	<td class="infoLineParamNB blue">Пароль</td>
	<td class="infoLineValueNB"><input class="inputm" type="password" name="pass" maxlength="128" value="{$form->value("pass")}"></td>
	<td class="infoLineValueNB">{$form->error("pass")}</td>
</tr>

<tr>
	<td class="infoLineParamNB blue">Код подтверждения</td>
	<td align="center">
		<img id="imgver" name="imgver" width="144px" height="60px" src="imgverex2.php?$s1=$s2&t=$st"
			alt=""
			title="Введите текст указанный на изображении в соседнее поле. Обновите изображение если текст трудно прочитать."
			class="imglinksm"
			onclick="reloadPic('imgver')"
			>
		<br>
		<a class="imglinksm" title="Обновить изображение" onclick="reloadPic('imgver')">Обновить изображение</a>
		<br>
		<input class="inputm" type="text" name="checknumber" maxlength="30" value="">
	</td>
	<td class="infoLineValueNB">{$form->error("checknumber")}</td>
</tr>

<tr>
	<td colspan="2" class="infoLineValueRNB">
		<table align="right">
			<tr>
				<td>
					<a class="imglink sm" onClick="ToggleCheckBox('remember')" title="Запомнить данные авторизации и не спрашивать их в следующий раз">Запомнить</a>
				</td>
				<td><input type="checkbox" name="remember" id="remember" {$remember_checked}></td>
			</tr>
		</table>
	</td>
	<td class="infoLineValueNB">&nbsp;</td>
</tr>
<tr>
	<td class="sm">
		<a href="forgotpass.php" style="margin-left:6px;">Забыли пароль?</a>
	</td>
	<td class="infoLineValueRNB">
		<input class="inputbt" type="submit" name="btsubmit" value="Войти в систему">
	</td>
	<td class="infoLineValueNB">&nbsp;</td>
</tr>
</table>
</div>
</form>
<script type="text/javascript">
<!--
	document.frmmain.number.focus();
//-->
</script>
EOS;

return $lf;
}

function GetVOForgotPassForm(){
global $form;

$lf = <<<EOS
<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
<input type="hidden" name="subforgot" value="1">
<table border="0" cellspacing="4" cellpadding="0">
<tr>
	<td>Номер телефона</td>
	<td><input class="inputm" type="text" name="user" maxlength="30" value="{$form->value("user")}"></td>
	<td>{$form->error("user")}</td>
</tr>
<tr>
	<td colspan="2" align="right">
		<input class="inputbt" type="submit" name="btsubmit" value="Получить пароль">
	</td>
</tr>
</table>
</form>
<script type="text/javascript">
<!--
	document.frmmain.number.focus();
//-->
</script>
EOS;

return $lf;
}
?>
