<?php
require_once(dirname(__FILE__).'/include/constants.php');

function GetHTMLHeader($title, $redirectto = null, $addheadcode = '', $preheadcode = '', $bodyclass = '') {
$redir = $redirectto === null ? '' : "<meta http-equiv=\"refresh\" content=\"1;URL=$redirectto\">";
$bc = $bodyclass == '' ? '' : " class=\"$bodyclass\"";
$ttl = substr($title, 0, 1) == '!' ? substr($title, 1) : 'Виртуальный Офис :: '.$title;
/*
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="expires" content="-1">
*/
//<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
$html = <<<EOS
<!DOCTYPE html>
<html lang="ru">
<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">
<link rel="shortcut icon" href="favicon.ico">
$redir
<title>$ttl</title>
<script type="text/javascript" src="js/jquery/jquery-1.7.1.min.js"></script>
$preheadcode
<script type="text/javascript" src="js/w.js"></script>
<script type="text/javascript" src="js/flashsupport.js"></script>
<script type="text/javascript" src="js/numbers.js"></script>
<script type="text/javascript" src="js/numbers_ext.js"></script>
<script type="text/javascript" src="js/numbers_int.js"></script>
<script type="text/javascript" src="js/numbers_bw.js"></script>
<script type="text/javascript" src="js/dials.js"></script>
<script type="text/javascript" src="js/graphs.js"></script>
<script type="text/javascript" src="js/daygroups.js"></script>

<script type="text/javascript" src="js/pbx_daygroups.js"></script>
<script type="text/javascript" src="js/pbx_graphs.js"></script>






<link rel="stylesheet" type="text/css" href="styles/w.css" media="screen">
<script type="text/javascript">
<!--
if(document.images){var im=new Image();var ims=new Array(
'loading_sm.gif','loading-progress.gif','corner.gif','pbari.gif','pbari2.gif');
var i=0;for(i=0;i<ims.length;i++)im.src='images/'+ims[i];}
//-->
</script>
$addheadcode
</head>
<body$bc><div id="progressnotifier"></div>
EOS;
return $html;
}

/*
function GetHTMLFooter() {
$html = <<<EOS
<script type="text/javascript">
<!--
	//replaceChecks();
	selectActiveLink();
// -->
</script>
</body>
</html>
EOS;
return $html;
}
*/
function GetHTMLFooter() {
$html = <<<EOS
<script type="text/javascript">
	//alert();
	selectActiveLink();
</script>
</body>
</html>
EOS;
return $html;
}


function GetJavaScriptCodeBlock($jscode) {
$html = <<<EOS
<script type="text/javascript">
<!--
$jscode
// -->
</script>
EOS;
return $html;
}

function GetPageTop($addpagetop = '') {
$html = <<<EOS
$addpagetop
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td align="left" width="100" background="images/head00.gif" style="font-size: 1px;">
<img src="images/head01.gif" width="100" height="80" border="0" alt="">
</td>
<td align="right" width="100%" background="images/head00.gif" style="font-size: 1px;">
<img src="images/head02.gif" width="80" height="80" border="0" alt="">
</td>
</tr>
<!-- <tr>
<td colspan="2" width="100%" background="images/logoline.gif" style="font-size: 1px;">
<img src="images/logoline.gif" width="9" height="10" border="0" alt="">
</td>
</tr> -->
</table>
EOS;
return $html;
}

function GetPageContentTitle($title) {
	return "<div class='pagetitle'>$title</div>";
}

function GetPageContentSubTitle($title) {
	return "<div class='pagesubtitle'>$title</div>";
}

function GetClosedPageContent() {
$html_inlay = <<<EOS
<table height="100%" align="center">
	<tr align="center">
		<td valign="top"></td>
	</tr>
	<tr align="center">
		<td align="center" valign="middle">
		<table class="nb" cellpadding="0" cellspacing="0" align="center">
			<tr>
				<td class="iconinfo"></td>
				<td class="note">Временно закрыто на профилактические работы</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr align="center">
		<td valign="bottom"><br>
		</td>
	</tr>
</table>
EOS;
	$html = GetHTMLHeader("Профилактика")
			. GetPageTop()
			. $html_inlay
			. GetHTMLFooter();
	return $html;
}

?>
