<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');

global $session, $database, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$preheadcode = <<<EOS
<script type="text/javascript" src="jsdojo17/dojo/dojo.js"
	dojoConfig="parseOnLoad: false, isDebug: false, locale: 'ru-ru'">
</script>
<script language="JavaScript" type="text/JavaScript" src="js/audio-player.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/menu_services.js"></script>
<script type="text/javascript" src="js/jquery/jquery.iframer.js"></script>
<script type="text/javascript" src="js/jquery/jquery.filestyle.js"></script>
EOS;

$addheadcode = <<<EOS
<link rel="stylesheet" href="styles/menu_styles.css">
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']);
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
}
$pagetitle = $current_page_title;
//$pagetitle = "Настройки :: Списки дозвона";

print(GetHTMLHeader($pagetitle, null, $addheadcode, $preheadcode, ''));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//var_dump($session->userright);
//if ($session->logged_in) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}
?>
	<div id="preloader_synths"></div>
	<div dojoType="dijit.Dialog" id="dlgSynthControlEdit" title="Редактирование голосового сообщения"
		onCancel="dlgSynthControlEdit_OnClose();"
		onShow="dlgSynthControlEdit_OnShow();"
		>
		<label id="lSynthControlEdit_loading"><span style="color:#ff0000;font-weight:bold;"><img src="images/loading.gif" width="16" height="16" alt="">&nbsp;Загрузка...</span></label>
		<div dojoType="dijit.layout.ContentPane" id="dlgSynthControlEdit_content">
			<div dojoType="dijit.layout.ContentPane" id="dlgSynthControlEdit_tabs" style="width: 400px; height: 420px;">

				<!-- <div dojoType="dijit.layout.ContentPane" id="dlgSynthControlEdit_Synthz" title="Синтезаторы"> -->
					<div dojoType="dijit.SimTitlePane" id="dlgSynthControlEdit_title" title="<span style='font-weight:bold;'>Редактирование голосового сообщения</span>" open="false" toggleable="false"></div>
					<table>
						<tr colsnap="2" style="display:none;">
							<td><label for="voice_item_synthez">Список</label></td>
							<td>
								<input dojoType="dijit.form.ValidationTextBox"
									type="text"
									name="voice_item_synthez"
									id="voice_item_synthez">
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<table>
								<tr>
									<td style="text-align:center;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemaddIcon" id="voice_item_add" title="Добавить синтезатор из общего списка синтезаторов системы (в открывшемся окне выделите требуемые синтезаторы и нажмите OK)" onClick="showMenuSynthz(true);dlgSynthControlEdit_OnControlsChange(this);">
										</button>
										<br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdelIcon" id="voice_item_del" title="Удалить выбранные синтезаторы из списка" onClick="DeleteSelectedListItems('voice_item_synthez_edit', 'voice_item_synthez');dlgSynthControlEdit_OnControlsChange(this);">
										</button>
										<br /><br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemupIcon" id="voice_item_up" title="Переместить выбранные элементы списка вверх" onClick="MoveSelectedListItems('up', 'voice_item_synthez_edit', 'voice_item_synthez');dlgSynthControlEdit_OnControlsChange(this);">
										</button>
										<br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdnIcon" id="voice_item_dn" title="Переместить выбранные элементы списка вниз" onClick="MoveSelectedListItems('down', 'voice_item_synthez_edit', 'voice_item_synthez');dlgSynthControlEdit_OnControlsChange(this);">
										</button>
									</td>
									<td>
										<select dojoType="dijit.form.MultiSelect" id="voice_item_synthez_edit" name="voice_item_synthez_edit" multiple class="selectw" style="width:354px;height:320px;"
											OnDblClick="VoiceItem_SynthPlayerStart();">
										</select>
									</td>
								</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<table width="100%">
								<tr>
									<td width="80%">
										<div id="synplayer"></div>
									</td>
									<td style="text-align:right;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystartIcon" id="voice_item_playstart" title="Прослушать выбранный синтезатор" onClick="VoiceItem_SynthPlayerStart();">
										</button>
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystopIcon" id="voice_item_playstop" title="Остановить прослушивание" onClick="VoiceItem_SynthPlayerStop();">
										</button>
									</td>
								</tr>
								</table>
							</td>
						</tr>
					</table>
				<!-- </div> -->
			</div>

			<table style="width:100%;">
				<tr>
					<td align="left" width="80%">
						&nbsp;
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" id="btSynthControlEdit_OK" iconClass="dummyIcon" title="Сохранить изменения" onClick="return dlgSynthControlEdit_OnSubmit();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgSynthControlEdit_OnClose(self);">
							Отмена
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgMenuSynthz" title="Синтезаторы системы"
		onCancel="dlgMenuSynthz_OnClose();"
		onShow="dlgMenuSynthz_OnShow();"
		>
		<label id="lMenuSynthz_loading"><span style="color:#ff0000;font-weight:bold;"><img src="images/loading.gif" width="16" height="16">&nbsp;Загрузка...</span></label>
		<div dojoType="dijit.layout.ContentPane" id="dlgMenuSynthz_content">
			<div dojoType="dijit.layout.TabContainer" style="width:400px;height:500px;">
				<div dojoType="dijit.layout.ContentPane" title="Список">
					<div dojoType="dijit.SimTitlePane" title="<span style='font-weight:bold;'>Список синтезаторов системы</span>" open="false" toggleable="false"></div>
					<table>
						<tr>
							<td>
								<table>
								<tr>
									<td style="text-align:center;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdelIcon" id="voice_item_del_global" title="Удалить выбранные синтезаторы" onClick="DeleteSelectedSynthsGlobal('synthzlist');">
										</button>
									</td>
									<td>
										<select dojoType="dijit.form.MultiSelect" id="synthzlist" name="synthzlist" multiple class="selectw" style="width:345px;height:380px;margin:2px 4px 0 0;"
											OnDblClick="VoiceItem_SynthPlayerStartGlobal();">
										</select>
									</td>
								</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<table width="100%">
								<tr>
									<td width="80%">
										<div id="synplayerg"></div>
									</td>
									<td style="text-align:right;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystartIcon" id="voice_item_playstart_global" title="Прослушать выбранный синтезатор" onClick="VoiceItem_SynthPlayerStartGlobal();">
										</button>
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystopIcon" id="voice_item_playstop_global" title="Остановить прослушивание" onClick="VoiceItem_SynthPlayerStopGlobal();">
										</button>
									</td>
								</tr>
								</table>
							</td>
						</tr>
					</table>
				</div>

				<div dojoType="dijit.layout.ContentPane" title="Загрузка">
					<div dojoType="dijit.SimTitlePane" title="<span style='font-weight:bold;'>Загрузка синтезаторов в систему</span>" open="false" toggleable="false"></div>
					<br />
					<div id="synthz_upload_selector">
						<form id="frm_putfile" enctype="multipart/form-data" action="fs_putfile.php" method="post">
							<input type="hidden" name="rawres" value="1">
							<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo MAX_FILE_SIZE_UPLOAD_FAX ?>">
							<label for="synthz_add_file">Выберите локальный аудио-файл для загрузки (wav, mp3, ...)</label>
							<input type="file" name="synthz_add_file" id="synthz_add_file" accept="audio/*">
							<label for="synthz_add_file_description">Текстовое описание синтезатора</label>
							<input type="text" name="synthz_add_file_description" id="synthz_add_file_description">
						</form>
						<input type="image" class="button" id="bt_synthz_upload" value="Отправить" src="images/btsend.gif" />
					</div>
					<div id="synthz_upload_progress" style="display:none;">
						<img src="images/pbari2.gif" alt="" width="208" height="13">
					</div>
					<div id="synthz_upload_results" style="display:none;">
						<label>Результат отправки:&nbsp;</label>
						<span id="synthz_upload_result_msg"></span>
					</div>
				</div>
			</div>

			<table style="width:100%;">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgMenuSynthz_OnSubmit();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgMenuSynthz_OnClose(self);">
							Отмена
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgInfoMessage" title="Редактирование голосового сообщения" style="display: none;"
			q_onfocus="setTimeout(function(){dijit.byId('dlgInfoMessage').hide();},'10000')">
		<div dojoType="dijit.layout.ContentPane">
			<img src="images/icon_info.gif" width="16" height="16">
			<span id="dlgInfoMessage_msg">&nbsp;Всё нормально!</span>
			<table style="width:600px;margin-top:10px; border-top:1px #ccc solid;">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dijit.byId('dlgInfoMessage').hide();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgErrorMessage" title="Редактирование голосового сообщения" style="display: none;"
			q_onfocus="setTimeout(function(){dijit.byId('dlgErrorMessage').hide();},'10000')">
		<div dojoType="dijit.layout.ContentPane">
			<img src="images/icon_error2.gif" width="16" height="16">
			<span id="dlgErrorMessage_msg">&nbsp;Всё плохо!</span>
			<table style="width:600px;margin-top:10px; border-top:1px #ccc solid">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dijit.byId('dlgErrorMessage').hide();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div id="resultmsg" style="display:none;margin-top:4px;position:absolute;top:95%;left:20px;">
		Всё плохо плохо плохо плохо плохо плохо плохо плохо плохо плохо плохо!
	</div>

	<script type="text/javascript">
	<!--
		if (!IsFlashEnabled()) writeGetFlashImage();
	// -->
	</script>
	<?php
	print(GetPageContentTitle($pagetitle));
	?>
	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: 6px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color:#666;display:block;">
			На этой странице настраиваются списки дозвона до <a class="smb" href="numbers_ext.php">внешних номеров</a> офиса с учётом расписания (<a class="smb" href="graphs.php">временных графиков</a>).
			Далее, каждый список дозвона должен быть привязан к одному из <a class="smb" href="numbers_int.php">внутренних номеров</a> офиса.
		</span>
	</div>
	<a onclick="disableForms();window.location.href=window.location.pathname;">
		<img class="imglink" style="margin-bottom:4px;" src="images/btn_refresh.gif" width="83" height="23" alt="Обновить">
	</a>
	<?php
	$arr_diallists = $database->getDialListsByOfficeID($session->ofid);
	$arr_numberlist = $database->getExtNumbersListByOfficeID($session->ofid);
	$arr_graphlist = $database->getGraphListsByOfficeID($session->ofid);
	if (!empty($arr_numberlist) && !empty($arr_graphlist)) {
		$q = "select * from of_get_dials($session->ofid, null)";
		$result = $database->query($q);
		if (PEAR::isError($result)) {
			$logger->log('DIALS ERROR: '. getPEARErrorInfo($result));
		} else {
			$rec_num = 0;
			$gen_dials_id = 0;
			$gen_id = 0;
			$script = "";

			echo GetJavaScriptCodeBlock($database->getExtNumbersList_htmlcode_ex($arr_numberlist));
			echo GetJavaScriptCodeBlock($database->getGraphLists_htmlcode_ex($arr_graphlist));
			?>

			<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
			<input type="hidden" name="sub_edit_dials" value="1">
			<input type="hidden" name="hidChangedIDHolder" id="hidChangedIDHolder" value="">
			<input type="hidden" name="hidChangedIDHolderEx" id="hidChangedIDHolderEx" value="">

			<div id="toolbarlike" class="toolbarlike">
				<span class="smb" style="color: #fff;">Выбор списка</span>
				&nbsp;
				<select class="inputww" name="diallistselector" id="diallistselector"
					onkeypress="dialsShowDialList(this);" onkeyup="dialsShowDialList(this);" onchange="dialsShowDialList(this);">
				</select>
				&nbsp;
				<a class="imglinkb" style="color: #fff;" onclick="dialsCreateDialList()" title="Добавить новый список дозвона">
					<img class="imglink" style="vertical-align:middle" src="images/icon_add2.gif" width="14" height="13" alt="Добавить новый список дозвона">
					Новый список
				</a>
				&nbsp;&nbsp;
				<a class="imglinkb" style="margin:0 0 0 40px;" onclick="setFlatMode(1)" title="Развернутый вид">
					<img class="imglink" style="vertical-align:middle" src="images/icon_view_flat.gif" width="24" height="24" alt="Развернутый вид">
				</a>
				<a class="imglinkb" style="margin:0;" onclick="setFlatMode(0)" title="Компактный вид">
					<img class="imglink" style="vertical-align:middle" src="images/icon_view_compact.gif" width="24" height="24" alt="Компактный вид">
				</a>
			</div>
			<div id="toolbarsep" style="margin-top:20px;display:none;">
			</div>

			<?php
			foreach ($arr_diallists as $row) {
				$gen_dials_id = max($gen_dials_id, $row['dials_id']);
				$script .= sprintf("dialsCreateDialList(%d, \"%s\");",
									$row['dials_id'], addslashes(htmlspecialchars($row['dials_name'])));
				$script .= sprintf("dialsCreateDialListOption(%d, 'dial_mode', 'select', %d, " .
						"'Метод обзвона номеров', '0|По порядку,1|Одновременно по всем номерам');",
									$row['dials_id'], $row['dials_dial_mode']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'wait_answer_pause', 'edit', %d, " .
						"'Время ожидания ответа, в секундах');",
									$row['dials_id'], $row['dials_wait_answer_pause']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'redial_pause', 'edit', %d, " .
						"'Пауза перед очередной попыткой прозвонить список, в секундах');",
									$row['dials_id'], $row['dials_redial_pause']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'redial_count', 'edit', %d, " .
						"'Количество попыток прозвонить список');",
									$row['dials_id'], $row['dials_redial_count']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'wait_answer_phrase', 'editex', \"%s\", " .
						"'Мелодия на ожидание ответа (вместо &quot;гудков&quot;)', '', true);",
									$row['dials_id'], addslashes(htmlspecialchars($row['dials_wait_answer_phrase'])));
				$script .= sprintf("dialsCreateDialListOption(%d, 'wait_redial_phrase', 'editex', \"%s\", " .
						"'Мелодия на время паузы в попытках прозвонить список', '', true);",
									$row['dials_id'], addslashes(htmlspecialchars($row['dials_wait_redial_phrase'])));
				$script .= sprintf("dialsCreateDialListOption(%d, 'say_aon', 'checkbox', %d, " .
						"'Проговаривать АОН после ответа абонента');",
									$row['dials_id'], $row['dials_say_aon']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'translate_real_aon', 'checkbox', %d, " .
						"'Автоматический определитель номера');",
									$row['dials_id'], $row['dials_translate_real_aon']);

				if (!empty($session->ofid) && $session->checkUserRight('dials_record','A') ) {
				$script .= sprintf("dialsCreateDialListOption(%d, 'do_recording', 'checkbox', %d, " .
						"'Запись разговора');",
									$row['dials_id'], $row['dials_do_recording']);
				}
				if (!empty($session->ofid) && $session->checkUserRight('call_is_owner','A') ) {
				$script .= sprintf("dialsCreateDialListOption(%d, 'call_is_owner', 'checkbox', %d, " .
						"'Владельцем соединения является тот, кто дозванивается');",
									$row['dials_id'], $row['dials_call_is_owner']);
				}
				if (!empty($session->ofid) && $session->checkUserRight('can_redirect','A') ) {
				$script .= sprintf("dialsCreateDialListOption(%d, 'can_redirect', 'checkbox', %d, " .
						"'Перевод вызова');",
									$row['dials_id'], $row['dials_can_redirect']);
				}
				if (!empty($session->ofid) && $session->checkUserRight('can_conference','A') ) {
				$script .= sprintf("dialsCreateDialListOption(%d, 'can_conference', 'checkbox', %d, " .
						"'Конференц-связь');",
									$row['dials_id'], $row['dials_can_conference']);
				}

				$script .= sprintf("dialsCreateDialListOption(%d, 'wait_conn_phrase', 'editex', \"%s\", " .
						"'Мелодия на удержание вызова', '', true);",
									$row['dials_id'], addslashes(htmlspecialchars($row['dials_wait_conn_phrase'])));
				$script .= sprintf("dialsCreateDialListOption(%d, 'ready_2_dial_phrase', 'editex', \"%s\", " .
						"'Фраза на готовность системы к переводу вызова', '', true);",
									$row['dials_id'], addslashes(htmlspecialchars($row['dials_ready_2_dial_phrase'])));

				if (!empty($session->ofid) && $session->checkUserRight('dials_dtmf','A') ) {

				$script .= sprintf("dialsCreateDialListOption(%d, 'dtmf_retranslate', 'checkbox', %d, " .
						"'Ретранслировать DTMF в соединении');",
									$row['dials_id'], $row['dials_dtmf_retranslate']);

									$script .= sprintf("dialsCreateDialListOption(%d, 'new_dial_symbols', 'edit', \"%s\", " .
						"'DTMF для перевода вызова');",
									$row['dials_id'], $row['dials_new_dial_symbols']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'dial_ret_symbols', 'edit', \"%s\", " .
						"'DTMF для возврата к вызову при неответе/добавление в конференцию');",
									$row['dials_id'], $row['dials_dial_ret_symbols']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'conn_ret_symbols', 'edit', \"%s\", " .
						"'DTMF для возврата к переводимому вызову и обратно');",
									$row['dials_id'], $row['dials_conn_ret_symbols']);
				$script .= sprintf("dialsCreateDialListOption(%d, 'ivr_ret_symbols', 'edit', \"%s\", " .
						"'DTMF для перевода на факс во время разговора');",
									$row['dials_id'], $row['dials_ivr_ret_symbols']);
				}

			}

			while (($row = $result->fetchRow())) {
				$script .= sprintf("dialsCreate(%d, %d, %d, %d, %d, %d);",
									++$gen_id,
									$row['dials_id'],
									$row['number_id'],
									$row['dials_position'],
									$row['graph_id'],
									$row['countlines']);
				$rec_num++;
			}

			$script .= "dialsPopulateSelector(true);dialsShowDialList();setFlatMode();";

			echo "<input type=\"hidden\" name=\"last_db_dials_id\" value=\"$gen_dials_id\">";
			echo "<input type=\"hidden\" name=\"last_dials_id\" id=\"last_dials_id\" value=\"$gen_dials_id\">";
			echo "<input type=\"hidden\" name=\"last_id\" id=\"last_id\" value=\"$gen_id\">";
			?>
			<input class="inputbt" type="submit" name="btsubmit_main" id="btsubmit_main" value="Сохранить изменения">
<!-- input type="button" value="test" onclick="showparam();" -->
			</form>
			<?php
			echo GetJavaScriptCodeBlock("gen_dials_id=$gen_dials_id; gen_id=$gen_id; om=".intval($session->isOwner()).";");
			echo GetJavaScriptCodeBlock("function OnAfterLoad(){ $script }");

			//echo GetJavaScriptCodeBlock('var gBox = new curvyCorners(settings, "groupbox");gBox.applyCornersToAll();');
		}
	} else {
		if (empty($arr_numberlist)) {
			?>
			<div class="textquote" style="width:400px;padding:10px;margin:10px;" align="left">
				<span class="sm" style="color:#666;"><img src="images/icon_error_big.gif" width="32" height="32" style="margin: -10px 10px -8px 0;" align="left">Не настроены <a class="smb" href="numbers_ext.php">Внешние номера</a>!</span>
			</div>
			<?php
		}
		if (empty($arr_graphlist)) {
			?>
			<div class="textquote" style="width:400px;padding:10px;margin:10px;" align="left">
				<span class="sm" style="color:#666;"><img src="images/icon_error_big.gif" width="32" height="32" style="margin: -10px 10px -8px 0;" align="left">Не настроены <a class="smb" href="graphs.php">Временные графики</a>!</span>
			</div>
			<?php
		}
	}
	unset($session->edit_dials);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>

<!-- script type="text/javascript">
function showparam(){
	recval = $('input[id=dialslistoption_do_recording_45]').val();
	dirval = $('input[id=dialslistoption_can_redirect_45]').val();
	alert(recval+'   '+dirval);

	recval = $('input[id=dialslistoption_do_recording_45]').attr('checked');
	dirval = $('input[id=dialslistoption_can_redirect_45]').attr('checked');
	alert(recval+'   '+dirval);

	var obj_holder = document.getElementById("hidChangedIDHolderEx").value;
	alert(obj_holder);
}
</script -->
