<?php
require_once(dirname(__FILE__).'/constants_tm.php');

$hosturl = selfURL();
define("HOST_URL",   $hosturl);

/**
 * Database Constants
 */

// Основная база
define("DB_HOST",   '127.0.0.1');
define("DB_FILE",   '/var/rino/IS-RINO/DB/vo.fdb?charset=UTF8&dialect=3');
define("VO_HOST",	HOST_URL.'/VO');
define("VO_HOST_IDX",	HOST_URL.'/VO/main.php');
define("DB_USER",   'SYSDBA');
define("DB_PASS",   'masterkey');
define("DB_ENGINE", 'ibase(firebird)');


//define("CHAT_HOST", 'http://127.0.0.1/schat');

define("MAX_LEN_OFNUMBER", 32);
define("MAX_LEN_OFUSERNAME", 256);
define("MAX_LEN_OFPASSWORD", 128);

define("MAX_STATISTICS_ROWS", 1000 * 1000);
define("MAX_CHANGELOG_ROWS", 1000);

if (!defined('MAX_FILE_SIZE_UPLOAD_VOICE'))
	define("MAX_FILE_SIZE_UPLOAD_VOICE", 32 * 1024 * 1024);
if (!defined('MAX_FILE_SIZE_UPLOAD_FAX'))
	define("MAX_FILE_SIZE_UPLOAD_FAX", 32 * 1024 * 1024);

// outer system host references
//define("CE_HOST",	'http://localhost/ce-d');
//define("CE_HOST_IDX",	'http://localhost/ce-d/clients.php');


//define("CE_HOST",	HOST_URL.'/CE');
//define("CE_HOST_IDX",	CE_HOST.'/index.php');


// sip-accounts default options
define("SIP_DEFAULT_TEMPLATE_ID","1"); // see code in sip-account templates (tbsipdefaults)
define("SIP_RANGE_FIRST","50000");
define("SIP_RANGE_LAST","");


//new office default options
define("NEWOFFICE_NUMBER_PREFIX", '343');
define("NEWOFFICE_ADMIN_USERNAME", 'telfis');
define("NEWOFFICE_ADMIN_PASSWORD", 'jabcntk190');
define("NEWOFFICE_GUEST_USERNAME", 'SORM');
define("NEWOFFICE_GUEST_PASSWORD", 'dct,eltn[jhjij');

//new dials list default options
define("NEWDIALLIST_NEW_DIAL_SYMBOLS",'##');
define("NEWDIALLIST_DIAL_RET_SYMBOLS",'*');
define("NEWDIALLIST_CONN_RET_SYMBOLS",'#');
define("NEWDIALLIST_IVR_RET_SYMBOLS",'0');


//office custom params
define("PARAM_EMAIL_NOTIFY_FAX_ENABLED", 'EMAIL_NOTIFY_FAX_ENABLED');
define("PARAM_EMAIL_NOTIFY_FAX_ADDRESS", 'EMAIL_NOTIFY_FAX_ADDRESS');
define("PARAM_EMAIL_NOTIFY_VOICE_ENABLED", 'EMAIL_NOTIFY_VOICE_ENABLED');
define("PARAM_EMAIL_NOTIFY_VOICE_ADDRESS", 'EMAIL_NOTIFY_VOICE_ADDRESS');
define("PARAM_EMAIL_STATS_ADDRESS", 'PARAM_EMAIL_STATS_ADDRESS');  //INFO: this ugly param name is important for compatibility!

define("PARAM_NOTIFY_LOWBALANCE_ENABLED", 'NOTIFY_LOWBALANCE_ENABLED');
define("PARAM_NOTIFY_LOWBALANCE_VALUE", 'NOTIFY_LOWBALANCE_VALUE');
define("PARAM_NOTIFY_LOWBALANCE_ADDRESS", 'NOTIFY_LOWBALANCE_ADDRESS');
define("PARAM_NOTIFY_LOWBALANCE_PHONES", 'NOTIFY_LOWBALANCE_PHONES');

define("PARAM_BLACKLIST_ENABLED", 'BLACKLIST_ENABLED');
define("PARAM_WHITELIST_ENABLED", 'WHITELIST_ENABLED');

// Основной биллинг
define("DB_HOST_TAR",   '127.0.0.1');
define("DB_FILE_TAR",   '/var/rino/IS-RINO/DB/billing.fdb?charset=UTF8&dialect=1');
define("DB_USER_TAR",   'SYSDBA');
define("DB_PASS_TAR",   'masterkey');
define("DB_ENGINE_TAR", 'ibase(firebird)');



define("DB_TAR_FEDERAL_PREFIX", '');
define("DB_TAR_ACTIVESESSIONS_PREFIX", '7');
define("DB_TAR_MB_SYSTEMBOXCOMMONID", '-1');

define("DB_TAR_SERVICETYPE_MB", -2);
define("DB_TAR_SERVICETYPE_ALLTYPES", -1);
define("DB_TAR_SERVICETYPE_MTR", 11);
define("DB_TAR_SERVICETYPE_FAX", 1);
define("DB_TAR_SERVICETYPE_FAX_SENT", 2);
define("DB_TAR_SERVICETYPE_VOICE", 3);
define("DB_TAR_SERVICETYPE_VOICE_SENT", 4);

define("DB_TAR_MESSAGESOURCE_NAME", 'Веб-кабинет');

define("DB_TAR_MESSAGETYPE_SYNTH", 0);
define("DB_TAR_MESSAGETYPE_FAX", 1);
define("DB_TAR_MESSAGETYPE_VOICE", 2);
define("DB_TAR_MESSAGETYPE_FILE", 3);
define("DB_TAR_MESSAGETYPE_SMS", 4);
define("DB_TAR_MESSAGETYPE_MMS", 5);
define("DB_TAR_MESSAGETYPE_ICQ", 6);
define("DB_TAR_MESSAGETYPE_MAIL", 7);
define("DB_TAR_MESSAGETYPE_HTTP", 8);
define("DB_TAR_MESSAGETYPE_CALLREC", 9);

define("DB_TAR_TM_PROJECT_ID_FAXSEND", 1);
define("DB_TAR_TM_ADDPARAMS_FAXSEND", ''); //"InCall.AONIndex=2\r\nDef.FaxNumberIn=000001"
define("DB_TAR_TM_TASK_TRY_COUNT_FAXSEND", 0);

define("DB_TAR_TM_PROJECT_ID_LOWBALANCENOTIFY", 3);
define("DB_TAR_TM_ADDPARAMS_LOWBALANCENOTIFY", "");
define("DB_TAR_TM_TASK_TRY_COUNT_LOWBALANCENOTIFY", 0);

define("DB_TAR_DEBUG", false);
define("DB_TAR_DEBUG_NUMBER", '1234567');//arc88002024321
define("DB_OFFICE_DEBUG_NUMBER", '1234567');

define("OPTION_DISABLE_FIRST_INT_NUMBER_4_OWNER", false);

/**
 * Global site constants
 */
define("SITE_COPYRIGHT", '© 2008-2015 ЗАО «НПП «РИНО»');

define("TB_WEB_CACHE", "tb_web_access");

/**
 * Special Names and Level Constants
 */
define("GUEST_NAME", "guest");
define("GUEST_LEVEL", -1);
define("ADMIN_LEVEL", 0);
define("OWNER_LEVEL", 1);
define("LOCAL_ADMIN_LEVEL", 2);
define("FAX_LEVEL", 10);
define("FAX_STAT_LEVEL", 11);
define("DEMO_LEVEL", 200);

/**
 * Timeout Constants
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants
 */
define("COOKIE_EXPIRE", 60*60*24*100);  //100 days by default
//define("COOKIE_PATH", "/");  //Available in whole domain
define("COOKIE_PATH", "");
define("COOKIE_NAME_WEBID", "vologid");
define("COOKIE_NAME_LOGINNUMB", "volognumber");
define("COOKIE_NAME_LOGINNAME", "vologuser");
define("COOKIE_NAME_LOGINPASS", "vologpass");

/**
 * Email Constants
 */
define("EMAIL_FROM_NAME", "VirtualOffice");
define("EMAIL_FROM_ADDR", "noreply@address.com");
define("EMAIL_WELCOME", false);

define("ALL_LOWERCASE", false);

// system messages
define("MSG_READONLY",'Системное сообщение:\n\rНет прав на выполнение данного действия!');



/**
 * LOGGER
 */
require_once 'Log.php';
$conf = array('mode' => 0600, 'dirmode' => 0755, 'timeFormat' => '%d.%m.%Y %H:%M:%S');
$logger = Log::singleton('file', 'vo.log', '', $conf);

/**
 * UPLOADER
 */
$upload_errors = array(
	UPLOAD_ERR_INI_SIZE		=> 'Размер файла превышает максимально разрешенный размер для загрузки на сервере',//'The uploaded file exceeds the upload_max_filesize directive in php.ini.',
	UPLOAD_ERR_FORM_SIZE	=> 'Размер файла превышает максимально разрешенный размер для загрузки на клиенте',//'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form.',
	UPLOAD_ERR_PARTIAL		=> 'Файл загружен не полностью',//'The uploaded file was only partially uploaded.',
	UPLOAD_ERR_NO_FILE		=> 'Не выбран файл для загрузки',//'No file was uploaded.',
	UPLOAD_ERR_NO_TMP_DIR	=> 'На сервере отсутствует временная директория',//'Missing a temporary folder.',
	UPLOAD_ERR_CANT_WRITE	=> 'Ошибка при размещении файла на сервере',//'Failed to write file to disk.',
	UPLOAD_ERR_EXTENSION	=> 'Загрузка файла прервана на сервере'//'File upload stopped by extension.'
);

/**
 * FILE SERVER
 */
if (!defined('FILESERVER_HOST'))
	define('FILESERVER_HOST', '127.0.0.1');
if (!defined('FILESERVER_ADMIN_PORT'))
	define('FILESERVER_ADMIN_PORT', 25001);
if (!defined('FILESERVER_DATA_PORT'))
	define('FILESERVER_DATA_PORT', 25002);

if (!defined('FILESERVER_AUDIO_BYTE_SIZE')) {
	define('FILESERVER_AUDIO_BYTE_SIZE', 8000);
	define('FILESERVER_FAX_BYTE_SIZE', 8000);
}

/**
 * MANUAL FILES
 */
define("MANUALFILE_OWNER", 'docs/VirtualOfficeOwnerManual_rino.pdf');
define("MANUALFILE_LOCALADMIN", 'docs/VirtualOfficeLocalAdminManual_rino.pdf');
define("MANUALFILE_ADMIN", 'docs/VirtualOfficeAdminManual_rino.pdf');

/**
 * DEFAULT AUDIO FILES
 */
if (!defined('VOOS_WIN')) {
	if (substr(PHP_OS, 0, 3) == 'WIN') {
		define('VOOS_WIN', true);
		define('VOOS_NIX', false);
	} else {
		define('VOOS_WIN', false);
		define('VOOS_NIX', true);
	}
}

if (!defined('AUDIO_CONVERT_TOOLS_PATH')) {
	if (VOOS_WIN)
		define("AUDIO_CONVERT_TOOLS_PATH", realpath(dirname(__FILE__).'/../tools') . '\\');
		//define("AUDIO_CONVERT_TOOLS_PATH", realpath(HOST_URL.'/tools') . '\\');
//		define("AUDIO_CONVERT_TOOLS_PATH", 'C:\\tools\\');
	else
		define('AUDIO_CONVERT_TOOLS_PATH', '');
}
//sox -q -t al -r8000 -c1 "%1" -r8000 -c1 -s -w -t wav - 2>>/dev/null | lame --preset fast standard -m m -b 32 -B 96 -t --quiet - %1.mp3 1>>/dev/null 2>>/dev/null
//define("AUDIO_CONVERT_CALL_FMT", 'sox -q -t al -r8000 -c1 "%infile%" -t wav -r8000 -c1 -s -w - | lame --preset fast standard -m m -b 32 -B 96 -t --quiet - "%outfile%"');
//define("AUDIO_CONVERT_CALL_FMT", AUDIO_CONVERT_TOOLS_PATH.'sox -q -t al -r8000 -c1 "%infile%" -t mp3 "%outfile%"');

//define("AUDIO_CONVERT_CALL_FMT", AUDIO_CONVERT_TOOLS_PATH.'sox -q -t al -r8000 -c1 "%infile%" -t wav -r8000 -c1 -u - | '.AUDIO_CONVERT_TOOLS_PATH.'lame --preset fast standard -m m -b 32 -B 96 -t --quiet --ignore-tag-errors --tt "%title%" --ta "%artist%" - "%outfile%"');
define("AUDIO_CONVERT_CALL_FMT", AUDIO_CONVERT_TOOLS_PATH.'sox -q -t al -r8000 -c 1 "%infile%" -t wav -r8000 -c 1 -e signed-integer - | '.AUDIO_CONVERT_TOOLS_PATH.'lame -m m --cbr -b 128 --resample 44.1 -t --quiet --ignore-tag-errors --tg "Speech" --tt "%title%" --ta "%artist%" - "%outfile%"');

//if (!defined('AUDIO_CONVERT_CALL_FMT'))
//	define("AUDIO_CONVERT_CALL_FMT", AUDIO_CONVERT_TOOLS_PATH.'sox -q -t al -r8000 -c1 "%infile%" -t wav -r8000 -c1 -u - | '.AUDIO_CONVERT_TOOLS_PATH.'lame -m m --cbr -b 128 --resample 44.1 -t --quiet --ignore-tag-errors --tg "Speech" --tt "%title%" --ta "%artist%" - "%outfile%"');

//sox --magic -S -V -G "%infile%" -e a-law -t wav -r8000 -c1 --comment "" "%outfile%" dither -a
//sox --magic    -q -G "%infile%" -e a-law -t wav -r8000 -c1 --comment "" "%outfile%" dither -a
if (!defined('AUDIO_CONVERT_CALL_FMT_SAVE')) {
	define("AUDIO_CONVERT_CALL_FMT_SAVE", AUDIO_CONVERT_TOOLS_PATH.'sox --magic -q -G "%infile%" -e a-law -t wav -r8000 -c1 --comment "" "%outfile%" dither -a');
	define("AUDIO_CONVERT_CALL_FMT_SAVE_MPEG", AUDIO_CONVERT_TOOLS_PATH.'sox -q -G -t mp3 "%infile%" -e a-law -t wav -r8000 -c1 --comment "" "%outfile%" dither -a');
}

if (!defined('AUDIO_ERROR_NOTAUTHORIZED'))
	define('AUDIO_ERROR_NOTAUTHORIZED', 'intro.mp3');
if (!defined('AUDIO_ERROR_FILESERVER'))
	define('AUDIO_ERROR_FILESERVER', 'intro.mp3');

if (!defined('FAX_ERROR_FILESERVER')) {
	if (VOOS_WIN)
		define('FAX_ERROR_FILESERVER', realpath(dirname(__FILE__).'/../images') . '\\404fax.jpg');
	else
		define('FAX_ERROR_FILESERVER', realpath(dirname(__FILE__).'/../images') . '/404fax.jpg');
}
if (!defined('FAX_CONVERT_TOOLS_PATH')) {
	if (false/*VOOS_WIN*/) {
		//old settings for local IrfanView
		//define('FAX_CONVERT_TOOLS_PATH', realpath(dirname(__FILE__).'/../tools') . '\\');
		//define('FAX_CONVERT_CALL_FMT', FAX_CONVERT_TOOLS_PATH.'convert "%infile%" /resample=(70p,70p) /aspectratio /jpgq=80 /convert="%outfile%"');
		//define('FAX_CONVERT_CALL_FMT_SAVE', FAX_CONVERT_TOOLS_PATH.'convert "%infile%" /tifc=4 /convert="%outfile%"');
	} else {
		define('FAX_CONVERT_TOOLS_PATH', '');
		define('FAX_CONVERT_CALL_FMT', FAX_CONVERT_TOOLS_PATH.'convert "%infile%" -resample "204x196" -quality 18 -sharpen 5 "%outfile%"');
		define('FAX_CONVERT_CALL_FMT2', FAX_CONVERT_TOOLS_PATH.'montage %infile% -geometry +10+10 -quality 18 "%outfile%"');
		//define('FAX_CONVERT_CALL_FMT_SAVE', FAX_CONVERT_TOOLS_PATH.'convert -compress Group4 -type Grayscale -depth 1 -resample "204x200" -units PixelsPerInch -endian MSB -define quantum:polarity=min-is-white "%infile%" "%outfile%"');
		//define('FAX_CONVERT_CALL_FMT_SAVE', FAX_CONVERT_TOOLS_PATH.'convert -density 204x98 -resize 1728x1186 -monochrome -compress Fax -units PixelsPerInch -define quantum:polarity=min-is-white "%infile%" "%outfile%"');
		//BEST! define('FAX_CONVERT_CALL_FMT_SAVE', FAX_CONVERT_TOOLS_PATH.'convert -density 204x98 -resize 1728 -monochrome -compress Fax -units PixelsPerInch -define quantum:polarity=min-is-white "%infile%" "%outfile%"');
		define('FAX_CONVERT_CALL_FMT_SAVE', FAX_CONVERT_TOOLS_PATH.'convert -density 204x196 -resize 1728 -monochrome -compress Group4 -units PixelsPerInch -define quantum:polarity=min-is-white "%infile%" "%outfile%"');
	}
}

function selfURL(){
    if(!isset($_SERVER['REQUEST_URI']))    $suri = $_SERVER['PHP_SELF'];
    else $suri = $_SERVER['REQUEST_URI'];
    $s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : "";
    $sp=strtolower($_SERVER["SERVER_PROTOCOL"]);
    $pr =    substr($sp,0,strpos($sp,"/")).$s;
    $pt = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]);
    //return $pr."://".$_SERVER['SERVER_NAME'].$pt.$suri;
    return $pr."://".$_SERVER['SERVER_NAME'].$pt;
}

?>
