
// таблица sip счетов ------------------------------------------------------------
$(document).ready( function () {

    oDataTable1 = $('#sip_list').dataTable( {
		processing: true,
		serverSide: false,
		
		scrollY: 400,
		paging: false,
		lengthChange: false,
		searching: false,
		info: true,
		sort: true,
		
		draw: 1,
		length: 100,
		start: 0,
		//filter: true,
		
		language: {
			//info: "стр. _PAGE_/_PAGES_ записи _START_-_END_/_TOTAL_"
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'user_sipaccount',
				first: 10,
				skip: 0
			})
		},

		columns: [
		{ data: "0" },
		{ data: "1" },
		{ data: "2" }
		]
    } );

} );


// форма параметров sip счета -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_sip_add]').click(function(){
		var sipcount_key = check_sipcount();
		if(sipcount_key == 1) {
			frm_open_sip_dialog('add');
		} else {
			alert('Количество SIP-счетов ограничено!');
		}
	});

	$('input[id=btn_create_pass]').click(function(){
		var numpass = frm_sip_account_freenumber();
		$('input[id=txt_sip_secret]').val(numpass[1]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
	});

	$('input[id=btn_create_sipaccount]').click(function(){
		numpass = frm_sip_account_getnumber();
		$('input[id=txt_sip_name]').val(numpass[0]);
		get_sipaccount_exists();
	});

	/*$('select[id=txt_sip_host]').change(function(){
		var hostval = $('select[id=txt_sip_host]').val();
		if(hostval == 'dynamic'){
			$('input[id=txt_sip_realhost]').css('display','none');
			$('input[id=txt_sip_realhost]').val('');
		} else {
			$('input[id=txt_sip_realhost]').css('display','');
			$('input[id=txt_sip_realhost]').focus();
		}
	});

	$('input[id=txt_sip_name]').keyup(function(e){
        var key = e.charCode || e.keyCode || 0;
		var sipname = $('input[id=txt_sip_name]').val();
		$('input[id=txt_sip_username]').val(sipname);
    });*/
	

	//$('input[id=txt_sip_name]').keypress(function (e) { return false; });
	
	$('input[id=txt_sip_name]').keyup(function(e){ 
		get_sipaccount_exists();
	} );

	
	$('input[id=txt_sip_secret]').keypress(function (e) {
		if(e.ctrlKey) { if(e.which != 99) return false; }
		else return false;
	});

	
});

// определение свободного сип-аккаунта
function get_sipaccount_exists(){
		sipaccount = $('input[id=txt_sip_name]').val();
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_exists',
			sipaccount: sipaccount
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			if(data.sipaccount == 1) { 
				$('div[id=sipaccount_exists]').html('номер занят');
			} else {
				$('div[id=sipaccount_exists]').html('');
			}
		}
		});
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
}




$(function() {
	$( "#frm_sip_account" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:200,
		title: "SIP счет",
		buttons:{ "OK":function(){frm_sip_account_save();} ,"Отмена":function(){frm_close_sip_dialog();} },
		resizable:false
	});
	$( "#frm_sip_account" ).attr('mode',''); 
});	

// открыть форму добавления сип-счета ( mode = 'add' | 'edt' )
function frm_open_sip_dialog(mode){
	$("#frm_sip_account").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_sip_account").dialog('option', 'title', 'SIP счет (создание нового)'); 
		var numpass = frm_sip_account_freenumber();
		//$('input[id=txt_sip_name]').val(numpass[0]);
		$('input[id=txt_sip_secret]').val(numpass[1]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
		get_template_param();
	}
	if( mode == 'edt') { $("#frm_sip_account").dialog('option', 'title', 'SIP счет (редактирование)'); 
		$("input[id=txt_sip_secret]").attr('type','password');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('disable');
	}
	$('div[id=sipaccount_exists]').html('');
	$("#frm_sip_account").dialog('open');
}
// закрыть форму добавления сип-счета
function frm_close_sip_dialog(){
	$("#frm_sip_account").dialog('close');
	frm_sip_account_clear();
}
// обнуление параметров формы добавления сип-счета
function frm_sip_account_clear(){
	var sip_template_id = $('input[id=txt_sip_template_id]').val(); // запоминаем шаблон по-умолчанию
	var sip_range_first = $('input[id=txt_sip_range_first]').val();
	var sip_range_last = $('input[id=txt_sip_range_last]').val();

	$('div[id=frm_sip_account] input[id]:not([id=btn_create_pass]):not([id=btn_create_sipaccount])').val('');

	$('input[id=txt_sip_template_id]').val(sip_template_id); // восстанавливаем шаблон по-умолчанию
	$('input[id=txt_sip_range_first]').val(sip_range_first);
	$('input[id=txt_sip_range_last]').val(sip_range_last);
}


// сохранение параметров сип-счета
function frm_sip_account_save(){

	var sip_range_first = $('input[id=txt_sip_range_first]').val();
	var sip_range_last = $('input[id=txt_sip_range_last]').val();
	if( parseInt($('input[id=txt_sip_name]').val(),10) < parseInt(sip_range_first,10) 
	|| parseInt($('input[id=txt_sip_name]').val(),10) > parseInt(sip_range_last,10)
	) {
		alert('Номер сип-счета вне диапазона '+sip_range_first+' - '+sip_range_last);
		return;
	}

	NAME = $('input[id=txt_sip_name]').val();
	USERNAME = $('input[id=txt_sip_name]').val();
	SECRET = $('input[id=txt_sip_secret]').val();
	
	var sip_id = $('input[id=txt_sip_id]').val();
	//alert(sip_id+'   '+NAME+'   '+SECRET);
	
	var save_mode = $("#frm_sip_account").attr('mode');
	
/*	// добавление нового сип-счета
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_add',
			NAME: NAME,
			SECRET: SECRET
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip account is not created');
		}
		
		});
	}*/
	// добавление нового сип-счета
	if(save_mode == 'add'){
	//NAME = $('input[id=txt_sip_name]').val();
	//USERNAME = $('input[id=txt_sip_username]').val();
	//SECRET = $('input[id=txt_sip_secret]').val();
	CONTEXT = $('input[id=txt_sip_context]').val();
	PTYPE = $('select[id=txt_sip_type]').val();
	HOST = $('input[id=txt_sip_realhost]').val();
	PORT = $('input[id=txt_sip_port]').val();
	NAT = $('select[id=txt_sip_nat]').val();
	COMMENT = $('input[id=txt_sip_comment]').val();
	
	//sip_id = $('input[id=txt_sip_id]').val();
	//alert(sip_id+'   '+NAME+'   '+SECRET);

	accountcode = $('input[id=txt_sip_accountcode]').val();
	disallow = $('input[id=txt_sip_disallow]').val();
	allow = $('input[id=txt_sip_allow]').val();
	allowoverlap = $('input[id=txt_sip_allowoverlap]').val();
	allowsubscribe = $('input[id=txt_sip_allowsubscribe]').val();
	allowtransfer = $('input[id=txt_sip_allowtransfer]').val();
	amaflags = $('input[id=txt_sip_amaflags]').val();
	autoframing = $('input[id=txt_sip_autoframing]').val();
	auth = $('input[id=txt_sip_auth]').val();
	buggymwi = $('input[id=txt_sip_buggymwi]').val();
	callgroup = $('input[id=txt_sip_callgroup]').val();
	callerid = $('input[id=txt_sip_callerid]').val();
	cid_number = $('input[id=txt_sip_cid_number]').val();
	fullname = $('input[id=txt_sip_fullname]').val();
	calllimit = $('input[id=txt_sip_calllimit]').val();
	callingpres = $('input[id=txt_sip_callingpres]').val();
	canreinvite = $('input[id=txt_sip_canreinvite]').val();
	defaultip = $('input[id=txt_sip_defaultip]').val();
	dtmfmode = $('input[id=txt_sip_dtmfmode]').val();
	fromuser = $('input[id=txt_sip_fromuser]').val();
	fromdomain = $('input[id=txt_sip_fromdomain]').val();
	fullcontact = $('input[id=txt_sip_fullcontact]').val();
	g726nonstandard = $('input[id=txt_sip_g726nonstandard]').val();
	insecure = $('input[id=txt_sip_insecure]').val();
	ipaddr = $('input[id=txt_sip_ipaddr]').val();
	language = $('input[id=txt_sip_language]').val();
	lastms = $('input[id=txt_sip_lastms]').val();
	mailbox = $('input[id=txt_sip_mailbox]').val();
	maxcallbitrate = $('input[id=txt_sip_maxcallbitrate]').val();
	mohsuggest = $('input[id=txt_sip_mohsuggest]').val();
	md5secret = $('input[id=txt_sip_md5secret]').val();
	musiconhold = $('input[id=txt_sip_musiconhold]').val();
	outboundproxy = $('input[id=txt_sip_outboundproxy]').val();
	deny = $('input[id=txt_sip_deny]').val();
	permit = $('input[id=txt_sip_permit]').val();
	pickupgroup = $('input[id=txt_sip_pickupgroup]').val();
	progressinband = $('input[id=txt_sip_progressinband]').val();
	promiscredir = $('input[id=txt_sip_promiscredir]').val();
	qualify = $('input[id=txt_sip_qualify]').val();
	regexten = $('input[id=txt_sip_regexten]').val();
	regseconds = $('input[id=txt_sip_regseconds]').val();
	rfc2833compensate = $('input[id=txt_sip_rfc2833compensate]').val();
	rtptimeout = $('input[id=txt_sip_rtptimeout]').val();
	rtpholdtimeout = $('input[id=txt_sip_rtpholdtimeout]').val();
	sendrpid = $('input[id=txt_sip_sendrpid]').val();
	setvar = $('input[id=txt_sip_setvar]').val();
	subscribecontext = $('input[id=txt_sip_subscribecontext]').val();
	subscribemwi = $('input[id=txt_sip_subscribemwi]').val();
	t38pt_udptl = $('input[id=txt_sip_t38pt_udptl]').val();
	trustrpid = $('input[id=txt_sip_trustrpid]').val();
	useclientcode = $('input[id=txt_sip_useclientcode]').val();
	usereqphone = $('input[id=txt_sip_usereqphone]').val();
	videosupport = $('input[id=txt_sip_videosupport]').val();
	vmexten = $('input[id=txt_sip_vmexten]').val();
	busylevel = $('input[id=txt_sip_busylevel]').val();
	callcounter = $('input[id=txt_sip_callcounter]').val();
	transport = $('input[id=txt_sip_transport]').val();
	
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_add_full',
			NAME: NAME,
			USERNAME: USERNAME,
			SECRET: SECRET,
			CONTEXT: CONTEXT,
			PTYPE: PTYPE,
			HOST: HOST,
			PORT: PORT,
			NAT: NAT,
			COMMENT: COMMENT,
	accountcode: accountcode,
	disallow: disallow,
	allow: allow,
	allowoverlap: allowoverlap,
	allowsubscribe: allowsubscribe,
	allowtransfer: allowtransfer,
	amaflags: amaflags,
	autoframing: autoframing,
	auth: auth,
	buggymwi: buggymwi,
	callgroup: callgroup,
	callerid: callerid,
	cid_number: cid_number,
	fullname: fullname,
	calllimit: calllimit,
	callingpres: callingpres,
	canreinvite: canreinvite,
	defaultip: defaultip,
	dtmfmode: dtmfmode,
	fromuser: fromuser,
	fromdomain: fromdomain,
	fullcontact: fullcontact,
	g726nonstandard: g726nonstandard,
	insecure: insecure,
	ipaddr: ipaddr,
	language: language,
	lastms: lastms,
	mailbox: mailbox,
	maxcallbitrate: maxcallbitrate,
	mohsuggest: mohsuggest,
	md5secret: md5secret,
	musiconhold: musiconhold,
	outboundproxy: outboundproxy,
	deny: deny,
	permit: permit,
	pickupgroup: pickupgroup,
	progressinband: progressinband,
	promiscredir: promiscredir,
	qualify: qualify,
	regexten: regexten,
	regseconds: regseconds,
	rfc2833compensate: rfc2833compensate,
	rtptimeout: rtptimeout,
	rtpholdtimeout: rtpholdtimeout,
	sendrpid: sendrpid,
	setvar: setvar,
	subscribecontext: subscribecontext,
	subscribemwi: subscribemwi,
	t38pt_udptl: t38pt_udptl,
	trustrpid: trustrpid,
	useclientcode: useclientcode,
	usereqphone: usereqphone,
	videosupport: videosupport,
	vmexten: vmexten,
	busylevel: busylevel,
	callcounter: callcounter,
	transport: transport
			
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip account is not created');
		}
		
		});
	}

	
	// редактирование сип-счета
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_edt',
			SIP_ID: sip_id,
			NAME: NAME,
			SECRET: SECRET
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: edit sip account');
		}
		
		});
	}
	
}

// удаление сип-счета
function frm_sip_account_del(sip_id){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_del',
			sip_id: sip_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip isn\'t deleted');
		}
		
	});
}

// параметры редактируемого сип-счета, разделитель "|" 
// названия и порядок параметров - файл process.php, процедура proc_user_sipaccount() 
function frm_sip_account_edt(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	$('input[id=txt_sip_name]').val(sip_param[1]);
	//$('input[id=txt_sip_secret]').val(sip_param[4]);
	var numpass = frm_sip_account_freenumber();
	$('input[id=txt_sip_secret]').val(numpass[1]);

	$('input[id=txt_sip_id]').val(sip_param[2]);
	frm_open_sip_dialog('edt');
}

// определение свободного номера для нового сип-счета
function frm_sip_account_freenumber(){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_freenumber'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.freenumber;
			numpass[1] = data.userpass;
		}
	});
	return numpass;
}

// активация/деактивация sip счета
function frm_sip_account_act(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	var SIP_ID = sip_param[2];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_act',
			SIP_ID: SIP_ID
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		}
	});
}

// проверка ограничения на максимальное кол-во сип счетов
function check_sipcount(){
	var sipcount_key = 0;
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'check_sipcount'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			sipcount_key = data.sipcount;
		}
	});
	return sipcount_key;
}


// активный пункт меню странички
$(document).ready( function () {
	$('.widget_nav_menu li a, .widget_nav_menu a').each(function () {
		var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		var result = location.match(link);   // результат возвращает объект если совпадение найдено и null при обратном
		if(result != null) { $(this).addClass("widget_nav_menu_active"); }
	});
});

// активный раздел
/*$(document).ready( function () {
	$('.top_menu ul li a').each(function () {
		//var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		if(link.indexOf('acc_main.php') + 1)
		$(this).addClass("top_menu_active");
	});
});*/


// заполнение параметров сип-счета значениями из шаблона по-умолчанию
function get_template_param(){
	
	var def_id = $('input[id=txt_sip_template_id]').val();
	$('input[id=txt_sip_template_id]').val(def_id);
	
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sip_template',
			def_id: def_id
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			var row = data.data[0];
			//alert(data.data);
			//alert(row['defname']+'  '+row['canreinvite']);
	//$('input[id=txt_sip_name]').val(row['']);
	//$('input[id=txt_sip_username]').val(row['username']);
	//$('input[id=txt_sip_secret]').val(row['secret']);
	$('input[id=txt_sip_context]').val(row['context']);
	$('select[id=txt_sip_type]').val(row['type']);
	$('input[id=txt_sip_realhost]').val(row['host']);
	$('input[id=txt_sip_port]').val(row['port']);
	$('select[id=txt_sip_nat]').val(row['nat']);
	$('input[id=txt_sip_comment]').val(row['']);
	//$('input[id=txt_sip_id]').val(row['']);
	$('input[id=txt_sip_accountcode]').val(row['accountcode']);
	$('input[id=txt_sip_disallow]').val(row['disallow']);
	$('input[id=txt_sip_allow]').val(row['allow']);
	$('input[id=txt_sip_allowoverlap]').val(row['allowoverlap']);
	$('input[id=txt_sip_allowsubscribe]').val(row['allowsubscribe']);
	$('input[id=txt_sip_allowtransfer]').val(row['allowtransfer']);
	$('input[id=txt_sip_amaflags]').val(row['amaflags']);
	$('input[id=txt_sip_autoframing]').val(row['autoframing']);
	$('input[id=txt_sip_auth]').val(row['auth']);
	$('input[id=txt_sip_buggymwi]').val(row['buggymwi']);
	$('input[id=txt_sip_callgroup]').val(row['callgroup']);
	//$('input[id=txt_sip_callerid]').val(row['callerid']);
	$('input[id=txt_sip_cid_number]').val(row['cid_number']);
	$('input[id=txt_sip_fullname]').val(row['fullname']);
	$('input[id=txt_sip_calllimit]').val(row['calllimit']);
	$('input[id=txt_sip_callingpres]').val(row['callingpres']);
	$('input[id=txt_sip_canreinvite]').val(row['canreinvite']);
	$('input[id=txt_sip_defaultip]').val(row['defaultip']);
	$('input[id=txt_sip_dtmfmode]').val(row['dtmfmode']);
	$('input[id=txt_sip_fromuser]').val(row['fromuser']);
	$('input[id=txt_sip_fromdomain]').val(row['fromdomain']);
	$('input[id=txt_sip_fullcontact]').val(row['fullcontact']);
	$('input[id=txt_sip_g726nonstandard]').val(row['g726nonstandard']);
	$('input[id=txt_sip_insecure]').val(row['insecure']);
	$('input[id=txt_sip_ipaddr]').val(row['ipaddr']);
	$('input[id=txt_sip_language]').val(row['language']);
	$('input[id=txt_sip_lastms]').val(row['lastms']);
	$('input[id=txt_sip_mailbox]').val(row['mailbox']);
	$('input[id=txt_sip_maxcallbitrate]').val(row['maxcallbitrate']);
	$('input[id=txt_sip_mohsuggest]').val(row['mohsuggest']);
	$('input[id=txt_sip_md5secret]').val(row['md5secret']);
	$('input[id=txt_sip_musiconhold]').val(row['musiconhold']);
	$('input[id=txt_sip_outboundproxy]').val(row['outboundproxy']);
	$('input[id=txt_sip_deny]').val(row['deny']);
	$('input[id=txt_sip_permit]').val(row['permit']);
	$('input[id=txt_sip_pickupgroup]').val(row['pickupgroup']);
	$('input[id=txt_sip_progressinband]').val(row['progressinband']);
	$('input[id=txt_sip_promiscredir]').val(row['promiscredir']);
	$('input[id=txt_sip_qualify]').val(row['qualify']);
	$('input[id=txt_sip_regexten]').val(row['regexten']);
	$('input[id=txt_sip_regseconds]').val(row['regseconds']);
	$('input[id=txt_sip_rfc2833compensate]').val(row['rfc2833compensate']);
	$('input[id=txt_sip_rtptimeout]').val(row['rtptimeout']);
	$('input[id=txt_sip_rtpholdtimeout]').val(row['rtpholdtimeout']);
	$('input[id=txt_sip_sendrpid]').val(row['sendrpid']);
	$('input[id=txt_sip_setvar]').val(row['setvar']);
	$('input[id=txt_sip_subscribecontext]').val(row['subscribecontext']);
	$('input[id=txt_sip_subscribemwi]').val(row['subscribemwi']);
	$('input[id=txt_sip_t38pt_udptl]').val(row['t38pt_udptl']);
	$('input[id=txt_sip_trustrpid]').val(row['trustrpid']);
	$('input[id=txt_sip_useclientcode]').val(row['useclientcode']);
	$('input[id=txt_sip_usereqphone]').val(row['usereqphone']);
	$('input[id=txt_sip_videosupport]').val(row['videosupport']);
	$('input[id=txt_sip_vmexten]').val(row['vmexten']);
	$('input[id=txt_sip_busylevel]').val(row['busylevel']);
	$('input[id=txt_sip_callcounter]').val(row['callcounter']);
	$('input[id=txt_sip_transport]').val(row['transport']);
	
		}
	});

}


// определение свободного номера для нового сип-счета
function frm_sip_account_getnumber(){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_getnumber'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.freenumber;
		}
	});
	return numpass;
}