
// таблица sip счетов ------------------------------------------------------------
$(document).ready( function () {

    oDataTable1 = $('#sip_list').dataTable( {
		processing: true,
		serverSide: false,
		
		scrollY: 600,
		paging: false,
		lengthChange: false,
		searching: false,
		info: true,
		sort: true,
		
		draw: 1,
		length: 100,
		start: 0,
		//filter: true,
		
		language: {
			//info: "стр. _PAGE_/_PAGES_ записи _START_-_END_/_TOTAL_"
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'user_sipaccount_full',
				first: 10,
				skip: 0
			})
		},

		columns: [
		{ data: "0" },
		{ data: "1" },
		{ data: "2" },
		{ data: "3" },
		{ data: "4" },
		{ data: "5" },
		{ data: "6" },
		{ data: "7" }
		]
    } );

} );


// форма параметров sip счета -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_sip_add]').click(function(){
		var sipcount_key = check_sipcount();
		if(sipcount_key == 1) {
			//frm_sip_account_default();
			frm_open_sip_dialog('add');
		} else {
			alert('Количество SIP-счетов ограничено!');
		}
	});

	$('span[id=btn_create_pass]').click(function(){
		var numpass = frm_sip_account_password();
		$('input[id=txt_sip_secret]').val(numpass[0]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
	});

	$('span[id=btn_create_name]').click(function(){
		if( $('input[id=txt_sip_range_first]').val().length == 0 ){
			var sip_range_first = 0;
		} else {
			var sip_range_first = parseInt($('input[id=txt_sip_range_first]').val(),10);
		}
		if( $('input[id=txt_sip_range_last]').val().length == 0 ){
			var sip_range_last = 1000000;
		} else {
			var sip_range_last = parseInt($('input[id=txt_sip_range_first]').val(),10);
		}
		var numpass = frm_sip_account_freenumber(sip_range_first,sip_range_last);
		$('input[id=txt_sip_name]').val(numpass[0]);
	});
	
	/*$('select[id=txt_sip_host]').change(function(){
		var hostval = $('select[id=txt_sip_host]').val();
		if(hostval == 'dynamic'){
			$('input[id=txt_sip_realhost]').css('display','none');
			$('input[id=txt_sip_realhost]').val('');
		} else {
			$('input[id=txt_sip_realhost]').css('display','');
			$('input[id=txt_sip_realhost]').focus();
		}
	});

	$('input[id=txt_sip_name]').keyup(function(e){
        var key = e.charCode || e.keyCode || 0;
		var sipname = $('input[id=txt_sip_name]').val();
		$('input[id=txt_sip_username]').val(sipname);
    });*/
	
	/*$('input[id=txt_sip_name]').keydown(function(e){ 
		var allowchar = [48,49,50,51,52,53,54,55,56,57, 27,37,39,35,36,46,8];
		if(allowchar.indexOf(e.which) < 0){ return false; }
	} );*/

	$('input[id=txt_sip_name]').keyup(function(e){ 
		sipaccount = $('input[id=txt_sip_name]').val();
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_exists',
			sipaccount: sipaccount
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			if(data.sipaccount == 1) { 
				$('div[id=sipaccount_exists]').html('номер занят');
			} else {
				$('div[id=sipaccount_exists]').html('');
			}
		}
		});
	} );

	
	$('input[id=txt_sip_secret]').keypress(function (e) {
		if(e.ctrlKey) { if(e.which != 99) return false; }
		else return false;
	});

//$('#moreparam_tab tr>td:first-child').css('text-align','right').css('padding-right','10px');
$('td:eq(0)','#moreparam_tab tr').css('text-align','right').css('padding-right','10px');

	
});

$(function() {
	$( "#frm_sip_account" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:420,
		height:470,
		title: "SIP счет",
		buttons:{ "OK":function(){frm_sip_account_save();} ,"Отмена":function(){frm_close_sip_dialog();} },
		resizable:false
	});
	$( "#frm_sip_account" ).attr('mode',''); 
});	

// открыть форму добавления сип-счета ( mode = 'add' | 'edt' )
function frm_open_sip_dialog(mode){
	$("#frm_sip_account").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_sip_account").dialog('option', 'title', 'SIP счет (создание нового)'); 
		var numpass = frm_sip_account_password();
		$('input[id=txt_sip_name]').val('');
		$('input[id=txt_sip_secret]').val(numpass[0]);
		$("input[id=txt_sip_secret]").attr('type','');
		$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('enable');
		$('div[id=lbl_sip_template]').css('display','');
		$('select[id=txt_sip_template]').css('display','');
		
		var sip_template_id = $('input[id=txt_sip_template_id]').val();
		$('input[id=txt_sip_template_id]').val(sip_template_id);
		$('select[id=txt_sip_template]').val(sip_template_id);
		$('select[id=txt_sip_template]').change();
		//$('select[id=txt_sip_template]').val(sip_template_id).change();
		//get_template_param();
		//$('select[id=txt_sip_template]').val($('input[id=txt_sip_template_id]').val()).change();
	}
	if( mode == 'edt') { $("#frm_sip_account").dialog('option', 'title', 'SIP счет (редактирование)'); 
		//$("input[id=txt_sip_secret]").attr('type','password');
		//$('button:eq(1)',$('#frm_sip_account').dialog.buttons).button('disable');
		$('div[id=lbl_sip_template]').css('display','none');
		$('select[id=txt_sip_template]').css('display','none');
	}
	$('div[id=sipaccount_exists]').html('');
	$("#frm_sip_account").dialog('open');
}
// закрыть форму добавления сип-счета
function frm_close_sip_dialog(){
	$("#frm_sip_account").dialog('close');
	frm_sip_account_clear();
}
// обнуление параметров формы добавления сип-счета (обнуляет все div)
function frm_sip_account_clear(){
	//$('div[id=frm_sip_account] input').val('');
	var sip_template_id = $('input[id=txt_sip_template_id]').val(); // запоминаем шаблон по-умолчанию
	var sip_range_first = $('input[id=txt_sip_range_first]').val();
	var sip_range_last = $('input[id=txt_sip_range_last]').val();
	
	$('div[id=frm_sip_account] input[id]:not([id=btn_create_pass])').val('');
	
	$('input[id=txt_sip_template_id]').val(sip_template_id); // восстанавливаем шаблон по-умолчанию
	$('input[id=txt_sip_range_first]').val(sip_range_first);
	$('input[id=txt_sip_range_last]').val(sip_range_last);
}


// сохранение параметров сип-счета
function frm_sip_account_save(){

	var sip_range_first = $('input[id=txt_sip_range_first]').val();
	var sip_range_last = $('input[id=txt_sip_range_last]').val();
	if( parseInt($('input[id=txt_sip_name]').val(),10) < parseInt(sip_range_first,10) 
	|| parseInt($('input[id=txt_sip_name]').val(),10) > parseInt(sip_range_last,10)
	) {
		alert('Номер сип-счета вне диапазона '+sip_range_first+' - '+sip_range_last);
		return;
	}

	NAME = $('input[id=txt_sip_name]').val();
	USERNAME = $('input[id=txt_sip_username]').val();
	SECRET = $('input[id=txt_sip_secret]').val();
	CONTEXT = $('input[id=txt_sip_context]').val();
	PTYPE = $('select[id=txt_sip_type]').val();
	HOST = $('input[id=txt_sip_realhost]').val();
	PORT = $('input[id=txt_sip_port]').val();
	NAT = $('select[id=txt_sip_nat]').val();
	COMMENT = $('input[id=txt_sip_comment]').val();
	INNERSIP = $('select[id=txt_sip_innersip]').val();
	
	sip_id = $('input[id=txt_sip_id]').val();
	//alert(sip_id+'   '+NAME+'   '+SECRET);

	accountcode = $('input[id=txt_sip_accountcode]').val();
	disallow = $('input[id=txt_sip_disallow]').val();
	allow = $('input[id=txt_sip_allow]').val();
	allowoverlap = $('input[id=txt_sip_allowoverlap]').val();
	allowsubscribe = $('input[id=txt_sip_allowsubscribe]').val();
	allowtransfer = $('input[id=txt_sip_allowtransfer]').val();
	amaflags = $('input[id=txt_sip_amaflags]').val();
	autoframing = $('input[id=txt_sip_autoframing]').val();
	auth = $('input[id=txt_sip_auth]').val();
	buggymwi = $('input[id=txt_sip_buggymwi]').val();
	callgroup = $('input[id=txt_sip_callgroup]').val();
	callerid = $('input[id=txt_sip_callerid]').val();
	cid_number = $('input[id=txt_sip_cid_number]').val();
	fullname = $('input[id=txt_sip_fullname]').val();
	calllimit = $('input[id=txt_sip_calllimit]').val();
	callingpres = $('input[id=txt_sip_callingpres]').val();
	canreinvite = $('input[id=txt_sip_canreinvite]').val();
	defaultip = $('input[id=txt_sip_defaultip]').val();
	dtmfmode = $('input[id=txt_sip_dtmfmode]').val();
	fromuser = $('input[id=txt_sip_fromuser]').val();
	fromdomain = $('input[id=txt_sip_fromdomain]').val();
	fullcontact = $('input[id=txt_sip_fullcontact]').val();
	g726nonstandard = $('input[id=txt_sip_g726nonstandard]').val();
	insecure = $('input[id=txt_sip_insecure]').val();
	ipaddr = $('input[id=txt_sip_ipaddr]').val();
	language = $('input[id=txt_sip_language]').val();
	lastms = $('input[id=txt_sip_lastms]').val();
	mailbox = $('input[id=txt_sip_mailbox]').val();
	maxcallbitrate = $('input[id=txt_sip_maxcallbitrate]').val();
	mohsuggest = $('input[id=txt_sip_mohsuggest]').val();
	md5secret = $('input[id=txt_sip_md5secret]').val();
	musiconhold = $('input[id=txt_sip_musiconhold]').val();
	outboundproxy = $('input[id=txt_sip_outboundproxy]').val();
	deny = $('input[id=txt_sip_deny]').val();
	permit = $('input[id=txt_sip_permit]').val();
	pickupgroup = $('input[id=txt_sip_pickupgroup]').val();
	progressinband = $('input[id=txt_sip_progressinband]').val();
	promiscredir = $('input[id=txt_sip_promiscredir]').val();
	qualify = $('input[id=txt_sip_qualify]').val();
	regexten = $('input[id=txt_sip_regexten]').val();
	regseconds = $('input[id=txt_sip_regseconds]').val();
	rfc2833compensate = $('input[id=txt_sip_rfc2833compensate]').val();
	rtptimeout = $('input[id=txt_sip_rtptimeout]').val();
	rtpholdtimeout = $('input[id=txt_sip_rtpholdtimeout]').val();
	sendrpid = $('input[id=txt_sip_sendrpid]').val();
	setvar = $('input[id=txt_sip_setvar]').val();
	subscribecontext = $('input[id=txt_sip_subscribecontext]').val();
	subscribemwi = $('input[id=txt_sip_subscribemwi]').val();
	t38pt_udptl = $('input[id=txt_sip_t38pt_udptl]').val();
	trustrpid = $('input[id=txt_sip_trustrpid]').val();
	useclientcode = $('input[id=txt_sip_useclientcode]').val();
	usereqphone = $('input[id=txt_sip_usereqphone]').val();
	videosupport = $('input[id=txt_sip_videosupport]').val();
	vmexten = $('input[id=txt_sip_vmexten]').val();
	busylevel = $('input[id=txt_sip_busylevel]').val();
	callcounter = $('input[id=txt_sip_callcounter]').val();
	transport = $('input[id=txt_sip_transport]').val();
	
	var save_mode = $("#frm_sip_account").attr('mode');
	
	// добавление нового сип-счета
	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_add_full',
			NAME: NAME,
			USERNAME: USERNAME,
			SECRET: SECRET,
			CONTEXT: CONTEXT,
			PTYPE: PTYPE,
			HOST: HOST,
			PORT: PORT,
			NAT: NAT,
			COMMENT: COMMENT,
			INNERSIP: INNERSIP,
	accountcode: accountcode,
	disallow: disallow,
	allow: allow,
	allowoverlap: allowoverlap,
	allowsubscribe: allowsubscribe,
	allowtransfer: allowtransfer,
	amaflags: amaflags,
	autoframing: autoframing,
	auth: auth,
	buggymwi: buggymwi,
	callgroup: callgroup,
	callerid: callerid,
	cid_number: cid_number,
	fullname: fullname,
	calllimit: calllimit,
	callingpres: callingpres,
	canreinvite: canreinvite,
	defaultip: defaultip,
	dtmfmode: dtmfmode,
	fromuser: fromuser,
	fromdomain: fromdomain,
	fullcontact: fullcontact,
	g726nonstandard: g726nonstandard,
	insecure: insecure,
	ipaddr: ipaddr,
	language: language,
	lastms: lastms,
	mailbox: mailbox,
	maxcallbitrate: maxcallbitrate,
	mohsuggest: mohsuggest,
	md5secret: md5secret,
	musiconhold: musiconhold,
	outboundproxy: outboundproxy,
	deny: deny,
	permit: permit,
	pickupgroup: pickupgroup,
	progressinband: progressinband,
	promiscredir: promiscredir,
	qualify: qualify,
	regexten: regexten,
	regseconds: regseconds,
	rfc2833compensate: rfc2833compensate,
	rtptimeout: rtptimeout,
	rtpholdtimeout: rtpholdtimeout,
	sendrpid: sendrpid,
	setvar: setvar,
	subscribecontext: subscribecontext,
	subscribemwi: subscribemwi,
	t38pt_udptl: t38pt_udptl,
	trustrpid: trustrpid,
	useclientcode: useclientcode,
	usereqphone: usereqphone,
	videosupport: videosupport,
	vmexten: vmexten,
	busylevel: busylevel,
	callcounter: callcounter,
	transport: transport
			
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip account is not created');
		}
		
		});
	}
	// редактирование сип-счета
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_edt_full',
			SIP_ID: sip_id,
			NAME: NAME,
			USERNAME: USERNAME,
			SECRET: SECRET,
			CONTEXT: CONTEXT,
			PTYPE: PTYPE,
			HOST: HOST,
			PORT: PORT,
			NAT: NAT,
			COMMENT: COMMENT,
			INNERSIP: INNERSIP,
	accountcode: accountcode,
	disallow: disallow,
	allow: allow,
	allowoverlap: allowoverlap,
	allowsubscribe: allowsubscribe,
	allowtransfer: allowtransfer,
	amaflags: amaflags,
	autoframing: autoframing,
	auth: auth,
	buggymwi: buggymwi,
	callgroup: callgroup,
	callerid: callerid,
	cid_number: cid_number,
	fullname: fullname,
	calllimit: calllimit,
	callingpres: callingpres,
	canreinvite: canreinvite,
	defaultip: defaultip,
	dtmfmode: dtmfmode,
	fromuser: fromuser,
	fromdomain: fromdomain,
	fullcontact: fullcontact,
	g726nonstandard: g726nonstandard,
	insecure: insecure,
	ipaddr: ipaddr,
	language: language,
	lastms: lastms,
	mailbox: mailbox,
	maxcallbitrate: maxcallbitrate,
	mohsuggest: mohsuggest,
	md5secret: md5secret,
	musiconhold: musiconhold,
	outboundproxy: outboundproxy,
	deny: deny,
	permit: permit,
	pickupgroup: pickupgroup,
	progressinband: progressinband,
	promiscredir: promiscredir,
	qualify: qualify,
	regexten: regexten,
	regseconds: regseconds,
	rfc2833compensate: rfc2833compensate,
	rtptimeout: rtptimeout,
	rtpholdtimeout: rtpholdtimeout,
	sendrpid: sendrpid,
	setvar: setvar,
	subscribecontext: subscribecontext,
	subscribemwi: subscribemwi,
	t38pt_udptl: t38pt_udptl,
	trustrpid: trustrpid,
	useclientcode: useclientcode,
	usereqphone: usereqphone,
	videosupport: videosupport,
	vmexten: vmexten,
	busylevel: busylevel,
	callcounter: callcounter,
	transport: transport

	}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_sip_dialog();
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: edit sip account');
		}
		
		});
	}
	
}

// удаление сип-счета
function frm_sip_account_del(sip_id){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_del',
			sip_id: sip_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		},
		error:function(){
			alert('error: sip isn\'t deleted');
		}
		
	});
}

// параметры редактируемого сип-счета, разделитель "|" 
// названия и порядок параметров - файл process.php, процедура proc_user_sipaccount() 
function frm_sip_account_edt(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	$('input[id=txt_sip_name]').val(sip_param[1]);
	$('input[id=txt_sip_username]').val(sip_param[3]);
	$('input[id=txt_sip_secret]').val(sip_param[4]);
	//var numpass = frm_sip_account_freenumber();
	//$('input[id=txt_sip_secret]').val(numpass[1]);
	$('input[id=txt_sip_context]').val(sip_param[5]);
	
//	$("select[id=txt_sip_type]>option[value='"+sip_param[8]+"']").attr("selected", "selected");
	$('select[id=txt_sip_type]').val(sip_param[8]).change();
	$('input[id=txt_sip_realhost]').val(sip_param[6]);
	$('input[id=txt_sip_port]').val(sip_param[7]);
//	$("select[id=txt_sip_nat]>option[value='"+sip_param[9]+"']").attr("selected", "selected");
	$('select[id=txt_sip_nat]').val(sip_param[9]).change();
	$('input[id=txt_sip_comment]').val(sip_param[11]);

	$('input[id=txt_sip_id]').val(sip_param[2]);
	
	$('input[id=txt_sip_accountcode]').val(sip_param[12]);
	$('input[id=txt_sip_disallow]').val(sip_param[13]);
	$('input[id=txt_sip_allow]').val(sip_param[14]);
	$('input[id=txt_sip_allowoverlap]').val(sip_param[15]);
	$('input[id=txt_sip_allowsubscribe]').val(sip_param[16]);
	$('input[id=txt_sip_allowtransfer]').val(sip_param[17]);
	$('input[id=txt_sip_amaflags]').val(sip_param[18]);
	$('input[id=txt_sip_autoframing]').val(sip_param[19]);
	$('input[id=txt_sip_auth]').val(sip_param[20]);
	$('input[id=txt_sip_buggymwi]').val(sip_param[21]);
	$('input[id=txt_sip_callgroup]').val(sip_param[22]);
	$('input[id=txt_sip_callerid]').val(sip_param[23]);
	$('input[id=txt_sip_cid_number]').val(sip_param[24]);
	$('input[id=txt_sip_fullname]').val(sip_param[25]);
	$('input[id=txt_sip_calllimit]').val(sip_param[26]);
	$('input[id=txt_sip_callingpres]').val(sip_param[27]);
	$('input[id=txt_sip_canreinvite]').val(sip_param[28]);
	$('input[id=txt_sip_defaultip]').val(sip_param[29]);
	$('input[id=txt_sip_dtmfmode]').val(sip_param[30]);
	$('input[id=txt_sip_fromuser]').val(sip_param[31]);
	$('input[id=txt_sip_fromdomain]').val(sip_param[32]);
	$('input[id=txt_sip_fullcontact]').val(sip_param[33]);
	$('input[id=txt_sip_g726nonstandard]').val(sip_param[34]);
	$('input[id=txt_sip_insecure]').val(sip_param[35]);
	$('input[id=txt_sip_ipaddr]').val(sip_param[36]);
	$('input[id=txt_sip_language]').val(sip_param[37]);
	$('input[id=txt_sip_lastms]').val(sip_param[38]);
	$('input[id=txt_sip_mailbox]').val(sip_param[39]);
	$('input[id=txt_sip_maxcallbitrate]').val(sip_param[40]);
	$('input[id=txt_sip_mohsuggest]').val(sip_param[41]);
	$('input[id=txt_sip_md5secret]').val(sip_param[42]);
	$('input[id=txt_sip_musiconhold]').val(sip_param[43]);
	$('input[id=txt_sip_outboundproxy]').val(sip_param[44]);
	$('input[id=txt_sip_deny]').val(sip_param[45]);
	$('input[id=txt_sip_permit]').val(sip_param[46]);
	$('input[id=txt_sip_pickupgroup]').val(sip_param[47]);
	$('input[id=txt_sip_progressinband]').val(sip_param[48]);
	$('input[id=txt_sip_promiscredir]').val(sip_param[49]);
	$('input[id=txt_sip_qualify]').val(sip_param[50]);
	$('input[id=txt_sip_regexten]').val(sip_param[51]);
	$('input[id=txt_sip_regseconds]').val(sip_param[52]);
	$('input[id=txt_sip_rfc2833compensate]').val(sip_param[53]);
	$('input[id=txt_sip_rtptimeout]').val(sip_param[54]);
	$('input[id=txt_sip_rtpholdtimeout]').val(sip_param[55]);
	$('input[id=txt_sip_sendrpid]').val(sip_param[56]);
	$('input[id=txt_sip_setvar]').val(sip_param[57]);
	$('input[id=txt_sip_subscribecontext]').val(sip_param[58]);
	$('input[id=txt_sip_subscribemwi]').val(sip_param[59]);
	$('input[id=txt_sip_t38pt_udptl]').val(sip_param[60]);
	$('input[id=txt_sip_trustrpid]').val(sip_param[61]);
	$('input[id=txt_sip_useclientcode]').val(sip_param[62]);
	$('input[id=txt_sip_usereqphone]').val(sip_param[63]);
	$('input[id=txt_sip_videosupport]').val(sip_param[64]);
	$('input[id=txt_sip_vmexten]').val(sip_param[65]);
	$('input[id=txt_sip_busylevel]').val(sip_param[66]);
	$('input[id=txt_sip_callcounter]').val(sip_param[67]);
	$('input[id=txt_sip_transport]').val(sip_param[68]);
	$('select[id=txt_sip_innersip]').val(sip_param[69]).change();

	frm_open_sip_dialog('edt');
}

// определение свободного номера для нового сип-счета
function frm_sip_account_freenumber(sip_range_first,sip_range_last){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_freenumber',
			sip_range_first: sip_range_first,
			sip_range_last: sip_range_last
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.freenumber;
			numpass[1] = data.userpass;
		}
	});
	return numpass;
}

// формирование нового пароля сип-счета
function frm_sip_account_password(){
	var numpass = [];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_password'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			numpass[0] = data.userpass;
		}
	});
	return numpass;
}

// активация/деактивация sip счета
function frm_sip_account_act(varr){
	//alert(varr);
	var sip_param = varr.split("|");
	var SIP_ID = sip_param[2];
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sipaccount_act',
			SIP_ID: SIP_ID
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			var SipTable = $('#sip_list').dataTable();
			SipTable.api().ajax.reload();
		}
	});
}

// проверка ограничения на максимальное кол-во сип счетов
function check_sipcount(){
	var sipcount_key = 0;
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'check_sipcount'
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			sipcount_key = data.sipcount;
		}
	});
	return sipcount_key;
}


// активный пункт меню странички
$(document).ready( function () {
	$('.widget_nav_menu li a, .widget_nav_menu a').each(function () {
		var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		var result = location.match(link);   // результат возвращает объект если совпадение найдено и null при обратном
		if(result != null) { $(this).addClass("widget_nav_menu_active"); }
	});
});

// активный раздел
/*$(document).ready( function () {
	$('.top_menu ul li a').each(function () {
		//var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		if(link.indexOf('acc_main.php') + 1)
		$(this).addClass("top_menu_active");
	});
});*/

function getMoreParam(){
	$('span[id=moreparam_button]').toggleClass("ui-icon-plus ui-icon-minus");
	if($('span[id=moreparam_button]').hasClass("ui-icon-minus")){
		$('div[id=frm_sip_account]').dialog({ height:680 });
		$('div[id=moreparam_div]').css('display','');
	} else {
		$('div[id=frm_sip_account]').dialog({ height:470 });
		$('div[id=moreparam_div]').css('display','none');
	}
}

/*
// параметры сип-счета по-умолчанию
function frm_sip_account_default(){

	// выбор шаблона по-умолчанию (SIP_DEFAULT_TEMPLATE_ID в constants.php)
	var sip_template_id = $('input[id=txt_sip_template_id]').val();
	$('input[id=txt_sip_template_id]').val(sip_template_id);
	//alert(sip_template_id);

	//get_template_param(sip_template_id);


	$('input[id=txt_sip_name]').val();
	$('input[id=txt_sip_username]').val();
	$('input[id=txt_sip_secret]').val();
	$('input[id=txt_sip_context]').val();
	$('select[id=txt_sip_type]').val();
	$('input[id=txt_sip_realhost]').val();
	$('input[id=txt_sip_port]').val();
	$('select[id=txt_sip_nat]').val();
	$('input[id=txt_sip_comment]').val();
	$('input[id=txt_sip_id]').val();
	$('input[id=txt_sip_accountcode]').val();
	$('input[id=txt_sip_disallow]').val('all');
	$('input[id=txt_sip_allow]').val('g729;ilbc;gsm;ulaw;alaw');
	$('input[id=txt_sip_allowoverlap]').val('yes');
	$('input[id=txt_sip_allowsubscribe]').val('yes');
	$('input[id=txt_sip_allowtransfer]').val();
	$('input[id=txt_sip_amaflags]').val();
	$('input[id=txt_sip_autoframing]').val();
	$('input[id=txt_sip_auth]').val();
	$('input[id=txt_sip_buggymwi]').val('no');
	$('input[id=txt_sip_callgroup]').val();
	$('input[id=txt_sip_callerid]').val();
	$('input[id=txt_sip_cid_number]').val();
	$('input[id=txt_sip_fullname]').val();
	$('input[id=txt_sip_calllimit]').val(0);
	$('input[id=txt_sip_callingpres]').val();
	$('input[id=txt_sip_canreinvite]').val('yes');
	$('input[id=txt_sip_defaultip]').val();
	$('input[id=txt_sip_dtmfmode]').val();
	$('input[id=txt_sip_fromuser]').val();
	$('input[id=txt_sip_fromdomain]').val();
	$('input[id=txt_sip_fullcontact]').val();
	$('input[id=txt_sip_g726nonstandard]').val('no');
	$('input[id=txt_sip_insecure]').val();
	$('input[id=txt_sip_ipaddr]').val();
	$('input[id=txt_sip_language]').val();
	$('input[id=txt_sip_lastms]').val();
	$('input[id=txt_sip_mailbox]').val();
	$('input[id=txt_sip_maxcallbitrate]').val(384);
	$('input[id=txt_sip_mohsuggest]').val();
	$('input[id=txt_sip_md5secret]').val();
	$('input[id=txt_sip_musiconhold]').val();
	$('input[id=txt_sip_outboundproxy]').val();
	$('input[id=txt_sip_deny]').val();
	$('input[id=txt_sip_permit]').val();
	$('input[id=txt_sip_pickupgroup]').val();
	$('input[id=txt_sip_progressinband]').val('no');
	$('input[id=txt_sip_promiscredir]').val('no');
	$('input[id=txt_sip_qualify]').val();
	$('input[id=txt_sip_regexten]').val();
	$('input[id=txt_sip_regseconds]').val(0);
	$('input[id=txt_sip_rfc2833compensate]').val('no');
	$('input[id=txt_sip_rtptimeout]').val();
	$('input[id=txt_sip_rtpholdtimeout]').val();
	$('input[id=txt_sip_sendrpid]').val('yes');
	$('input[id=txt_sip_setvar]').val();
	$('input[id=txt_sip_subscribecontext]').val();
	$('input[id=txt_sip_subscribemwi]').val();
	$('input[id=txt_sip_t38pt_udptl]').val();
	$('input[id=txt_sip_trustrpid]').val('no');
	$('input[id=txt_sip_useclientcode]').val('no');
	$('input[id=txt_sip_usereqphone]').val('no');
	$('input[id=txt_sip_videosupport]').val('yes');
	$('input[id=txt_sip_vmexten]').val();
	$('input[id=txt_sip_busylevel]').val();
	$('input[id=txt_sip_callcounter]').val();
	$('input[id=txt_sip_transport]').val();
}
*/

/*function get_template_param(def_id){
	
	alert(def_id);
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sip_template',
			def_id: def_id
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			//alert(data.data);
			alert(data.data['defname']);

	$('input[id=txt_sip_name]').val();
	$('input[id=txt_sip_username]').val();
	$('input[id=txt_sip_secret]').val();
	$('input[id=txt_sip_context]').val();
	$('select[id=txt_sip_type]').val();
	$('input[id=txt_sip_realhost]').val();
	$('input[id=txt_sip_port]').val();
	$('select[id=txt_sip_nat]').val();
	$('input[id=txt_sip_comment]').val();
	$('input[id=txt_sip_id]').val();
	$('input[id=txt_sip_accountcode]').val();
	$('input[id=txt_sip_disallow]').val('all');
	$('input[id=txt_sip_allow]').val('g729;ilbc;gsm;ulaw;alaw');
	$('input[id=txt_sip_allowoverlap]').val('yes');
	$('input[id=txt_sip_allowsubscribe]').val('yes');
	$('input[id=txt_sip_allowtransfer]').val();
	$('input[id=txt_sip_amaflags]').val();
	$('input[id=txt_sip_autoframing]').val();
	$('input[id=txt_sip_auth]').val();
	$('input[id=txt_sip_buggymwi]').val('no');
	$('input[id=txt_sip_callgroup]').val();
	$('input[id=txt_sip_callerid]').val();
	$('input[id=txt_sip_cid_number]').val();
	$('input[id=txt_sip_fullname]').val();
	$('input[id=txt_sip_calllimit]').val(0);
	$('input[id=txt_sip_callingpres]').val();
	$('input[id=txt_sip_canreinvite]').val('yes');
	$('input[id=txt_sip_defaultip]').val();
	$('input[id=txt_sip_dtmfmode]').val();
	$('input[id=txt_sip_fromuser]').val();
	$('input[id=txt_sip_fromdomain]').val();
	$('input[id=txt_sip_fullcontact]').val();
	$('input[id=txt_sip_g726nonstandard]').val('no');
	$('input[id=txt_sip_insecure]').val();
	$('input[id=txt_sip_ipaddr]').val();
	$('input[id=txt_sip_language]').val();
	$('input[id=txt_sip_lastms]').val();
	$('input[id=txt_sip_mailbox]').val();
	$('input[id=txt_sip_maxcallbitrate]').val(384);
	$('input[id=txt_sip_mohsuggest]').val();
	$('input[id=txt_sip_md5secret]').val();
	$('input[id=txt_sip_musiconhold]').val();
	$('input[id=txt_sip_outboundproxy]').val();
	$('input[id=txt_sip_deny]').val();
	$('input[id=txt_sip_permit]').val();
	$('input[id=txt_sip_pickupgroup]').val();
	$('input[id=txt_sip_progressinband]').val('no');
	$('input[id=txt_sip_promiscredir]').val('no');
	$('input[id=txt_sip_qualify]').val();
	$('input[id=txt_sip_regexten]').val();
	$('input[id=txt_sip_regseconds]').val(0);
	$('input[id=txt_sip_rfc2833compensate]').val('no');
	$('input[id=txt_sip_rtptimeout]').val();
	$('input[id=txt_sip_rtpholdtimeout]').val();
	$('input[id=txt_sip_sendrpid]').val('yes');
	$('input[id=txt_sip_setvar]').val();
	$('input[id=txt_sip_subscribecontext]').val();
	$('input[id=txt_sip_subscribemwi]').val();
	$('input[id=txt_sip_t38pt_udptl]').val();
	$('input[id=txt_sip_trustrpid]').val('no');
	$('input[id=txt_sip_useclientcode]').val('no');
	$('input[id=txt_sip_usereqphone]').val('no');
	$('input[id=txt_sip_videosupport]').val('yes');
	$('input[id=txt_sip_vmexten]').val();
	$('input[id=txt_sip_busylevel]').val();
	$('input[id=txt_sip_callcounter]').val();
	$('input[id=txt_sip_transport]').val();

		}
	});

}*/


// список шаблонов сип-счетов
$(document).ready( function () {

	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'user_sip_template_list'
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		$.each(data.data, function (key,row) {
			$("#txt_sip_template").append( $('<option value="'+row[1]+'">'+row[0]+'</option>'));
		});
	},
	complete: function(){
		// параметры выбранного шаблона
		get_template_param();
	}
	});
	
	
} );

// заполнение параметров сип-счета значениями из шаблона
function get_template_param(){
	
	var def_id = $("#txt_sip_template option:selected").val();
	//alert(def_id);
	
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'user_sip_template',
			def_id: def_id
		}),
		dataType: 'json',
		async: false,
		timeout: 10000,
		success: function(data) {
			var row = data.data[0];
			//alert(data.data);
			//alert(row['defname']+'  '+row['canreinvite']);
	//$('input[id=txt_sip_name]').val(row['']);
	//$('input[id=txt_sip_username]').val(row['username']);
	//$('input[id=txt_sip_secret]').val(row['secret']);
	$('input[id=txt_sip_context]').val(row['context']);
	$('select[id=txt_sip_type]').val(row['type']);
	$('input[id=txt_sip_realhost]').val(row['host']);
	$('input[id=txt_sip_port]').val(row['port']);
	$('select[id=txt_sip_nat]').val(row['nat']);
	$('input[id=txt_sip_comment]').val(row['']);
	//$('input[id=txt_sip_id]').val(row['']);
	$('input[id=txt_sip_accountcode]').val(row['accountcode']);
	$('input[id=txt_sip_disallow]').val(row['disallow']);
	$('input[id=txt_sip_allow]').val(row['allow']);
	$('input[id=txt_sip_allowoverlap]').val(row['allowoverlap']);
	$('input[id=txt_sip_allowsubscribe]').val(row['allowsubscribe']);
	$('input[id=txt_sip_allowtransfer]').val(row['allowtransfer']);
	$('input[id=txt_sip_amaflags]').val(row['amaflags']);
	$('input[id=txt_sip_autoframing]').val(row['autoframing']);
	$('input[id=txt_sip_auth]').val(row['auth']);
	$('input[id=txt_sip_buggymwi]').val(row['buggymwi']);
	$('input[id=txt_sip_callgroup]').val(row['callgroup']);
	$('input[id=txt_sip_callerid]').val(row['callerid']);
	$('input[id=txt_sip_cid_number]').val(row['cid_number']);
	$('input[id=txt_sip_fullname]').val(row['fullname']);
	$('input[id=txt_sip_calllimit]').val(row['calllimit']);
	$('input[id=txt_sip_callingpres]').val(row['callingpres']);
	$('input[id=txt_sip_canreinvite]').val(row['canreinvite']);
	$('input[id=txt_sip_defaultip]').val(row['defaultip']);
	$('input[id=txt_sip_dtmfmode]').val(row['dtmfmode']);
	$('input[id=txt_sip_fromuser]').val(row['fromuser']);
	$('input[id=txt_sip_fromdomain]').val(row['fromdomain']);
	$('input[id=txt_sip_fullcontact]').val(row['fullcontact']);
	$('input[id=txt_sip_g726nonstandard]').val(row['g726nonstandard']);
	$('input[id=txt_sip_insecure]').val(row['insecure']);
	$('input[id=txt_sip_ipaddr]').val(row['ipaddr']);
	$('input[id=txt_sip_language]').val(row['language']);
	$('input[id=txt_sip_lastms]').val(row['lastms']);
	$('input[id=txt_sip_mailbox]').val(row['mailbox']);
	$('input[id=txt_sip_maxcallbitrate]').val(row['maxcallbitrate']);
	$('input[id=txt_sip_mohsuggest]').val(row['mohsuggest']);
	$('input[id=txt_sip_md5secret]').val(row['md5secret']);
	$('input[id=txt_sip_musiconhold]').val(row['musiconhold']);
	$('input[id=txt_sip_outboundproxy]').val(row['outboundproxy']);
	$('input[id=txt_sip_deny]').val(row['deny']);
	$('input[id=txt_sip_permit]').val(row['permit']);
	$('input[id=txt_sip_pickupgroup]').val(row['pickupgroup']);
	$('input[id=txt_sip_progressinband]').val(row['progressinband']);
	$('input[id=txt_sip_promiscredir]').val(row['promiscredir']);
	$('input[id=txt_sip_qualify]').val(row['qualify']);
	$('input[id=txt_sip_regexten]').val(row['regexten']);
	$('input[id=txt_sip_regseconds]').val(row['regseconds']);
	$('input[id=txt_sip_rfc2833compensate]').val(row['rfc2833compensate']);
	$('input[id=txt_sip_rtptimeout]').val(row['rtptimeout']);
	$('input[id=txt_sip_rtpholdtimeout]').val(row['rtpholdtimeout']);
	$('input[id=txt_sip_sendrpid]').val(row['sendrpid']);
	$('input[id=txt_sip_setvar]').val(row['setvar']);
	$('input[id=txt_sip_subscribecontext]').val(row['subscribecontext']);
	$('input[id=txt_sip_subscribemwi]').val(row['subscribemwi']);
	$('input[id=txt_sip_t38pt_udptl]').val(row['t38pt_udptl']);
	$('input[id=txt_sip_trustrpid]').val(row['trustrpid']);
	$('input[id=txt_sip_useclientcode]').val(row['useclientcode']);
	$('input[id=txt_sip_usereqphone]').val(row['usereqphone']);
	$('input[id=txt_sip_videosupport]').val(row['videosupport']);
	$('input[id=txt_sip_vmexten]').val(row['vmexten']);
	$('input[id=txt_sip_busylevel]').val(row['busylevel']);
	$('input[id=txt_sip_callcounter]').val(row['callcounter']);
	$('input[id=txt_sip_transport]').val(row['transport']);
	
		}
	});

}
