function bwnumberCreate(listname, id, bw_number, exactmatch) {
	var int_id;
	if (!id || (id < 0)) {
		gen_bwnumber_id++;
		int_id = gen_bwnumber_id;

		var obj_holder = document.getElementById("last_bwnumber_id");
		if (obj_holder)
			obj_holder.value = gen_bwnumber_id;

		bw_number = "";
		exactmatch = "1";
	} else {
		int_id = id;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice_"+listname);
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_numbers_"+listname);
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
				"<input class=\"inputmw\" style=\"width:99%;\" type=\"text\" " +
				"name=\"bw_number_"+listname+"_"+int_id+"\" " +
				"id=\"bw_number_"+listname+"_"+int_id+"\" " +
				"maxlength=\"30\" " +
				"value=\""+bw_number+"\" " +
				"onkeypress='bwnumberShowSaveControls("+int_id+");return onEditControlKeyPress(this, event);' " +
				"onkeyup='bwnumberShowSaveControls("+int_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"bwnumberChange(this, "+int_id+",'"+listname+"')\">";
	tr.appendChild(td);

	var chck = exactmatch ? ' checked ': '';
	td = document.createElement("td");
	td.innerHTML =
				"<input class=\"inputww\" style=\"width:100%;\" type=\"checkbox\" " +
				"name=\"exactmatch_"+listname+"_"+int_id+"\" " +
				"id=\"exactmatch_"+listname+"_"+int_id+"\" " +
				"value=\"1\" " +
				"onkeypress='bwnumberShowSaveControls("+int_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='bwnumberShowSaveControls("+int_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"bwnumberChange(this, "+int_id+",'"+listname+"')\"" + chck +
				">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16px\" height=\"16px\" alt=\"Удалить запись\" " +
				"onclick=\"bwnumberDelete("+int_id+",'"+listname+"')\">";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//service calls
	if (!id || (id < 0)) {
		bwnumberChange(null, int_id, listname);

		tbody = document.getElementById("bw_number_"+listname+"_"+int_id);
		tbody.focus();
	}

	return true;
}

function bwnumberShowSaveControls(id) {
	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function bwnumberChange(obj, id, listname) {
	var obj_holder = document.getElementById("hidChangedNumberIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	//obj.style.backgroundColor="#FAF0F0";
	simulateDeletion(document.getElementById("bw_number_"+listname+"_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("exactmatch_"+listname+"_"+Math.abs(id)), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	//alert("id="+id +"\n"+ "hid="+obj_holder.value);

	bwnumberShowSaveControls(id);

	return true;
}

function bwnumberDelete(id, listname) {
	bwnumberChange(null, -id, listname);

	return true;
}

