var int_nums = new Array();

function extnumberCreate(id, ext_number, ext_number_about) {
	var int_id;
	if (!id || (id < 0)) {
		gen_number_id++;
		int_id = gen_number_id;

		ext_number = "";
		ext_number_about = "";
	} else {
		int_id = id;
	}

	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	//get insertion point
	tbody = document.getElementById("tb_numbers");
	//get <TBODY> to appendChild to it later
	tbody = tbody.lastChild;
	//alert("tbody="+tbody.innerHTML);

	//create table row
	var tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
				"<input class=\"inputmw\" style=\"width:99%;\" type=\"text\" " +
				"name=\"ext_number_"+int_id+"\" " +
				"id=\"ext_number_"+int_id+"\" " +
				"maxlength=\"30\" " +
				"value=\""+ext_number+"\" " +
				"onkeypress='extnumberShowSaveControls("+int_id+");return onEditControlKeyPress(this, event);' " +
				"onkeyup='extnumberShowSaveControls("+int_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"extnumberChange(this, "+int_id+")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<input class=\"inputww\" style=\"width:100%;\" type=\"text\" " +
				"name=\"ext_number_about_"+int_id+"\" " +
				"id=\"ext_number_about_"+int_id+"\" " +
				"maxlength=\"64\" " +
				"value=\""+ext_number_about+"\" " +
				"onkeypress='extnumberShowSaveControls("+int_id+");return onEditControlKeyPress(this, event)' " +
				"onkeyup='extnumberShowSaveControls("+int_id+");return onEditControlKeyUp(this, event)' " +
				"onchange=\"extnumberChange(this, "+int_id+")\">";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16px\" height=\"16px\" alt=\"Удалить запись\" " +
				"onclick=\"extnumberDelete("+int_id+")\">\n";
	tr.appendChild(td);

	tbody.appendChild(tr);

	//service calls
	if (!id || (id < 0)) {
		extnumberChange(null, int_id);

		tbody = document.getElementById("ext_number_"+int_id);
		tbody.focus();
	}

	return true;
}

function extnumberShowSaveControls(id) {
	//show 'save changes' controls
	/*obj = document.getElementById("savings" + id);
	if (obj)
		obj.style.display = "";*/

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function extnumberChange(obj, id) {
	var obj_holder = document.getElementById("hidChangedNumberIDHolder");
	var vals = obj_holder.value;
	var arrEC = [];
	if (vals) {
		arrEC = vals.split(",");
	}

	//obj.style.backgroundColor="#FAF0F0";
	simulateDeletion(document.getElementById("ext_number_"+Math.abs(id)), id >= 0);
	simulateDeletion(document.getElementById("ext_number_about_"+Math.abs(id)), id >= 0);

	var i = 0;
	while (i < arrEC.length) {
		//do not register duplicate ids
		if (arrEC[i] == id) {
			return false;
		}
		//unregister 'change' for 'deleted' ids
		//unregister 'deleted' for 'changed' ids
		if (arrEC[i] == -id) {
			arrEC.splice(i, 1);
			break;
		}
		i++;
	}

	arrEC.push(id);
	obj_holder.value = arrEC.join(",");
	//obj_holder.value = arrEC.toString();

	//alert("id="+id +"\n"+ "hid="+obj_holder.value);

	extnumberShowSaveControls(id);

	return true;
}

function extnumberDelete(id) {
	extnumberChange(null, -id);

	return true;
}

function getIntNumberOptionsForSelectControl(int_num_id) {
	var res = "";
	var slctd = false;
	for (var i in int_nums) {
		res += "<option value='" + int_nums[i] + "'";
		if (!slctd && ((int_nums[i] == int_num_id) || (int_num_id < 0))) {
			res += " selected";
			slctd = true;
		}
		res += ">" + i + "</option>";
		//alert('key is: ' + i + ', value is: ' + int_nums[i]);
	}

	return res;
}
