
// таблица маршрутизации ------------------------------------------------------------
$(document).ready( function () {

    oDataTable1 = $('#router_list').dataTable( {
		processing: true,
		serverSide: false,
		
		scrollY: 550,
		paging: false,
		lengthChange: false,
		searching: false,
		info: true,
		sort: true,
		
		draw: 1,
		length: 100,
		start: 0,
		//filter: true,
		
		language: {
			//info: "стр. _PAGE_/_PAGES_ записи _START_-_END_/_TOTAL_"
			info: ''
		},
		
		ajax: {
			url: './process.php',
			type: 'POST',
			dataType: 'json',
			data: ({
				request_name:'pbx_sip_route_list',
				first: 10,
				skip: 0
			})
		},

		columns: [
		{ data: "0", "font-size":"10px" },
		{ data: "1", "font-size":"10px" },
		{ data: "4", "bSortable": false },
		{ data: "2", "bVisible":false  },
		{ data: "3", "bVisible":false  }
		]

    } );

	// таблицы маршрутизации
	$.ajax({
	type: 'POST',
	url: 'process.php',
	data: ({
		request_name:'pbx_router_table'
	}),
	dataType: 'json',
	async: true,
	timeout: 10000,
	success: function(data) {
		$.each(data.data, function (key,row) {
			$("#txt_router").append( $('<option value="'+row[1]+'">'+row[0]+'</option>'));
		});
	}
	});
	
} );


// форма параметров таблицы маршрутизации -------------------------------------------
$(document).ready( function () {
	$('input[id=btn_router_add]').click(function(){
		frm_open_router_dialog('add');
	});
});

$(function() {
	$( "#frm_router" ).dialog({ 
		modal:true,
		autoOpen:false,
		width:400,
		height:150,
		title: "Назначение маршрута",
		buttons:{ "OK":function(){frm_router_save();} ,"Отмена":function(){frm_close_router_dialog();} },
		resizable:false
	});
	$( "#frm_router" ).attr('mode',''); 
});	

// открытие формы таблицы маршрутизации ( mode = 'add' | 'edt' )
function frm_open_router_dialog(mode){
	$("#frm_router").attr('mode',mode); 
	if( mode == 'add') { 
		$("#frm_router").dialog('option', 'title', 'Добавление новой таблицы маршрутизации'); 
		$('input[id=txt_router_name]').val('');
		//$('button:eq(1)',$('#frm_router').dialog.buttons).button('enable');
	}
	if( mode == 'edt') { $("#frm_router").dialog('option', 'title', 'Назначение маршрута'); 
		//$('button:eq(1)',$('#frm_router').dialog.buttons).button('disable');
	}
	$("#frm_router").dialog('open');
}
// закрыть форму добавления рекламного
function frm_close_router_dialog(){
	$("#frm_router").dialog('close');
	frm_router_clear();
}
// обнуление параметров формы добавления рекламного канала
function frm_router_clear(){
	$('div[id=frm_router] input[id]:not([id=btn_create_pass])').val('');
}


// сохранение параметров таблицы маршрутизации
function frm_router_save(){

	var txt_sip_id = $('input[id=txt_sip_id]').val();
	var txt_router_id = $("#txt_router option:selected").val();
	
	var save_mode = $("#frm_router").attr('mode');
	
	// добавление таблицы маршрутизации
/*	if(save_mode == 'add'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_sip_route_edt',
			txt_sip_id: txt_sip_id,
			txt_router_id: txt_router_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_router_dialog();
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: router is not created');
		}
		
		});
	}*/
	// редактирование таблицы маршрутизации
	if(save_mode == 'edt'){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_sip_route_edt',
			txt_sip_id: txt_sip_id,
			txt_router_id: txt_router_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			frm_close_router_dialog();
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: edit router');
		}
		
		});
	}
	
}

// удаление таблицы маршрутизации
function frm_router_del(router_id){
		$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({
			request_name:'pbx_router_del',
			router_id: router_id
		}),
		dataType: 'json',
		async: true,
		timeout: 10000,
		success: function(data) {
			var tab = $('#router_list').dataTable();
			tab.api().ajax.reload();
		},
		error:function(){
			alert('error: router isn\'t deleted');
		}
		
	});
}

// редактирование таблицы маршрутизации
function frm_router_edt(varr){
	var param = varr.split("|");
	$('input[id=txt_sip_id]').val(param[2]);
	frm_open_router_dialog('edt');
	$('select[id=txt_router]').val(param[3]).change();
}




// активный пункт меню странички
$(document).ready( function () {
	$('.widget_nav_menu li a, .widget_nav_menu a').each(function () {
		var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		var result = location.match(link);   // результат возвращает объект если совпадение найдено и null при обратном
		if(result != null) { $(this).addClass("widget_nav_menu_active"); }
	});
});

// активный раздел
/*$(document).ready( function () {
	$('.top_menu ul li a').each(function () {
		//var location = window.location.href; // переменная с адресом страницы
		var link = this.href;                // переменная с url ссылки
		if(link.indexOf('acc_main.php') + 1)
		$(this).addClass("top_menu_active");
	});
});*/


// выбор таблицы маршрутизации
$(document).ready(function() {
    var table = $('#router_list').DataTable();
 
    $('#router_list').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        }
        else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');

			var router_id = table.row( this ).data()[1];		
			$('input[id=txt_router_id]').val(router_id);
			//var router_id = $(this.cells[0]).find('input').attr('id');
			//alert($('input[id=txt_router_id]').val());

			var tab = $('#path_list').dataTable();
			//NumberTable.api().clear();
			//NumberTable.api().ajax.data[0]['router_id'] = router_id;
			//NumberTable.api().ajax.reload();
			if(tab){ tab.api().destroy(); }
			PathTable_Refresh(router_id);
		}
    } );
    // $('#button').click( function () {
    //    table.row('.selected').remove().draw( false );
    //} );
} );	



