var usermanuallist = new Array();

function actionShowSaveControls() {
	//show 'save changes' controls
	var obj = document.getElementById("savings");
	if (obj)
		obj.style.display = "";

	obj = document.getElementById('btsubmit_main');
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;";
	}
}

function officesOfficeChange() {
//	var obj_holder = document.getElementById("hidChangedOfficeIDHolder");
//	obj_holder.value = '1';
	actionShowSaveControls();
	return true;
}

function doRowChange(id) {
	if(document.getElementById("rowtype_"+Math.abs(id)).value!='insert')
//	if(document.getElementById("rowtype_"+Math.abs(id)).value!='delete')
	document.getElementById("rowtype_"+Math.abs(id)).value='edit';

	simulateDeletion(document.getElementById("act_ord_"+Math.abs(id)), true);
	simulateDeletion(document.getElementById("act_name_"+Math.abs(id)), true);
	simulateDeletion(document.getElementById("act_hint_"+Math.abs(id)), true);
	simulateDeletion(document.getElementById("action_"+Math.abs(id)), true);
	
	actionShowSaveControls();
	return true;
}

function doActionDelete(id) {
	var obj=document.getElementById("rowtype_"+Math.abs(id));
	
	// if row is new then destroy it completely
	if(obj.value=='insert'){
		var robj=document.getElementById("act_ord_"+Math.abs(id));
		$(robj).parent().parent().remove();
	} else {
		// else simply change its state
		if(obj.value=='delete'){
			simulateDeletion(document.getElementById("act_ord_"+Math.abs(id)), true);
			simulateDeletion(document.getElementById("act_name_"+Math.abs(id)), true);
			simulateDeletion(document.getElementById("act_hint_"+Math.abs(id)), true);
			simulateDeletion(document.getElementById("action_"+Math.abs(id)), true);
			obj.value='view';
		} else {
			simulateDeletion(document.getElementById("act_ord_"+Math.abs(id)), false);
			simulateDeletion(document.getElementById("act_name_"+Math.abs(id)), false);
			simulateDeletion(document.getElementById("act_hint_"+Math.abs(id)), false);
			simulateDeletion(document.getElementById("action_"+Math.abs(id)), false);
			obj.value='delete';
		}
	}

	actionShowSaveControls();
	return true;
}

// substitute form action value
function doSetAction(op) {
	var obj = document.getElementById('sub_edit_userrole');
	obj.value = op;
	return true;
}

// main form submitting
function doFormSubmit() {
	disableForms();
	return document.forms["frmmain"].submit();
}

// setting action and submitting call
function doSetActionAndSubmit(op) {
	doSetAction(op);
	return doFormSubmit();
}

// run by group changing
function doShowAction(sender) {
//	var obj = document.getElementById("action_cont");
//	if (obj) obj.style.display = 'none';
	return doSetActionAndSubmit('show');
}

function doEditRoleList(){
	var obj = document.getElementById("hidEditRoleMode");
	obj.value=(obj.value==0)?1:0;

	return doSetActionAndSubmit('edit_role');
}

//---------------------------------------------------------------------- user roles table
// header for user roles table
function createRoleHeader() {
	var ipoint = document.getElementById("rolelist_id");

	var table = document.createElement("table");
	table.id = "rolelist_table";
	table.cellSpacing = 0;
	table.className = "nb";
	//table.width = "560px";
	table.style.align = "center";
	table.style.marginLeft = "auto";
	table.style.marginRight = "auto";

	var tbody = document.createElement("tbody");
	
	var tr,td;
	tr = document.createElement("tr");
	tr.className = "th";
	
	td = document.createElement("td");
	td.width = "100px";
	td.innerHTML = "Код";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "300px";
	td.innerHTML = "Роль пользователя";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "200px";
	td.innerHTML = "Руководство пользователя";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "16px";
	td.innerHTML = "&nbsp;";
	tr.appendChild(td);
	tbody.appendChild(tr);

//----
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.colSpan = "1";
	td.height = "24px";
	td.align = "left";
	td.innerHTML =
		"<a class=\"imglinkbsm\" onclick=\"createRoleRow('','','','insert');\" title=\"Добавить роль\"><img class=\"imglink\" style=\"vertical-align:middle;\" src=\"images/icon_add.gif\" width=\"14px\" height=\"13px\" alt=\"Добавить роль\">&nbsp;Добавить роль</a>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.colSpan = "3";
	td.align = "right";
	td.innerHTML =
		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;cursor:pointer;\" onclick=\"doSetActionAndSubmit('save_role')\" id=\"savings\" name=\"btsubmit\" value=\"Сохранить изменения\">";
//		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;\" type=\"submit\" id=\"savings\" name=\"btsubmit\" value=\"Сохранить изменения\">";
	tr.appendChild(td);

	tbody.appendChild(tr);
//-----
	
	table.appendChild(tbody);

	//create table box
	var div = document.createElement("div");
	div.id = "rolelist_div";
	div.className = "groupbox";
	div.appendChild(table);
	
	ipoint.parentNode.insertBefore(div, ipoint);

	return true;
}

// row creation for user roles table
function createRoleRow(role_name, role_id, user_manual_id, rowtype) {

	var rowcount=eval(parseInt(document.getElementById("hidRoleCounterHolder").value)+1);
	document.getElementById("hidRoleCounterHolder").value=rowcount;
	
	//Hide empty table notice
	var tbody = document.getElementById("emptytablenotice");
	if (tbody) {
		tbody.setAttribute("style", "display:none");
		tbody.style.cssText = "display:none";
	}

	tbody = document.getElementById("rolelist_table");
	tbody = tbody.lastChild;

	var tr,td;
	tr = document.createElement("tr");

	var td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"role_id_"+rowcount+"\" " +
		"id=\"role_id_"+rowcount+"\" " +
		"onkeypress='actionShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='actionShowSaveControls();doRowChange("+rowcount+");return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleChange("+rowcount+")\" " +
		"value=\""+role_id+"\" " +
		"/>";
	tr.appendChild(td);
	
	td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"role_name_"+rowcount+"\" " +
		"id=\"role_name_"+rowcount+"\" " +
		"onkeypress='actionShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='actionShowSaveControls();doRowChange("+rowcount+");return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleChange("+rowcount+")\" " +
		"value=\""+role_name+"\" " +
		"/>";
	tr.appendChild(td);


	td = document.createElement("td");
	td.innerHTML =
		"<select class=\"inputm\" style=\"width:100%;\" " +
		"name=\"user_manual_id_"+rowcount+"\" " +
		"id=\"user_manual_id_"+rowcount+"\" " +
		"onkeypress='officesShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='officesShowSaveControls();return onEditControlKeyUp(this, event)' " +
		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleChange("+rowcount+")\">" +
		getOptionsForSelectControl(usermanuallist, user_manual_id) +
		"</select>";
	tr.appendChild(td);



	td = document.createElement("td");
	td.innerHTML =
				"<img class=\"imglink\" src=\"images/del.gif\" width=\"16\" height=\"16\" alt=\"Удалить роль\" title=\"Удалить роль\" " +
				"onclick=\"doRoleDelete("+rowcount+")\">\n";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"hidden\" " +
//		"<input " +
		"name=\"rowtype_"+rowcount+"\" " +
		"id=\"rowtype_"+rowcount+"\" " +
		"value=\""+rowtype+"\" " +
		"/>";
	tr.appendChild(td);
	
	tbody.insertBefore(tr, tbody.lastChild);
	
	return true;
}

function doRoleChange(id) {
	if(document.getElementById("rowtype_"+Math.abs(id)).value!='insert')
	document.getElementById("rowtype_"+Math.abs(id)).value='edit';

	simulateDeletion(document.getElementById("role_id_"+Math.abs(id)), true);
	simulateDeletion(document.getElementById("role_name_"+Math.abs(id)), true);
	
	actionShowSaveControls();
	return true;
}

function doRoleDelete(id) {
	var obj=document.getElementById("rowtype_"+Math.abs(id));
	
	// if row is new then destroy it completely
	if(obj.value=='insert'){
		var robj=document.getElementById("role_id_"+Math.abs(id));
		$(robj).parent().parent().remove();
	} else {
		// else simply change its state
		if(obj.value=='delete'){
			simulateDeletion(document.getElementById("role_id_"+Math.abs(id)), true);
			simulateDeletion(document.getElementById("role_name_"+Math.abs(id)), true);
			obj.value='view';
		} else {
			simulateDeletion(document.getElementById("role_id_"+Math.abs(id)), false);
			simulateDeletion(document.getElementById("role_name_"+Math.abs(id)), false);
			obj.value='delete';
		}
	}

	actionShowSaveControls();
	return true;
}

//---------------------------------------------------------------------- user role action table

function createRoleActionHeader() {
	var ipoint = document.getElementById("roleactionlist_id");

	var table = document.createElement("table");
	table.id = "roleactionlist_table";
	table.cellSpacing = 0;
	table.className = "gotab";
	//table.width = "560px";
	table.style.align = "center";
	table.style.marginLeft = "auto";
	table.style.marginRight = "auto";
	
	var tbody = document.createElement("tbody");
	
	var tr,td;
	tr = document.createElement("tr");
	tr.className = "th";
	
	td = document.createElement("td");
	td.width = "180px";
	td.innerHTML = "Группа";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "300px";
	td.innerHTML = "Название функции";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "100px";
	td.innerHTML = "Функция";
	tr.appendChild(td);
		
	td = document.createElement("td");
	td.width = "40px";
	td.align = "center";
//	td.innerHTML = "R";
	td.innerHTML = "<span onclick=\"doCheckAll('key1_');\" style=\"cursor:pointer;\">R</span>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.width = "40px";
	td.align = "center";
//	td.innerHTML = "W";
	td.innerHTML = "<span onclick=\"doCheckAll('key2_');\" style=\"cursor:pointer;\">W</span>";
	tr.appendChild(td);
/*
	td = document.createElement("td");
	td.width = "40px";
	td.align = "center";
	td.innerHTML = "Menu";
	tr.appendChild(td);
*/
	
	tbody.appendChild(tr);
//----
	tr = document.createElement("tr");

	td = document.createElement("td");
	td.colSpan = "5";
	td.align = "right";
	td.innerHTML =
		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;cursor:pointer;\" onclick=\"doSetActionAndSubmit('save_action')\" id=\"btn_save_action\" name=\"btn_save_action\" value=\"Сохранить изменения\">";
//		"<input class=\"inputbt\" style=\"display:none;color:#f00;font-weight:bold;cursor:pointer;\" onclick=\"doSetActionAndSubmit('save_action')\" id=\"savings\" name=\"btsubmit\" value=\"Сохранить изменения\">";
	tr.appendChild(td);

	tbody.appendChild(tr);
//-----
	
	table.appendChild(tbody);

	//create table box
	var div = document.createElement("div");
	div.id = "roleactionlist_div";
	div.className = "groupbox";
	div.appendChild(table);
	
	ipoint.parentNode.insertBefore(div, ipoint);

	return true;
}

// row creation for user role actions table
function createRoleActionRow(actgroup_name, act_name, act_action, key1, key2, key3, key4, roleact_id, act_id, act_visible, rowtype) {

	var rowcount=eval(parseInt(document.getElementById("hidActionCounterHolder").value)+1);
	document.getElementById("hidActionCounterHolder").value=rowcount;
	

	tbody = document.getElementById("roleactionlist_table");
	tbody = tbody.lastChild;

	var tr,td;
	tr = document.createElement("tr");

	var td = document.createElement("td");
	td.align = "left";
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:90%;\" " +
		"name=\"actgroup_name_id_"+rowcount+"\" " +
		"id=\"actgroup_name_id_"+rowcount+"\" " +
		"onkeypress='return false;' " +
		"value=\""+actgroup_name+"\" " +
		"/>";
	if(act_visible!=1)
	td.innerHTML = td.innerHTML + "<img src=\"images/green_check.gif\" width=\"10\" height=\"10\" alt=\"v\" title=\"является пунктом меню\" >\n"
	tr.appendChild(td);


	td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"act_name_"+rowcount+"\" " +
		"id=\"act_name_"+rowcount+"\" " +
		"onkeypress='return false;' " +
		"value=\""+act_name+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"name=\"act_action_"+rowcount+"\" " +
		"id=\"act_action_"+rowcount+"\" " +
		"onkeypress='return false;' " +
		"value=\""+act_action+"\" " +
		"/>";
	tr.appendChild(td);


	td = document.createElement("td");
	checkkey=(key1==1)?"checked":"";
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"type='checkbox' "+
		"name=\"key1_"+rowcount+"\" " +
		"id=\"key1_"+rowcount+"\" " +
		"onkeypress='actionShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='actionShowSaveControls();doRowChange("+rowcount+");return onEditControlKeyUp(this, event)' " +
//		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleActionChange("+rowcount+")\" " +
//		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleActionChange(this,"+rowcount+");\" " +
		"onclick=\"this.style.backgroundColor='#FAF0F0';doRoleActionChange(this,"+rowcount+");\" " +
		"value=\""+key1+"\" " +
		checkkey+
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	checkkey=(key2==1)?"checked":"";
	td.innerHTML =
		"<input class=\"inputm\" style=\"width:100%;\" " +
		"type='checkbox' "+
		"name=\"key2_"+rowcount+"\" " +
		"id=\"key2_"+rowcount+"\" " +
		"onkeypress='actionShowSaveControls();return onEditControlKeyPress(this, event)' " +
		"onkeyup='actionShowSaveControls();doRowChange("+rowcount+");return onEditControlKeyUp(this, event)' " +
//		"onchange=\"this.style.backgroundColor='#FAF0F0';doRoleActionChange(this,"+rowcount+");\" " +
		"onclick=\"this.style.backgroundColor='#FAF0F0';doRoleActionChange(this,"+rowcount+");\" " +
		"value=\""+key2+"\" " +
		checkkey+
		"/>";
	tr.appendChild(td);
/*
	td = document.createElement("td");
	if(act_visible!=1)
	td.innerHTML = "<img src=\"images/check_on.gif\" width=\"16\" height=\"16\" alt=\"входит в меню\" title=\"входит в меню\" >\n";
	else			
	td.innerHTML = "<img src=\"images/check_off.gif\" width=\"16\" height=\"16\" alt=\"не входит в меню\" title=\"не входит в меню\" >\n";
	tr.appendChild(td);
*/
	
	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"hidden\" " +
		"name=\"roleact_id_"+rowcount+"\" " +
		"id=\"roleact_id_"+rowcount+"\" " +
		"value=\""+roleact_id+"\" " +
		"/>";
	tr.appendChild(td);
	
	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"hidden\" " +
		"name=\"act_id_"+rowcount+"\" " +
		"id=\"act_id_"+rowcount+"\" " +
		"value=\""+act_id+"\" " +
		"/>";
	tr.appendChild(td);

	td = document.createElement("td");
	td.innerHTML =
		"<input type=\"hidden\" " +
//		"<input " +
		"name=\"act_rowtype_"+rowcount+"\" " +
		"id=\"act_rowtype_"+rowcount+"\" " +
		"value=\""+rowtype+"\" " +
		"/>";
	tr.appendChild(td);
	
/*
	var rowcolor=((key1|key2)==1)?((rowcount&1==1)?"#eaffea":"#ccffcc"):((rowcount&1==1)?"#ffffff":"#f1f1f1");
	tr.style.backgroundColor=rowcolor; 
//	for(var i=0;i<tr.cells.length;i++){tr.cells[i].getElementsByTagName('input')[0].style.backgroundColor=rowcolor;}
	for(var i=0;i<tr.cells.length;i++){
		obj=tr.cells[i].getElementsByTagName('input')[0];
		if(obj) obj.style.backgroundColor=rowcolor;
	}
*/
	if((key1|key2)==1) {
		tr.className = "gotab_green_color";
		for(var i=0;i<tr.cells.length;i++){
			obj=tr.cells[i].getElementsByTagName('input')[0];
			if(obj) obj.className = "inputm gotab_green_color";
		}
	} else {
		tr.className = "gotab_white_color";
		for(var i=0;i<tr.cells.length;i++){
			obj=tr.cells[i].getElementsByTagName('input')[0];
			if(obj) obj.className = "inputm gotab_white_color";
		}
	}
	
	tbody.insertBefore(tr, tbody.lastChild);
	
//	document.getElementById("key1_1").parentNode.style.backgroundColor="#cc0000";
	
	return true;
}

function doRoleActionChange(obj,num){
	if(obj.checked) obj.value=1; else obj.value=0;
	//alert(obj.value);
	document.getElementById("act_rowtype_"+Math.abs(num)).value='edit';
	doShowSaveButton("btn_save_action");
	return true;
}

function doShowSaveButton(id) {
	var obj = document.getElementById(id);
	if (obj) {
		obj.setAttribute("style", "color:#f00;font-weight:bold;");
		obj.style.cssText = "color:#f00;font-weight:bold;cursor:pointer;";
	}
}

// use for all checkboxes checking. id - checkbox identifier prefix
function doCheckAll(id){
	var obj=$("input[id^='"+id+"']");
	if(obj[0].checked){	obj.val(0);	obj.attr('checked',false); } 
	else { obj.val(1); obj.attr('checked',true); }
	$("input[id^='act_rowtype_']").val('edit');
	doShowSaveButton("btn_save_action");
}


// show active row
$(document).ready(function(){
$(".gotab td").on("mouseenter mouseleave", function(){
	if ($(this).parents(".gotab tr").attr("class")!="th") {
        $(this).parent("tr").toggleClass("gotab_active_color");
        $(this).parent("tr").children().children().toggleClass("gotab_active_color");
	}
});
});
