function playVoice(recordids, recordtitle) {
	var arrids = new String(recordids);
	if (arrids.indexOf(",") >= 0) {
		arrids = arrids.split(",");
		var res = "";
		for (var i = 0; i < arrids.length; i++) {
			if (res == "")
				res = 'fs_getfile.php?id=' + arrids[i] + '&ttl=' + recordtitle;
			else
				res = res + "," + 'fs_getfile.php?id=' + arrids[i] + '&ttl=' + recordtitle;
		}
		AudioPlayer.load('voiceplayer', res, '', '');
	} else {
		AudioPlayer.load('voiceplayer', 'fs_getfile.php?id=' + recordids + '&ttl=' + recordtitle, '', '');
	}
	AudioPlayer.open('voiceplayer');
	return false;
}

function saveVoice(recordids, recordtitle) {
	//window.location.href = 'fs_getfile.php?id=' + recordids + '&ttl=' + recordtitle + '&m=save&iedummy=.mp3';
	$.download('fs_getfile.php', {
		id: recordids,
		ttl: recordtitle,
		m: 'save'
	});
	return false;
}

function hidePlayer() {
	AudioPlayer.close('voiceplayer');
	return false;
}

function showFax(recordids, recordtitle) {
	var wndFax = window.open('faxview.php?id=' + recordids + '&ttl=' + recordtitle, 'faxview_' + recordids, 'width=800,height=600,scrollbars=1,resizable=1,menubar=0,location=0,toolbar=0,status=1');
	wndFax.focus();
	return true;
}

function saveFax(recordids, recordtitle) {
	//window.location.href = 'fs_getfile.php?type=fax&id=' + recordids + '&ttl=' + recordtitle + '&m=save&iedummy=.gif';
	$.download('fs_getfile.php', {
		type: 'fax',
		id: recordids,
		ttl: recordtitle,
		m: 'save'
	});
	return false;
}

function delFile(recordids, recordtitle, mids) {
	$.ajax({
		type: 'POST',
		url: 'process.php',
		data: ({op: 'delfile', ids: recordids, mids: mids, ttl: recordtitle}),
		dataType: 'json',
		success: function (data) {
			if (data.error)
				alert(data.error);
			else {
				var mask = '[data-recid="'+data.ids+'"]';
				$('.p_ic'+mask+', .s_ic'+mask+', .d_ic'+mask).fadeOut('slow');
				$('.p_ic'+mask).closest('tr').fadeOut('slow');
			}
		}
	});

	return false;
}

function pad2(num) {
	return (num < 10 ? '0' : '') + num;
}

function FilterSetDateInterval(dti, startname, endname) {
	if ($('#' + startname).is(':disabled'))
		return false;

	var now = new Date();
	var dt = new Date();
	switch (dti) {
		case 'w':
			dt.addDays(-7);
			break;
		case 'm':
			dt.addMonths(-1);
			break;
		case '2m':
			dt.addMonths(-2);
			break;
		case '05y':
			dt.addMonths(-6);
			break;
		case 'y':
			dt.addYears(-1);
			break;
	}
	$('#' + startname).val(dt.asString()).change();
	$('#' + endname).val(now.asString()).change();
	//$('#sf_range').val(dti).change();
	$('#' + $('#' + startname).attr('data-rangectrl')).val(dti).change();
	return true;
}

function FilterSetVolInterval(voli, startname, endname) {
	if ($('#' + startname).is(':disabled'))
		return false;

	var vol1 = 0;
	var vol2 = 1;
	switch (voli) {
		case '2':
			vol1 = 1;
			vol2 = 5;
			break;
		case '3':
			vol1 = 5;
			vol2 = 60 * 10;
			break;
	}
	$('#' + startname).val(vol1).change();
	$('#' + endname).val(vol2).change();
	return true;
}

function statcontrols_enable() {
	$('.statlist_filters input, .statlist_filters select').removeAttr('disabled');
	$('#bt_filters_apply').removeAttr('disabled').removeClass('disabled');

	$('.statlist_filters input[type=text]').css('background-color', '#fff');
}

function statcontrols_disable() {
	$('.statlist_filters input, .statlist_filters select').attr('disabled', 'disabled');
	$('#bt_filters_apply').attr('disabled', 'disabled').addClass('disabled');
}

function geostrictChange(geostrictobj) {
	var geoobj = document.getElementById('sf_geo');
	if (geoobj && geostrictobj.selectedIndex > 0) {
		geoobj.value = geostrictobj.value;
		geoobj.style.backgroundColor = '#FAF0F0';
	}
}

$(document).ready(function () {
	$(document).ajaxStop($.unblockUI);

	if ($('ul.sf-menu').length > 0)
		$('ul.sf-menu').supersubs({
			extraWidth: 2
		}).superfish({
			autoArrows: false
		});

	if ($('#dlgStats').length > 0) {
		$('#dlgStats').dialog({
			width: 450,
			minWidth: 450,
			position: 'center',
			autoOpen: false,
			modal: true,
			resizable: false,
			closeOnEscape: false,
			buttons: {
				OK: function () {
					$(this).dialog('close');
				}
			}
		});

		$('.asmail').each(function () {
			$(this).click(function () {
				$.blockUI({
					overlayCSS: {
						backgroundColor: '#e5e5e5',
						opacity: 0.3
					},
					css: {
						//border: 'none',
						padding: '15px',
						backgroundColor: '#fff',
						'-webkit-border-radius': '4px',
						'-moz-border-radius': '4px',
						'border-radius': '4px',
						opacity: 0.9,
						color: '#000',
						width: '350px'
					},
					message: '<img src="images\/pbari.gif"><br><span class="lg">&nbsp;Выполнение запроса...<\/span>'
				});
				$.ajax({
					type: 'POST',
					url: 'stats.php?',
					data: ({
						exp: $(this).attr('rel')
					}),
					dataType: 'text',
					async: true,
					success: function (data) {
						//alert(data);
						$('#dlgStats_msg').css({'color': '#000'}).text(data);
						$('#dlgStats_icon').removeClass('ui-icon-clock');
						$('#dlgStats_icon').addClass('ui-icon-circle-check');
						if (!$('#dlgStats').dialog('isOpen'))
							$("#dlgStats").dialog('open');
					}
				});
				return false;
			});
		});

		$('.bt_stat_saveas').click(function () {
			$.download('stats.php', {
				exp: $(this).attr('rel')
			});
			/*var elemIF = document.createElement('iframe');
			elemIF.src = 'stats.php?' + fmt;
			elemIF.style.display = 'none';
			document.body.appendChild(elemIF);*/
			return false;
		});
	}

	$('.statlist_filters input[type=text]').bind('keypress keyup',
		function (e) {
			var code = e.keyCode ? e.keyCode : e.which;
			//console.log('code= ' + code);
			if (
				(code == null) || (code == 0) || (code == 8/*BkSp*/) ||
					(code == 9) || (code == 13) || (code == 27) || (code == 116/*F5*/) ||
					(code >= 33) && (code <= 40)
				)
				return true;
			$(this).css('background-color', '#faf0f0');
			return true;
		}).change(function () {
			$(this).css('background-color', '#faf0f0');
			return true;
		});

	$('.datefield').datepick({
		renderer: $.extend({}, $.datepick.themeRollerRenderer),

		pickerClass: 'picker_tweaks',
		showTrigger: '#calendar_picker',
		onDate: function (date) {
			return {title: (date.getTime() == $.datepick.today().getTime() ?
				'Выбрать сегодняшний день' : $.datepick.formatDate('Выбрать d MM yyyy (DD)', date))};
		},
		onSelect: function (dates) {
			//$('#sf_range').val('').change();
			$('#' + $(this).attr('data-rangectrl')).val('').change();
		},
		showAnim: 'fadeIn', showSpeed: 'fast',
		showOnFocus: false,
		//defaultDate: '-1m',
		selectDefaultDate: true,
		//showOtherMonths: true, selectOtherMonths: true,
		yearRange: 'c-5:c+0'
	}).change(function () {
		//$('#sf_range').val('').change();
		$('#' + $(this).attr('data-rangectrl')).val('').change();
	});

	$('.rangefield').change(function () {
		var val = $(this).val();
		var datectrls = $(this).parent().find('.datectrl');
		$(datectrls).removeClass('activerange');
		if (val != '')
			$(datectrls).filter('a[rel^="' + val + '"]').addClass('activerange');
		return true;
	});
	$('.rangefield').change();

	$('.datectrl').click(function () {
		var rels = $(this).attr('rel').split(',');
		FilterSetDateInterval(rels[0], rels[1], rels[2]);
		return false;
	});

	if ($('.volctrl').length > 0)
		$('.volctrl').click(function () {
			var rels = $(this).attr('rel').split(',');
			FilterSetVolInterval(rels[0], rels[1], rels[2]);
			return false;
		});

	if ($('#sf_geostrict').length > 0)
		$('#sf_geostrict').change(function () {
			if ($(':selected', $(this)).index() > 0) {
				$('#sf_geo').val($(this).val()).css('background-color', '#faf0f0');
			}
			return false;
		});

	if ($('#voiceplayer').length > 0) {
		if (!IsFlashEnabled())
			writeGetFlashImage();
		else
			AudioPlayer.embed("voiceplayer", {
				soundFile: "intro.mp3",
				artists: "",
				titles: "Файл не загружен",
				autostart: "no"
			});
	}

	if ($('#bt_filters_apply').length > 0)
		$('#bt_filters_apply').click();

	//ToDo: on active tab only
	if ($('#bt_filters_apply-fax').length > 0)
		$('#bt_filters_apply-fax, #bt_filters_apply-faxsent').click();
});
