var taskid_selected = null, timeoutid_reload = null;

function pbook_toolbar_cmd(cmd, grid) {
	switch (cmd) {
		case 'Удалить выбранную задачу':
			if ($('.trSelected', grid).length > 0) {
				var recs = $('.trSelected', grid).children('td');
				var nnum = $(recs[2]).children('div').html();
				var ninfo = $(recs[3]).children('div').html();
				if (confirm('Удалить задачу отправки файла ' + ninfo + ' на номер ' + nnum + '?')) {
					var items = $('.trSelected', grid);
					var itemlist = '';
					for (var i = 0; i < items.length; i++)
						itemlist += (itemlist === '' ? '' : ',') + items[i].id.substr(3);
					$.ajax({
						type: 'POST',
						url: 'queue_fax.php',
						data: ({op: 'del_list', items: itemlist}),
						dataType: 'json',
						success: function (data) {
							if (data.error)
								alert(data.error);
							$("#qfax").flexReload();
						}
					});
				}
			} else {
				return false;
			}
			break;
		case 'Удалить завершенные':
			if (confirm('Удалить все завершенные задачи отправки факсов?')) {
				$.ajax({
					type: 'POST',
					url: 'queue_fax.php',
					data: ({op: 'del_done'}),
					dataType: 'json',
					success: function (data) {
						if (data.error)
							alert(data.error);
						$("#qfax").flexReload();
					}
				});
			}
			break;
		case 'Удалить все':
			if ($('#qfax>tbody').length > 0 && confirm('Удалить все задачи отправки факсов?')) {
				$.ajax({
					type: 'POST',
					url: 'queue_fax.php',
					data: ({op: 'del_all'}),
					dataType: 'json',
					success: function (data) {
						if (data.error)
							alert(data.error);
						$("#qfax").flexReload();
					}
				});
			}
			break;
	}
	return false;
}

$(document).ready(function () {
	$("#statfaxrcvd").flexigrid({
		url: 'process.php',
		dataType: 'json',
		colModel: [
			{display: '&nbsp;', name: 'flags', width: 34, sortable: false, align: 'right'},
			{display: 'Дата', name: 'creattime', width: 100, sortable: false, align: 'right'},
			{display: 'Номер отправителя', name: 'numbera', width: 120, sortable: false, align: 'right'},
			{display: 'Длительность', name: 'realvolume', width: 75, sortable: false, align: 'right'},
			{display: 'Стоимость', name: 'pay', width: 58, sortable: false, align: 'right'},
			{display: 'Направление', name: 'geographyname', width: 230, sortable: false, align: 'right'}
		],
		sortname: "creattime",
		sortorder: "desc",
		title: false,
		showToggleBtn: false,
		singleSelect: true,
		striped: false,
		usepager: true,
		useRp: true,
		rp: 50,
		rpOptions: [10, 50, 100, 150, 200],
		showTableToggleBtn: false,
		width: 710,
		height: 300,
		resizable: true,
		errormsg: 'Данные в данный момент недоступны. Попробуйте позже.',
		pagestat: 'Отображены записи с {from} по {to} из {total}',
		pagetext: 'Страница',
		outof: 'из',
		findtext: 'Поиск&nbsp;',
		procmsg: 'Обновление данных...',
		nomsg: 'Данные отсутствуют',
		autoload: false,
		preProcess: function (data) {
			var icons, icons_json;
			$.each(data.rows, function (i, row) {
				icons = '';
				icons_json = jQuery.parseJSON(row.cell[0]);
				switch (icons_json.serv) {
					case 11:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_record.gif" data-type="r" data-func="playVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="r" data-func="saveVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
					case 3:
					case 4:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_voicemail.gif" data-type="v" data-func="playVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="v" data-func="saveVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
					case 1:
					case 2:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_fax3.gif" data-type="f" data-func="showFax" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="f" data-func="saveFax" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
				}
				row.cell[0] = icons;
			});
			return data;
		},
		onSuccess: function () {
			$('.t_ic')
				.attr({width: '16', height: '16', alt: ''})
				.css('margin-left', '4px');
			$('.p_ic, .s_ic, .d_ic')
				.attr({width: '16', height: '16', alt: ''})
				.each(function () {
					switch ($(this).attr('data-type')) {
						case 'r':
							$(this).attr('title', 'запись разговора');
							break;
						case 'v':
							$(this).attr('title', 'голосовое сообщение');
							break;
						case 'f':
							$(this).attr('title', 'факсимильное сообщение');
							break;
					}
					if ($(this).hasClass('p_ic')) {
						if ($(this).attr('data-type') != 'f')
							$(this).attr('title', 'Прослушать ' + $(this).attr('title'));
						else
							$(this).attr('title', 'Открыть ' + $(this).attr('title'));
					} else if ($(this).hasClass('s_ic')) {
						$(this).attr('title', 'Сохранить ' + $(this).attr('title'));
					} else {
						$(this).attr('title', 'Удалить ' + $(this).attr('title'));
					}
				})
				.addClass('imglink')
				.unbind('click')
				.click(function () {
					setTimeout($(this).attr('data-func') + "('" + $(this).attr('data-recid') + "', '" + $(this).attr('data-rect') + "');", 0);
					return false;
				});
			statcontrols_enable();
		},
		onSubmit: function () {
			$("#statfaxrcvd").flexOptions({
				params: [
					{name: 'op', value: 'stats'},
					{name: 'serv', value: 1},
					{name: 'sf_range', value: $('#sf_range-fax').val()},
					{name: 'sf_startdate', value: $('#sf_startdate-fax').val()},
					{name: 'sf_enddate', value: $('#sf_enddate-fax').val()},
					//{name: 'sf_startvol', value: $('#sf_startvol-fax').val()},
					//{name: 'sf_endvol', value: $('#sf_endvol-fax').val()},
					{name: 'sf_numbera', value: $('#sf_numbera-fax').val()}
				]
			});
			statcontrols_disable();
			return true;
		},
		onError: function () {
			statcontrols_enable();
		}
	});
	$('#bt_filters_apply-fax').click(function () {
		$("#statfaxrcvd").flexReload();
		return false;
	});

	$("#statfaxsent").flexigrid({
		url: 'process.php',
		dataType: 'json',
		colModel: [
			{display: '&nbsp;', name: 'flags', width: 34, sortable: false, align: 'right'},
			{display: 'Дата', name: 'creattime', width: 100, sortable: false, align: 'right'},
			{display: 'Номер получателя', name: 'numberb', width: 120, sortable: false, align: 'right'},
			{display: 'Длительность', name: 'realvolume', width: 75, sortable: false, align: 'right'},
			{display: 'Стоимость', name: 'pay', width: 58, sortable: false, align: 'right'},
			{display: 'Направление', name: 'geographyname', width: 230, sortable: false, align: 'right'}
		],
		sortname: "creattime",
		sortorder: "desc",
		title: false,
		showToggleBtn: false,
		singleSelect: true,
		striped: false,
		usepager: true,
		useRp: true,
		rp: 50,
		rpOptions: [10, 50, 100, 150, 200],
		showTableToggleBtn: false,
		width: 710,
		height: 300,
		resizable: true,
		errormsg: 'Данные в данный момент недоступны. Попробуйте позже.',
		pagestat: 'Отображены записи с {from} по {to} из {total}',
		pagetext: 'Страница',
		outof: 'из',
		findtext: 'Поиск&nbsp;',
		procmsg: 'Обновление данных...',
		nomsg: 'Данные отсутствуют',
		autoload: false,
		preProcess: function (data) {
			var icons, icons_json;
			$.each(data.rows, function (i, row) {
				icons = '';
				icons_json = jQuery.parseJSON(row.cell[0]);
				switch (icons_json.serv) {
					case 11:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_record.gif" data-type="r" data-func="playVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="r" data-func="saveVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
					case 3:
					case 4:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_voicemail.gif" data-type="v" data-func="playVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="v" data-func="saveVoice" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
					case 1:
					case 2:
						if (parseInt(icons_json.recid)) {
							icons += '<img class="p_ic" src="images/icon_fax3.gif" data-type="f" data-func="showFax" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />'
								+ '<img class="s_ic" src="images/save.gif" data-type="f" data-func="saveFax" data-recid="' + icons_json.recid + '" data-rect="' + icons_json.rect + '" />';
						}
						break;
				}
				row.cell[0] = icons;
			});
			return data;
		},
		onSuccess: function () {
			$('.p_ic, .s_ic, .d_ic')
				.attr({width: '16', height: '16', alt: ''})
				.each(function () {
					switch ($(this).attr('data-type')) {
						case 'r':
							$(this).attr('title', 'запись разговора');
							break;
						case 'v':
							$(this).attr('title', 'голосовое сообщение');
							break;
						case 'f':
							$(this).attr('title', 'факсимильное сообщение');
							break;
					}
					if ($(this).hasClass('p_ic')) {
						if ($(this).attr('data-type') != 'f')
							$(this).attr('title', 'Прослушать ' + $(this).attr('title'));
						else
							$(this).attr('title', 'Открыть ' + $(this).attr('title'));
					} else if ($(this).hasClass('s_ic')) {
						$(this).attr('title', 'Сохранить ' + $(this).attr('title'));
					} else {
						$(this).attr('title', 'Удалить ' + $(this).attr('title'));
					}
				})
				.addClass('imglink')
				.unbind('click')
				.click(function () {
					setTimeout($(this).attr('data-func') + "('" + $(this).attr('data-recid') + "', '" + $(this).attr('data-rect') + "');", 0);
					return false;
				});
			statcontrols_enable();
		},
		onSubmit: function () {
			$("#statfaxsent").flexOptions({
				params: [
					{name: 'op', value: 'stats'},
					{name: 'serv', value: 2},
					{name: 'sf_range', value: $('#sf_range-faxsent').val()},
					{name: 'sf_startdate', value: $('#sf_startdate-faxsent').val()},
					{name: 'sf_enddate', value: $('#sf_enddate-faxsent').val()},
					//{name: 'sf_startvol', value: $('#sf_startvol-faxsent').val()},
					//{name: 'sf_endvol', value: $('#sf_endvol-faxsent').val()},
					{name: 'sf_numbera', value: $('#sf_numberb-faxsent').val()}
				]
			});
			statcontrols_disable();
			return true;
		},
		onError: function () {
			statcontrols_enable();
		}
	});
	$('#bt_filters_apply-faxsent').click(function () {
		$("#statfaxsent").flexReload();
		return false;
	});

	$('#qfax').flexigrid({
		url: 'queue_fax.php',
		params: [
			{name: 'op', value: 'list'}
		],
		dataType: 'json',
		colModel: [
			{display: '&nbsp;', name: 'flagsout', width: 16, align: 'right'},
			{display: 'Поступило в очередь', name: 'addtime', width: 110, align: 'right'},
			{display: 'Телефон', name: 'numberb', width: 70, align: 'right'},
			{display: 'Имя файла', name: 'filename', width: 150, align: 'right'},
			{display: 'Начало отправки', name: 'starttime', width: 100, align: 'right'},
			{display: 'Сделано попыток', name: 'trycount', width: 90, align: 'right'},
			{display: 'Статус задачи', name: 'status', width: 200, align: 'left'},
			{display: 'История выполнения', name: 'stats', width: 500, align: 'left'}
		],
		buttons: [
			{name: 'Удалить выбранную задачу', bclass: 'btdel', onpress: pbook_toolbar_cmd},
			/*{name: 'Удалить завершенные', bclass: 'btdel', onpress: pbook_toolbar_cmd},*/
			{name: 'Удалить все', bclass: 'btdel', onpress: pbook_toolbar_cmd}
		],
		sortname: "addtime",
		sortorder: "desc",
		showToggleBtn: false,
		singleSelect: true,
		striped: false,
		usepager: true,
		useRp: false,
		rp: 30,
		rpOptions: [10, 20, 25, 30, 50, 90],
		showTableToggleBtn: false,
		width: 700,
		height: 200,
		resizable: true,
		title: 'Очередь отправки факсимильных сообщений',
		errormsg: 'Очередь в данный момент недоступна. Попробуйте позже.',
		pagestat: 'Отображены записи с {from} по {to} из {total}',
		pagetext: 'Страница',
		outof: 'из',
		findtext: 'Поиск&nbsp;',
		procmsg: 'Чтение...',
		nomsg: 'Очередь пуста',
		onSuccess: function () {
			if (taskid_selected !== null)
				$('#' + taskid_selected).addClass('trSelected');
			if ($('#qfax > tbody > tr').length > 0)
				timeoutid_reload = setTimeout('$("#qfax").flexReload();', 60000);
		},
		onSubmit: function () {
			if (timeoutid_reload !== null) {
				clearTimeout(timeoutid_reload);
				timeoutid_reload = null;
			}
			return true;
		},
		onClick: function (row) {
			taskid_selected = $(row).hasClass('trSelected') ? row.id : null;
		}
	});

	$("input[type=file]").filestyle({
		image: "images/btselectfile.png",
		imagewidth: 107,
		imageheight: 28,
		width: 250
	});

	$('#frm_send_fax').iframer({
		returnType: 'jsontext',
		onComplete: function (data) {
			//alert(data); //returned data
			var jsondata = jQuery.parseJSON(data);

			var fmsg = "";
			if (jsondata.files.name)
				fmsg = jsondata.files.name + " (" + jsondata.files.size + " байт):&nbsp;";
			if (jsondata.status == 'ok') {
				//$('#synthz_add_file').reset();
				if (jsondata.msg)
					fmsg += "<span style='color:green;font-weight:bold;'>" + jsondata.msg + "<\/span>";
				else
					fmsg += "<span style='color:green;font-weight:bold;'>OK id=" + jsondata.fileid + "<\/span>";
				var fax_queue = $("#qfax");
				if (fax_queue.length > 0)
					fax_queue.flexReload();
			} else
				fmsg += "<span style='color:red;font-weight:bold;'>" + jsondata.error + "<\/span>";

			$('#synthz_upload_progress').hide();
			$('#synthz_upload_result_msg').html(fmsg);
			$('#synthz_upload_results').show();

			$('#synthz_upload_selector input[type="image"]').removeClass('disabled');
		}
	});

	$('#bt_synthz_upload').click(function () {
		if ($('#synthz_add_file').val().length == 0) {
			alert('Не выбран файл для отправки!');
			return false;
		}

		$(this).blur();

		$('#synthz_upload_selector input[type="image"]').addClass('disabled');
		$('#synthz_upload_results').hide();
		$('#synthz_upload_progress').show();

		$('#frm_send_fax').submit();

		return false;
	});

});
