/* DEFAULTS */
/* /DEFAULTS */

function disableForm(theform) {
	var i, img, tempobj;
	if (theform && (document.all || document.getElementById)) {
		for (i = 0; i < theform.elements.length; i++) {
			tempobj = theform.elements[i];
			if (tempobj.type && tempobj.style.display != 'none' &&
					(
						tempobj.type.toLowerCase() == "submit" ||
						tempobj.type.toLowerCase() == "button" && tempobj.name.substr(0,8) == "btsubmit"
					)
				) {
				//tempobj.focus();
				tempobj.disabled = true;

				img = document.createElement("img");
				img.style.verticalAlign = "middle";
				img.width = '10';
				img.height = '10';
				img.src = "images/loading_sm.gif";
				tempobj.parentNode.insertBefore(img, tempobj.nextSibling);
			}
		}
	}
	return true;
}

function disableForms() {
	for (var frm = 0; frm < document.forms.length; frm++)
		disableForm(document.forms[frm]);
	return true;
}

/* checkboxes */
//global variables that can be used by ALL the function son this page.
var inputs;
var imgFalse = 'images/check_off_original.gif';
var imgTrue = 'images/check_on_original.gif';
var imgFalseD = 'images/check_off_originald.gif';
var imgTrueD = 'images/check_on_originald.gif';

function init() {
	replaceChecks();
}

function replaceChecks() {
	inputs = document.getElementsByTagName("input");
	for (var i=0; i < inputs.length; i++) {
		if (inputs[i].getAttribute("type") == "checkbox") {
			var img = document.createElement("img");
			img.className = "imglink";
			img.style.verticalAlign = "middle";
			img.src = inputs[i].checked ? (inputs[i].disabled ? imgTrueD : imgTrue) : (inputs[i].disabled ? imgFalseD : imgFalse);
			img.id = "checkImage_"+inputs[i].id;
			img.onclick = new Function("checkChange('"+inputs[i].id+"')");
			inputs[i].parentNode.insertBefore(img, inputs[i]);
			inputs[i].style.display = "none";
		}
	}
}

//change the checkbox status and the replacement image
function checkChange(cb) {
	var cbo = document.getElementById(cb);
	var cbi;
	if (cbo && !cbo.disabled) {
		if (cbo.checked) {
			cbo.checked = '';
			cbi = document.getElementById('checkImage_'+cb);
			if (cbi)
				cbi.src = imgFalse;
		} else {
			cbo.checked = 'checked';
			cbi = document.getElementById('checkImage_'+cb);
			if (cbi)
				cbi.src = imgTrue;
		}
	}
}

function ToggleCheckBox(cb) {
	checkChange(cb)
	/*var cbo = document.getElementById(cb);
	if (cbo) {
		cbo.checked = !cbo.checked;
	}*/
}
/* /checkboxes */

/* highlight */
var lastBC;
function L(TopicID) {
	lastBC = TopicID.style.backgroundColor;
	TopicID.style.backgroundColor = "#ddd";
}

function D(TopicID) {
	TopicID.style.backgroundColor = lastBC;
}
/* /highlight */

/* active link select*/
function doSelectLink(obj) {
	if (obj) {
		//obj.style.fontWeight = 'bold';
		//obj.style.setProperty('fontWeight','bold',null);
		//obj.style.color = 'red';
		//obj.style.setProperty('color','red',null);
		if (obj.id.indexOf('midigit') === 0)
			obj.id = 'midigit' + obj.id.substring(7, 8) + 'on';
		else
			obj.className = 'menuitemon';
	}
}

function selectActiveLink() {
	var locfull = document.location.href;
	var tmp = new Array();

	tmp = locfull.split('/');
	locfull = tmp[tmp.length - 1];
	tmp = locfull.split('?');
	locfull = tmp[0];
	//alert(locfull);

	var thisLink;
	var coll = document.getElementsByTagName('div');

	//<div class="menuitem"><a href="main.php">Состояние офиса</a></div>
	for (var i=0; i<coll.length; i++) {
		if (coll[i].className == 'menuitem') {
			var anchor = coll[i].getElementsByTagName('a')[0];
			if (anchor && (anchor.getAttribute('href') || anchor.getAttribute('cite'))) {
				thisLink = anchor.getAttribute('href') ? anchor.href : anchor.cite;
				tmp = thisLink.split('/');
				thisLink = tmp[tmp.length - 1];
				//alert(thisLink);

				if (thisLink == locfull) {
					doSelectLink(coll[i]);
					return true;
				}
			}
		}
	}

	return true;
}
/* /active link select */

/* cookie management */
function setCookie(Name,value) {
	var today = new Date();
	var expires = new Date();
	expires.setTime(today.getTime() + 1000*60*60*24*365);
	document.cookie = Name + "=" + escape(value) + "; expires=" + expires.toGMTString();
}

function getCookie(Name, DefValue) {
	var search = Name + "=";
	if (!DefValue)
		DefValue = '';
	if (document.cookie.length > 0) {
		var offset = document.cookie.indexOf(search);
		if (offset != -1) {
			offset += search.length;
			var end = document.cookie.indexOf(";", offset);
			if (end == -1)
				end = document.cookie.length;
			return unescape(document.cookie.substring(offset, end));
		} else return(DefValue);
	} else return(DefValue);
}

function deleteCookie(Name) {
	if (getCookie(Name))
		document.cookie = Name + "=" + "; expires=Thu, 01-Jan-1970 00:00:01 GMT";
}
/* /cookie management */

/* table management */
function toggleTableRowByCheckBox(cbid, rowid, livetoggle, savestate, forceopen) {
	var rows = document.getElementById(rowid);
	var cb = document.getElementById(cbid);
	var cookread = false;
	var laststate = false;
	if (rows) {
		var coll = document.getElementsByTagName('tr');
		for (var i = 0; i < coll.length; i++) {
			if (coll[i].id == rowid) {
				if (forceopen) {
					coll[i].style.display = '';
				} else {
					if (livetoggle) {
						if (cbid)
							coll[i].style.display = cb.checked ? '' : 'none';
						else
							coll[i].style.display = coll[i].style.display == 'none' ? '' : 'none';
					} else {
						if (!cookread)
							var cookVal = getCookie(rowid + '_on');
						cookread = true;
						coll[i].style.display = cookVal == '1' ? '' : 'none';
					}
				}
				laststate = coll[i].style.display == 'none' ? false : true;
			}
		}

		rows = document.getElementById('img' + rowid);
		if (rows)
			//rows.src = laststate == true ? "images/icon_plusminus_minus.gif" : "images/icon_plusminus_plus.gif";
			rows.src = laststate == true ? "images/tree-collapse3.gif" : "images/tree-expand3.gif";

		if (savestate) {
			if (!laststate)
				deleteCookie(rowid + '_on');
			else
				setCookie(rowid + '_on', '1');
		}
	}

	return true;
}
/* /table management */

function intval( mixed_var, base ) {
	// http://kevin.vanzonneveld.net
	// +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// +   improved by: stensi
	// +   bugfixed by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	// *     example 1: intval('Kevin van Zonneveld');
	// *     returns 1: 0
	// *     example 2: intval(4.2);
	// *     returns 2: 4
	// *     example 3: intval(42, 8);
	// *     returns 3: 42
	// *     example 4: intval('09');
	// *     returns 4: 9

	var tmp;

	var type = typeof( mixed_var );

	if(type == 'boolean'){
		if (mixed_var == true) {
			return 1;
		} else {
			return 0;
		}
	} else if(type == 'string'){
		tmp = parseInt(mixed_var * 1);
		if(isNaN(tmp) || !isFinite(tmp)){
			return 0;
		} else {
			return tmp.toString(base || 10);
		}
	} else if(type == 'number' && isFinite(mixed_var) ){
		return Math.floor(mixed_var);
	} else{
		return 0;
	}
}

function getElementsByClassName(node, classname) {
	if (node.getElementsByClassName)
		return node.getElementsByClassName(classname);
	else {
		var retnode = [];
		var myclass = new RegExp('\\b' + classname + '\\b');
		var elem = node.getElementsByTagName('*');
		for (var i = 0; i < elem.length; i++) {
			var classes = elem[i].className;
			if (myclass.test(classes))
				retnode.push(elem[i]);
		}
		return retnode;
	}
}

function showCtrls(sender, objid) {
	var obj = document.getElementById(objid);
	if (obj) {
		obj.style.display = obj.style.display == 'none' ? '' : 'none';
		sender.style.display = sender.style.display == 'none' ? '' : 'none';
	}
}

function getScrollXY() {
	var scrOfX = 0, scrOfY = 0;
	if (typeof( window.pageYOffset ) == 'number') {
		//Netscape compliant
		scrOfY = window.pageYOffset;
		scrOfX = window.pageXOffset;
	} else if (document.body && ( document.body.scrollLeft || document.body.scrollTop )) {
		//DOM compliant
		scrOfY = document.body.scrollTop;
		scrOfX = document.body.scrollLeft;
	} else if (document.documentElement && ( document.documentElement.scrollLeft || document.documentElement.scrollTop )) {
		//IE6 standards compliant mode
		scrOfY = document.documentElement.scrollTop;
		scrOfX = document.documentElement.scrollLeft;
	}
	return [ scrOfX, scrOfY ];
}

var progressnotify_count = 0;
function progressnotify_start() {
	progressnotify_count++;
	if (progressnotify_count == 1)
		$('#progressnotifier').show();
}
function progressnotify_stop(completestop) {
	progressnotify_count--;
	if (completestop || progressnotify_count <= 0) {
		progressnotify_count = 0;
		$('#progressnotifier').hide();
	}
}

$(document).ready(function() {
	/*$.ajaxSetup({
	 cache: false
	 });*/
	$(document).ajaxStart(function(){
		progressnotify_start();
	});
	$(document).ajaxStop(function(){
		progressnotify_stop();
	});

});
