<?php
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/functions.php');

$jsonresErr = array('error' => 'Ошибка изменения параметров офиса!');
$jsonresOK = array('ok' => 'Сценарий офиса изменён успешно');

global $session, $database, $logger;

handle_magic_quotes();

$logger->log("POST(".basename($_SERVER['SCRIPT_NAME']).":\n".print_r($_POST, true));

//if (($session->logged_in && $database->db_ok) || isset($_COOKIE['office_menuid'])) {
if (isset($_POST['sub_officemenusetup'])) {
	header("Content-Type: text/plain");

	$mode = $_POST['sub_officemenusetup']; //edit
	$menuid = $_POST['office_menuid'];
	$menuname = $_POST['office_menuname'];

	//$logger->log("session->logged_in:".print_r($session->logged_in, true));
	//$logger->log("database->db_ok:".print_r($database->db_ok, true));

	if ($mode == 'edit') {
		if (isset($_POST['ivr_edit'])) {
			$logger->log("ivr_assignMenu->OK");
			$_COOKIE['office_menuid'] = $menuid;
			echo json_encode_safe($jsonresOK);
		} else
		if ($session->logged_in && $database->db_ok) {
			$res = $database->setOfficeMenu($session->ofid, $menuid, $menuname);
			if ($res) {
				$logger->log("setOfficeMenu->OK");
				$session->ofmenuid = $menuid;
				echo json_encode_safe($jsonresOK);
			} else
				echo json_encode_safe($jsonresErr);
		}
	} else
		echo json_encode_safe($jsonresErr);
} else {
	//echo json_encode_safe($jsonresErr);
	header('HTTP/1.0 401 Unauthorized');
	echo "NOT AUTHORIZED";
}
?>
