<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');

global $session, $database, $database_dynmenu, $form, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Права доступа :: Функции системы";

$preheadcode = <<<EOS
<script language="JavaScript" type="text/JavaScript" src="js/right_action.js"></script>
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {});
</script>
EOS;

print(GetHTMLHeader($pagetitle, null, $preheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in && $session->isAdmin()) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	print(GetPageContentTitle($pagetitle));

	$grouplist = $database->getUserActionGroup();

	if (isset($session->groupactions_show_id)) {
		$group_selected = $session->groupactions_show_id === false ? false : intval($session->groupactions_show_id);
		if ($group_selected < 0) $group_selected = null;
	} else
		$group_selected = null;
		
	//$logger->log("Showing action group with id=".print_r($group_selected, true));

	$script = "";

	?>
	<form name="frmmain" id="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
	<input type="hidden" name="sub_edit_useraction" id="sub_edit_useraction" value="save">
	<input type="hidden" name="hidActionCounterHolder" id="hidActionCounterHolder" value=0>

	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: 6px 10px -8px 0; padding-bottom:1px;" align="left" alt="">
		<span class="sm" style="color: #666;display:block;">
			На этой странице настраиваются системные функции. 
			Уровень доступа к функции системы определяется ролью пользователя. 
			Menu - вхождение функции в меню, отмеченные флажком в меню не входят.<br> 
			Sys - системная функция, определяет функции доступные только разработчику
		</span>
	</div>

	
	<div id="toolbarlike" class="toolbarlike">
		<span class="smb" style="color: #fff;">Выбор группы функций</span>
		<select class="inputww" style="width:300px;" name="groupselector" id="groupselector"
			onkeypress="doShowAction(this);" onkeyup="doShowAction(this);" onchange="doShowAction(this);">
			<?php echo $database->getUserActionGroup_htmlcode($grouplist, $group_selected) ?>
		</select>
	</div>
	<div id="toolbarsep" style="margin-top:20px;display:none;">
	</div>

	<?php
	if ($group_selected>=0) {
		$script .= sprintf("groupCreateAction(\"%s\");","actions");

		$useractions = $database->getUserAction($group_selected);
		foreach ($useractions as $row) {
			$gen_officeuser_id = max($gen_officeuser_id, $row['act_id']);
			
			$script .= sprintf("rowCreate(%d, '%s', '%s', '%s', %d, %d, %d, %d, '%s');",
								$row['act_ord'],
								addslashes(htmlspecialchars($row['act_name'])),
								addslashes(htmlspecialchars($row['act_hint'])),
								addslashes(htmlspecialchars($row['action'])),
								$row['act_id'],
								$row['actgroup_id'],
								$row['act_visible'],
								$row['act_system'],
								'view'
								);
		}
		echo "<input type=\"hidden\" name=\"lastaction_id\" id=\"lastaction_id\">";
	} else {
	}
	?>

	<div class="spacer"></div>

	</form>
	<?php
	
	echo GetJavaScriptCodeBlock($script);

	if (
		isset($session->groupactions_show_id) &&
		($session->groupactions_show_id === false || $session->groupactions_show_id === null)
		)
		unset($session->groupactions_show_id);
	unset($session->edit_offices);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>

