<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');

global $session, $database, $database_dynmenu, $form, $logger;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Права доступа :: Роли пользователей";

$preheadcode = <<<EOS
<script language="JavaScript" type="text/JavaScript" src="js/right_role.js"></script>
<script type="text/javascript" src="js/jquery/jquery.tools.min.js"></script>
<script type="text/javascript">
$(document).ready(function() {});
</script>
EOS;

print(GetHTMLHeader($pagetitle, null, $preheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in && $session->isAdmin()) {
if ($session->logged_in && $session->checkUserRight('right_role.php','A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}

	print(GetPageContentTitle($pagetitle));

	$rolelist = $database->getRoles();
//	$logger->log("Showing action of roles with id=".print_r($rolelist, true));

	$usermanuallist = $database->getUserManualList();
	echo GetJavaScriptCodeBlock($database->getUserManualList_htmlcode_ex($usermanuallist));


	if (isset($session->role_show_id)) {
		// under role deletion set pointer into the first role-array item
		$role_selected=null;
		foreach($rolelist as $row){if($row['role_id']==(int)$session->role_show_id) {$role_selected=(int)$session->role_show_id; break;}}
		if($role_selected==null) {$role_selected=$rolelist[0]['role_id']; $session->role_show_id=$role_selected;}
		// var_dump($role_selected);

		$role_selected = $session->role_show_id === false ? false : intval($session->role_show_id);
		if ($role_selected < 0) $role_selected = null;
	} else
		$role_selected = null;

	//$logger->log("Showing action of roles with id=".print_r($role_selected, true));


	$script = "";
	$editrolemode=(isset($session->edit_role)&&($session->edit_role==1))?1:0;
	?>

	<form name="frmmain" id="frmmain" action="process.php" method="post" onSubmit="return disableForms();">
	<input type="hidden" name="sub_edit_userrole" id="sub_edit_userrole" value="save">
	<input type="hidden" name="hidEditRoleMode" id="hidEditRoleMode" value=<?php echo $editrolemode ?>>
	<input type="hidden" name="hidRoleCounterHolder" id="hidRoleCounterHolder" value=0>
	<input type="hidden" name="hidActionCounterHolder" id="hidActionCounterHolder" value=0>

	<div class="textquoteinfo" style="width:650px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: 6px 10px -8px 0; padding-bottom:1px;" align="left" alt="">
		<span class="sm" style="color: #666;display:block;">
			На этой странице настраиваются системные роли. Роль предназначена для определения уровня 
			доступа пользователя к любой из функций системы. Один пользователь может обладать только одной ролью.
		</span>
	</div>

	
	<div id="toolbarlike" class="toolbarlike">
		<span class="smb" style="color: #fff;">Выбор роли пользователя</span>
		<select class="inputww" style="width:300px;" name="roleselector" id="roleselector"
			onkeypress="doShowAction(this);" onkeyup="doShowAction(this);" onchange="doShowAction(this);">
			<?php echo $database->getRoles_htmlcode($rolelist, $role_selected) ?>
		</select>
		<span id="editrolelist" name="editrolelist" class="smb" style="color:#fff;margin-left:10px;cursor:pointer;" onclick="doEditRoleList();" val=<?php echo '"'.$editrolelist.'"' ?>>
			Редактировать роли
			<img class="imglink" style="vertical-align:middle" src="<?php echo ($editrolemode==1)?'images/moveup.gif':'images/movedn.gif'; ?>" width="16" height="16" alt="Найти офис по номеру телефона"/>
		</span>
	</div>



	<div id="toolbarsep" style="margin-top:20px;display:none;">
	</div>

	<?php
	// role table
	if ($editrolemode) {
		$script .= sprintf("createRoleHeader();");

		$roles = $database->getRoles();
		foreach ($roles as $row) {
			$script .= sprintf("createRoleRow('%s', %d, %d, '%s');",
								addslashes(htmlspecialchars($row['role_name'])),
								$row['role_id'],
								$row['user_manual_id'],
								'view'
								);
		}
		echo "<input type=\"hidden\" name=\"rolelist_id\" id=\"rolelist_id\">";
	} 
	?>

	<!-- div class="spacer"></div -->
	
	<?php
	// role action table
		$script .= sprintf("createRoleActionHeader();");

		$roleactions = $database->getRoleAction($role_selected);
		foreach ($roleactions as $row) {
			$script .= sprintf("createRoleActionRow('%s', '%s', '%s', %d, %d, %d, %d, %d, %d, %d, '%s');",
								addslashes(htmlspecialchars($row['actgroup_name'])),
								addslashes(htmlspecialchars($row['act_name'])),
								addslashes(htmlspecialchars($row['act_action'])),
								$row['key1'],
								$row['key2'],
								$row['key3'],
								$row['key4'],
								$row['role_id'],
								$row['act_id'],
								$row['act_visible'],
								'view'
								);
		}
		echo "<input type=\"hidden\" name=\"roleactionlist_id\" id=\"roleactionlist_id\">";
	?>
	
	
	
	</form>
	<?php
	
	echo GetJavaScriptCodeBlock($script);

	if (
		isset($session->role_show_id) &&
		($session->role_show_id === false || $session->role_show_id === null)
		)
		unset($session->role_show_id);
	unset($session->edit_offices);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>

