<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_tar.php');
require_once(dirname(__FILE__).'/rpt_account_status_table.php');


global $session, $database_tar;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

if ($session->logged_in && isset($_REQUEST['exp'])) {

	$sf_startdate = urldecode($_REQUEST['sf_startdate_filter']);
	$sf_enddate = urldecode($_REQUEST['sf_enddate_filter']);
	$arr = array( sf_startdate => $sf_startdate, sf_enddate => $sf_enddate );

	if ($_REQUEST['exp'] == 'astext') {
		//echo iconv('utf-8', 'cp1251', 'Счет: '.$f_account.chr(13).chr(10) );
		//echo iconv('utf-8', 'cp1251', 'Номер: '.$f_number.chr(13).chr(10) );
		$report = $database_tar->get_account_status( $arr );
		GenerateAccountTableAsText('owner', $report);
		exit(0);
	}

	if (in_array($_REQUEST['exp'], array('asxls', 'asxlsmail'))) {
		$report = $database_tar->get_account_status( $arr );
		GenerateAccountTableAsXLS('owner', $report, $_REQUEST['exp'] == 'asxlsmail');
		exit(0);
	}
}



$addheadcode = <<<EOS

<link rel="stylesheet" href="js/jquery11/jquery-ui.css">
<script src="js/jquery11/jquery-1.10.2.js"></script>
<script src="js/jquery11/jquery-ui.js"></script>
<link href="js/DataTables-1.10.3/media/css/jquery.dataTables.css" rel="stylesheet" type="text/css" media="screen"/>
<script type="text/javascript" src="js/DataTables-1.10.3/media/js/jquery.dataTables.js" charset="UTF-8"></script>

<script type="text/javascript" src="js/jquery/jquery.download.js" charset="UTF-8"></script>

<link href="styles/jquery/superfish.css" rel="stylesheet" media="screen">
<script type="text/javascript" src="js/rpt_account_status.js"></script>


<script type="text/javascript" src="js/jquery/datepick/jquery.plugin.js"></script> 
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.js"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.ext.js" charset="UTF-8"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick.lang.js"></script>
<script type="text/javascript" src="js/jquery/datepick/jquery.datepick-ru.js"></script>

<link rel="stylesheet" type="text/css" href="js/jquery/datepick/jquery.datepick.css"> 
<link href="styles/jquery/themes/flick/jquery-ui-1.10.4.custom.css" rel="stylesheet" type="text/css" media="screen"/>
<link rel="stylesheet" type="text/css" href="js/jquery/datepick/ui-flick.datepick.css"> 




EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;

print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());

if (!($session->logged_in && $session->checkUserRight($current_page_name,'A'))) { 
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
	die(); 
}




?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<div class="hidden">
	<img id="calendar_picker" src="images/calendar.gif" alt="" title="Выбрать дату" class="imglink trigger">
</div>

<?php
if ($session->logged_in) {
	print(GetPageContentTitle($pagetitle));
?>
	<div class="textquoteinfo" style="width:630px;padding:10px;margin:10px 10px 10px 0;" align="left">
		<img src="images/icon_info_big.gif" width="32" height="32" style="margin: -2px 10px -8px 0; padding-bottom:1px;" align="left">
		<span class="sm" style="color: #666;display:block;">
			Список абонентов за период времени, с историей изменения статуса ЛС. <br>
		</span>
	</div>
	<div class="groupboxfilters">
		<table class="statlist_filters">
			<tr>
				<td class="infoLineParam blue" style="width:120px;">Период</td>
				<td class="infoLineValue" colspan="2">
					<span style="margin-left:50px;">с</span>
					<input class="datefield inputmw" style="width:100px;" type="text" id="sf_startdate" data-rangectrl="sf_range"
						   value=""
					/>
					<span style="margin-left:4px;">по</span>
					<input class="datefield inputmw" style="width:100px;" type="text" id="sf_enddate" data-rangectrl="sf_range"
						   value=""
					/>
				</td>
			</tr>
			<!-- tr>
				<td class="infoLineParam blue" style="width:120px;">Номер</td>
				<td class="infoLineValue" colspan="2">
					<span style="margin-left:4px;">Номер ЛС</span>
					<input class="inputmw" style="width:150px;" type="text" id="f_account" value="" />
					<span style="margin-left:4px;">Номер телефона</span>
					<input class="inputmw" style="width:150px;" type="text" id="f_number" value="" />
				</td>
			</tr -->
		</table>
	</div>
	<div>

	<ul class="sf-menu">
		<li>
			<img id="bt_filters_apply" class="imglink" style="margin-right:4px;" src="images/btn_refresh.gif" title="Применить фильтры и обновить данные" alt="" width="83" height="23" onclick="do_user_search();"/>
		</li>
		<li>
			<img class="imglink" style="margin-right:4px;" src="images/btn_save.gif" title="Сохранить отчет в определенном формате" alt="Сохранить отчет в определенном формате" width="88px" height="23px">
			<ul>
				<li>
					<a title="Сохранить в простом текстовом формате" class="bt_stat_saveas" rel="astext" nowrap> <img src="images/icon_file_txt.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В текстовом формате </a>
				</li>
				<!-- li>
					<a title="Сохранить в формате PDF" class="bt_stat_saveas" rel="aspdf"> <img src="images/icon_file_pdf.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В формате PDF </a>
				</li -->
				<li>
					<a title="Сохранить в формате Microsoft Excel (XLS)" class="bt_stat_saveas" rel="asxls"> <img src="images/icon_file_xls.gif" style="float:left;margin:-2px 8px 0 -3px;" width="16" height="16" alt=""> В формате Microsoft Excel (XLS) </a>
				</li>
			</ul>
		</li>
	</ul>

	
	</div>
	
<div style="width:620px;">
<table id="restable" class="display" width="400px" cellspacing="0">
        <thead>
            <tr>
                <th width="60px">Номер ЛС</th>
                <th>Абонент</th>
                <th>Дата смены статуса</th>
                <th>Статус</th>
                <th nowrap width="20px">&nbsp;</th>
            </tr>
        </thead>
</table>
</div>	

<div id="frm_detail" title="Абонент">
<table>

<tr>
<td width="160px"><div class="syslabel">Номер ЛС</div></td>
<td colspan="2"><div id="txt_account" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<tr>
<td width="160px"><div class="syslabel">Абонент:</div></td>
<td colspan="2"><div id="txt_fio" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<tr>
<td width="160px"><div class="syslabel">Документ:</div></td>
<td colspan="2"><div id="txt_document" type="text" class="syslabel" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<tr>
<td width="160px"><div class="syslabel">Адрес:</div></td>
<td colspan="2"><div id="txt_address" type="text" class="syslabel" style="width:250px; word-wrap:break-word" value="" readonly></div></td>
</tr>
<tr style="height:10px;"><td colspan=3>&nbsp;</td></tr>
<tr>
<td width="160px"><div class="syslabel">Номера телефонов:</div></td>
<td colspan="2"><div id="txt_phone" type="text" class="syslabel" value="" readonly></div></td>
</tr>



</table>
</div>



<?php
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print(GetHTMLFooter());
?>
