<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');

global $session, $database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$addheadcode = <<<EOS
<script type="text/javascript">
	$(document).ready(function(){
		//$('tr[id^="toggle_"]').children(2).css({'border-left':'2px solid #ccc'});
	});
</script>
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']); 
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
} 
$pagetitle = $current_page_title;
//$pagetitle = "Настройки :: Оповещения";

//print(GetHTMLHeader($pagetitle, $session->logged_in ? 'numbers_ext.php' : null));
print(GetHTMLHeader($pagetitle, null, $addheadcode));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
	// access level control
	if(isset($session->only_read_message)) {
		echo "<script type='text/javascript' language='javascript'> alert('".$session->only_read_message."'); </script>";
		unset($session->only_read_message);
	}
	print(GetPageContentTitle($pagetitle));

	$ofparams = $database->getOfficeParams($session->ofid);
	$script = "";
?>
	<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
	<input type="hidden" name="sub_edit_main" value="1">

	<!-- <div class="hlblack">&nbsp;Настройка оповещений</div> -->
	<!-- <div class="groupboxlt"> -->
	<table class="nb" cellspacing="0">
		<tr>
		<td class="infoTableHeader" width="10px"></td>
		<td class="infoTableHeader" width="600px"></td>
		</tr>

		<!-- PARAM_EMAIL_NOTIFY_VOICE  -->
		<tr>
		<td class="infoLineValueSingleNB">
			<input type="checkbox"
				id="<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>" name="<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
				onclick="toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>', true, false, false)"
				value="1"
				<?php echo $ofparams[PARAM_EMAIL_NOTIFY_VOICE_ENABLED]['pvalue'] > 0 ? 'checked' : '' ?>
			>
		</td>
		<td class="infoLineValueSingleNB">
			<a class="imglinkb" onclick="ToggleCheckBox('<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>');toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>', true, false, false);" title="">
				Отправлять полученные голосовые сообщения на электронную почту
			</a>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Укажите адрес электронной почты для пересылки голосовых сообщений</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>">
		<td class="infoLineValueSingleNB">
			&nbsp;
		</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>" name="<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_EMAIL_NOTIFY_VOICE_ADDRESS]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>">
		<td colspan="2" class="infoLineValueSingleNB">
			<span class="blue">
				Голосовые сообщения будут отправляться по мере их поступления в формате WAV в виде вложения к письму.
			</span>
		</td>
		</tr>

		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>">
		<td colspan="2">&nbsp;</td>
		</tr>

		<!-- PARAM_EMAIL_NOTIFY_FAX  -->
		<tr>
		<td class="infoLineValueSingleNB">
			<input type="checkbox"
				id="<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>" name="<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
				onclick="toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>', true, false, false)"
				value="1"
				<?php echo $ofparams[PARAM_EMAIL_NOTIFY_FAX_ENABLED]['pvalue'] > 0 ? 'checked' : '' ?>
			>
		</td>
		<td class="infoLineValueSingleNB">
			<a class="imglinkb" onclick="ToggleCheckBox('<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>');toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>', true, false, false);" title="">
				Отправлять полученные факсимильные сообщения на электронную почту
			</a>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Укажите адрес электронной почты для пересылки факсимильных сообщений</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>">
		<td class="infoLineValueSingleNB">
			&nbsp;
		</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>" name="<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_EMAIL_NOTIFY_FAX_ADDRESS]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>">
		<td colspan="2" class="infoLineValueSingleNB">
			<span class="blue">
				Факсимильные сообщения будут отправляться по мере их поступления в формате TIFF в виде вложения к письму.
			</span>
		</td>
		</tr>

		<tr id="toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>">
		<td colspan="2">&nbsp;</td>
		</tr>

		<!-- NOTIFY_LOWBALANCE_ENABLED  -->
		<tr>
		<td class="infoLineValueSingleNB">
			<input type="checkbox"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
				onclick="toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false)"
				value="1"
				<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_ENABLED]['pvalue'] > 0 ? 'checked' : '' ?>
			>
		</td>
		<td class="infoLineValueSingleNB">
			<a class="imglinkb" onclick="ToggleCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>');toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false);" title="">
				Оповещать о низком балансе счета
			</a>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Укажите сумму в рублях при которой необходимо отправлять оповещения</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputm" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"
				maxlength="10"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_VALUE]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Адреса электронной почты для оповещения</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_ADDRESS ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_ADDRESS ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_ADDRESS]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Телефонные номера для получения SMS-сообщений о низком балансе</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_PHONES ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_PHONES ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_PHONES]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td colspan="2" class="infoLineValueSingleNB">
			<span class="blue">
				Оповещения будут отправляться на указанные адреса электронной почты и/или телефонные номера один раз в сутки.
			</span>
		</td>
		</tr>

		<!-- PARAM_EMAIL_STATS_ADDRESS  -->
		<tr>
			<td class="infoLineValueSingleNB">&nbsp;</td>
			<td class="infoLineValueSingleNB">
				<div class="spacer"></div><div class="spacer"></div>
				<a class="imglinkb" style="cursor: default;">
					Адрес электронной почты для получения отчетов (например по статистике работы офиса)
				</a>
			</td>
		</tr>
		<tr>
		<td class="infoLineValueSingleNB">
			&nbsp;
		</td>
		<td class="infoLineValueSingleNB">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_EMAIL_STATS_ADDRESS ?>" name="<?php echo PARAM_EMAIL_STATS_ADDRESS ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_EMAIL_STATS_ADDRESS]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>

		<tr>
		<td colspan="2" class="infoLineValueSingleNB">
			<div class="spacer"></div><div class="spacer"></div><div class="spacer"></div>
			<span class="blue">
				Можно указывать несколько адресов электронной почты и номеров телефонов, разделяя их точкой с запятой ';'.<br>
				Например: адрес1@домен1.ru;адрес2@домен2.com и 71112223344;71112223345;71112223346
			</span>
		</td>
		</tr>
	</table>
	<!-- </div> -->

	<script type="text/javascript">
	<!--
		toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_FAX_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_FAX_ADDRESS ?>', true, false, false);
		toggleTableRowByCheckBox('<?php echo PARAM_EMAIL_NOTIFY_VOICE_ENABLED ?>', 'toggle_<?php echo PARAM_EMAIL_NOTIFY_VOICE_ADDRESS ?>', true, false, false);
		toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false);
	//-->
	</script>

	<input style="margin-top: 20px;" class="inputbt" type="submit" name="btsubmit" value="Сохранить изменения">
	</form>
<?php
	unset($session->edit_main);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>

<?php
print(GetHTMLFooter());
?>
