<?php
/**
 * setup_notify.php
 */
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database.php');

global $session, $database;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$pagetitle = "Настройки :: Оповещения";

//print(GetHTMLHeader($pagetitle, $session->logged_in ? 'numbers_ext.php' : null));
print(GetHTMLHeader($pagetitle));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
if ($session->logged_in) {
	print(GetPageContentTitle($pagetitle));

	$ofparams = $database->getOfficeParams($session->ofid);
	$script = "";
?>
	<form name="frmmain" action="process.php" method="post" onSubmit="return disableForm(this);">
	<input type="hidden" name="sub_edit_notify" value="1">

	<table class="nb" cellspacing="0">
		<tr>
		<td class="infoTableHeader" width="10px"></td>
		<td class="infoTableHeader" width="600px"></td>
		</tr>

		<!-- NOTIFY_LOWBALANCE_ENABLED  -->
		<tr>
		<td class="infoLineValueSingleNB">
			<input type="checkbox"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
				onclick="toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false)"
				value="1"
				<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_ENABLED]['pvalue'] > 0 ? 'checked' : '' ?>
			>
		</td>
		<td class="infoLineValueSingleNB">
			<a class="imglinkb" onclick="ToggleCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>');toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false);" title="">
				Оповещать о низком балансе счета
			</a>
		</td>
		</tr>

		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Укажите сумму в рублях при которой необходимо отправлять оповещения</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputm" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"
				maxlength="10"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_VALUE]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Адреса электронной почты для оповещения</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_ADDRESS ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_ADDRESS ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_ADDRESS]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>"><td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">Телефонные номера для получения SMS-сообщений о низком балансе</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td class="infoLineValueSingleNB">&nbsp;</td>
		<td class="infoLineValueSingleNB gbl">
			<input class="inputmwww" type="text"
				id="<?php echo PARAM_NOTIFY_LOWBALANCE_PHONES ?>" name="<?php echo PARAM_NOTIFY_LOWBALANCE_PHONES ?>"
				maxlength="512"
				value="<?php echo $ofparams[PARAM_NOTIFY_LOWBALANCE_PHONES]['pvalue'] ?>"
				onkeypress="return onEditControlKeyPress(this, event)"
				onkeyup="return onEditControlKeyUp(this, event)"
			>
		</td>
		</tr>
		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td colspan="2" class="infoLineValueSingleNB">
			<span class="blue">
				Оповещения будут отправляться на указанные адреса электронной почты и/или телефонные номера один раз в сутки.
			</span>
		</td>
		</tr>

		<tr id="toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>">
		<td colspan="2">&nbsp;</td>
		</tr>

		<tr>
		<td colspan="2" class="infoLineValueSingleNB">
			<div class="spacer"></div><div class="spacer"></div><div class="spacer"></div>
			<span class="blue">
				Можно указывать несколько адресов электронной почты и телефонных номеров, разделяя их точкой с запятой ';'.<br>Например: адрес1@домен1.ru;адрес2@домен2.com
			</span>
		</td>
		</tr>
	</table>

	<script type="text/javascript">
	<!--
		toggleTableRowByCheckBox('<?php echo PARAM_NOTIFY_LOWBALANCE_ENABLED ?>', 'toggle_<?php echo PARAM_NOTIFY_LOWBALANCE_VALUE ?>', true, false, false);
	//-->
	</script>

	<input style="margin-top: 20px;" class="inputbt" type="submit" name="btsubmit" value="Сохранить изменения">
	</form>
<?php
	unset($session->edit_notify);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>
