<?php
require_once(dirname(__FILE__).'/vo_htmls_plain.php');
require_once(dirname(__FILE__).'/vo_htmls.php');
require_once(dirname(__FILE__).'/include/session.php');
require_once(dirname(__FILE__).'/include/database_dynmenu.php');


global $session, $database_dynmenu;
if (!$session->db_ok) {
	print(GetClosedPageContent());
	die();
}

$preheadcode = <<<EOS
<script type="text/javascript" src="jsdojo17/dojo/dojo.js"
	dojoConfig="parseOnLoad: false, isDebug: false, locale: 'ru-ru'">
</script>
<script language="JavaScript" type="text/JavaScript" src="js/audio-player.js"></script>
<script language="JavaScript" type="text/JavaScript" src="js/menu_services.js"></script>
<script type="text/javascript" src="js/jquery/jquery.iframer.js"></script>
<script type="text/javascript" src="js/jquery/jquery.filestyle.js"></script>
EOS;

$addheadcode = <<<EOS
<link rel="stylesheet" href="styles/menu_styles.css">
<link rel="stylesheet" type="text/css" href="styles/menu_styles.css" media="screen">
EOS;

// current page properties
$current_page_name = basename($_SERVER['PHP_SELF']);
foreach($session->userright as $key => $row) {
	if($row['action']==$current_page_name and $row['act_visible']==0){ $current_page_title = $row['act_name']; }
}
$pagetitle = $current_page_title;
//$pagetitle = "Настройки :: Звуковые файлы";

print(GetHTMLHeader($pagetitle, null, $addheadcode, $preheadcode, ''));
print(GetPageTop());
?>

<div class="pagemain">

<div class="pageheader">
<table class="pageheader">
<tr>
	<td class="headleft">&nbsp;</td>
	<td class="headnav"><?php print(GetVOHeadMenu()); ?></td>
</tr>
</table>
</div>

<table class="pagecontent">
<tr>
<td class="menu"><?php print(GetVOMenu()); ?></td>
<td class="content">

<?php
//if ($session->logged_in) {
if ($session->logged_in && $session->checkUserRight($current_page_name,'A')) {
?>
	<div id="preloader_synths"></div>
	<div dojoType="dojo.data.ItemFileReadStore" jsId="itemnamesstore" url="menu_itemnames.php" urlPreventCache="true" clearOnClose="true"></div>
	<div dojoType="dijit.Dialog" id="dlgUserSynthEdit" title="Редактирование голосового сообщения"
		onCancel="dlgUserSynthEdit_OnClose();"
		onShow="dlgUserSynthEdit_OnShow();"
		>
		<label id="lUserSynthEdit_loading"><span style="color:red;font-weight:bold;"><img src="images/loading.gif" width="16" height="16">&nbsp;Загрузка...</span></label>
		<div dojoType="dijit.layout.ContentPane" id="dlgUserSynthEdit_content">
			<div dojoType="dijit.layout.ContentPane" id="dlgUserSynthEdit_tabs" style="width: 400px; height: 420px;">

				<!-- <div dojoType="dijit.layout.ContentPane" id="dlgUserSynthEdit_Synthz" title="Синтезаторы"> -->
					<div dojoType="dijit.SimTitlePane" id="dlgUserSynthEdit_title" title="<span style='font-weight:bold;'>Редактирование голосового сообщения</span>" open="false" toggleable="false"></div>
					<table>
						<tr style="display:none;">
							<td><label for="item_name">Название</label></td>
							<td>
								<input dojoType="dijit.form.ValidationTextBox"
									name="item_name"
									id="item_name"
									type="text">
							</td>
						</tr>
						<tr style="display:none;">
							<td><label for="voice_item_synthez">Список</label></td>
							<td>
								<input dojoType="dijit.form.ValidationTextBox"
									type="text"
									name="voice_item_synthez"
									id="voice_item_synthez">
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<table>
								<tr>
									<td style="text-align:center;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemaddIcon" id="voice_item_add" title="Добавить синтезатор из общего списка синтезаторов системы (в открывшемся окне выделите требуемые синтезаторы и нажмите OK)" onClick="showMenuSynthz(true);dlgUserSynthEdit_OnControlsChange(this);">
										</button>
										<br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdelIcon" id="voice_item_del" title="Удалить выбранные синтезаторы из списка" onClick="DeleteSelectedListItems('voice_item_synthez_edit', 'voice_item_synthez');dlgUserSynthEdit_OnControlsChange(this);">
										</button>
										<br /><br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemupIcon" id="voice_item_up" title="Переместить выбранные элементы списка вверх" onClick="MoveSelectedListItems('up', 'voice_item_synthez_edit', 'voice_item_synthez');dlgUserSynthEdit_OnControlsChange(this);">
										</button>
										<br />
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdnIcon" id="voice_item_dn" title="Переместить выбранные элементы списка вниз" onClick="MoveSelectedListItems('down', 'voice_item_synthez_edit', 'voice_item_synthez');dlgUserSynthEdit_OnControlsChange(this);">
										</button>
									</td>
									<td>
										<select dojoType="dijit.form.MultiSelect" id="voice_item_synthez_edit" name="voice_item_synthez_edit" multiple class="selectw" style="width:354px;height:320px;"
											OnDblClick="VoiceItem_SynthPlayerStart();">
										</select>
									</td>
								</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<table width="100%">
								<tr>
									<td width="80%">
										<div id="synplayer"></div>
									</td>
									<td style="text-align:right;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystartIcon" id="voice_item_playstart" title="Прослушать выбранный синтезатор" onClick="VoiceItem_SynthPlayerStart();">
										</button>
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystopIcon" id="voice_item_playstop" title="Остановить прослушивание" onClick="VoiceItem_SynthPlayerStop();">
										</button>
									</td>
								</tr>
								</table>
							</td>
						</tr>
					</table>
				<!-- </div> -->

				<!-- <div dojoType="dijit.layout.ContentPane" title="DEBUG">
					<textarea dojoType="dijit.form.SimpleTextareaNoWrap"
							name="dlgUserSynthEdit_debug"
							id="dlgUserSynthEdit_debug"
							style="width:99%;height:99%;font-family:courier,monospace;"></textarea>
				</div> -->
			</div>

			<table style="width:100%;">
				<tr>
					<td align="left" width="80%">
						&nbsp;
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" id="btUserSynthEdit_OK" iconClass="dummyIcon" title="Сохранить изменения" onClick="return dlgUserSynthEdit_OnSubmit();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgUserSynthEdit_OnClose(self);">
							Отмена
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgMenuSynthz" title="Синтезаторы системы"
		onCancel="dlgMenuSynthz_OnClose();"
		onShow="dlgMenuSynthz_OnShow();"
		>
		<label id="lMenuSynthz_loading"><span style="color:red;font-weight:bold;"><img src="images/loading.gif" width="16" height="16">&nbsp;Загрузка...</span></label>
		<div dojoType="dijit.layout.ContentPane" id="dlgMenuSynthz_content">
			<div dojoType="dijit.layout.TabContainer" style="width:400px;height:500px;">
				<div dojoType="dijit.layout.ContentPane" title="Список">
					<div dojoType="dijit.SimTitlePane" title="<span style='font-weight:bold;'>Список синтезаторов системы</span>" open="false" toggleable="false"></div>
					<table>
						<tr>
							<td>
								<table>
								<tr>
									<td style="text-align:center;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemdelIcon" id="voice_item_del_global" title="Удалить выбранные синтезаторы" onClick="DeleteSelectedSynthsGlobal('synthzlist');">
										</button>
									</td>
									<td>
										<select dojoType="dijit.form.MultiSelect" id="synthzlist" name="synthzlist" multiple class="selectw" style="width:345px;height:380px;margin:2px 4px 0 0;"
											OnDblClick="VoiceItem_SynthPlayerStartGlobal();">
										</select>
									</td>
								</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<table width="100%">
								<tr>
									<td width="80%">
										<div id="synplayerg"></div>
									</td>
									<td style="text-align:right;vertical-align:text-top;">
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystartIcon" id="voice_item_playstart_global" title="Прослушать выбранный синтезатор" onClick="VoiceItem_SynthPlayerStartGlobal();">
										</button>
										<button dojoType="dijit.form.Button" showLabel="false" iconClass="itemplaystopIcon" id="voice_item_playstop_global" title="Остановить прослушивание" onClick="VoiceItem_SynthPlayerStopGlobal();">
										</button>
									</td>
								</tr>
								</table>
							</td>
						</tr>
					</table>
				</div>

				<div dojoType="dijit.layout.ContentPane" title="Загрузка">
					<div dojoType="dijit.SimTitlePane" title="<span style='font-weight:bold;'>Загрузка синтезаторов в систему</span>" open="false" toggleable="false"></div>
					<div id="synthz_upload_selector">
						<form id="frm_putfile" enctype="multipart/form-data" action="fs_putfile.php" method="post">
							<input type="hidden" name="rawres" value="1">
							<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo MAX_FILE_SIZE_UPLOAD_FAX ?>">
							<label for="synthz_add_file">Выберите локальный аудио-файл для загрузки (wav, mp3, ...)</label>
							<input type="file" name="synthz_add_file" id="synthz_add_file" accept="audio/*">
							<label for="synthz_add_file_description">Текстовое описание синтезатора</label>
							<input type="text" name="synthz_add_file_description" id="synthz_add_file_description">
						</form>
						<input type="image" class="button" id="bt_synthz_upload" value="Отправить" src="images/btsend.gif" />
					</div>
					<div id="synthz_upload_progress" style="display:none;">
						<img src="images/pbari2.gif" alt="" width="208" height="13">
					</div>
					<div id="synthz_upload_results" style="display:none;">
						<label>Результат отправки:&nbsp;</label>
						<span id="synthz_upload_result_msg"></span>
					</div>
				</div>
			</div>

			<table style="width:100%;">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgMenuSynthz_OnSubmit();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dlgMenuSynthz_OnClose(self);">
							Отмена
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgInfoMessage" title="Редактирование голосового сообщения" style="display: none;"
			q_onfocus="setTimeout(function(){dijit.byId('dlgInfoMessage').hide();},'10000')">
		<div dojoType="dijit.layout.ContentPane">
			<img src="images/icon_info.gif" width="16" height="16">
			<span id="dlgInfoMessage_msg">&nbsp;Всё нормально!</span>
			<table style="width:600px;margin-top:10px; border-top:1px #ccc solid;">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dijit.byId('dlgInfoMessage').hide();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div dojoType="dijit.Dialog" id="dlgErrorMessage" title="Редактирование голосового сообщения" style="display: none;"
			q_onfocus="setTimeout(function(){dijit.byId('dlgErrorMessage').hide();},'10000')">
		<div dojoType="dijit.layout.ContentPane">
			<img src="images/icon_error2.gif" alt="" width="16" height="16">
			<span id="dlgErrorMessage_msg">&nbsp;Всё плохо!</span>
			<table style="width:600px;margin-top:10px; border-top:1px #ccc solid">
				<tr>
					<td width="90%">
					</td>
					<td align="right">
						<button dojoType="dijit.form.Button" iconClass="dummyIcon" onClick="dijit.byId('dlgErrorMessage').hide();">
							&nbsp;&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;&nbsp;
						</button>
					</td>
				</tr>
			</table>
		</div>
	</div>

	<div id="resultmsg" style="display:none;margin-top:4px;position:absolute;top:95%;left:20px;">
		Всё плохо плохо плохо плохо плохо плохо плохо плохо плохо плохо плохо!
	</div>

	<script type="text/javascript">
	<!--
		if (!IsFlashEnabled()) writeGetFlashImage();
	// -->
	</script>
<?php
	print(GetPageContentTitle($pagetitle));
	?>
	<table class="nb" style="border-bottom:1px solid #ccc;" id="tb_usersynths" cellspacing="0" cellpadding="4">
	<tr>
	<td width="500px" class="infoTableHeader">Список голосовых сообщений</td>
	<td width="16px" class="infoTableHeader">&nbsp;</td>
	</tr>
	<?php
	$usersynths = $database_dynmenu->getUserEditableSynths($session->ofmenuid);
	//echo '<pre>'.print_r($usersynths, true).'</pre>';
	foreach ($usersynths as $synth) {
		?>
<!--		<tr class="imglink" onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='#fff'"
			onclick="showUserSynthEdit(<?php /*echo $synth['item_id']*/ ?>);"> -->
		<tr class="imglink" onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='#fff'"
			onclick="showUserSynthEditcheckRight(<?php echo $session->checkUserRight('synths.php','W'); ?>, <?php echo $synth['item_id'] ?>);">
		<td class="infoLineValue"><?php echo addslashes(htmlspecialchars($synth['item_name'])) ?> </td>
		<td class="infoLineValue">
			<a class="imglink" style="border-bottom: 1px dashed #3164ca;" title="Изменить"
				>Изменить</a>
		</td>
		</tr>
	<?php
	}
	?>
	</table>
	<div class="textquote" style="width:480px;padding:10px;margin:10px;" align="left" id="emptytablenotice">
		<span class="sm" style="color: #666;"><img src="images/icon_error_big.gif" width="32" height="32" style="margin: -10px 10px -8px 0;" align="left">Функция редактирования голосовых сообщений отключена Администратором.</span>
	</div>
	<?php
	if (!empty($usersynths))
		echo GetJavaScriptCodeBlock("var obj = document.getElementById('emptytablenotice');if (obj) obj.parentNode.removeChild(obj);");
	unset($session->edit_synthz);
} else {
	print(GetPageContentTitle("Вход в систему"));
	print(GetVOLoginForm());
}
?>

</td> <!-- content -->
</tr>
</table> <!-- pagecontent -->
</div> <!-- pagemain -->

<div class="pagefooter">
<table class="pagefooter">
<tr><td class="footleft">&nbsp;</td><td class="footnav">&nbsp;</td></tr>
<tr><td colspan="2" class="footcopyright">&nbsp;<?php echo SITE_COPYRIGHT ?></td></tr>
</table>
</div>
<?php
print(GetHTMLFooter());
?>

<script type="text/javascript">
function showUserSynthEditcheckRight(write_right, synth_id){
	if(!write_right){
		alert('Системное сообщение:\n\rНет прав на выполнение данного действия!');
	} else {
		showUserSynthEdit(synth_id);
	}
}
</script>
